/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (c) 2021, The Linux Foundation. All rights reserved.
 */

#ifndef __IPA_GCC_HWIO_H__
#define __IPA_GCC_HWIO_H__
/**
  @file ipa_gcc_hwio.h
  @brief Auto-generated HWIO interface include file.

  This file contains HWIO register definitions for the following modules:
    GCC_CLK_CTL_REG.*

  'Include' filters applied: <none>
  'Exclude' filters applied: RESERVED DUMMY

  Attribute definitions for the HWIO_*_ATTR macros are as follows:
    0x0: Command register
    0x1: Read-Only
    0x2: Write-Only
    0x3: Read/Write
*/

/*----------------------------------------------------------------------------
 * MODULE: GCC_CLK_CTL_REG
 *--------------------------------------------------------------------------*/

#define GCC_CLK_CTL_REG_REG_BASE                                                                         (CLK_CTL_BASE      + 0x00010000)
#define GCC_CLK_CTL_REG_REG_BASE_PHYS                                                                    (CLK_CTL_BASE_PHYS + 0x00010000)
#define GCC_CLK_CTL_REG_REG_BASE_OFFS                                                                    0x00010000

#define HWIO_GCC_SYSTEM_NOC_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00000000)
#define HWIO_GCC_SYSTEM_NOC_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000000)
#define HWIO_GCC_SYSTEM_NOC_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000000)
#define HWIO_GCC_SYSTEM_NOC_BCR_RMSK                                                                            0x1
#define HWIO_GCC_SYSTEM_NOC_BCR_ATTR                                                                            0x3
#define HWIO_GCC_SYSTEM_NOC_BCR_IN          \
        in_dword_masked(HWIO_GCC_SYSTEM_NOC_BCR_ADDR, HWIO_GCC_SYSTEM_NOC_BCR_RMSK)
#define HWIO_GCC_SYSTEM_NOC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYSTEM_NOC_BCR_ADDR, m)
#define HWIO_GCC_SYSTEM_NOC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SYSTEM_NOC_BCR_ADDR,v)
#define HWIO_GCC_SYSTEM_NOC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYSTEM_NOC_BCR_ADDR,m,v,HWIO_GCC_SYSTEM_NOC_BCR_IN)
#define HWIO_GCC_SYSTEM_NOC_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_SYSTEM_NOC_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_SYSTEM_NOC_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_SYSTEM_NOC_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_SYS_NOC_AXI_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000004)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000004)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000004)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_RMSK                                                                   0x81d0000f
#define HWIO_GCC_SYS_NOC_AXI_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_AXI_CBCR_ADDR, HWIO_GCC_SYS_NOC_AXI_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_AXI_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_AXI_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_AXI_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_AXI_CBCR_IN)
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_SYS_NOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_SYS_NOC_AXI_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_SYS_NOC_AXI_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_SYS_NOC_AXI_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_SYS_NOC_AXI_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_SYS_NOC_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_SYS_NOC_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SYS_NOC_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00000008)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000008)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000008)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_RMSK                                                                0x81d0000f
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ADDR, HWIO_GCC_SYS_NOC_HS_AXI_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_HS_AXI_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IN)
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                              0x100000
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                  0x14
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_SW_ONLY_EN_BMSK                                                            0x8
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_SW_ONLY_EN_SHFT                                                            0x3
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_HW_CTL_BMSK                                                                0x2
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_HW_CTL_SHFT                                                                0x1
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000000c)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000000c)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000000c)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_RMSK                                                          0x81d0000f
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ATTR                                                                 0x3
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ADDR, HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IN)
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                           0x1000000
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                0x18
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                         0x800000
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                             0x17
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_DIS_BMSK                                                    0x400000
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_DIS_SHFT                                                        0x16
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                        0x100000
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                            0x14
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_SW_ONLY_EN_BMSK                                                      0x8
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_SW_ONLY_EN_SHFT                                                      0x3
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ARES_BMSK                                                        0x4
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ARES_SHFT                                                        0x2
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                               0x0
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ARES_RESET_FVAL                                                  0x1
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_HW_CTL_BMSK                                                          0x2
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_HW_CTL_SHFT                                                          0x1
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_SYS_NOC_QDSS_STM_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00000010)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000010)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000010)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_RMSK                                                             0x81c0000e
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ATTR                                                                    0x3
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ADDR, HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IN)
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_OFF_SHFT                                                           0x1f
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                              0x1000000
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                   0x18
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                            0x800000
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                0x17
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_DIS_BMSK                                                       0x400000
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_DIS_SHFT                                                           0x16
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_SW_ONLY_EN_BMSK                                                         0x8
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_SW_ONLY_EN_SHFT                                                         0x3
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_ARES_BMSK                                                           0x4
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_ARES_SHFT                                                           0x2
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                  0x0
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_CLK_ARES_RESET_FVAL                                                     0x1
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_HW_CTL_BMSK                                                             0x2
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_HW_CTL_SHFT                                                             0x1
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SYS_NOC_CPUSS_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00000014)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000014)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000014)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_RMSK                                                               0x81d0000f
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ADDR, HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IN)
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                             0x100000
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                 0x14
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SYS_NOC_AHB_CFG_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_SYS_NOC_IPA_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000018)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000018)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000018)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_RMSK                                                                   0x81d00005
#define HWIO_GCC_SYS_NOC_IPA_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_IPA_CBCR_ADDR, HWIO_GCC_SYS_NOC_IPA_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_IPA_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_IPA_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_IPA_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_IPA_CBCR_IN)
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_SYS_NOC_IPA_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SYS_NOC_IPA_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_SYS_NOC_AT_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000001c)
#define HWIO_GCC_SYS_NOC_AT_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000001c)
#define HWIO_GCC_SYS_NOC_AT_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000001c)
#define HWIO_GCC_SYS_NOC_AT_CBCR_RMSK                                                                    0x81d0000f
#define HWIO_GCC_SYS_NOC_AT_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_SYS_NOC_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_AT_CBCR_ADDR, HWIO_GCC_SYS_NOC_AT_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_AT_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_AT_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_AT_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_AT_CBCR_IN)
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                  0x100000
#define HWIO_GCC_SYS_NOC_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                      0x14
#define HWIO_GCC_SYS_NOC_AT_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_SYS_NOC_AT_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_SYS_NOC_AT_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_SYS_NOC_AT_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_SYS_NOC_AT_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_SYS_NOC_AT_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00000034)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000034)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000034)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_RMSK                                                                 0x7ffff
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ATTR                                                                     0x3
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_RCG_SW_CTRL_BMSK                                                     0x78000
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_RCG_SW_CTRL_SHFT                                                         0xf
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_SW_PERF_STATE_BMSK                                                    0x7800
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_SW_PERF_STATE_SHFT                                                       0xb
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_SW_OVERRIDE_BMSK                                                       0x400
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_SW_OVERRIDE_SHFT                                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                          0x200
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_FSM_STATE_BMSK                                                     0x1c0
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_FSM_STATE_SHFT                                                       0x6
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                     0x20
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                      0x5
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_CURR_PERF_STATE_BMSK                                                    0x1e
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_CURR_PERF_STATE_SHFT                                                     0x1
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_EN_BMSK                                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_EN_SHFT                                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_SYS_NOC_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000003c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000003c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000003c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000040)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000040)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000040)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000044)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000044)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000044)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000048)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000048)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000048)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000004c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000004c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000004c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000050)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000050)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000050)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000054)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000054)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000054)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000058)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000058)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000058)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000005c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000005c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000005c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00000060)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000060)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000060)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_RMSK                                                         0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ATTR                                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000064)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000064)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000064)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000068)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000068)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000068)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000006c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000006c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000006c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000070)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000070)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000070)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000074)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000074)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000074)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000078)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000078)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000078)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_SYS_NOC_CMD_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000020)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000020)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000020)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_RMSK                                                                   0x80000013
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_SYS_NOC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_CMD_RCGR_ADDR, HWIO_GCC_SYS_NOC_CMD_RCGR_RMSK)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_CMD_RCGR_ADDR,m,v,HWIO_GCC_SYS_NOC_CMD_RCGR_IN)
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SYS_NOC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                          0x10
#define HWIO_GCC_SYS_NOC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                           0x4
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_EN_BMSK                                                                  0x2
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_EN_SHFT                                                                  0x1
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_SYS_NOC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_SYS_NOC_CMD_RCGR_UPDATE_BMSK                                                                   0x1
#define HWIO_GCC_SYS_NOC_CMD_RCGR_UPDATE_SHFT                                                                   0x0
#define HWIO_GCC_SYS_NOC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_SYS_NOC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_SYS_NOC_CFG_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00000024)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000024)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000024)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_RMSK                                                                     0x11071f
#define HWIO_GCC_SYS_NOC_CFG_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_SYS_NOC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_CFG_RCGR_ADDR, HWIO_GCC_SYS_NOC_CFG_RCGR_RMSK)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_CFG_RCGR_ADDR,m,v,HWIO_GCC_SYS_NOC_CFG_RCGR_IN)
#define HWIO_GCC_SYS_NOC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                      0x100000
#define HWIO_GCC_SYS_NOC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                          0x14
#define HWIO_GCC_SYS_NOC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SYS_NOC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SYS_NOC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                      0x10000
#define HWIO_GCC_SYS_NOC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                         0x10
#define HWIO_GCC_SYS_NOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                          0x0
#define HWIO_GCC_SYS_NOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                         0x1
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_BMSK                                                                0x700
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SHFT                                                                  0x8
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                             0x0
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                             0x1
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                             0x2
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                             0x3
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                             0x4
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                             0x5
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                             0x6
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                             0x7
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_BMSK                                                                 0x1f
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_SHFT                                                                  0x0
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                             0x1
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                           0x2
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                             0x3
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                           0x4
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                             0x5
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                           0x6
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                             0x7
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                           0x8
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                             0x9
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                           0xa
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                             0xb
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                           0xc
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                             0xd
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                           0xe
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                             0xf
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                          0x10
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                            0x11
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                          0x12
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                           0x13
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                         0x14
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                           0x15
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                         0x16
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                           0x17
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                         0x18
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                           0x19
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                         0x1a
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                           0x1b
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                         0x1c
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                           0x1d
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                         0x1e
#define HWIO_GCC_SYS_NOC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                           0x1f

#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000014c)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000014c)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000014c)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_RMSK                                                                     0x1
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ATTR                                                                     0x3
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ADDR, HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SYS_NOC_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000016c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000016c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000016c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000170)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000170)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000170)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000174)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000174)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000174)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000178)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000178)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000178)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000017c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000017c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000017c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000180)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000180)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000180)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000184)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000184)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000184)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000188)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000188)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000188)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000018c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000018c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000018c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00000190)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000190)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000190)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00000194)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000194)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000194)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00000198)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000198)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000198)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0000019c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000019c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000019c)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x000001a0)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000001a0)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000001a0)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x000001a4)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000001a4)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000001a4)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ADDR                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x000001a8)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_PHYS                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000001a8)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_OFFS                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000001a8)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_RMSK                                                     0x71f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ATTR                                                       0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_BMSK                                             0x700
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SHFT                                               0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_BMSK                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_SHFT                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                          0x1
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                          0x5
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                        0x6
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                          0x7
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                          0x9
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                        0xa
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                          0xb
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                        0xc
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                          0xd
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                        0xe
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                          0xf
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                         0x11
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                       0x12
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                        0x13
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                      0x14
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                        0x15
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                      0x16
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                        0x17
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                      0x18
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                        0x19
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                      0x1a
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                        0x1b
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                      0x1c
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                        0x1d
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                      0x1e
#define HWIO_GCC_RPMH_SYS_NOC_SYS_NOC_HS_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                        0x1f

#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00000150)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000150)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000150)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_RMSK                                                                0x80000013
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ATTR                                                                       0x3
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ADDR, HWIO_GCC_SYS_NOC_HS_CMD_RCGR_RMSK)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ADDR,m,v,HWIO_GCC_SYS_NOC_HS_CMD_RCGR_IN)
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_OFF_SHFT                                                             0x1f
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                       0x10
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                        0x4
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_EN_BMSK                                                               0x2
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_EN_SHFT                                                               0x1
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_UPDATE_BMSK                                                                0x1
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_UPDATE_SHFT                                                                0x0
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_HS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00000154)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000154)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000154)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RMSK                                                                  0x11071f
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ATTR                                                                       0x3
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ADDR, HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RMSK)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_HS_CFG_RCGR_ADDR,m,v,HWIO_GCC_SYS_NOC_HS_CFG_RCGR_IN)
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                   0x100000
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                       0x14
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                0x0
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                   0x10000
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                      0x10
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                       0x0
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                      0x1
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_BMSK                                                             0x700
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SHFT                                                               0x8
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                          0x0
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                          0x1
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                          0x2
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                          0x3
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                          0x4
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                          0x5
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                          0x6
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                          0x7
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_BMSK                                                              0x1f
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_SHFT                                                               0x0
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                          0x1
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                        0x2
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                          0x3
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                        0x4
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                          0x5
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                        0x6
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                          0x7
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                        0x8
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                          0x9
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                        0xa
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                          0xb
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                        0xc
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                          0xd
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                        0xe
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                          0xf
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                       0x10
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                         0x11
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                       0x12
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                        0x13
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                      0x14
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                        0x15
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                      0x16
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                        0x17
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                      0x18
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                        0x19
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                      0x1a
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                        0x1b
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                      0x1c
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                        0x1d
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                      0x1e
#define HWIO_GCC_SYS_NOC_HS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                        0x1f

#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000027c)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000027c)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000027c)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_RMSK                                                                  0x1
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ATTR                                                                  0x3
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ADDR, HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_SYS_NOC_HS_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00000280)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000280)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000280)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_RMSK                                                            0x81c00005
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ATTR                                                                   0x3
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ADDR, HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_RMSK)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ADDR, m)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ADDR,v)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_ADDR,m,v,HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IN)
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_OFF_BMSK                                                    0x80000000
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_OFF_SHFT                                                          0x1f
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IGNORE_ALL_ARES_BMSK                                             0x1000000
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IGNORE_ALL_ARES_SHFT                                                  0x18
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                           0x800000
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                               0x17
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_DIS_BMSK                                                      0x400000
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_DIS_SHFT                                                          0x16
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ARES_BMSK                                                          0x4
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ARES_SHFT                                                          0x2
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ARES_NO_RESET_FVAL                                                 0x0
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ARES_RESET_FVAL                                                    0x1
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ENABLE_BMSK                                                        0x1
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ENABLE_SHFT                                                        0x0
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ENABLE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_SNOC_QOSGEN_EXTREF_CBCR_CLK_ENABLE_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_PCNOC_BCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00001000)
#define HWIO_GCC_PCNOC_BCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001000)
#define HWIO_GCC_PCNOC_BCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001000)
#define HWIO_GCC_PCNOC_BCR_RMSK                                                                                 0x1
#define HWIO_GCC_PCNOC_BCR_ATTR                                                                                 0x3
#define HWIO_GCC_PCNOC_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCNOC_BCR_ADDR, HWIO_GCC_PCNOC_BCR_RMSK)
#define HWIO_GCC_PCNOC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCNOC_BCR_ADDR, m)
#define HWIO_GCC_PCNOC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCNOC_BCR_ADDR,v)
#define HWIO_GCC_PCNOC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCNOC_BCR_ADDR,m,v,HWIO_GCC_PCNOC_BCR_IN)
#define HWIO_GCC_PCNOC_BCR_BLK_ARES_BMSK                                                                        0x1
#define HWIO_GCC_PCNOC_BCR_BLK_ARES_SHFT                                                                        0x0
#define HWIO_GCC_PCNOC_BCR_BLK_ARES_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_PCNOC_BCR_BLK_ARES_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_CFG_AHB_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00001004)
#define HWIO_GCC_CFG_AHB_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001004)
#define HWIO_GCC_CFG_AHB_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001004)
#define HWIO_GCC_CFG_AHB_CBCR_RMSK                                                                       0x81d0000f
#define HWIO_GCC_CFG_AHB_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CFG_AHB_CBCR_ADDR, HWIO_GCC_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_CFG_AHB_CBCR_IN)
#define HWIO_GCC_CFG_AHB_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_CFG_AHB_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_CFG_AHB_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_CFG_AHB_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_NOC_DCD_XO_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00001008)
#define HWIO_GCC_NOC_DCD_XO_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001008)
#define HWIO_GCC_NOC_DCD_XO_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001008)
#define HWIO_GCC_NOC_DCD_XO_CBCR_RMSK                                                                    0x81c00005
#define HWIO_GCC_NOC_DCD_XO_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_NOC_DCD_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_NOC_DCD_XO_CBCR_ADDR, HWIO_GCC_NOC_DCD_XO_CBCR_RMSK)
#define HWIO_GCC_NOC_DCD_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NOC_DCD_XO_CBCR_ADDR, m)
#define HWIO_GCC_NOC_DCD_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_NOC_DCD_XO_CBCR_ADDR,v)
#define HWIO_GCC_NOC_DCD_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NOC_DCD_XO_CBCR_ADDR,m,v,HWIO_GCC_NOC_DCD_XO_CBCR_IN)
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_NOC_DCD_XO_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_NOC_DCD_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_NOC_DCD_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_NOC_DCD_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_NOC_DCD_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000100c)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000100c)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000100c)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ADDR, HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_RMSK)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ADDR, m)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ADDR,v)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_ADDR,m,v,HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IN)
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_PCNOC_SPMI_VGIS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00001024)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001024)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001024)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_RMSK                                                                     0xffff
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_ATTR                                                                        0x3
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_CMD_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_RCG_SW_CTRL_BMSK                                                         0x8000
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_RCG_SW_CTRL_SHFT                                                            0xf
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_SW_PERF_STATE_BMSK                                                       0x7800
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_SW_PERF_STATE_SHFT                                                          0xb
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_SW_OVERRIDE_BMSK                                                          0x400
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_SW_OVERRIDE_SHFT                                                            0xa
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                             0x200
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                               0x9
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_FSM_STATE_BMSK                                                        0x1c0
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_FSM_STATE_SHFT                                                          0x6
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                        0x20
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                         0x5
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_CURR_PERF_STATE_BMSK                                                       0x1e
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_CURR_PERF_STATE_SHFT                                                        0x1
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_EN_BMSK                                                                 0x1
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_EN_SHFT                                                                 0x0
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RPMH_CNOC_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0000102c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000102c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000102c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001030)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001030)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001030)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001034)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001034)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001034)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001038)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001038)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001038)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0000103c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000103c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000103c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001040)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001040)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001040)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001044)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001044)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001044)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001048)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001048)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001048)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0000104c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000104c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000104c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00001050)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001050)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001050)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00001054)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001054)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001054)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00001058)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001058)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001058)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0000105c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000105c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000105c)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00001060)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001060)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001060)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00001064)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001064)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001064)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00001068)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001068)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001068)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_CNOC_PCNOC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_PCNOC_CMD_RCGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00001010)
#define HWIO_GCC_PCNOC_CMD_RCGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001010)
#define HWIO_GCC_PCNOC_CMD_RCGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001010)
#define HWIO_GCC_PCNOC_CMD_RCGR_RMSK                                                                     0x80000013
#define HWIO_GCC_PCNOC_CMD_RCGR_ATTR                                                                            0x3
#define HWIO_GCC_PCNOC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCNOC_CMD_RCGR_ADDR, HWIO_GCC_PCNOC_CMD_RCGR_RMSK)
#define HWIO_GCC_PCNOC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCNOC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_PCNOC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCNOC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_PCNOC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCNOC_CMD_RCGR_ADDR,m,v,HWIO_GCC_PCNOC_CMD_RCGR_IN)
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_PCNOC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                            0x10
#define HWIO_GCC_PCNOC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                             0x4
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_EN_BMSK                                                                    0x2
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_EN_SHFT                                                                    0x1
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_PCNOC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_PCNOC_CMD_RCGR_UPDATE_BMSK                                                                     0x1
#define HWIO_GCC_PCNOC_CMD_RCGR_UPDATE_SHFT                                                                     0x0
#define HWIO_GCC_PCNOC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_PCNOC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_PCNOC_CFG_RCGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00001014)
#define HWIO_GCC_PCNOC_CFG_RCGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001014)
#define HWIO_GCC_PCNOC_CFG_RCGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001014)
#define HWIO_GCC_PCNOC_CFG_RCGR_RMSK                                                                       0x11071f
#define HWIO_GCC_PCNOC_CFG_RCGR_ATTR                                                                            0x3
#define HWIO_GCC_PCNOC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCNOC_CFG_RCGR_ADDR, HWIO_GCC_PCNOC_CFG_RCGR_RMSK)
#define HWIO_GCC_PCNOC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCNOC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_PCNOC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCNOC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_PCNOC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCNOC_CFG_RCGR_ADDR,m,v,HWIO_GCC_PCNOC_CFG_RCGR_IN)
#define HWIO_GCC_PCNOC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                        0x100000
#define HWIO_GCC_PCNOC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                            0x14
#define HWIO_GCC_PCNOC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PCNOC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PCNOC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                        0x10000
#define HWIO_GCC_PCNOC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                           0x10
#define HWIO_GCC_PCNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                            0x0
#define HWIO_GCC_PCNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                           0x1
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_BMSK                                                                  0x700
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SHFT                                                                    0x8
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                               0x0
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                               0x1
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                               0x2
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                               0x3
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                               0x4
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                               0x5
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                               0x6
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                               0x7
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_BMSK                                                                   0x1f
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_SHFT                                                                    0x0
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                             0x0
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                               0x1
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                             0x2
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                               0x3
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                             0x4
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                               0x5
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                             0x6
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                               0x7
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                             0x8
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                               0x9
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                             0xa
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                               0xb
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                             0xc
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                               0xd
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                             0xe
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                               0xf
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                            0x10
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                              0x11
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                            0x12
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                             0x13
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                           0x14
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                             0x15
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                           0x16
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                             0x17
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                           0x18
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                             0x19
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                           0x1a
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                             0x1b
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                           0x1c
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                             0x1d
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                           0x1e
#define HWIO_GCC_PCNOC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                             0x1f

#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0000113c)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000113c)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000113c)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_RMSK                                                                       0x1
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ATTR                                                                       0x3
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ADDR, HWIO_GCC_PCNOC_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCNOC_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_PCNOC_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PCNOC_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_TIC_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00002000)
#define HWIO_GCC_TIC_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00002000)
#define HWIO_GCC_TIC_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00002000)
#define HWIO_GCC_TIC_CBCR_RMSK                                                                           0x81c0000f
#define HWIO_GCC_TIC_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_TIC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TIC_CBCR_ADDR, HWIO_GCC_TIC_CBCR_RMSK)
#define HWIO_GCC_TIC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TIC_CBCR_ADDR, m)
#define HWIO_GCC_TIC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TIC_CBCR_ADDR,v)
#define HWIO_GCC_TIC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TIC_CBCR_ADDR,m,v,HWIO_GCC_TIC_CBCR_IN)
#define HWIO_GCC_TIC_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_TIC_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_TIC_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_TIC_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_TIC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_TIC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_TIC_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_TIC_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_TIC_CBCR_SW_ONLY_EN_BMSK                                                                       0x8
#define HWIO_GCC_TIC_CBCR_SW_ONLY_EN_SHFT                                                                       0x3
#define HWIO_GCC_TIC_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_TIC_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_TIC_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_TIC_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_TIC_CBCR_HW_CTL_BMSK                                                                           0x2
#define HWIO_GCC_TIC_CBCR_HW_CTL_SHFT                                                                           0x1
#define HWIO_GCC_TIC_CBCR_HW_CTL_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_TIC_CBCR_HW_CTL_ENABLE_FVAL                                                                    0x1
#define HWIO_GCC_TIC_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_TIC_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_TIC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_TIC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_TIC_CFG_AHB_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00002004)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00002004)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00002004)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_RMSK                                                                   0x81d07fff
#define HWIO_GCC_TIC_CFG_AHB_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TIC_CFG_AHB_CBCR_ADDR, HWIO_GCC_TIC_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TIC_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TIC_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TIC_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_TIC_CFG_AHB_CBCR_IN)
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_CORE_ON_BMSK                                                     0x4000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_CORE_ON_SHFT                                                        0xe
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                   0x2000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                      0xd
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                         0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                  0x1000
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                     0xc
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_BMSK                                                                 0xf00
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_SHFT                                                                   0x8
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK0_FVAL                                                            0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK1_FVAL                                                            0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK2_FVAL                                                            0x2
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK3_FVAL                                                            0x3
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK4_FVAL                                                            0x4
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK5_FVAL                                                            0x5
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK6_FVAL                                                            0x6
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK7_FVAL                                                            0x7
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK8_FVAL                                                            0x8
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK9_FVAL                                                            0x9
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK10_FVAL                                                           0xa
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK11_FVAL                                                           0xb
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK12_FVAL                                                           0xc
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK13_FVAL                                                           0xd
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK14_FVAL                                                           0xe
#define HWIO_GCC_TIC_CFG_AHB_CBCR_WAKEUP_CLOCK15_FVAL                                                           0xf
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_BMSK                                                                   0xf0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_SHFT                                                                    0x4
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK0_FVAL                                                             0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK1_FVAL                                                             0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK2_FVAL                                                             0x2
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK3_FVAL                                                             0x3
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK4_FVAL                                                             0x4
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK5_FVAL                                                             0x5
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK6_FVAL                                                             0x6
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK7_FVAL                                                             0x7
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK8_FVAL                                                             0x8
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK9_FVAL                                                             0x9
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK10_FVAL                                                            0xa
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK11_FVAL                                                            0xb
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK12_FVAL                                                            0xc
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK13_FVAL                                                            0xd
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK14_FVAL                                                            0xe
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SLEEP_CLOCK15_FVAL                                                            0xf
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_TIC_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_TIC_CFG_AHB_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_TIC_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_TIC_CFG_AHB_SREGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00002008)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00002008)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00002008)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_RMSK                                                                  0xfffffffe
#define HWIO_GCC_TIC_CFG_AHB_SREGR_ATTR                                                                         0x3
#define HWIO_GCC_TIC_CFG_AHB_SREGR_IN          \
        in_dword_masked(HWIO_GCC_TIC_CFG_AHB_SREGR_ADDR, HWIO_GCC_TIC_CFG_AHB_SREGR_RMSK)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_TIC_CFG_AHB_SREGR_ADDR, m)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_TIC_CFG_AHB_SREGR_ADDR,v)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TIC_CFG_AHB_SREGR_ADDR,m,v,HWIO_GCC_TIC_CFG_AHB_SREGR_IN)
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                        0xff000000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                              0x18
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                           0xff0000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                               0x10
#define HWIO_GCC_TIC_CFG_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                              0x8000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                 0xf
#define HWIO_GCC_TIC_CFG_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                       0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                          0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                               0x4000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                  0xe
#define HWIO_GCC_TIC_CFG_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                  0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                               0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                              0x2000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                 0xd
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                     0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                        0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                          0x1000
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                             0xc
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                    0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                       0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CORE_ON_ACK_BMSK                                                       0x800
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CORE_ON_ACK_SHFT                                                         0xb
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                     0x400
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                       0xa
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                              0x300
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                0x8
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                       0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                       0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                       0x2
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                       0x3
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_ENABLE_BMSK                                                         0x80
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_ENABLE_SHFT                                                          0x7
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_FORCE_CLK_ON_BMSK                                                           0x40
#define HWIO_GCC_TIC_CFG_AHB_SREGR_FORCE_CLK_ON_SHFT                                                            0x6
#define HWIO_GCC_TIC_CFG_AHB_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                   0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                               0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                     0x20
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                      0x5
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                             0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                        0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SLP_STG_BMSK                                                         0x10
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SLP_STG_SHFT                                                          0x4
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                   0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                        0x8
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                        0x3
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                             0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                   0x4
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                   0x2
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL               0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                       0x2
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                       0x1
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                 0x0
#define HWIO_GCC_TIC_CFG_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                  0x1

#define HWIO_GCC_IMEM_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00003000)
#define HWIO_GCC_IMEM_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00003000)
#define HWIO_GCC_IMEM_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00003000)
#define HWIO_GCC_IMEM_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_IMEM_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_IMEM_BCR_IN          \
        in_dword_masked(HWIO_GCC_IMEM_BCR_ADDR, HWIO_GCC_IMEM_BCR_RMSK)
#define HWIO_GCC_IMEM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IMEM_BCR_ADDR, m)
#define HWIO_GCC_IMEM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_IMEM_BCR_ADDR,v)
#define HWIO_GCC_IMEM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IMEM_BCR_ADDR,m,v,HWIO_GCC_IMEM_BCR_IN)
#define HWIO_GCC_IMEM_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_IMEM_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_IMEM_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_IMEM_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_IMEM_AXI_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00003004)
#define HWIO_GCC_IMEM_AXI_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00003004)
#define HWIO_GCC_IMEM_AXI_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00003004)
#define HWIO_GCC_IMEM_AXI_CBCR_RMSK                                                                      0x81d07ff4
#define HWIO_GCC_IMEM_AXI_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_IMEM_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IMEM_AXI_CBCR_ADDR, HWIO_GCC_IMEM_AXI_CBCR_RMSK)
#define HWIO_GCC_IMEM_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IMEM_AXI_CBCR_ADDR, m)
#define HWIO_GCC_IMEM_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IMEM_AXI_CBCR_ADDR,v)
#define HWIO_GCC_IMEM_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IMEM_AXI_CBCR_ADDR,m,v,HWIO_GCC_IMEM_AXI_CBCR_IN)
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_IMEM_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_CORE_ON_BMSK                                                        0x4000
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_CORE_ON_SHFT                                                           0xe
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                      0x2000
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                         0xd
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                     0x1000
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                        0xc
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_IMEM_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_BMSK                                                                    0xf00
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_SHFT                                                                      0x8
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK0_FVAL                                                               0x0
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK1_FVAL                                                               0x1
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK2_FVAL                                                               0x2
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK3_FVAL                                                               0x3
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK4_FVAL                                                               0x4
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK5_FVAL                                                               0x5
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK6_FVAL                                                               0x6
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK7_FVAL                                                               0x7
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK8_FVAL                                                               0x8
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK9_FVAL                                                               0x9
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK10_FVAL                                                              0xa
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK11_FVAL                                                              0xb
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK12_FVAL                                                              0xc
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK13_FVAL                                                              0xd
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK14_FVAL                                                              0xe
#define HWIO_GCC_IMEM_AXI_CBCR_WAKEUP_CLOCK15_FVAL                                                              0xf
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_BMSK                                                                      0xf0
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_SHFT                                                                       0x4
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK0_FVAL                                                                0x0
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK1_FVAL                                                                0x1
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK2_FVAL                                                                0x2
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK3_FVAL                                                                0x3
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK4_FVAL                                                                0x4
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK5_FVAL                                                                0x5
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK6_FVAL                                                                0x6
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK7_FVAL                                                                0x7
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK8_FVAL                                                                0x8
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK9_FVAL                                                                0x9
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK10_FVAL                                                               0xa
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK11_FVAL                                                               0xb
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK12_FVAL                                                               0xc
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK13_FVAL                                                               0xd
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK14_FVAL                                                               0xe
#define HWIO_GCC_IMEM_AXI_CBCR_SLEEP_CLOCK15_FVAL                                                               0xf
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_IMEM_AXI_CBCR_CLK_ARES_RESET_FVAL                                                              0x1

#define HWIO_GCC_IMEM_AXI_SREGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00003008)
#define HWIO_GCC_IMEM_AXI_SREGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00003008)
#define HWIO_GCC_IMEM_AXI_SREGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00003008)
#define HWIO_GCC_IMEM_AXI_SREGR_RMSK                                                                     0xfffffffe
#define HWIO_GCC_IMEM_AXI_SREGR_ATTR                                                                            0x3
#define HWIO_GCC_IMEM_AXI_SREGR_IN          \
        in_dword_masked(HWIO_GCC_IMEM_AXI_SREGR_ADDR, HWIO_GCC_IMEM_AXI_SREGR_RMSK)
#define HWIO_GCC_IMEM_AXI_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_IMEM_AXI_SREGR_ADDR, m)
#define HWIO_GCC_IMEM_AXI_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_IMEM_AXI_SREGR_ADDR,v)
#define HWIO_GCC_IMEM_AXI_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IMEM_AXI_SREGR_ADDR,m,v,HWIO_GCC_IMEM_AXI_SREGR_IN)
#define HWIO_GCC_IMEM_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                           0xff000000
#define HWIO_GCC_IMEM_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                 0x18
#define HWIO_GCC_IMEM_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                              0xff0000
#define HWIO_GCC_IMEM_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                  0x10
#define HWIO_GCC_IMEM_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                 0x8000
#define HWIO_GCC_IMEM_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                    0xf
#define HWIO_GCC_IMEM_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                          0x0
#define HWIO_GCC_IMEM_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                             0x1
#define HWIO_GCC_IMEM_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                  0x4000
#define HWIO_GCC_IMEM_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                     0xe
#define HWIO_GCC_IMEM_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                     0x0
#define HWIO_GCC_IMEM_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                  0x1
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                 0x2000
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                    0xd
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                        0x0
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                           0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                             0x1000
#define HWIO_GCC_IMEM_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                0xc
#define HWIO_GCC_IMEM_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                       0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                          0x1
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CORE_ON_ACK_BMSK                                                          0x800
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CORE_ON_ACK_SHFT                                                            0xb
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                        0x400
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                          0xa
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                 0x300
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                   0x8
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                          0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                          0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                          0x2
#define HWIO_GCC_IMEM_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                          0x3
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_ENABLE_BMSK                                                            0x80
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_ENABLE_SHFT                                                             0x7
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_IMEM_AXI_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_IMEM_AXI_SREGR_FORCE_CLK_ON_BMSK                                                              0x40
#define HWIO_GCC_IMEM_AXI_SREGR_FORCE_CLK_ON_SHFT                                                               0x6
#define HWIO_GCC_IMEM_AXI_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                      0x0
#define HWIO_GCC_IMEM_AXI_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                        0x20
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                         0x5
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                           0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SLP_STG_BMSK                                                            0x10
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SLP_STG_SHFT                                                             0x4
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                   0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                      0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                           0x8
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                           0x3
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                   0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                      0x4
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                      0x2
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                  0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                          0x2
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                          0x1
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                    0x0
#define HWIO_GCC_IMEM_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                     0x1

#define HWIO_GCC_IMEM_CFG_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0000300c)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000300c)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000300c)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IMEM_CFG_AHB_CBCR_ADDR, HWIO_GCC_IMEM_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IMEM_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IMEM_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IMEM_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_IMEM_CFG_AHB_CBCR_IN)
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_IMEM_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_MMU_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00004000)
#define HWIO_GCC_MMU_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004000)
#define HWIO_GCC_MMU_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004000)
#define HWIO_GCC_MMU_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_MMU_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_MMU_BCR_IN          \
        in_dword_masked(HWIO_GCC_MMU_BCR_ADDR, HWIO_GCC_MMU_BCR_RMSK)
#define HWIO_GCC_MMU_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_BCR_ADDR, m)
#define HWIO_GCC_MMU_BCR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_BCR_ADDR,v)
#define HWIO_GCC_MMU_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_BCR_ADDR,m,v,HWIO_GCC_MMU_BCR_IN)
#define HWIO_GCC_MMU_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_MMU_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_MMU_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_MMU_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_SYS_NOC_TCU_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00004004)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004004)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004004)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_RMSK                                                                   0x81d0000f
#define HWIO_GCC_SYS_NOC_TCU_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SYS_NOC_TCU_CBCR_ADDR, HWIO_GCC_SYS_NOC_TCU_CBCR_RMSK)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SYS_NOC_TCU_CBCR_ADDR, m)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SYS_NOC_TCU_CBCR_ADDR,v)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SYS_NOC_TCU_CBCR_ADDR,m,v,HWIO_GCC_SYS_NOC_TCU_CBCR_IN)
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_SYS_NOC_TCU_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_SYS_NOC_TCU_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_SYS_NOC_TCU_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_SYS_NOC_TCU_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_SYS_NOC_TCU_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_SYS_NOC_TCU_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_SYS_NOC_TCU_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SYS_NOC_TCU_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_MMU_TCU_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004008)
#define HWIO_GCC_MMU_TCU_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004008)
#define HWIO_GCC_MMU_TCU_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004008)
#define HWIO_GCC_MMU_TCU_CBCR_RMSK                                                                       0x81d07fff
#define HWIO_GCC_MMU_TCU_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_MMU_TCU_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MMU_TCU_CBCR_ADDR, HWIO_GCC_MMU_TCU_CBCR_RMSK)
#define HWIO_GCC_MMU_TCU_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_TCU_CBCR_ADDR, m)
#define HWIO_GCC_MMU_TCU_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_TCU_CBCR_ADDR,v)
#define HWIO_GCC_MMU_TCU_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_TCU_CBCR_ADDR,m,v,HWIO_GCC_MMU_TCU_CBCR_IN)
#define HWIO_GCC_MMU_TCU_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_MMU_TCU_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_MMU_TCU_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_MMU_TCU_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_MMU_TCU_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_CORE_ON_BMSK                                                         0x4000
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_CORE_ON_SHFT                                                            0xe
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                               0x1
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                       0x2000
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                          0xd
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                      0x1000
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                         0xc
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_MMU_TCU_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_BMSK                                                                     0xf00
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_SHFT                                                                       0x8
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK0_FVAL                                                                0x0
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK1_FVAL                                                                0x1
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK2_FVAL                                                                0x2
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK3_FVAL                                                                0x3
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK4_FVAL                                                                0x4
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK5_FVAL                                                                0x5
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK6_FVAL                                                                0x6
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK7_FVAL                                                                0x7
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK8_FVAL                                                                0x8
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK9_FVAL                                                                0x9
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK10_FVAL                                                               0xa
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK11_FVAL                                                               0xb
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK12_FVAL                                                               0xc
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK13_FVAL                                                               0xd
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK14_FVAL                                                               0xe
#define HWIO_GCC_MMU_TCU_CBCR_WAKEUP_CLOCK15_FVAL                                                               0xf
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_BMSK                                                                       0xf0
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_SHFT                                                                        0x4
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK0_FVAL                                                                 0x0
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK1_FVAL                                                                 0x1
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK2_FVAL                                                                 0x2
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK3_FVAL                                                                 0x3
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK4_FVAL                                                                 0x4
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK5_FVAL                                                                 0x5
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK6_FVAL                                                                 0x6
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK7_FVAL                                                                 0x7
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK8_FVAL                                                                 0x8
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK9_FVAL                                                                 0x9
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK10_FVAL                                                                0xa
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK11_FVAL                                                                0xb
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK12_FVAL                                                                0xc
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK13_FVAL                                                                0xd
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK14_FVAL                                                                0xe
#define HWIO_GCC_MMU_TCU_CBCR_SLEEP_CLOCK15_FVAL                                                                0xf
#define HWIO_GCC_MMU_TCU_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_MMU_TCU_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_MMU_TCU_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_MMU_TCU_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_MMU_TCU_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_MMU_TCU_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_MMU_TCU_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_MMU_TCU_SREGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0000400c)
#define HWIO_GCC_MMU_TCU_SREGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000400c)
#define HWIO_GCC_MMU_TCU_SREGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000400c)
#define HWIO_GCC_MMU_TCU_SREGR_RMSK                                                                      0xfffffffe
#define HWIO_GCC_MMU_TCU_SREGR_ATTR                                                                             0x3
#define HWIO_GCC_MMU_TCU_SREGR_IN          \
        in_dword_masked(HWIO_GCC_MMU_TCU_SREGR_ADDR, HWIO_GCC_MMU_TCU_SREGR_RMSK)
#define HWIO_GCC_MMU_TCU_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_TCU_SREGR_ADDR, m)
#define HWIO_GCC_MMU_TCU_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_TCU_SREGR_ADDR,v)
#define HWIO_GCC_MMU_TCU_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_TCU_SREGR_ADDR,m,v,HWIO_GCC_MMU_TCU_SREGR_IN)
#define HWIO_GCC_MMU_TCU_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                            0xff000000
#define HWIO_GCC_MMU_TCU_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                  0x18
#define HWIO_GCC_MMU_TCU_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                               0xff0000
#define HWIO_GCC_MMU_TCU_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                   0x10
#define HWIO_GCC_MMU_TCU_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                  0x8000
#define HWIO_GCC_MMU_TCU_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                     0xf
#define HWIO_GCC_MMU_TCU_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                           0x0
#define HWIO_GCC_MMU_TCU_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                              0x1
#define HWIO_GCC_MMU_TCU_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                   0x4000
#define HWIO_GCC_MMU_TCU_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                      0xe
#define HWIO_GCC_MMU_TCU_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                      0x0
#define HWIO_GCC_MMU_TCU_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                   0x1
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                  0x2000
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                     0xd
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                         0x0
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                            0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                              0x1000
#define HWIO_GCC_MMU_TCU_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                 0xc
#define HWIO_GCC_MMU_TCU_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                        0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                           0x1
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CORE_ON_ACK_BMSK                                                           0x800
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CORE_ON_ACK_SHFT                                                             0xb
#define HWIO_GCC_MMU_TCU_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                         0x400
#define HWIO_GCC_MMU_TCU_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                           0xa
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                  0x300
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                    0x8
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                           0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                           0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                           0x2
#define HWIO_GCC_MMU_TCU_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                           0x3
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_ENABLE_BMSK                                                             0x80
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_ENABLE_SHFT                                                              0x7
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_MMU_TCU_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_MMU_TCU_SREGR_FORCE_CLK_ON_BMSK                                                               0x40
#define HWIO_GCC_MMU_TCU_SREGR_FORCE_CLK_ON_SHFT                                                                0x6
#define HWIO_GCC_MMU_TCU_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                       0x0
#define HWIO_GCC_MMU_TCU_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                         0x20
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                          0x5
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                 0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                            0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SLP_STG_BMSK                                                             0x10
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SLP_STG_SHFT                                                              0x4
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                    0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                       0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                            0x8
#define HWIO_GCC_MMU_TCU_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                            0x3
#define HWIO_GCC_MMU_TCU_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                 0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                    0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                       0x4
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                       0x2
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                   0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                           0x2
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                           0x1
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MMU_TCU_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                      0x1

#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00004024)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004024)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004024)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_RMSK                                                                    0xfffff
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_ATTR                                                                        0x3
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_CMD_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_RCG_SW_CTRL_BMSK                                                        0xf8000
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_RCG_SW_CTRL_SHFT                                                            0xf
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_SW_PERF_STATE_BMSK                                                       0x7800
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_SW_PERF_STATE_SHFT                                                          0xb
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_SW_OVERRIDE_BMSK                                                          0x400
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_SW_OVERRIDE_SHFT                                                            0xa
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                             0x200
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                               0x9
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_FSM_STATE_BMSK                                                        0x1c0
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_FSM_STATE_SHFT                                                          0x6
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                        0x20
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                         0x5
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_CURR_PERF_STATE_BMSK                                                       0x1e
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_CURR_PERF_STATE_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_EN_BMSK                                                                 0x1
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_EN_SHFT                                                                 0x0
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RPMH_SHUB_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000402c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000402c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000402c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004030)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004030)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004030)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004034)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004034)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004034)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004038)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004038)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004038)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000403c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000403c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000403c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004040)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004040)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004040)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004044)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004044)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004044)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004048)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004048)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004048)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000404c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000404c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000404c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00004050)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004050)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004050)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00004054)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004054)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004054)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00004058)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004058)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004058)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0000405c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000405c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000405c)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00004060)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004060)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004060)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00004064)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004064)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004064)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00004068)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004068)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004068)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_MMU_TCU_CMD_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00004010)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004010)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004010)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_RMSK                                                                   0x80000013
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_MMU_TCU_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MMU_TCU_CMD_RCGR_ADDR, HWIO_GCC_MMU_TCU_CMD_RCGR_RMSK)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_TCU_CMD_RCGR_ADDR, m)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_TCU_CMD_RCGR_ADDR,v)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_TCU_CMD_RCGR_ADDR,m,v,HWIO_GCC_MMU_TCU_CMD_RCGR_IN)
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_OFF_SHFT                                                                0x1f
#define HWIO_GCC_MMU_TCU_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                          0x10
#define HWIO_GCC_MMU_TCU_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                           0x4
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_EN_BMSK                                                                  0x2
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_EN_SHFT                                                                  0x1
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_MMU_TCU_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_MMU_TCU_CMD_RCGR_UPDATE_BMSK                                                                   0x1
#define HWIO_GCC_MMU_TCU_CMD_RCGR_UPDATE_SHFT                                                                   0x0
#define HWIO_GCC_MMU_TCU_CMD_RCGR_UPDATE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_MMU_TCU_CMD_RCGR_UPDATE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_MMU_TCU_CFG_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00004014)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004014)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004014)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_RMSK                                                                     0x11071f
#define HWIO_GCC_MMU_TCU_CFG_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_MMU_TCU_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MMU_TCU_CFG_RCGR_ADDR, HWIO_GCC_MMU_TCU_CFG_RCGR_RMSK)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_TCU_CFG_RCGR_ADDR, m)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_TCU_CFG_RCGR_ADDR,v)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_TCU_CFG_RCGR_ADDR,m,v,HWIO_GCC_MMU_TCU_CFG_RCGR_IN)
#define HWIO_GCC_MMU_TCU_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                      0x100000
#define HWIO_GCC_MMU_TCU_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                          0x14
#define HWIO_GCC_MMU_TCU_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_MMU_TCU_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_MMU_TCU_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                      0x10000
#define HWIO_GCC_MMU_TCU_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                         0x10
#define HWIO_GCC_MMU_TCU_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                          0x0
#define HWIO_GCC_MMU_TCU_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                         0x1
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_BMSK                                                                0x700
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SHFT                                                                  0x8
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                             0x0
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                             0x1
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                             0x2
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                             0x3
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                             0x4
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                             0x5
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                             0x6
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                             0x7
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_BMSK                                                                 0x1f
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_SHFT                                                                  0x0
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                             0x1
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                           0x2
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                             0x3
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                           0x4
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                             0x5
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                           0x6
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                             0x7
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                           0x8
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                             0x9
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                           0xa
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                             0xb
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                           0xc
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                             0xd
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                           0xe
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                             0xf
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                          0x10
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                            0x11
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                          0x12
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                           0x13
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                         0x14
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                           0x15
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                         0x16
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                           0x17
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                         0x18
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                           0x19
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                         0x1a
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                           0x1b
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                         0x1c
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                           0x1d
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                         0x1e
#define HWIO_GCC_MMU_TCU_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                           0x1f

#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000413c)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000413c)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000413c)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_RMSK                                                                     0x1
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ATTR                                                                     0x3
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ADDR, HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MMU_TCU_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_ANOC_TBU_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00005000)
#define HWIO_GCC_ANOC_TBU_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00005000)
#define HWIO_GCC_ANOC_TBU_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00005000)
#define HWIO_GCC_ANOC_TBU_BCR_RMSK                                                                              0x1
#define HWIO_GCC_ANOC_TBU_BCR_ATTR                                                                              0x3
#define HWIO_GCC_ANOC_TBU_BCR_IN          \
        in_dword_masked(HWIO_GCC_ANOC_TBU_BCR_ADDR, HWIO_GCC_ANOC_TBU_BCR_RMSK)
#define HWIO_GCC_ANOC_TBU_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ANOC_TBU_BCR_ADDR, m)
#define HWIO_GCC_ANOC_TBU_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ANOC_TBU_BCR_ADDR,v)
#define HWIO_GCC_ANOC_TBU_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ANOC_TBU_BCR_ADDR,m,v,HWIO_GCC_ANOC_TBU_BCR_IN)
#define HWIO_GCC_ANOC_TBU_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_ANOC_TBU_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_ANOC_TBU_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_ANOC_TBU_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00005004)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00005004)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00005004)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_RMSK                                                                0x81d07fff
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ADDR, HWIO_GCC_AGGRE_NOC_TBU1_CBCR_RMSK)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ADDR, m)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ADDR,v)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AGGRE_NOC_TBU1_CBCR_ADDR,m,v,HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IN)
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                              0x100000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                  0x14
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_CORE_ON_BMSK                                                  0x4000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_CORE_ON_SHFT                                                     0xe
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                0x2000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                   0xd
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                     0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                      0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                               0x1000
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                  0xc
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_BMSK                                                              0xf00
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_SHFT                                                                0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK0_FVAL                                                         0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK1_FVAL                                                         0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK2_FVAL                                                         0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK3_FVAL                                                         0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK4_FVAL                                                         0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK5_FVAL                                                         0x5
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK6_FVAL                                                         0x6
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK7_FVAL                                                         0x7
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK8_FVAL                                                         0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK9_FVAL                                                         0x9
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK10_FVAL                                                        0xa
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK11_FVAL                                                        0xb
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK12_FVAL                                                        0xc
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK13_FVAL                                                        0xd
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK14_FVAL                                                        0xe
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_WAKEUP_CLOCK15_FVAL                                                        0xf
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_BMSK                                                                0xf0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_SHFT                                                                 0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK0_FVAL                                                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK1_FVAL                                                          0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK2_FVAL                                                          0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK3_FVAL                                                          0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK4_FVAL                                                          0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK5_FVAL                                                          0x5
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK6_FVAL                                                          0x6
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK7_FVAL                                                          0x7
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK8_FVAL                                                          0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK9_FVAL                                                          0x9
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK10_FVAL                                                         0xa
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK11_FVAL                                                         0xb
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK12_FVAL                                                         0xc
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK13_FVAL                                                         0xd
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK14_FVAL                                                         0xe
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SLEEP_CLOCK15_FVAL                                                         0xf
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SW_ONLY_EN_BMSK                                                            0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_SW_ONLY_EN_SHFT                                                            0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_HW_CTL_BMSK                                                                0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_HW_CTL_SHFT                                                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_HW_CTL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_HW_CTL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00005008)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00005008)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00005008)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_RMSK                                                               0xfffffffe
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ATTR                                                                      0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IN          \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ADDR, HWIO_GCC_AGGRE_NOC_TBU1_SREGR_RMSK)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ADDR, m)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ADDR,v)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AGGRE_NOC_TBU1_SREGR_ADDR,m,v,HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IN)
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                     0xff000000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                           0x18
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                        0xff0000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                            0x10
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                           0x8000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                              0xf
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                       0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                            0x4000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                               0xe
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                               0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                           0x2000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                              0xd
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                  0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                       0x1000
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                          0xc
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                 0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CORE_ON_ACK_BMSK                                                    0x800
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CORE_ON_ACK_SHFT                                                      0xb
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                  0x400
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                    0xa
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                           0x300
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                             0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                    0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                    0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_ENABLE_BMSK                                                      0x80
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_ENABLE_SHFT                                                       0x7
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_FORCE_CLK_ON_BMSK                                                        0x40
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_FORCE_CLK_ON_SHFT                                                         0x6
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                  0x20
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                   0x5
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SLP_STG_BMSK                                                      0x10
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SLP_STG_SHFT                                                       0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                             0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                     0x8
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                     0x3
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                             0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                0x4
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL            0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                    0x2
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                              0x0
#define HWIO_GCC_AGGRE_NOC_TBU1_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                               0x1

#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0000500c)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000500c)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000500c)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_RMSK                                                                0x81d07fff
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ADDR, HWIO_GCC_AGGRE_NOC_TBU2_CBCR_RMSK)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ADDR, m)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ADDR,v)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AGGRE_NOC_TBU2_CBCR_ADDR,m,v,HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IN)
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                              0x100000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                  0x14
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_CORE_ON_BMSK                                                  0x4000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_CORE_ON_SHFT                                                     0xe
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                0x2000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                   0xd
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                     0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                      0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                               0x1000
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                  0xc
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_BMSK                                                              0xf00
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_SHFT                                                                0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK0_FVAL                                                         0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK1_FVAL                                                         0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK2_FVAL                                                         0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK3_FVAL                                                         0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK4_FVAL                                                         0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK5_FVAL                                                         0x5
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK6_FVAL                                                         0x6
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK7_FVAL                                                         0x7
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK8_FVAL                                                         0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK9_FVAL                                                         0x9
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK10_FVAL                                                        0xa
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK11_FVAL                                                        0xb
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK12_FVAL                                                        0xc
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK13_FVAL                                                        0xd
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK14_FVAL                                                        0xe
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_WAKEUP_CLOCK15_FVAL                                                        0xf
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_BMSK                                                                0xf0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_SHFT                                                                 0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK0_FVAL                                                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK1_FVAL                                                          0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK2_FVAL                                                          0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK3_FVAL                                                          0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK4_FVAL                                                          0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK5_FVAL                                                          0x5
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK6_FVAL                                                          0x6
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK7_FVAL                                                          0x7
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK8_FVAL                                                          0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK9_FVAL                                                          0x9
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK10_FVAL                                                         0xa
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK11_FVAL                                                         0xb
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK12_FVAL                                                         0xc
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK13_FVAL                                                         0xd
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK14_FVAL                                                         0xe
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SLEEP_CLOCK15_FVAL                                                         0xf
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SW_ONLY_EN_BMSK                                                            0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_SW_ONLY_EN_SHFT                                                            0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_HW_CTL_BMSK                                                                0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_HW_CTL_SHFT                                                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_HW_CTL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_HW_CTL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00005010)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00005010)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00005010)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_RMSK                                                               0xfffffffe
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ATTR                                                                      0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IN          \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ADDR, HWIO_GCC_AGGRE_NOC_TBU2_SREGR_RMSK)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ADDR, m)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ADDR,v)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AGGRE_NOC_TBU2_SREGR_ADDR,m,v,HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IN)
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                     0xff000000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                           0x18
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                        0xff0000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                            0x10
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                           0x8000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                              0xf
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                       0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                            0x4000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                               0xe
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                               0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                           0x2000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                              0xd
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                  0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                       0x1000
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                          0xc
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                 0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CORE_ON_ACK_BMSK                                                    0x800
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CORE_ON_ACK_SHFT                                                      0xb
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                  0x400
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                    0xa
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                           0x300
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                             0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                    0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                    0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                    0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_ENABLE_BMSK                                                      0x80
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_ENABLE_SHFT                                                       0x7
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_FORCE_CLK_ON_BMSK                                                        0x40
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_FORCE_CLK_ON_SHFT                                                         0x6
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                  0x20
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                   0x5
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                     0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SLP_STG_BMSK                                                      0x10
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SLP_STG_SHFT                                                       0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                             0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                     0x8
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                     0x3
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                          0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                             0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                0x4
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL            0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                    0x2
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                    0x1
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                              0x0
#define HWIO_GCC_AGGRE_NOC_TBU2_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                               0x1

#define HWIO_GCC_QDSS_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00006000)
#define HWIO_GCC_QDSS_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006000)
#define HWIO_GCC_QDSS_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006000)
#define HWIO_GCC_QDSS_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_QDSS_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_QDSS_BCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_BCR_ADDR, HWIO_GCC_QDSS_BCR_RMSK)
#define HWIO_GCC_QDSS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_BCR_ADDR, m)
#define HWIO_GCC_QDSS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_BCR_ADDR,v)
#define HWIO_GCC_QDSS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_BCR_ADDR,m,v,HWIO_GCC_QDSS_BCR_IN)
#define HWIO_GCC_QDSS_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_QDSS_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_QDSS_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_QDSS_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_QDSS_DAP_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006004)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006004)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006004)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_RMSK                                                                  0x81d0000f
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_DAP_AHB_CBCR_ADDR, HWIO_GCC_QDSS_DAP_AHB_CBCR_RMSK)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_DAP_AHB_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_DAP_AHB_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_DAP_AHB_CBCR_ADDR,m,v,HWIO_GCC_QDSS_DAP_AHB_CBCR_IN)
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_QDSS_DAP_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_QDSS_CFG_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006008)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006008)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006008)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_RMSK                                                                  0x81d0000e
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_CFG_AHB_CBCR_ADDR, HWIO_GCC_QDSS_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_QDSS_CFG_AHB_CBCR_IN)
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_QDSS_AT_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000600c)
#define HWIO_GCC_QDSS_AT_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000600c)
#define HWIO_GCC_QDSS_AT_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000600c)
#define HWIO_GCC_QDSS_AT_CBCR_RMSK                                                                       0x81d0000f
#define HWIO_GCC_QDSS_AT_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_QDSS_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_AT_CBCR_ADDR, HWIO_GCC_QDSS_AT_CBCR_RMSK)
#define HWIO_GCC_QDSS_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_AT_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_AT_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_AT_CBCR_ADDR,m,v,HWIO_GCC_QDSS_AT_CBCR_IN)
#define HWIO_GCC_QDSS_AT_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_QDSS_AT_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_QDSS_AT_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_QDSS_AT_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_QDSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_QDSS_AT_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_QDSS_AT_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_QDSS_AT_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_QDSS_AT_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_QDSS_AT_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_QDSS_AT_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_QDSS_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_QDSS_ETR_USB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006010)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006010)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006010)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_RMSK                                                                  0x81d0000f
#define HWIO_GCC_QDSS_ETR_USB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_ETR_USB_CBCR_ADDR, HWIO_GCC_QDSS_ETR_USB_CBCR_RMSK)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_ETR_USB_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_ETR_USB_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_ETR_USB_CBCR_ADDR,m,v,HWIO_GCC_QDSS_ETR_USB_CBCR_IN)
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_QDSS_ETR_USB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_QDSS_ETR_USB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_QDSS_ETR_USB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_QDSS_ETR_USB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_QDSS_ETR_USB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_QDSS_ETR_USB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_ETR_USB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_QDSS_ETR_USB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_QDSS_STM_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006014)
#define HWIO_GCC_QDSS_STM_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006014)
#define HWIO_GCC_QDSS_STM_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006014)
#define HWIO_GCC_QDSS_STM_CBCR_RMSK                                                                      0x81d0000f
#define HWIO_GCC_QDSS_STM_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_QDSS_STM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_STM_CBCR_ADDR, HWIO_GCC_QDSS_STM_CBCR_RMSK)
#define HWIO_GCC_QDSS_STM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_STM_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_STM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_STM_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_STM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_STM_CBCR_ADDR,m,v,HWIO_GCC_QDSS_STM_CBCR_IN)
#define HWIO_GCC_QDSS_STM_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_QDSS_STM_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_QDSS_STM_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_QDSS_STM_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_QDSS_STM_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_QDSS_STM_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_QDSS_STM_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_QDSS_STM_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_QDSS_STM_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_QDSS_STM_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_QDSS_STM_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_STM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006018)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006018)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006018)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_RMSK                                                               0x81d0000f
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CBCR_ADDR, HWIO_GCC_QDSS_TRACECLKIN_CBCR_RMSK)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRACECLKIN_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRACECLKIN_CBCR_ADDR,m,v,HWIO_GCC_QDSS_TRACECLKIN_CBCR_IN)
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                             0x100000
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                 0x14
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_QDSS_TSCTR_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000601c)
#define HWIO_GCC_QDSS_TSCTR_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000601c)
#define HWIO_GCC_QDSS_TSCTR_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000601c)
#define HWIO_GCC_QDSS_TSCTR_CBCR_RMSK                                                                    0x81c0000f
#define HWIO_GCC_QDSS_TSCTR_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_QDSS_TSCTR_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TSCTR_CBCR_ADDR, HWIO_GCC_QDSS_TSCTR_CBCR_RMSK)
#define HWIO_GCC_QDSS_TSCTR_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TSCTR_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_TSCTR_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TSCTR_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_TSCTR_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TSCTR_CBCR_ADDR,m,v,HWIO_GCC_QDSS_TSCTR_CBCR_IN)
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_QDSS_TSCTR_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_QDSS_TSCTR_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_QDSS_TSCTR_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_QDSS_TSCTR_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_QDSS_TSCTR_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_QDSS_TSCTR_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_QDSS_TSCTR_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_QDSS_TSCTR_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_QDSS_TSCTR_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_QDSS_TSCTR_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_QDSS_TSCTR_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_QDSS_TRIG_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00006020)
#define HWIO_GCC_QDSS_TRIG_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006020)
#define HWIO_GCC_QDSS_TRIG_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006020)
#define HWIO_GCC_QDSS_TRIG_CBCR_RMSK                                                                     0x81d0000f
#define HWIO_GCC_QDSS_TRIG_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_QDSS_TRIG_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CBCR_ADDR, HWIO_GCC_QDSS_TRIG_CBCR_RMSK)
#define HWIO_GCC_QDSS_TRIG_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_TRIG_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRIG_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_TRIG_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRIG_CBCR_ADDR,m,v,HWIO_GCC_QDSS_TRIG_CBCR_IN)
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_QDSS_TRIG_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_QDSS_TRIG_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_QDSS_TRIG_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_QDSS_TRIG_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_QDSS_TRIG_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_QDSS_TRIG_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_QDSS_TRIG_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_QDSS_TRIG_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_QDSS_DAP_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006024)
#define HWIO_GCC_QDSS_DAP_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006024)
#define HWIO_GCC_QDSS_DAP_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006024)
#define HWIO_GCC_QDSS_DAP_CBCR_RMSK                                                                      0x81c0000f
#define HWIO_GCC_QDSS_DAP_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_QDSS_DAP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_DAP_CBCR_ADDR, HWIO_GCC_QDSS_DAP_CBCR_RMSK)
#define HWIO_GCC_QDSS_DAP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_DAP_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_DAP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_DAP_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_DAP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_DAP_CBCR_ADDR,m,v,HWIO_GCC_QDSS_DAP_CBCR_IN)
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_QDSS_DAP_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_QDSS_DAP_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_QDSS_DAP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_QDSS_DAP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_QDSS_DAP_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_QDSS_DAP_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_QDSS_DAP_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_QDSS_DAP_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_QDSS_DAP_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_QDSS_DAP_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_DAP_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_APB_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00006028)
#define HWIO_GCC_APB_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006028)
#define HWIO_GCC_APB_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006028)
#define HWIO_GCC_APB_CBCR_RMSK                                                                           0x81c0000f
#define HWIO_GCC_APB_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_APB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_APB_CBCR_ADDR, HWIO_GCC_APB_CBCR_RMSK)
#define HWIO_GCC_APB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_APB_CBCR_ADDR, m)
#define HWIO_GCC_APB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_APB_CBCR_ADDR,v)
#define HWIO_GCC_APB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APB_CBCR_ADDR,m,v,HWIO_GCC_APB_CBCR_IN)
#define HWIO_GCC_APB_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_APB_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_APB_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_APB_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_APB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_APB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_APB_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_APB_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_APB_CBCR_SW_ONLY_EN_BMSK                                                                       0x8
#define HWIO_GCC_APB_CBCR_SW_ONLY_EN_SHFT                                                                       0x3
#define HWIO_GCC_APB_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_APB_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_APB_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_APB_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_APB_CBCR_HW_CTL_BMSK                                                                           0x2
#define HWIO_GCC_APB_CBCR_HW_CTL_SHFT                                                                           0x1
#define HWIO_GCC_APB_CBCR_HW_CTL_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_APB_CBCR_HW_CTL_ENABLE_FVAL                                                                    0x1
#define HWIO_GCC_APB_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_APB_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_APB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_APB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_QDSS_XO_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000602c)
#define HWIO_GCC_QDSS_XO_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000602c)
#define HWIO_GCC_QDSS_XO_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000602c)
#define HWIO_GCC_QDSS_XO_CBCR_RMSK                                                                       0x81c0000f
#define HWIO_GCC_QDSS_XO_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_QDSS_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_XO_CBCR_ADDR, HWIO_GCC_QDSS_XO_CBCR_RMSK)
#define HWIO_GCC_QDSS_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_XO_CBCR_ADDR, m)
#define HWIO_GCC_QDSS_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_XO_CBCR_ADDR,v)
#define HWIO_GCC_QDSS_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_XO_CBCR_ADDR,m,v,HWIO_GCC_QDSS_XO_CBCR_IN)
#define HWIO_GCC_QDSS_XO_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_QDSS_XO_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_QDSS_XO_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_QDSS_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_QDSS_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_QDSS_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_QDSS_XO_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_QDSS_XO_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_QDSS_XO_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_QDSS_XO_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_QDSS_XO_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_QDSS_XO_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_QDSS_XO_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_QDSS_XO_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_QDSS_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000604c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000604c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000604c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006050)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006050)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006050)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006054)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006054)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006054)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006058)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006058)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006058)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000605c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000605c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000605c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006060)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006060)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006060)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006064)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006064)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006064)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006068)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006068)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006068)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000606c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000606c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000606c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00006070)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006070)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006070)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_RMSK                                                        0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ATTR                                                          0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_BMSK                                                0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SHFT                                                  0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                             0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                             0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                             0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                             0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_BMSK                                                 0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_SHFT                                                  0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                             0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                             0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                             0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                             0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                           0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                             0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                           0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                             0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                           0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                             0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                           0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                             0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                          0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                            0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                          0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                           0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                         0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                           0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                         0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                           0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                         0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                           0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                         0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                           0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                         0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                           0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                         0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                           0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006074)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006074)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006074)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006078)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006078)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006078)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0000607c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000607c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000607c)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006080)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006080)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006080)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006084)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006084)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006084)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006088)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006088)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006088)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_QDSS_STM_CMD_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006030)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006030)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006030)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_RMSK                                                                  0x80000013
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_QDSS_STM_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_STM_CMD_RCGR_ADDR, HWIO_GCC_QDSS_STM_CMD_RCGR_RMSK)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_STM_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_STM_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_STM_CMD_RCGR_ADDR,m,v,HWIO_GCC_QDSS_STM_CMD_RCGR_IN)
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_OFF_SHFT                                                               0x1f
#define HWIO_GCC_QDSS_STM_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                         0x10
#define HWIO_GCC_QDSS_STM_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                          0x4
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_EN_BMSK                                                                 0x2
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_EN_SHFT                                                                 0x1
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_QDSS_STM_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_QDSS_STM_CMD_RCGR_UPDATE_BMSK                                                                  0x1
#define HWIO_GCC_QDSS_STM_CMD_RCGR_UPDATE_SHFT                                                                  0x0
#define HWIO_GCC_QDSS_STM_CMD_RCGR_UPDATE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_STM_CMD_RCGR_UPDATE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_QDSS_STM_CFG_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00006034)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006034)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006034)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_RMSK                                                                    0x11071f
#define HWIO_GCC_QDSS_STM_CFG_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_QDSS_STM_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_STM_CFG_RCGR_ADDR, HWIO_GCC_QDSS_STM_CFG_RCGR_RMSK)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_STM_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_STM_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_STM_CFG_RCGR_ADDR,m,v,HWIO_GCC_QDSS_STM_CFG_RCGR_IN)
#define HWIO_GCC_QDSS_STM_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                     0x100000
#define HWIO_GCC_QDSS_STM_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                         0x14
#define HWIO_GCC_QDSS_STM_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_QDSS_STM_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_QDSS_STM_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                     0x10000
#define HWIO_GCC_QDSS_STM_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                        0x10
#define HWIO_GCC_QDSS_STM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                         0x0
#define HWIO_GCC_QDSS_STM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                        0x1
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_BMSK                                                               0x700
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SHFT                                                                 0x8
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                            0x0
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                            0x1
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                            0x2
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                            0x3
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                            0x4
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                            0x5
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                            0x6
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                            0x7
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_BMSK                                                                0x1f
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_SHFT                                                                 0x0
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                          0x0
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                            0x1
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                          0x2
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                            0x3
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                          0x4
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                            0x5
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                          0x6
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                            0x7
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                          0x8
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                            0x9
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                          0xa
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                            0xb
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                          0xc
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                            0xd
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                          0xe
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                            0xf
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                         0x10
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                           0x11
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                         0x12
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                          0x13
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                        0x14
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                          0x15
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                        0x16
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                          0x17
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                        0x18
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                          0x19
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                        0x1a
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                          0x1b
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                        0x1c
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                          0x1d
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                        0x1e
#define HWIO_GCC_QDSS_STM_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                          0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006178)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006178)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006178)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000617c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000617c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000617c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006180)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006180)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006180)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006184)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006184)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006184)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006188)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006188)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006188)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000618c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000618c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000618c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006190)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006190)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006190)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006194)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006194)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006194)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00006198)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006198)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006198)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000619c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000619c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000619c)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_RMSK                                                    0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ATTR                                                      0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061a0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061a0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061a0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061a4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061a4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061a4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061a8)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061a8)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061a8)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061ac)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061ac)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061ac)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061b0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061b0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061b0)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x000061b4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000061b4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000061b4)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000615c)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000615c)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000615c)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_RMSK                                                           0x80000013
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ATTR                                                                  0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ADDR, HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_RMSK)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ADDR,m,v,HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_IN)
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_OFF_SHFT                                                        0x1f
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                  0x10
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                   0x4
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_EN_BMSK                                                          0x2
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_EN_SHFT                                                          0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_UPDATE_BMSK                                                           0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_UPDATE_SHFT                                                           0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_UPDATE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CMD_RCGR_UPDATE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00006160)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006160)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006160)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RMSK                                                             0x11071f
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ATTR                                                                  0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ADDR, HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RMSK)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_ADDR,m,v,HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_IN)
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_HW_CLK_CONTROL_BMSK                                              0x100000
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                  0x14
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                           0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                            0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RCGLITE_DISABLE_BMSK                                              0x10000
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                 0x10
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                  0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                 0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_QDSS_TRACECLKIN_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00006288)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006288)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006288)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_RMSK                                                            0x80000013
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ADDR, HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_RMSK)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ADDR,m,v,HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_IN)
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_OFF_SHFT                                                         0x1f
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                   0x10
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                    0x4
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_EN_BMSK                                                           0x2
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_EN_SHFT                                                           0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_UPDATE_BMSK                                                            0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_UPDATE_SHFT                                                            0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_UPDATE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CMD_RCGR_UPDATE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0000628c)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000628c)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000628c)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RMSK                                                              0x11071f
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ADDR, HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RMSK)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_ADDR,m,v,HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_IN)
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_HW_CLK_CONTROL_BMSK                                               0x100000
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                   0x14
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                            0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                             0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RCGLITE_DISABLE_BMSK                                               0x10000
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                  0x10
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                   0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                  0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_QDSS_APB_TSCTR_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062bc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062bc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062bc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062c0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062c0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062c0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062c4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062c4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062c4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062c8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062c8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062c8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062cc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062cc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062cc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062d0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062d0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062d0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062d4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062d4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062d4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062d8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062d8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062d8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062dc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062dc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062dc)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x000062e0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062e0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062e0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_RMSK                                                       0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ATTR                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_BMSK                                               0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SHFT                                                 0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                            0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                            0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                            0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                            0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_BMSK                                                0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_SHFT                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                          0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                            0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                          0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                            0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                          0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                            0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                          0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                            0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                          0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                            0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                          0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                            0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                          0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                            0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                          0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                            0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                         0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                           0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                         0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                          0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                        0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                          0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                        0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                          0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                        0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                          0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                        0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                          0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                        0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                          0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                        0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                          0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062e4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062e4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062e4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062e8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062e8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062e8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062ec)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062ec)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062ec)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062f0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062f0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062f0)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062f4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062f4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062f4)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062f8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062f8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062f8)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_RMSK                                                      0x71f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ATTR                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062a0)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062a0)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062a0)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_RMSK                                                                 0x80000013
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CMD_RCGR_ADDR, HWIO_GCC_QDSS_TRIG_CMD_RCGR_RMSK)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRIG_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRIG_CMD_RCGR_ADDR,m,v,HWIO_GCC_QDSS_TRIG_CMD_RCGR_IN)
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_OFF_SHFT                                                              0x1f
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                        0x10
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                         0x4
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_EN_BMSK                                                                0x2
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_EN_SHFT                                                                0x1
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_UPDATE_BMSK                                                                 0x1
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_UPDATE_SHFT                                                                 0x0
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_UPDATE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_QDSS_TRIG_CMD_RCGR_UPDATE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x000062a4)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000062a4)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000062a4)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_RMSK                                                                   0x11071f
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CFG_RCGR_ADDR, HWIO_GCC_QDSS_TRIG_CFG_RCGR_RMSK)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_TRIG_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_TRIG_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_TRIG_CFG_RCGR_ADDR,m,v,HWIO_GCC_QDSS_TRIG_CFG_RCGR_IN)
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                    0x100000
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                        0x14
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                    0x10000
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                       0x10
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                        0x0
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                       0x1
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_BMSK                                                              0x700
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SHFT                                                                0x8
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                           0x0
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                           0x1
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                           0x2
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                           0x3
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                           0x4
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                           0x5
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                           0x6
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                           0x7
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_BMSK                                                               0x1f
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_SHFT                                                                0x0
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                           0x1
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                         0x2
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                           0x3
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                         0x4
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                           0x5
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                         0x6
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                           0x7
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                         0x8
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                           0x9
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                         0xa
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                           0xb
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                         0xc
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                           0xd
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                         0xe
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                           0xf
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                        0x10
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                          0x11
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                        0x12
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                         0x13
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                       0x14
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                         0x15
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                       0x16
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                         0x17
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                       0x18
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                         0x19
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                       0x1a
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                         0x1b
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                       0x1c
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                         0x1d
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                       0x1e
#define HWIO_GCC_QDSS_TRIG_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                         0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063e8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063e8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063e8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063ec)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063ec)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063ec)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063f0)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063f0)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063f0)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063f4)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063f4)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063f4)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063f8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063f8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063f8)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000063fc)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063fc)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063fc)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00006400)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006400)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006400)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00006404)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006404)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006404)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00006408)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006408)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006408)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000640c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000640c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000640c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006410)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006410)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006410)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006414)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006414)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006414)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006418)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006418)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006418)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0000641c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000641c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000641c)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006420)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006420)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006420)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00006424)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00006424)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00006424)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_RMSK                                                           0x71f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_BMSK                                                   0x700
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SHFT                                                     0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_BMSK                                                    0x1f
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_SHFT                                                     0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                              0x0
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                0x1
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                              0x2
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                0x3
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                              0x4
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                0x5
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                              0x6
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                0x7
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                              0x8
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                0x9
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                              0xa
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                0xb
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                              0xc
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                0xd
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                              0xe
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                0xf
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                             0x10
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                               0x11
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                             0x12
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                              0x13
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                            0x14
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                              0x15
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                            0x16
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                              0x17
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                            0x18
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                              0x19
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                            0x1a
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                              0x1b
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                            0x1c
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                              0x1d
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                            0x1e
#define HWIO_GCC_RPMH_SHUB_QDSS_AT_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                              0x1f

#define HWIO_GCC_QDSS_AT_CMD_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x000063cc)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063cc)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063cc)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_RMSK                                                                   0x80000013
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_QDSS_AT_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_AT_CMD_RCGR_ADDR, HWIO_GCC_QDSS_AT_CMD_RCGR_RMSK)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_AT_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_AT_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_AT_CMD_RCGR_ADDR,m,v,HWIO_GCC_QDSS_AT_CMD_RCGR_IN)
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_OFF_SHFT                                                                0x1f
#define HWIO_GCC_QDSS_AT_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                          0x10
#define HWIO_GCC_QDSS_AT_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                           0x4
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_EN_BMSK                                                                  0x2
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_EN_SHFT                                                                  0x1
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QDSS_AT_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_QDSS_AT_CMD_RCGR_UPDATE_BMSK                                                                   0x1
#define HWIO_GCC_QDSS_AT_CMD_RCGR_UPDATE_SHFT                                                                   0x0
#define HWIO_GCC_QDSS_AT_CMD_RCGR_UPDATE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_QDSS_AT_CMD_RCGR_UPDATE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_QDSS_AT_CFG_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x000063d0)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000063d0)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000063d0)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_RMSK                                                                     0x11071f
#define HWIO_GCC_QDSS_AT_CFG_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_QDSS_AT_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QDSS_AT_CFG_RCGR_ADDR, HWIO_GCC_QDSS_AT_CFG_RCGR_RMSK)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QDSS_AT_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QDSS_AT_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QDSS_AT_CFG_RCGR_ADDR,m,v,HWIO_GCC_QDSS_AT_CFG_RCGR_IN)
#define HWIO_GCC_QDSS_AT_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                      0x100000
#define HWIO_GCC_QDSS_AT_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                          0x14
#define HWIO_GCC_QDSS_AT_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_QDSS_AT_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_QDSS_AT_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                      0x10000
#define HWIO_GCC_QDSS_AT_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                         0x10
#define HWIO_GCC_QDSS_AT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                          0x0
#define HWIO_GCC_QDSS_AT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                         0x1
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_BMSK                                                                0x700
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SHFT                                                                  0x8
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                             0x0
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                             0x1
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                             0x2
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                             0x3
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                             0x4
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                             0x5
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                             0x6
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                             0x7
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_BMSK                                                                 0x1f
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_SHFT                                                                  0x0
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                             0x1
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                           0x2
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                             0x3
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                           0x4
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                             0x5
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                           0x6
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                             0x7
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                           0x8
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                             0x9
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                           0xa
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                             0xb
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                           0xc
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                             0xd
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                           0xe
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                             0xf
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                          0x10
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                            0x11
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                          0x12
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                           0x13
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                         0x14
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                           0x15
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                         0x16
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                           0x17
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                         0x18
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                           0x19
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                         0x1a
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                           0x1b
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                         0x1c
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                           0x1d
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                         0x1e
#define HWIO_GCC_QDSS_AT_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                           0x1f

#define HWIO_GCC_USB30_BCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00007000)
#define HWIO_GCC_USB30_BCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007000)
#define HWIO_GCC_USB30_BCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007000)
#define HWIO_GCC_USB30_BCR_RMSK                                                                                 0x1
#define HWIO_GCC_USB30_BCR_ATTR                                                                                 0x3
#define HWIO_GCC_USB30_BCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_BCR_ADDR, HWIO_GCC_USB30_BCR_RMSK)
#define HWIO_GCC_USB30_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_BCR_ADDR, m)
#define HWIO_GCC_USB30_BCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_BCR_ADDR,v)
#define HWIO_GCC_USB30_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_BCR_ADDR,m,v,HWIO_GCC_USB30_BCR_IN)
#define HWIO_GCC_USB30_BCR_BLK_ARES_BMSK                                                                        0x1
#define HWIO_GCC_USB30_BCR_BLK_ARES_SHFT                                                                        0x0
#define HWIO_GCC_USB30_BCR_BLK_ARES_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_USB30_BCR_BLK_ARES_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_USB30_GDSCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00007004)
#define HWIO_GCC_USB30_GDSCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007004)
#define HWIO_GCC_USB30_GDSCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007004)
#define HWIO_GCC_USB30_GDSCR_RMSK                                                                        0xf8ffffff
#define HWIO_GCC_USB30_GDSCR_ATTR                                                                               0x3
#define HWIO_GCC_USB30_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_GDSCR_ADDR, HWIO_GCC_USB30_GDSCR_RMSK)
#define HWIO_GCC_USB30_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_GDSCR_ADDR, m)
#define HWIO_GCC_USB30_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_GDSCR_ADDR,v)
#define HWIO_GCC_USB30_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_GDSCR_ADDR,m,v,HWIO_GCC_USB30_GDSCR_IN)
#define HWIO_GCC_USB30_GDSCR_PWR_ON_BMSK                                                                 0x80000000
#define HWIO_GCC_USB30_GDSCR_PWR_ON_SHFT                                                                       0x1f
#define HWIO_GCC_USB30_GDSCR_GDSC_STATE_BMSK                                                             0x78000000
#define HWIO_GCC_USB30_GDSCR_GDSC_STATE_SHFT                                                                   0x1b
#define HWIO_GCC_USB30_GDSCR_EN_REST_WAIT_BMSK                                                             0xf00000
#define HWIO_GCC_USB30_GDSCR_EN_REST_WAIT_SHFT                                                                 0x14
#define HWIO_GCC_USB30_GDSCR_EN_FEW_WAIT_BMSK                                                               0xf0000
#define HWIO_GCC_USB30_GDSCR_EN_FEW_WAIT_SHFT                                                                  0x10
#define HWIO_GCC_USB30_GDSCR_CLK_DIS_WAIT_BMSK                                                               0xf000
#define HWIO_GCC_USB30_GDSCR_CLK_DIS_WAIT_SHFT                                                                  0xc
#define HWIO_GCC_USB30_GDSCR_RETAIN_FF_ENABLE_BMSK                                                            0x800
#define HWIO_GCC_USB30_GDSCR_RETAIN_FF_ENABLE_SHFT                                                              0xb
#define HWIO_GCC_USB30_GDSCR_RETAIN_FF_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_USB30_GDSCR_RETAIN_FF_ENABLE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_USB30_GDSCR_RESTORE_BMSK                                                                     0x400
#define HWIO_GCC_USB30_GDSCR_RESTORE_SHFT                                                                       0xa
#define HWIO_GCC_USB30_GDSCR_RESTORE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_USB30_GDSCR_RESTORE_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_USB30_GDSCR_SAVE_BMSK                                                                        0x200
#define HWIO_GCC_USB30_GDSCR_SAVE_SHFT                                                                          0x9
#define HWIO_GCC_USB30_GDSCR_SAVE_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_USB30_GDSCR_SAVE_ENABLE_FVAL                                                                   0x1
#define HWIO_GCC_USB30_GDSCR_RETAIN_BMSK                                                                      0x100
#define HWIO_GCC_USB30_GDSCR_RETAIN_SHFT                                                                        0x8
#define HWIO_GCC_USB30_GDSCR_RETAIN_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_USB30_GDSCR_RETAIN_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_USB30_GDSCR_EN_REST_BMSK                                                                      0x80
#define HWIO_GCC_USB30_GDSCR_EN_REST_SHFT                                                                       0x7
#define HWIO_GCC_USB30_GDSCR_EN_REST_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_USB30_GDSCR_EN_REST_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_USB30_GDSCR_EN_FEW_BMSK                                                                       0x40
#define HWIO_GCC_USB30_GDSCR_EN_FEW_SHFT                                                                        0x6
#define HWIO_GCC_USB30_GDSCR_EN_FEW_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_USB30_GDSCR_EN_FEW_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_USB30_GDSCR_CLAMP_IO_BMSK                                                                     0x20
#define HWIO_GCC_USB30_GDSCR_CLAMP_IO_SHFT                                                                      0x5
#define HWIO_GCC_USB30_GDSCR_CLAMP_IO_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_USB30_GDSCR_CLAMP_IO_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_USB30_GDSCR_CLK_DISABLE_BMSK                                                                  0x10
#define HWIO_GCC_USB30_GDSCR_CLK_DISABLE_SHFT                                                                   0x4
#define HWIO_GCC_USB30_GDSCR_CLK_DISABLE_CLK_NOT_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_USB30_GDSCR_CLK_DISABLE_CLK_IS_DISABLE_FVAL                                                    0x1
#define HWIO_GCC_USB30_GDSCR_PD_ARES_BMSK                                                                       0x8
#define HWIO_GCC_USB30_GDSCR_PD_ARES_SHFT                                                                       0x3
#define HWIO_GCC_USB30_GDSCR_PD_ARES_NO_RESET_FVAL                                                              0x0
#define HWIO_GCC_USB30_GDSCR_PD_ARES_RESET_FVAL                                                                 0x1
#define HWIO_GCC_USB30_GDSCR_SW_OVERRIDE_BMSK                                                                   0x4
#define HWIO_GCC_USB30_GDSCR_SW_OVERRIDE_SHFT                                                                   0x2
#define HWIO_GCC_USB30_GDSCR_SW_OVERRIDE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_USB30_GDSCR_SW_OVERRIDE_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_USB30_GDSCR_HW_CONTROL_BMSK                                                                    0x2
#define HWIO_GCC_USB30_GDSCR_HW_CONTROL_SHFT                                                                    0x1
#define HWIO_GCC_USB30_GDSCR_HW_CONTROL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_USB30_GDSCR_HW_CONTROL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_USB30_GDSCR_SW_COLLAPSE_BMSK                                                                   0x1
#define HWIO_GCC_USB30_GDSCR_SW_COLLAPSE_SHFT                                                                   0x0
#define HWIO_GCC_USB30_GDSCR_SW_COLLAPSE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_USB30_GDSCR_SW_COLLAPSE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_USB30_CFG_GDSCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00007008)
#define HWIO_GCC_USB30_CFG_GDSCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007008)
#define HWIO_GCC_USB30_CFG_GDSCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007008)
#define HWIO_GCC_USB30_CFG_GDSCR_RMSK                                                                     0x3ffffff
#define HWIO_GCC_USB30_CFG_GDSCR_ATTR                                                                           0x3
#define HWIO_GCC_USB30_CFG_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_CFG_GDSCR_ADDR, HWIO_GCC_USB30_CFG_GDSCR_RMSK)
#define HWIO_GCC_USB30_CFG_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_CFG_GDSCR_ADDR, m)
#define HWIO_GCC_USB30_CFG_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_CFG_GDSCR_ADDR,v)
#define HWIO_GCC_USB30_CFG_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_CFG_GDSCR_ADDR,m,v,HWIO_GCC_USB30_CFG_GDSCR_IN)
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PWR_DWN_START_BMSK                                                  0x2000000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PWR_DWN_START_SHFT                                                       0x19
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PWR_UP_START_BMSK                                                   0x1000000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PWR_UP_START_SHFT                                                        0x18
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_BMSK                                            0xf00000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_SHFT                                                0x14
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_BMSK                                               0x80000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_SHFT                                                  0x13
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_ENR_ACK_STATUS_BMSK                                                   0x40000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_ENR_ACK_STATUS_SHFT                                                      0x12
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_ENF_ACK_STATUS_BMSK                                                   0x20000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_ENF_ACK_STATUS_SHFT                                                      0x11
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_BMSK                                                0x10000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_SHFT                                                   0x10
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_BMSK                                               0x8000
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_SHFT                                                  0xf
#define HWIO_GCC_USB30_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_BMSK                                              0x7800
#define HWIO_GCC_USB30_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_SHFT                                                 0xb
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_HANDSHAKE_DIS_BMSK                                                      0x400
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_HANDSHAKE_DIS_SHFT                                                        0xa
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_BMSK                                               0x200
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_SHFT                                                 0x9
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_BMSK                                               0x100
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_SHFT                                                 0x8
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_BMSK                                                   0x80
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_SHFT                                                    0x7
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_BMSK                                          0x60
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_SHFT                                           0x5
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_BMSK                                                    0x10
#define HWIO_GCC_USB30_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_SHFT                                                     0x4
#define HWIO_GCC_USB30_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                              0x8
#define HWIO_GCC_USB30_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                              0x3
#define HWIO_GCC_USB30_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_BMSK                                            0x4
#define HWIO_GCC_USB30_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_SHFT                                            0x2
#define HWIO_GCC_USB30_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                                0x2
#define HWIO_GCC_USB30_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                                0x1
#define HWIO_GCC_USB30_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_BMSK                                             0x1
#define HWIO_GCC_USB30_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_SHFT                                             0x0

#define HWIO_GCC_USB30_CFG2_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000700c)
#define HWIO_GCC_USB30_CFG2_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000700c)
#define HWIO_GCC_USB30_CFG2_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000700c)
#define HWIO_GCC_USB30_CFG2_GDSCR_RMSK                                                                      0x7ffff
#define HWIO_GCC_USB30_CFG2_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_USB30_CFG2_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_CFG2_GDSCR_ADDR, HWIO_GCC_USB30_CFG2_GDSCR_RMSK)
#define HWIO_GCC_USB30_CFG2_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_CFG2_GDSCR_ADDR, m)
#define HWIO_GCC_USB30_CFG2_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_CFG2_GDSCR_ADDR,v)
#define HWIO_GCC_USB30_CFG2_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_CFG2_GDSCR_ADDR,m,v,HWIO_GCC_USB30_CFG2_GDSCR_IN)
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_BMSK                                          0x40000
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_SHFT                                             0x12
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_BMSK                                      0x20000
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_SHFT                                         0x11
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_BMSK                                                    0x10000
#define HWIO_GCC_USB30_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_SHFT                                                       0x10
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_MEM_PWR_UP_BMSK                                                        0xf000
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_MEM_PWR_UP_SHFT                                                           0xc
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_BMSK                                                 0xf00
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_SHFT                                                   0x8
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_BMSK                                                    0xf0
#define HWIO_GCC_USB30_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_SHFT                                                     0x4
#define HWIO_GCC_USB30_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_BMSK                                                      0xf
#define HWIO_GCC_USB30_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_SHFT                                                      0x0

#define HWIO_GCC_USB30_CFG3_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00007010)
#define HWIO_GCC_USB30_CFG3_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007010)
#define HWIO_GCC_USB30_CFG3_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007010)
#define HWIO_GCC_USB30_CFG3_GDSCR_RMSK                                                                    0x7ffffff
#define HWIO_GCC_USB30_CFG3_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_USB30_CFG3_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_CFG3_GDSCR_ADDR, HWIO_GCC_USB30_CFG3_GDSCR_RMSK)
#define HWIO_GCC_USB30_CFG3_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_CFG3_GDSCR_ADDR, m)
#define HWIO_GCC_USB30_CFG3_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_CFG3_GDSCR_ADDR,v)
#define HWIO_GCC_USB30_CFG3_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_CFG3_GDSCR_ADDR,m,v,HWIO_GCC_USB30_CFG3_GDSCR_IN)
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_BMSK                                  0x4000000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_SHFT                                       0x1a
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_BMSK                                               0x2000000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_SHFT                                                    0x19
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_BMSK                                          0x1e00000
#define HWIO_GCC_USB30_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_SHFT                                               0x15
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_BMSK                                           0x100000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_SHFT                                               0x14
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_DISABLE_FVAL                                        0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_ENABLE_FVAL                                         0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_BMSK                                  0x80000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_SHFT                                     0x13
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_DISABLE_FVAL                              0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_ENABLE_FVAL                               0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_BMSK                                      0x40000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_SHFT                                         0x12
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_DISABLE_FVAL                                  0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_ENABLE_FVAL                                   0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_BMSK                                       0x20000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_SHFT                                          0x11
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_DISABLE_FVAL                                   0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_ENABLE_FVAL                                    0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_BMSK                                            0x10000
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_SHFT                                               0x10
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_ENABLE_FVAL                                         0x1
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_BMSK                                                    0xff00
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_SHFT                                                       0x8
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_BMSK                                                     0xff
#define HWIO_GCC_USB30_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_SHFT                                                      0x0

#define HWIO_GCC_USB30_CFG4_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00007014)
#define HWIO_GCC_USB30_CFG4_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007014)
#define HWIO_GCC_USB30_CFG4_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007014)
#define HWIO_GCC_USB30_CFG4_GDSCR_RMSK                                                                     0xffffff
#define HWIO_GCC_USB30_CFG4_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_USB30_CFG4_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_CFG4_GDSCR_ADDR, HWIO_GCC_USB30_CFG4_GDSCR_RMSK)
#define HWIO_GCC_USB30_CFG4_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_CFG4_GDSCR_ADDR, m)
#define HWIO_GCC_USB30_CFG4_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_CFG4_GDSCR_ADDR,v)
#define HWIO_GCC_USB30_CFG4_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_CFG4_GDSCR_ADDR,m,v,HWIO_GCC_USB30_CFG4_GDSCR_IN)
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_UNCLAMPIO_BMSK                                                       0xf00000
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_UNCLAMPIO_SHFT                                                           0x14
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_RESTOREFF_BMSK                                                        0xf0000
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_RESTOREFF_SHFT                                                           0x10
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_NORETAINFF_BMSK                                                        0xf000
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_NORETAINFF_SHFT                                                           0xc
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_DEASSERTARES_BMSK                                                       0xf00
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_DEASSERTARES_SHFT                                                         0x8
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_CLAMPIO_BMSK                                                             0xf0
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_CLAMPIO_SHFT                                                              0x4
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_RETAINFF_BMSK                                                             0xf
#define HWIO_GCC_USB30_CFG4_GDSCR_DLY_RETAINFF_SHFT                                                             0x0

#define HWIO_GCC_USB30_MASTER_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00007018)
#define HWIO_GCC_USB30_MASTER_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007018)
#define HWIO_GCC_USB30_MASTER_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007018)
#define HWIO_GCC_USB30_MASTER_CBCR_RMSK                                                                  0x81c07ff5
#define HWIO_GCC_USB30_MASTER_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_USB30_MASTER_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CBCR_ADDR, HWIO_GCC_USB30_MASTER_CBCR_RMSK)
#define HWIO_GCC_USB30_MASTER_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CBCR_ADDR, m)
#define HWIO_GCC_USB30_MASTER_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_CBCR_ADDR,v)
#define HWIO_GCC_USB30_MASTER_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_CBCR_ADDR,m,v,HWIO_GCC_USB30_MASTER_CBCR_IN)
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_USB30_MASTER_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_USB30_MASTER_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_USB30_MASTER_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_USB30_MASTER_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_CORE_ON_BMSK                                                    0x4000
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_CORE_ON_SHFT                                                       0xe
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                  0x2000
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                     0xd
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                 0x1000
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                    0xc
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_USB30_MASTER_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_BMSK                                                                0xf00
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_SHFT                                                                  0x8
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK0_FVAL                                                           0x0
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK1_FVAL                                                           0x1
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK2_FVAL                                                           0x2
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK3_FVAL                                                           0x3
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK4_FVAL                                                           0x4
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK5_FVAL                                                           0x5
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK6_FVAL                                                           0x6
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK7_FVAL                                                           0x7
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK8_FVAL                                                           0x8
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK9_FVAL                                                           0x9
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK10_FVAL                                                          0xa
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK11_FVAL                                                          0xb
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK12_FVAL                                                          0xc
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK13_FVAL                                                          0xd
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK14_FVAL                                                          0xe
#define HWIO_GCC_USB30_MASTER_CBCR_WAKEUP_CLOCK15_FVAL                                                          0xf
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_BMSK                                                                  0xf0
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_SHFT                                                                   0x4
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK0_FVAL                                                            0x0
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK1_FVAL                                                            0x1
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK2_FVAL                                                            0x2
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK3_FVAL                                                            0x3
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK4_FVAL                                                            0x4
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK5_FVAL                                                            0x5
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK6_FVAL                                                            0x6
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK7_FVAL                                                            0x7
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK8_FVAL                                                            0x8
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK9_FVAL                                                            0x9
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK10_FVAL                                                           0xa
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK11_FVAL                                                           0xb
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK12_FVAL                                                           0xc
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK13_FVAL                                                           0xd
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK14_FVAL                                                           0xe
#define HWIO_GCC_USB30_MASTER_CBCR_SLEEP_CLOCK15_FVAL                                                           0xf
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_USB30_MASTER_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_USB30_MASTER_SREGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000701c)
#define HWIO_GCC_USB30_MASTER_SREGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000701c)
#define HWIO_GCC_USB30_MASTER_SREGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000701c)
#define HWIO_GCC_USB30_MASTER_SREGR_RMSK                                                                 0xfffffffe
#define HWIO_GCC_USB30_MASTER_SREGR_ATTR                                                                        0x3
#define HWIO_GCC_USB30_MASTER_SREGR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_SREGR_ADDR, HWIO_GCC_USB30_MASTER_SREGR_RMSK)
#define HWIO_GCC_USB30_MASTER_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_SREGR_ADDR, m)
#define HWIO_GCC_USB30_MASTER_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_SREGR_ADDR,v)
#define HWIO_GCC_USB30_MASTER_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_SREGR_ADDR,m,v,HWIO_GCC_USB30_MASTER_SREGR_IN)
#define HWIO_GCC_USB30_MASTER_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                       0xff000000
#define HWIO_GCC_USB30_MASTER_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                             0x18
#define HWIO_GCC_USB30_MASTER_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                          0xff0000
#define HWIO_GCC_USB30_MASTER_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                              0x10
#define HWIO_GCC_USB30_MASTER_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                             0x8000
#define HWIO_GCC_USB30_MASTER_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                0xf
#define HWIO_GCC_USB30_MASTER_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                      0x0
#define HWIO_GCC_USB30_MASTER_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                         0x1
#define HWIO_GCC_USB30_MASTER_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                              0x4000
#define HWIO_GCC_USB30_MASTER_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                 0xe
#define HWIO_GCC_USB30_MASTER_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                 0x0
#define HWIO_GCC_USB30_MASTER_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                              0x1
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                             0x2000
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                0xd
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                    0x0
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                       0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                         0x1000
#define HWIO_GCC_USB30_MASTER_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                            0xc
#define HWIO_GCC_USB30_MASTER_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                   0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                      0x1
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CORE_ON_ACK_BMSK                                                      0x800
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CORE_ON_ACK_SHFT                                                        0xb
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                    0x400
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                      0xa
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                             0x300
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                               0x8
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                      0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                      0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                      0x2
#define HWIO_GCC_USB30_MASTER_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                      0x3
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_ENABLE_BMSK                                                        0x80
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_ENABLE_SHFT                                                         0x7
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_USB30_MASTER_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_USB30_MASTER_SREGR_FORCE_CLK_ON_BMSK                                                          0x40
#define HWIO_GCC_USB30_MASTER_SREGR_FORCE_CLK_ON_SHFT                                                           0x6
#define HWIO_GCC_USB30_MASTER_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                  0x0
#define HWIO_GCC_USB30_MASTER_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                    0x20
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                     0x5
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                            0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                       0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SLP_STG_BMSK                                                        0x10
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SLP_STG_SHFT                                                         0x4
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                               0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                  0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                       0x8
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                       0x3
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                            0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                               0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                  0x4
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                  0x2
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL              0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                      0x2
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                      0x1
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                0x0
#define HWIO_GCC_USB30_MASTER_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                 0x1

#define HWIO_GCC_USB30_MSTR_AXI_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00007020)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007020)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007020)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_RMSK                                                                0x81d00005
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MSTR_AXI_CBCR_ADDR, HWIO_GCC_USB30_MSTR_AXI_CBCR_RMSK)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MSTR_AXI_CBCR_ADDR, m)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MSTR_AXI_CBCR_ADDR,v)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MSTR_AXI_CBCR_ADDR,m,v,HWIO_GCC_USB30_MSTR_AXI_CBCR_IN)
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                              0x100000
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                  0x14
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_USB30_MSTR_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_USB30_SLV_AHB_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00007024)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007024)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007024)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_RMSK                                                                 0x81d00005
#define HWIO_GCC_USB30_SLV_AHB_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_SLV_AHB_CBCR_ADDR, HWIO_GCC_USB30_SLV_AHB_CBCR_RMSK)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_SLV_AHB_CBCR_ADDR, m)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_SLV_AHB_CBCR_ADDR,v)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_SLV_AHB_CBCR_ADDR,m,v,HWIO_GCC_USB30_SLV_AHB_CBCR_IN)
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_USB30_SLV_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_USB30_SLV_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_USB30_SLEEP_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00007028)
#define HWIO_GCC_USB30_SLEEP_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007028)
#define HWIO_GCC_USB30_SLEEP_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007028)
#define HWIO_GCC_USB30_SLEEP_CBCR_RMSK                                                                   0x81c00005
#define HWIO_GCC_USB30_SLEEP_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_USB30_SLEEP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_SLEEP_CBCR_ADDR, HWIO_GCC_USB30_SLEEP_CBCR_RMSK)
#define HWIO_GCC_USB30_SLEEP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_SLEEP_CBCR_ADDR, m)
#define HWIO_GCC_USB30_SLEEP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_SLEEP_CBCR_ADDR,v)
#define HWIO_GCC_USB30_SLEEP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_SLEEP_CBCR_ADDR,m,v,HWIO_GCC_USB30_SLEEP_CBCR_IN)
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_USB30_SLEEP_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_USB30_SLEEP_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_USB30_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_USB30_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_USB30_SLEEP_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000702c)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000702c)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000702c)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CBCR_ADDR, HWIO_GCC_USB30_MOCK_UTMI_CBCR_RMSK)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CBCR_ADDR, m)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MOCK_UTMI_CBCR_ADDR,v)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MOCK_UTMI_CBCR_ADDR,m,v,HWIO_GCC_USB30_MOCK_UTMI_CBCR_IN)
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00007030)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007030)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007030)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_RMSK                                                              0x800000f3
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CMD_RCGR_ADDR, HWIO_GCC_USB30_MASTER_CMD_RCGR_RMSK)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CMD_RCGR_ADDR, m)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_CMD_RCGR_ADDR,v)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_CMD_RCGR_ADDR,m,v,HWIO_GCC_USB30_MASTER_CMD_RCGR_IN)
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_OFF_SHFT                                                           0x1f
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_D_BMSK                                                            0x80
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_D_SHFT                                                             0x7
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_N_BMSK                                                            0x40
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_N_SHFT                                                             0x6
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_M_BMSK                                                            0x20
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_M_SHFT                                                             0x5
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                     0x10
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                      0x4
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_EN_BMSK                                                             0x2
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_EN_SHFT                                                             0x1
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_UPDATE_BMSK                                                              0x1
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_UPDATE_SHFT                                                              0x0
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_UPDATE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_USB30_MASTER_CMD_RCGR_UPDATE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_USB30_MASTER_CFG_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00007034)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007034)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007034)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_RMSK                                                                0x10371f
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CFG_RCGR_ADDR, HWIO_GCC_USB30_MASTER_CFG_RCGR_RMSK)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_CFG_RCGR_ADDR, m)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_CFG_RCGR_ADDR,v)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_CFG_RCGR_ADDR,m,v,HWIO_GCC_USB30_MASTER_CFG_RCGR_IN)
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                 0x100000
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                     0x14
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                              0x0
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                               0x1
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_BMSK                                                             0x3000
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_SHFT                                                                0xc
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_SWALLOW_FVAL                                                        0x1
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                      0x2
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                    0x3
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_BMSK                                                           0x700
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SHFT                                                             0x8
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                        0x0
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                        0x1
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                        0x2
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                        0x3
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                        0x4
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                        0x5
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                        0x6
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                        0x7
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_BMSK                                                            0x1f
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_SHFT                                                             0x0
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                      0x0
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                        0x1
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                      0x2
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                        0x3
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                      0x4
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                        0x5
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                      0x6
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                        0x7
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                      0x8
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                        0x9
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                      0xa
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                        0xb
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                      0xc
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                        0xd
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                      0xe
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                        0xf
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                     0x10
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                       0x11
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                     0x12
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                      0x13
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                    0x14
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                      0x15
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                    0x16
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                      0x17
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                    0x18
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                      0x19
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                    0x1a
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                      0x1b
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                    0x1c
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                      0x1d
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                    0x1e
#define HWIO_GCC_USB30_MASTER_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                      0x1f

#define HWIO_GCC_USB30_MASTER_M_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00007038)
#define HWIO_GCC_USB30_MASTER_M_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007038)
#define HWIO_GCC_USB30_MASTER_M_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007038)
#define HWIO_GCC_USB30_MASTER_M_RMSK                                                                           0xff
#define HWIO_GCC_USB30_MASTER_M_ATTR                                                                            0x3
#define HWIO_GCC_USB30_MASTER_M_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_M_ADDR, HWIO_GCC_USB30_MASTER_M_RMSK)
#define HWIO_GCC_USB30_MASTER_M_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_M_ADDR, m)
#define HWIO_GCC_USB30_MASTER_M_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_M_ADDR,v)
#define HWIO_GCC_USB30_MASTER_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_M_ADDR,m,v,HWIO_GCC_USB30_MASTER_M_IN)
#define HWIO_GCC_USB30_MASTER_M_M_BMSK                                                                         0xff
#define HWIO_GCC_USB30_MASTER_M_M_SHFT                                                                          0x0

#define HWIO_GCC_USB30_MASTER_N_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000703c)
#define HWIO_GCC_USB30_MASTER_N_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000703c)
#define HWIO_GCC_USB30_MASTER_N_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000703c)
#define HWIO_GCC_USB30_MASTER_N_RMSK                                                                           0xff
#define HWIO_GCC_USB30_MASTER_N_ATTR                                                                            0x3
#define HWIO_GCC_USB30_MASTER_N_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_N_ADDR, HWIO_GCC_USB30_MASTER_N_RMSK)
#define HWIO_GCC_USB30_MASTER_N_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_N_ADDR, m)
#define HWIO_GCC_USB30_MASTER_N_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_N_ADDR,v)
#define HWIO_GCC_USB30_MASTER_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_N_ADDR,m,v,HWIO_GCC_USB30_MASTER_N_IN)
#define HWIO_GCC_USB30_MASTER_N_NOT_N_MINUS_M_BMSK                                                             0xff
#define HWIO_GCC_USB30_MASTER_N_NOT_N_MINUS_M_SHFT                                                              0x0

#define HWIO_GCC_USB30_MASTER_D_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00007040)
#define HWIO_GCC_USB30_MASTER_D_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007040)
#define HWIO_GCC_USB30_MASTER_D_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007040)
#define HWIO_GCC_USB30_MASTER_D_RMSK                                                                           0xff
#define HWIO_GCC_USB30_MASTER_D_ATTR                                                                            0x3
#define HWIO_GCC_USB30_MASTER_D_IN          \
        in_dword_masked(HWIO_GCC_USB30_MASTER_D_ADDR, HWIO_GCC_USB30_MASTER_D_RMSK)
#define HWIO_GCC_USB30_MASTER_D_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MASTER_D_ADDR, m)
#define HWIO_GCC_USB30_MASTER_D_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MASTER_D_ADDR,v)
#define HWIO_GCC_USB30_MASTER_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MASTER_D_ADDR,m,v,HWIO_GCC_USB30_MASTER_D_IN)
#define HWIO_GCC_USB30_MASTER_D_NOT_2D_BMSK                                                                    0xff
#define HWIO_GCC_USB30_MASTER_D_NOT_2D_SHFT                                                                     0x0

#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00007048)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007048)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007048)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_RMSK                                                           0x80000013
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ATTR                                                                  0x3
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ADDR, HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_RMSK)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ADDR, m)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ADDR,v)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ADDR,m,v,HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_IN)
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_OFF_SHFT                                                        0x1f
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                  0x10
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                   0x4
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_EN_BMSK                                                          0x2
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_EN_SHFT                                                          0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_UPDATE_BMSK                                                           0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_UPDATE_SHFT                                                           0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_UPDATE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CMD_RCGR_UPDATE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000704c)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000704c)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000704c)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RMSK                                                             0x11071f
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ATTR                                                                  0x3
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ADDR, HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RMSK)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ADDR, m)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ADDR,v)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_ADDR,m,v,HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_IN)
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_HW_CLK_CONTROL_BMSK                                              0x100000
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                  0x14
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                           0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                            0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RCGLITE_DISABLE_BMSK                                              0x10000
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                 0x10
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                  0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                 0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_USB30_MOCK_UTMI_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00007060)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007060)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007060)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_RMSK                                                             0xf
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ATTR                                                             0x3
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ADDR, HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_RMSK)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ADDR, m)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ADDR,v)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_ADDR,m,v,HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_IN)
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_CLK_DIV_BMSK                                                     0xf
#define HWIO_GCC_USB30_MOCK_UTMI_POSTDIV_CDIVR_CLK_DIV_SHFT                                                     0x0

#define HWIO_GCC_USB3_PHY_AUX_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00007064)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007064)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007064)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_RMSK                                                                  0x81c00005
#define HWIO_GCC_USB3_PHY_AUX_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_USB3_PHY_AUX_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CBCR_ADDR, HWIO_GCC_USB3_PHY_AUX_CBCR_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CBCR_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_CBCR_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_CBCR_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_CBCR_IN)
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_USB3_PHY_AUX_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_USB3_PHY_AUX_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_USB3_PHY_AUX_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_USB3_PHY_AUX_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_USB3_PHY_AUX_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_USB3_PHY_PIPE_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00007068)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007068)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007068)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_RMSK                                                                 0x81c0000f
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_PIPE_CBCR_ADDR, HWIO_GCC_USB3_PHY_PIPE_CBCR_RMSK)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_PIPE_CBCR_ADDR, m)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_PIPE_CBCR_ADDR,v)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_PIPE_CBCR_ADDR,m,v,HWIO_GCC_USB3_PHY_PIPE_CBCR_IN)
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_SW_ONLY_EN_BMSK                                                             0x8
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_SW_ONLY_EN_SHFT                                                             0x3
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_HW_CTL_BMSK                                                                 0x2
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_HW_CTL_SHFT                                                                 0x1
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_HW_CTL_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_HW_CTL_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_USB3_PHY_PIPE_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00007070)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007070)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007070)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_RMSK                                                              0x800000f3
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ADDR, HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_IN)
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_OFF_SHFT                                                           0x1f
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_D_BMSK                                                            0x80
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_D_SHFT                                                             0x7
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_N_BMSK                                                            0x40
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_N_SHFT                                                             0x6
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_M_BMSK                                                            0x20
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_M_SHFT                                                             0x5
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                     0x10
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                      0x4
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_EN_BMSK                                                             0x2
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_EN_SHFT                                                             0x1
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_UPDATE_BMSK                                                              0x1
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_UPDATE_SHFT                                                              0x0
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_UPDATE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_USB3_PHY_AUX_CMD_RCGR_UPDATE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00007074)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007074)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007074)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_RMSK                                                                0x10371f
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ADDR, HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_IN)
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                 0x100000
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                     0x14
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                              0x0
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                               0x1
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_BMSK                                                             0x3000
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_SHFT                                                                0xc
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_SWALLOW_FVAL                                                        0x1
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                      0x2
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                    0x3
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_BMSK                                                           0x700
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SHFT                                                             0x8
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                        0x0
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                        0x1
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                        0x2
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                        0x3
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                        0x4
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                        0x5
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                        0x6
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                        0x7
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_BMSK                                                            0x1f
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_SHFT                                                             0x0
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                      0x0
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                        0x1
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                      0x2
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                        0x3
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                      0x4
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                        0x5
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                      0x6
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                        0x7
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                      0x8
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                        0x9
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                      0xa
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                        0xb
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                      0xc
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                        0xd
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                      0xe
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                        0xf
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                     0x10
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                       0x11
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                     0x12
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                      0x13
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                    0x14
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                      0x15
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                    0x16
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                      0x17
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                    0x18
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                      0x19
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                    0x1a
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                      0x1b
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                    0x1c
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                      0x1d
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                    0x1e
#define HWIO_GCC_USB3_PHY_AUX_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                      0x1f

#define HWIO_GCC_USB3_PHY_AUX_M_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00007078)
#define HWIO_GCC_USB3_PHY_AUX_M_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007078)
#define HWIO_GCC_USB3_PHY_AUX_M_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007078)
#define HWIO_GCC_USB3_PHY_AUX_M_RMSK                                                                         0xffff
#define HWIO_GCC_USB3_PHY_AUX_M_ATTR                                                                            0x3
#define HWIO_GCC_USB3_PHY_AUX_M_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_M_ADDR, HWIO_GCC_USB3_PHY_AUX_M_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_M_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_M_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_M_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_M_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_M_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_M_IN)
#define HWIO_GCC_USB3_PHY_AUX_M_M_BMSK                                                                       0xffff
#define HWIO_GCC_USB3_PHY_AUX_M_M_SHFT                                                                          0x0

#define HWIO_GCC_USB3_PHY_AUX_N_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000707c)
#define HWIO_GCC_USB3_PHY_AUX_N_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000707c)
#define HWIO_GCC_USB3_PHY_AUX_N_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000707c)
#define HWIO_GCC_USB3_PHY_AUX_N_RMSK                                                                         0xffff
#define HWIO_GCC_USB3_PHY_AUX_N_ATTR                                                                            0x3
#define HWIO_GCC_USB3_PHY_AUX_N_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_N_ADDR, HWIO_GCC_USB3_PHY_AUX_N_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_N_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_N_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_N_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_N_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_N_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_N_IN)
#define HWIO_GCC_USB3_PHY_AUX_N_NOT_N_MINUS_M_BMSK                                                           0xffff
#define HWIO_GCC_USB3_PHY_AUX_N_NOT_N_MINUS_M_SHFT                                                              0x0

#define HWIO_GCC_USB3_PHY_AUX_D_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00007080)
#define HWIO_GCC_USB3_PHY_AUX_D_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00007080)
#define HWIO_GCC_USB3_PHY_AUX_D_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00007080)
#define HWIO_GCC_USB3_PHY_AUX_D_RMSK                                                                         0xffff
#define HWIO_GCC_USB3_PHY_AUX_D_ATTR                                                                            0x3
#define HWIO_GCC_USB3_PHY_AUX_D_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_D_ADDR, HWIO_GCC_USB3_PHY_AUX_D_RMSK)
#define HWIO_GCC_USB3_PHY_AUX_D_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_AUX_D_ADDR, m)
#define HWIO_GCC_USB3_PHY_AUX_D_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_AUX_D_ADDR,v)
#define HWIO_GCC_USB3_PHY_AUX_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_AUX_D_ADDR,m,v,HWIO_GCC_USB3_PHY_AUX_D_IN)
#define HWIO_GCC_USB3_PHY_AUX_D_NOT_2D_BMSK                                                                  0xffff
#define HWIO_GCC_USB3_PHY_AUX_D_NOT_2D_SHFT                                                                     0x0

#define HWIO_GCC_USB3_PHY_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00008000)
#define HWIO_GCC_USB3_PHY_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00008000)
#define HWIO_GCC_USB3_PHY_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00008000)
#define HWIO_GCC_USB3_PHY_BCR_RMSK                                                                              0x1
#define HWIO_GCC_USB3_PHY_BCR_ATTR                                                                              0x3
#define HWIO_GCC_USB3_PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_BCR_ADDR, HWIO_GCC_USB3_PHY_BCR_RMSK)
#define HWIO_GCC_USB3_PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_BCR_ADDR, m)
#define HWIO_GCC_USB3_PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_BCR_ADDR,v)
#define HWIO_GCC_USB3_PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_BCR_ADDR,m,v,HWIO_GCC_USB3_PHY_BCR_IN)
#define HWIO_GCC_USB3_PHY_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_USB3_PHY_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_USB3_PHY_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_USB3_PHY_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_USB3PHY_PHY_BCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00008004)
#define HWIO_GCC_USB3PHY_PHY_BCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00008004)
#define HWIO_GCC_USB3PHY_PHY_BCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00008004)
#define HWIO_GCC_USB3PHY_PHY_BCR_RMSK                                                                           0x1
#define HWIO_GCC_USB3PHY_PHY_BCR_ATTR                                                                           0x3
#define HWIO_GCC_USB3PHY_PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_USB3PHY_PHY_BCR_ADDR, HWIO_GCC_USB3PHY_PHY_BCR_RMSK)
#define HWIO_GCC_USB3PHY_PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3PHY_PHY_BCR_ADDR, m)
#define HWIO_GCC_USB3PHY_PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_USB3PHY_PHY_BCR_ADDR,v)
#define HWIO_GCC_USB3PHY_PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3PHY_PHY_BCR_ADDR,m,v,HWIO_GCC_USB3PHY_PHY_BCR_IN)
#define HWIO_GCC_USB3PHY_PHY_BCR_BLK_ARES_BMSK                                                                  0x1
#define HWIO_GCC_USB3PHY_PHY_BCR_BLK_ARES_SHFT                                                                  0x0
#define HWIO_GCC_USB3PHY_PHY_BCR_BLK_ARES_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_USB3PHY_PHY_BCR_BLK_ARES_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_QUSB2PHY_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00009000)
#define HWIO_GCC_QUSB2PHY_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00009000)
#define HWIO_GCC_QUSB2PHY_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00009000)
#define HWIO_GCC_QUSB2PHY_BCR_RMSK                                                                              0x1
#define HWIO_GCC_QUSB2PHY_BCR_ATTR                                                                              0x3
#define HWIO_GCC_QUSB2PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_QUSB2PHY_BCR_ADDR, HWIO_GCC_QUSB2PHY_BCR_RMSK)
#define HWIO_GCC_QUSB2PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QUSB2PHY_BCR_ADDR, m)
#define HWIO_GCC_QUSB2PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_QUSB2PHY_BCR_ADDR,v)
#define HWIO_GCC_QUSB2PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QUSB2PHY_BCR_ADDR,m,v,HWIO_GCC_QUSB2PHY_BCR_IN)
#define HWIO_GCC_QUSB2PHY_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_QUSB2PHY_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_QUSB2PHY_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_QUSB2PHY_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00009004)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00009004)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00009004)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_RMSK                                                                   0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ATTR                                                                   0x3
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ADDR, HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_RMSK)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ADDR, m)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ADDR,v)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_ADDR,m,v,HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_IN)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_BLK_ARES_BMSK                                                          0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_BLK_ARES_SHFT                                                          0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_BLK_ARES_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_BCR_BLK_ARES_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00009008)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00009008)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00009008)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_RMSK                                                           0x81d0000f
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ADDR, HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_RMSK)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ADDR, m)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ADDR,v)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_ADDR,m,v,HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IN)
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                         0x100000
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                             0x14
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_SW_ONLY_EN_BMSK                                                       0x8
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_SW_ONLY_EN_SHFT                                                       0x3
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_HW_CTL_BMSK                                                           0x2
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_HW_CTL_SHFT                                                           0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_HW_CTL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_HW_CTL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_USB_PHY_CFG_AHB2PHY_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_SDCC1_BCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a000)
#define HWIO_GCC_SDCC1_BCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a000)
#define HWIO_GCC_SDCC1_BCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a000)
#define HWIO_GCC_SDCC1_BCR_RMSK                                                                                 0x1
#define HWIO_GCC_SDCC1_BCR_ATTR                                                                                 0x3
#define HWIO_GCC_SDCC1_BCR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_BCR_ADDR, HWIO_GCC_SDCC1_BCR_RMSK)
#define HWIO_GCC_SDCC1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_BCR_ADDR, m)
#define HWIO_GCC_SDCC1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_BCR_ADDR,v)
#define HWIO_GCC_SDCC1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_BCR_ADDR,m,v,HWIO_GCC_SDCC1_BCR_IN)
#define HWIO_GCC_SDCC1_BCR_BLK_ARES_BMSK                                                                        0x1
#define HWIO_GCC_SDCC1_BCR_BLK_ARES_SHFT                                                                        0x0
#define HWIO_GCC_SDCC1_BCR_BLK_ARES_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_SDCC1_BCR_BLK_ARES_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_SDCC1_APPS_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a004)
#define HWIO_GCC_SDCC1_APPS_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a004)
#define HWIO_GCC_SDCC1_APPS_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a004)
#define HWIO_GCC_SDCC1_APPS_CBCR_RMSK                                                                    0x81c07ff5
#define HWIO_GCC_SDCC1_APPS_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_SDCC1_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CBCR_ADDR, HWIO_GCC_SDCC1_APPS_CBCR_RMSK)
#define HWIO_GCC_SDCC1_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CBCR_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_CBCR_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_CBCR_ADDR,m,v,HWIO_GCC_SDCC1_APPS_CBCR_IN)
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_SDCC1_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_SDCC1_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_SDCC1_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_SDCC1_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_CORE_ON_BMSK                                                      0x4000
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_CORE_ON_SHFT                                                         0xe
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                    0x2000
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                       0xd
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                   0x1000
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                      0xc
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                         0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_BMSK                                                                  0xf00
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_SHFT                                                                    0x8
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK0_FVAL                                                             0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK1_FVAL                                                             0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK2_FVAL                                                             0x2
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK3_FVAL                                                             0x3
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK4_FVAL                                                             0x4
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK5_FVAL                                                             0x5
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK6_FVAL                                                             0x6
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK7_FVAL                                                             0x7
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK8_FVAL                                                             0x8
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK9_FVAL                                                             0x9
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK10_FVAL                                                            0xa
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK11_FVAL                                                            0xb
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK12_FVAL                                                            0xc
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK13_FVAL                                                            0xd
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK14_FVAL                                                            0xe
#define HWIO_GCC_SDCC1_APPS_CBCR_WAKEUP_CLOCK15_FVAL                                                            0xf
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_BMSK                                                                    0xf0
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_SHFT                                                                     0x4
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK0_FVAL                                                              0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK1_FVAL                                                              0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK2_FVAL                                                              0x2
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK3_FVAL                                                              0x3
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK4_FVAL                                                              0x4
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK5_FVAL                                                              0x5
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK6_FVAL                                                              0x6
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK7_FVAL                                                              0x7
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK8_FVAL                                                              0x8
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK9_FVAL                                                              0x9
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK10_FVAL                                                             0xa
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK11_FVAL                                                             0xb
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK12_FVAL                                                             0xc
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK13_FVAL                                                             0xd
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK14_FVAL                                                             0xe
#define HWIO_GCC_SDCC1_APPS_CBCR_SLEEP_CLOCK15_FVAL                                                             0xf
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SDCC1_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_SDCC1_APPS_SREGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a008)
#define HWIO_GCC_SDCC1_APPS_SREGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a008)
#define HWIO_GCC_SDCC1_APPS_SREGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a008)
#define HWIO_GCC_SDCC1_APPS_SREGR_RMSK                                                                   0xfffffffe
#define HWIO_GCC_SDCC1_APPS_SREGR_ATTR                                                                          0x3
#define HWIO_GCC_SDCC1_APPS_SREGR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_SREGR_ADDR, HWIO_GCC_SDCC1_APPS_SREGR_RMSK)
#define HWIO_GCC_SDCC1_APPS_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_SREGR_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_SREGR_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_SREGR_ADDR,m,v,HWIO_GCC_SDCC1_APPS_SREGR_IN)
#define HWIO_GCC_SDCC1_APPS_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                         0xff000000
#define HWIO_GCC_SDCC1_APPS_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                               0x18
#define HWIO_GCC_SDCC1_APPS_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                            0xff0000
#define HWIO_GCC_SDCC1_APPS_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                0x10
#define HWIO_GCC_SDCC1_APPS_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                               0x8000
#define HWIO_GCC_SDCC1_APPS_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                  0xf
#define HWIO_GCC_SDCC1_APPS_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                        0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                           0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                0x4000
#define HWIO_GCC_SDCC1_APPS_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                   0xe
#define HWIO_GCC_SDCC1_APPS_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                   0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                               0x2000
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                  0xd
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                      0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                         0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                           0x1000
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                              0xc
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                     0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                        0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CORE_ON_ACK_BMSK                                                        0x800
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CORE_ON_ACK_SHFT                                                          0xb
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                      0x400
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                        0xa
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                               0x300
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                 0x8
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                        0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                        0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                        0x2
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                        0x3
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_ENABLE_BMSK                                                          0x80
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_ENABLE_SHFT                                                           0x7
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_FORCE_CLK_ON_BMSK                                                            0x40
#define HWIO_GCC_SDCC1_APPS_SREGR_FORCE_CLK_ON_SHFT                                                             0x6
#define HWIO_GCC_SDCC1_APPS_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                    0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                      0x20
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                       0x5
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                              0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                         0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SLP_STG_BMSK                                                          0x10
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SLP_STG_SHFT                                                           0x4
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                 0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                    0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                         0x8
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                         0x3
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                              0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                 0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                    0x4
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                    0x2
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                        0x2
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                        0x1
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SDCC1_APPS_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                   0x1

#define HWIO_GCC_SDCC1_AHB_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a00c)
#define HWIO_GCC_SDCC1_AHB_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a00c)
#define HWIO_GCC_SDCC1_AHB_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a00c)
#define HWIO_GCC_SDCC1_AHB_CBCR_RMSK                                                                     0x81d00005
#define HWIO_GCC_SDCC1_AHB_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_SDCC1_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_AHB_CBCR_ADDR, HWIO_GCC_SDCC1_AHB_CBCR_RMSK)
#define HWIO_GCC_SDCC1_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SDCC1_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SDCC1_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_AHB_CBCR_ADDR,m,v,HWIO_GCC_SDCC1_AHB_CBCR_IN)
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_SDCC1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SDCC1_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a010)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a010)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a010)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_RMSK                                                                0x800000f3
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ATTR                                                                       0x3
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CMD_RCGR_ADDR, HWIO_GCC_SDCC1_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_SDCC1_APPS_CMD_RCGR_IN)
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                             0x1f
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_D_BMSK                                                              0x80
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_D_SHFT                                                               0x7
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_N_BMSK                                                              0x40
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_N_SHFT                                                               0x6
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_M_BMSK                                                              0x20
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_M_SHFT                                                               0x5
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                       0x10
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                        0x4
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_EN_BMSK                                                               0x2
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_EN_SHFT                                                               0x1
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_UPDATE_BMSK                                                                0x1
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_UPDATE_SHFT                                                                0x0
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SDCC1_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a014)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a014)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a014)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_RMSK                                                                  0x10371f
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_ATTR                                                                       0x3
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CFG_RCGR_ADDR, HWIO_GCC_SDCC1_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_SDCC1_APPS_CFG_RCGR_IN)
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                   0x100000
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                       0x14
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                0x0
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_BMSK                                                               0x3000
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_SHFT                                                                  0xc
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                          0x1
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                        0x2
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                      0x3
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_BMSK                                                             0x700
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SHFT                                                               0x8
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                          0x0
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                          0x1
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                          0x2
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                          0x3
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                          0x4
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                          0x5
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                          0x6
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                          0x7
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_BMSK                                                              0x1f
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_SHFT                                                               0x0
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                        0x0
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                          0x1
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                        0x2
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                          0x3
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                        0x4
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                          0x5
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                        0x6
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                          0x7
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                        0x8
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                          0x9
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                        0xa
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                          0xb
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                        0xc
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                          0xd
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                        0xe
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                          0xf
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                       0x10
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                         0x11
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                       0x12
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                        0x13
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                      0x14
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                        0x15
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                      0x16
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                        0x17
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                      0x18
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                        0x19
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                      0x1a
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                        0x1b
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                      0x1c
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                        0x1d
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                      0x1e
#define HWIO_GCC_SDCC1_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                        0x1f

#define HWIO_GCC_SDCC1_APPS_M_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a018)
#define HWIO_GCC_SDCC1_APPS_M_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a018)
#define HWIO_GCC_SDCC1_APPS_M_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a018)
#define HWIO_GCC_SDCC1_APPS_M_RMSK                                                                             0xff
#define HWIO_GCC_SDCC1_APPS_M_ATTR                                                                              0x3
#define HWIO_GCC_SDCC1_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_M_ADDR, HWIO_GCC_SDCC1_APPS_M_RMSK)
#define HWIO_GCC_SDCC1_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_M_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_M_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_M_ADDR,m,v,HWIO_GCC_SDCC1_APPS_M_IN)
#define HWIO_GCC_SDCC1_APPS_M_M_BMSK                                                                           0xff
#define HWIO_GCC_SDCC1_APPS_M_M_SHFT                                                                            0x0

#define HWIO_GCC_SDCC1_APPS_N_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a01c)
#define HWIO_GCC_SDCC1_APPS_N_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a01c)
#define HWIO_GCC_SDCC1_APPS_N_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a01c)
#define HWIO_GCC_SDCC1_APPS_N_RMSK                                                                             0xff
#define HWIO_GCC_SDCC1_APPS_N_ATTR                                                                              0x3
#define HWIO_GCC_SDCC1_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_N_ADDR, HWIO_GCC_SDCC1_APPS_N_RMSK)
#define HWIO_GCC_SDCC1_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_N_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_N_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_N_ADDR,m,v,HWIO_GCC_SDCC1_APPS_N_IN)
#define HWIO_GCC_SDCC1_APPS_N_NOT_N_MINUS_M_BMSK                                                               0xff
#define HWIO_GCC_SDCC1_APPS_N_NOT_N_MINUS_M_SHFT                                                                0x0

#define HWIO_GCC_SDCC1_APPS_D_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000a020)
#define HWIO_GCC_SDCC1_APPS_D_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000a020)
#define HWIO_GCC_SDCC1_APPS_D_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000a020)
#define HWIO_GCC_SDCC1_APPS_D_RMSK                                                                             0xff
#define HWIO_GCC_SDCC1_APPS_D_ATTR                                                                              0x3
#define HWIO_GCC_SDCC1_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_D_ADDR, HWIO_GCC_SDCC1_APPS_D_RMSK)
#define HWIO_GCC_SDCC1_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_SDCC1_APPS_D_ADDR, m)
#define HWIO_GCC_SDCC1_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_SDCC1_APPS_D_ADDR,v)
#define HWIO_GCC_SDCC1_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SDCC1_APPS_D_ADDR,m,v,HWIO_GCC_SDCC1_APPS_D_IN)
#define HWIO_GCC_SDCC1_APPS_D_NOT_2D_BMSK                                                                      0xff
#define HWIO_GCC_SDCC1_APPS_D_NOT_2D_SHFT                                                                       0x0

#define HWIO_GCC_BLSP1_BCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b000)
#define HWIO_GCC_BLSP1_BCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b000)
#define HWIO_GCC_BLSP1_BCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b000)
#define HWIO_GCC_BLSP1_BCR_RMSK                                                                                 0x1
#define HWIO_GCC_BLSP1_BCR_ATTR                                                                                 0x3
#define HWIO_GCC_BLSP1_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_BCR_ADDR, HWIO_GCC_BLSP1_BCR_RMSK)
#define HWIO_GCC_BLSP1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_BCR_ADDR,m,v,HWIO_GCC_BLSP1_BCR_IN)
#define HWIO_GCC_BLSP1_BCR_BLK_ARES_BMSK                                                                        0x1
#define HWIO_GCC_BLSP1_BCR_BLK_ARES_SHFT                                                                        0x0
#define HWIO_GCC_BLSP1_BCR_BLK_ARES_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_BLSP1_BCR_BLK_ARES_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_BLSP1_AHB_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b004)
#define HWIO_GCC_BLSP1_AHB_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b004)
#define HWIO_GCC_BLSP1_AHB_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b004)
#define HWIO_GCC_BLSP1_AHB_CBCR_RMSK                                                                     0x81d07ff4
#define HWIO_GCC_BLSP1_AHB_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_BLSP1_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_AHB_CBCR_ADDR, HWIO_GCC_BLSP1_AHB_CBCR_RMSK)
#define HWIO_GCC_BLSP1_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_AHB_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_AHB_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_AHB_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_AHB_CBCR_IN)
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_BLSP1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_CORE_ON_BMSK                                                       0x4000
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_CORE_ON_SHFT                                                          0xe
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                     0x2000
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                        0xd
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                    0x1000
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                       0xc
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_BMSK                                                                   0xf00
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_SHFT                                                                     0x8
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK0_FVAL                                                              0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK1_FVAL                                                              0x1
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK2_FVAL                                                              0x2
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK3_FVAL                                                              0x3
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK4_FVAL                                                              0x4
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK5_FVAL                                                              0x5
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK6_FVAL                                                              0x6
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK7_FVAL                                                              0x7
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK8_FVAL                                                              0x8
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK9_FVAL                                                              0x9
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK10_FVAL                                                             0xa
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK11_FVAL                                                             0xb
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK12_FVAL                                                             0xc
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK13_FVAL                                                             0xd
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK14_FVAL                                                             0xe
#define HWIO_GCC_BLSP1_AHB_CBCR_WAKEUP_CLOCK15_FVAL                                                             0xf
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_BMSK                                                                     0xf0
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_SHFT                                                                      0x4
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK0_FVAL                                                               0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK1_FVAL                                                               0x1
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK2_FVAL                                                               0x2
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK3_FVAL                                                               0x3
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK4_FVAL                                                               0x4
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK5_FVAL                                                               0x5
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK6_FVAL                                                               0x6
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK7_FVAL                                                               0x7
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK8_FVAL                                                               0x8
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK9_FVAL                                                               0x9
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK10_FVAL                                                              0xa
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK11_FVAL                                                              0xb
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK12_FVAL                                                              0xc
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK13_FVAL                                                              0xd
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK14_FVAL                                                              0xe
#define HWIO_GCC_BLSP1_AHB_CBCR_SLEEP_CLOCK15_FVAL                                                              0xf
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_BLSP1_AHB_CBCR_CLK_ARES_RESET_FVAL                                                             0x1

#define HWIO_GCC_BLSP1_AHB_SREGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b008)
#define HWIO_GCC_BLSP1_AHB_SREGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b008)
#define HWIO_GCC_BLSP1_AHB_SREGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b008)
#define HWIO_GCC_BLSP1_AHB_SREGR_RMSK                                                                    0xfffffffe
#define HWIO_GCC_BLSP1_AHB_SREGR_ATTR                                                                           0x3
#define HWIO_GCC_BLSP1_AHB_SREGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_AHB_SREGR_ADDR, HWIO_GCC_BLSP1_AHB_SREGR_RMSK)
#define HWIO_GCC_BLSP1_AHB_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_AHB_SREGR_ADDR, m)
#define HWIO_GCC_BLSP1_AHB_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_AHB_SREGR_ADDR,v)
#define HWIO_GCC_BLSP1_AHB_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_AHB_SREGR_ADDR,m,v,HWIO_GCC_BLSP1_AHB_SREGR_IN)
#define HWIO_GCC_BLSP1_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                          0xff000000
#define HWIO_GCC_BLSP1_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                0x18
#define HWIO_GCC_BLSP1_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                             0xff0000
#define HWIO_GCC_BLSP1_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                 0x10
#define HWIO_GCC_BLSP1_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                0x8000
#define HWIO_GCC_BLSP1_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                   0xf
#define HWIO_GCC_BLSP1_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                         0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                            0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                 0x4000
#define HWIO_GCC_BLSP1_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                    0xe
#define HWIO_GCC_BLSP1_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                    0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                 0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                0x2000
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                   0xd
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                          0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                            0x1000
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                               0xc
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                      0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                         0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CORE_ON_ACK_BMSK                                                         0x800
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CORE_ON_ACK_SHFT                                                           0xb
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                       0x400
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                         0xa
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                0x300
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                  0x8
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                         0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                         0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                         0x2
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                         0x3
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_ENABLE_BMSK                                                           0x80
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_ENABLE_SHFT                                                            0x7
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_FORCE_CLK_ON_BMSK                                                             0x40
#define HWIO_GCC_BLSP1_AHB_SREGR_FORCE_CLK_ON_SHFT                                                              0x6
#define HWIO_GCC_BLSP1_AHB_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                     0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                       0x20
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                        0x5
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                               0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                          0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SLP_STG_BMSK                                                           0x10
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SLP_STG_SHFT                                                            0x4
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                  0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                     0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                          0x8
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                          0x3
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                               0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                  0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                     0x4
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                     0x2
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                 0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                         0x2
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                         0x1
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                   0x0
#define HWIO_GCC_BLSP1_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                    0x1

#define HWIO_GCC_BLSP1_SLEEP_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b00c)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b00c)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b00c)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_RMSK                                                                   0x81c00004
#define HWIO_GCC_BLSP1_SLEEP_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_BLSP1_SLEEP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_SLEEP_CBCR_ADDR, HWIO_GCC_BLSP1_SLEEP_CBCR_RMSK)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_SLEEP_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_SLEEP_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_SLEEP_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_SLEEP_CBCR_IN)
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_BLSP1_SLEEP_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_BLSP1_SLEEP_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_BLSP1_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_BLSP1_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_BLSP1_SLEEP_CBCR_CLK_ARES_RESET_FVAL                                                           0x1

#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b010)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b010)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b010)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_RMSK                                                             0x800000f3
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ATTR                                                                    0x3
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ADDR, HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_IN)
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_OFF_BMSK                                                    0x80000000
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_OFF_SHFT                                                          0x1f
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_D_BMSK                                                           0x80
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_D_SHFT                                                            0x7
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_N_BMSK                                                           0x40
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_N_SHFT                                                            0x6
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_M_BMSK                                                           0x20
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_M_SHFT                                                            0x5
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                    0x10
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                     0x4
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_EN_BMSK                                                            0x2
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_EN_SHFT                                                            0x1
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_UPDATE_BMSK                                                             0x1
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_UPDATE_SHFT                                                             0x0
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_UPDATE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_BLSP_UART_SIM_CMD_RCGR_UPDATE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b014)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b014)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b014)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_RMSK                                                               0x10371f
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ATTR                                                                    0x3
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ADDR, HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_IN)
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                0x100000
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                    0x14
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                             0x0
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                              0x1
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_BMSK                                                            0x3000
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_SHFT                                                               0xc
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_BYPASS_FVAL                                                        0x0
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_SWALLOW_FVAL                                                       0x1
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                     0x2
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                   0x3
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_BLSP_UART_SIM_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_BLSP_UART_SIM_M_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b018)
#define HWIO_GCC_BLSP_UART_SIM_M_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b018)
#define HWIO_GCC_BLSP_UART_SIM_M_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b018)
#define HWIO_GCC_BLSP_UART_SIM_M_RMSK                                                                          0xff
#define HWIO_GCC_BLSP_UART_SIM_M_ATTR                                                                           0x3
#define HWIO_GCC_BLSP_UART_SIM_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_M_ADDR, HWIO_GCC_BLSP_UART_SIM_M_RMSK)
#define HWIO_GCC_BLSP_UART_SIM_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_M_ADDR, m)
#define HWIO_GCC_BLSP_UART_SIM_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP_UART_SIM_M_ADDR,v)
#define HWIO_GCC_BLSP_UART_SIM_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP_UART_SIM_M_ADDR,m,v,HWIO_GCC_BLSP_UART_SIM_M_IN)
#define HWIO_GCC_BLSP_UART_SIM_M_M_BMSK                                                                        0xff
#define HWIO_GCC_BLSP_UART_SIM_M_M_SHFT                                                                         0x0

#define HWIO_GCC_BLSP_UART_SIM_N_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b01c)
#define HWIO_GCC_BLSP_UART_SIM_N_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b01c)
#define HWIO_GCC_BLSP_UART_SIM_N_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b01c)
#define HWIO_GCC_BLSP_UART_SIM_N_RMSK                                                                          0xff
#define HWIO_GCC_BLSP_UART_SIM_N_ATTR                                                                           0x3
#define HWIO_GCC_BLSP_UART_SIM_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_N_ADDR, HWIO_GCC_BLSP_UART_SIM_N_RMSK)
#define HWIO_GCC_BLSP_UART_SIM_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_N_ADDR, m)
#define HWIO_GCC_BLSP_UART_SIM_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP_UART_SIM_N_ADDR,v)
#define HWIO_GCC_BLSP_UART_SIM_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP_UART_SIM_N_ADDR,m,v,HWIO_GCC_BLSP_UART_SIM_N_IN)
#define HWIO_GCC_BLSP_UART_SIM_N_NOT_N_MINUS_M_BMSK                                                            0xff
#define HWIO_GCC_BLSP_UART_SIM_N_NOT_N_MINUS_M_SHFT                                                             0x0

#define HWIO_GCC_BLSP_UART_SIM_D_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000b020)
#define HWIO_GCC_BLSP_UART_SIM_D_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000b020)
#define HWIO_GCC_BLSP_UART_SIM_D_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000b020)
#define HWIO_GCC_BLSP_UART_SIM_D_RMSK                                                                          0xff
#define HWIO_GCC_BLSP_UART_SIM_D_ATTR                                                                           0x3
#define HWIO_GCC_BLSP_UART_SIM_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_D_ADDR, HWIO_GCC_BLSP_UART_SIM_D_RMSK)
#define HWIO_GCC_BLSP_UART_SIM_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP_UART_SIM_D_ADDR, m)
#define HWIO_GCC_BLSP_UART_SIM_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP_UART_SIM_D_ADDR,v)
#define HWIO_GCC_BLSP_UART_SIM_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP_UART_SIM_D_ADDR,m,v,HWIO_GCC_BLSP_UART_SIM_D_IN)
#define HWIO_GCC_BLSP_UART_SIM_D_NOT_2D_BMSK                                                                   0xff
#define HWIO_GCC_BLSP_UART_SIM_D_NOT_2D_SHFT                                                                    0x0

#define HWIO_GCC_BLSP1_QUP1_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c000)
#define HWIO_GCC_BLSP1_QUP1_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c000)
#define HWIO_GCC_BLSP1_QUP1_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c000)
#define HWIO_GCC_BLSP1_QUP1_BCR_RMSK                                                                            0x1
#define HWIO_GCC_BLSP1_QUP1_BCR_ATTR                                                                            0x3
#define HWIO_GCC_BLSP1_QUP1_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_BCR_ADDR, HWIO_GCC_BLSP1_QUP1_BCR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_BCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_BCR_IN)
#define HWIO_GCC_BLSP1_QUP1_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_BLSP1_QUP1_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_BLSP1_QUP1_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_BLSP1_QUP1_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c004)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c004)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c004)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c008)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c008)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c008)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c00c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c00c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c00c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c010)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c010)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c010)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c014)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c014)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c014)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c018)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c018)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c018)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c01c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c01c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c01c)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP1_SPI_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c024)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c024)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c024)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c028)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c028)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c028)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c02c)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c02c)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c02c)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c030)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c030)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c030)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000c034)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000c034)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000c034)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP1_I2C_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_UART1_BCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d000)
#define HWIO_GCC_BLSP1_UART1_BCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d000)
#define HWIO_GCC_BLSP1_UART1_BCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d000)
#define HWIO_GCC_BLSP1_UART1_BCR_RMSK                                                                           0x1
#define HWIO_GCC_BLSP1_UART1_BCR_ATTR                                                                           0x3
#define HWIO_GCC_BLSP1_UART1_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_BCR_ADDR, HWIO_GCC_BLSP1_UART1_BCR_RMSK)
#define HWIO_GCC_BLSP1_UART1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_BCR_ADDR,m,v,HWIO_GCC_BLSP1_UART1_BCR_IN)
#define HWIO_GCC_BLSP1_UART1_BCR_BLK_ARES_BMSK                                                                  0x1
#define HWIO_GCC_BLSP1_UART1_BCR_BLK_ARES_SHFT                                                                  0x0
#define HWIO_GCC_BLSP1_UART1_BCR_BLK_ARES_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_BLSP1_UART1_BCR_BLK_ARES_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d004)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d004)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d004)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_RMSK                                                              0x81c00005
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_UART1_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d008)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d008)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d008)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_SIM_CBCR_ADDR, HWIO_GCC_BLSP1_UART1_SIM_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_SIM_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_SIM_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_SIM_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART1_SIM_CBCR_IN)
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART1_SIM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d00c)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d00c)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d00c)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_RMSK                                                          0x800000f3
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                       0x1f
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_D_BMSK                                                        0x80
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_D_SHFT                                                         0x7
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_N_BMSK                                                        0x40
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_N_SHFT                                                         0x6
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_M_BMSK                                                        0x20
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_M_SHFT                                                         0x5
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                 0x10
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                  0x4
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_EN_BMSK                                                         0x2
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_EN_SHFT                                                         0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_UPDATE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_UPDATE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d010)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d010)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d010)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_RMSK                                                            0x10371f
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                             0x100000
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                 0x14
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                          0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                           0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_SHFT                                                            0xc
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_BLSP1_UART1_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_BLSP1_UART1_APPS_M_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d014)
#define HWIO_GCC_BLSP1_UART1_APPS_M_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d014)
#define HWIO_GCC_BLSP1_UART1_APPS_M_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d014)
#define HWIO_GCC_BLSP1_UART1_APPS_M_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_M_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART1_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_M_ADDR, HWIO_GCC_BLSP1_UART1_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_M_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_M_M_BMSK                                                                   0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_M_M_SHFT                                                                      0x0

#define HWIO_GCC_BLSP1_UART1_APPS_N_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d018)
#define HWIO_GCC_BLSP1_UART1_APPS_N_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d018)
#define HWIO_GCC_BLSP1_UART1_APPS_N_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d018)
#define HWIO_GCC_BLSP1_UART1_APPS_N_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_N_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART1_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_N_ADDR, HWIO_GCC_BLSP1_UART1_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_N_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_N_NOT_N_MINUS_M_BMSK                                                       0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_N_NOT_N_MINUS_M_SHFT                                                          0x0

#define HWIO_GCC_BLSP1_UART1_APPS_D_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000d01c)
#define HWIO_GCC_BLSP1_UART1_APPS_D_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000d01c)
#define HWIO_GCC_BLSP1_UART1_APPS_D_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000d01c)
#define HWIO_GCC_BLSP1_UART1_APPS_D_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_D_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART1_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_D_ADDR, HWIO_GCC_BLSP1_UART1_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_UART1_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART1_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_UART1_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART1_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_UART1_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART1_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_UART1_APPS_D_IN)
#define HWIO_GCC_BLSP1_UART1_APPS_D_NOT_2D_BMSK                                                              0xffff
#define HWIO_GCC_BLSP1_UART1_APPS_D_NOT_2D_SHFT                                                                 0x0

#define HWIO_GCC_BLSP1_QUP2_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e000)
#define HWIO_GCC_BLSP1_QUP2_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e000)
#define HWIO_GCC_BLSP1_QUP2_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e000)
#define HWIO_GCC_BLSP1_QUP2_BCR_RMSK                                                                            0x1
#define HWIO_GCC_BLSP1_QUP2_BCR_ATTR                                                                            0x3
#define HWIO_GCC_BLSP1_QUP2_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_BCR_ADDR, HWIO_GCC_BLSP1_QUP2_BCR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_BCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_BCR_IN)
#define HWIO_GCC_BLSP1_QUP2_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_BLSP1_QUP2_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_BLSP1_QUP2_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_BLSP1_QUP2_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e004)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e004)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e004)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e008)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e008)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e008)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e00c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e00c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e00c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e010)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e010)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e010)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e014)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e014)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e014)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e018)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e018)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e018)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e01c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e01c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e01c)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP2_SPI_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e024)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e024)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e024)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e028)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e028)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e028)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e02c)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e02c)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e02c)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e030)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e030)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e030)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000e034)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000e034)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000e034)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP2_I2C_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_UART2_BCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f000)
#define HWIO_GCC_BLSP1_UART2_BCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f000)
#define HWIO_GCC_BLSP1_UART2_BCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f000)
#define HWIO_GCC_BLSP1_UART2_BCR_RMSK                                                                           0x1
#define HWIO_GCC_BLSP1_UART2_BCR_ATTR                                                                           0x3
#define HWIO_GCC_BLSP1_UART2_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_BCR_ADDR, HWIO_GCC_BLSP1_UART2_BCR_RMSK)
#define HWIO_GCC_BLSP1_UART2_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_BCR_ADDR,m,v,HWIO_GCC_BLSP1_UART2_BCR_IN)
#define HWIO_GCC_BLSP1_UART2_BCR_BLK_ARES_BMSK                                                                  0x1
#define HWIO_GCC_BLSP1_UART2_BCR_BLK_ARES_SHFT                                                                  0x0
#define HWIO_GCC_BLSP1_UART2_BCR_BLK_ARES_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_BLSP1_UART2_BCR_BLK_ARES_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f004)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f004)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f004)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_RMSK                                                              0x81c00005
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_UART2_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f008)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f008)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f008)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_SIM_CBCR_ADDR, HWIO_GCC_BLSP1_UART2_SIM_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_SIM_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_SIM_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_SIM_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART2_SIM_CBCR_IN)
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART2_SIM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f00c)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f00c)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f00c)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_RMSK                                                          0x800000f3
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                       0x1f
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_D_BMSK                                                        0x80
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_D_SHFT                                                         0x7
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_N_BMSK                                                        0x40
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_N_SHFT                                                         0x6
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_M_BMSK                                                        0x20
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_M_SHFT                                                         0x5
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                 0x10
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                  0x4
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_EN_BMSK                                                         0x2
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_EN_SHFT                                                         0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_UPDATE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_UPDATE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f010)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f010)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f010)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_RMSK                                                            0x10371f
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                             0x100000
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                 0x14
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                          0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                           0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_SHFT                                                            0xc
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_BLSP1_UART2_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_BLSP1_UART2_APPS_M_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f014)
#define HWIO_GCC_BLSP1_UART2_APPS_M_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f014)
#define HWIO_GCC_BLSP1_UART2_APPS_M_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f014)
#define HWIO_GCC_BLSP1_UART2_APPS_M_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_M_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART2_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_M_ADDR, HWIO_GCC_BLSP1_UART2_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_M_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_M_M_BMSK                                                                   0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_M_M_SHFT                                                                      0x0

#define HWIO_GCC_BLSP1_UART2_APPS_N_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f018)
#define HWIO_GCC_BLSP1_UART2_APPS_N_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f018)
#define HWIO_GCC_BLSP1_UART2_APPS_N_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f018)
#define HWIO_GCC_BLSP1_UART2_APPS_N_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_N_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART2_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_N_ADDR, HWIO_GCC_BLSP1_UART2_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_N_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_N_NOT_N_MINUS_M_BMSK                                                       0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_N_NOT_N_MINUS_M_SHFT                                                          0x0

#define HWIO_GCC_BLSP1_UART2_APPS_D_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000f01c)
#define HWIO_GCC_BLSP1_UART2_APPS_D_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000f01c)
#define HWIO_GCC_BLSP1_UART2_APPS_D_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000f01c)
#define HWIO_GCC_BLSP1_UART2_APPS_D_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_D_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART2_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_D_ADDR, HWIO_GCC_BLSP1_UART2_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_UART2_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART2_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_UART2_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART2_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_UART2_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART2_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_UART2_APPS_D_IN)
#define HWIO_GCC_BLSP1_UART2_APPS_D_NOT_2D_BMSK                                                              0xffff
#define HWIO_GCC_BLSP1_UART2_APPS_D_NOT_2D_SHFT                                                                 0x0

#define HWIO_GCC_BLSP1_QUP3_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00010000)
#define HWIO_GCC_BLSP1_QUP3_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010000)
#define HWIO_GCC_BLSP1_QUP3_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010000)
#define HWIO_GCC_BLSP1_QUP3_BCR_RMSK                                                                            0x1
#define HWIO_GCC_BLSP1_QUP3_BCR_ATTR                                                                            0x3
#define HWIO_GCC_BLSP1_QUP3_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_BCR_ADDR, HWIO_GCC_BLSP1_QUP3_BCR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_BCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_BCR_IN)
#define HWIO_GCC_BLSP1_QUP3_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_BLSP1_QUP3_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_BLSP1_QUP3_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_BLSP1_QUP3_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00010004)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010004)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010004)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00010008)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010008)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010008)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001000c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001000c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001000c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00010010)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010010)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010010)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00010014)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010014)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010014)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00010018)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010018)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010018)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0001001c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001001c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001001c)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP3_SPI_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00010024)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010024)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010024)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00010028)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010028)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010028)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0001002c)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001002c)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001002c)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00010030)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010030)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010030)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00010034)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00010034)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00010034)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP3_I2C_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_UART3_BCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00011000)
#define HWIO_GCC_BLSP1_UART3_BCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011000)
#define HWIO_GCC_BLSP1_UART3_BCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011000)
#define HWIO_GCC_BLSP1_UART3_BCR_RMSK                                                                           0x1
#define HWIO_GCC_BLSP1_UART3_BCR_ATTR                                                                           0x3
#define HWIO_GCC_BLSP1_UART3_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_BCR_ADDR, HWIO_GCC_BLSP1_UART3_BCR_RMSK)
#define HWIO_GCC_BLSP1_UART3_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_BCR_ADDR,m,v,HWIO_GCC_BLSP1_UART3_BCR_IN)
#define HWIO_GCC_BLSP1_UART3_BCR_BLK_ARES_BMSK                                                                  0x1
#define HWIO_GCC_BLSP1_UART3_BCR_BLK_ARES_SHFT                                                                  0x0
#define HWIO_GCC_BLSP1_UART3_BCR_BLK_ARES_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_BLSP1_UART3_BCR_BLK_ARES_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00011004)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011004)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011004)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_RMSK                                                              0x81c00005
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_UART3_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00011008)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011008)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011008)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_SIM_CBCR_ADDR, HWIO_GCC_BLSP1_UART3_SIM_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_SIM_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_SIM_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_SIM_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART3_SIM_CBCR_IN)
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART3_SIM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001100c)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001100c)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001100c)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_RMSK                                                          0x800000f3
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                       0x1f
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_D_BMSK                                                        0x80
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_D_SHFT                                                         0x7
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_N_BMSK                                                        0x40
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_N_SHFT                                                         0x6
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_M_BMSK                                                        0x20
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_M_SHFT                                                         0x5
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                 0x10
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                  0x4
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_EN_BMSK                                                         0x2
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_EN_SHFT                                                         0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_UPDATE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_UPDATE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00011010)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011010)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011010)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_RMSK                                                            0x10371f
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                             0x100000
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                 0x14
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                          0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                           0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_SHFT                                                            0xc
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_BLSP1_UART3_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_BLSP1_UART3_APPS_M_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00011014)
#define HWIO_GCC_BLSP1_UART3_APPS_M_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011014)
#define HWIO_GCC_BLSP1_UART3_APPS_M_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011014)
#define HWIO_GCC_BLSP1_UART3_APPS_M_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_M_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART3_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_M_ADDR, HWIO_GCC_BLSP1_UART3_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_M_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_M_M_BMSK                                                                   0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_M_M_SHFT                                                                      0x0

#define HWIO_GCC_BLSP1_UART3_APPS_N_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00011018)
#define HWIO_GCC_BLSP1_UART3_APPS_N_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00011018)
#define HWIO_GCC_BLSP1_UART3_APPS_N_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00011018)
#define HWIO_GCC_BLSP1_UART3_APPS_N_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_N_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART3_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_N_ADDR, HWIO_GCC_BLSP1_UART3_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_N_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_N_NOT_N_MINUS_M_BMSK                                                       0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_N_NOT_N_MINUS_M_SHFT                                                          0x0

#define HWIO_GCC_BLSP1_UART3_APPS_D_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001101c)
#define HWIO_GCC_BLSP1_UART3_APPS_D_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001101c)
#define HWIO_GCC_BLSP1_UART3_APPS_D_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001101c)
#define HWIO_GCC_BLSP1_UART3_APPS_D_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_D_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART3_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_D_ADDR, HWIO_GCC_BLSP1_UART3_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_UART3_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART3_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_UART3_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART3_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_UART3_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART3_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_UART3_APPS_D_IN)
#define HWIO_GCC_BLSP1_UART3_APPS_D_NOT_2D_BMSK                                                              0xffff
#define HWIO_GCC_BLSP1_UART3_APPS_D_NOT_2D_SHFT                                                                 0x0

#define HWIO_GCC_BLSP1_QUP4_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00012000)
#define HWIO_GCC_BLSP1_QUP4_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012000)
#define HWIO_GCC_BLSP1_QUP4_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012000)
#define HWIO_GCC_BLSP1_QUP4_BCR_RMSK                                                                            0x1
#define HWIO_GCC_BLSP1_QUP4_BCR_ATTR                                                                            0x3
#define HWIO_GCC_BLSP1_QUP4_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_BCR_ADDR, HWIO_GCC_BLSP1_QUP4_BCR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_BCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_BCR_IN)
#define HWIO_GCC_BLSP1_QUP4_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_BLSP1_QUP4_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_BLSP1_QUP4_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_BLSP1_QUP4_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00012004)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012004)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012004)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00012008)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012008)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012008)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_RMSK                                                           0x81c00005
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001200c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001200c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001200c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00012010)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012010)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012010)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00012014)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012014)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012014)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00012018)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012018)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012018)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0001201c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001201c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001201c)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP4_SPI_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00012024)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012024)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012024)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_RMSK                                                       0x800000f3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_OFF_BMSK                                              0x80000000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                    0x1f
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_D_BMSK                                                     0x80
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_D_SHFT                                                      0x7
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_N_BMSK                                                     0x40
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_N_SHFT                                                      0x6
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_M_BMSK                                                     0x20
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_M_SHFT                                                      0x5
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                              0x10
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                               0x4
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_EN_BMSK                                                      0x2
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_EN_SHFT                                                      0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                              0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                               0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_UPDATE_BMSK                                                       0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_UPDATE_SHFT                                                       0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00012028)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012028)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012028)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_RMSK                                                         0x10371f
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ATTR                                                              0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                          0x100000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                              0x14
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_BMSK                                                      0x3000
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_SHFT                                                         0xc
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                             0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0001202c)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001202c)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001202c)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_M_BMSK                                                                  0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_M_M_SHFT                                                                   0x0

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00012030)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012030)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012030)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_NOT_N_MINUS_M_BMSK                                                      0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_N_NOT_N_MINUS_M_SHFT                                                       0x0

#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00012034)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00012034)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00012034)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_RMSK                                                                    0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ADDR, HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_IN)
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_NOT_2D_BMSK                                                             0xff
#define HWIO_GCC_BLSP1_QUP4_I2C_APPS_D_NOT_2D_SHFT                                                              0x0

#define HWIO_GCC_BLSP1_UART4_BCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00013000)
#define HWIO_GCC_BLSP1_UART4_BCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013000)
#define HWIO_GCC_BLSP1_UART4_BCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013000)
#define HWIO_GCC_BLSP1_UART4_BCR_RMSK                                                                           0x1
#define HWIO_GCC_BLSP1_UART4_BCR_ATTR                                                                           0x3
#define HWIO_GCC_BLSP1_UART4_BCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_BCR_ADDR, HWIO_GCC_BLSP1_UART4_BCR_RMSK)
#define HWIO_GCC_BLSP1_UART4_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_BCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_BCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_BCR_ADDR,m,v,HWIO_GCC_BLSP1_UART4_BCR_IN)
#define HWIO_GCC_BLSP1_UART4_BCR_BLK_ARES_BMSK                                                                  0x1
#define HWIO_GCC_BLSP1_UART4_BCR_BLK_ARES_SHFT                                                                  0x0
#define HWIO_GCC_BLSP1_UART4_BCR_BLK_ARES_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_BLSP1_UART4_BCR_BLK_ARES_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00013004)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013004)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013004)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_RMSK                                                              0x81c00005
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CBCR_ADDR, HWIO_GCC_BLSP1_UART4_APPS_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_CBCR_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00013008)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013008)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013008)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_RMSK                                                               0x81c00005
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_SIM_CBCR_ADDR, HWIO_GCC_BLSP1_UART4_SIM_CBCR_RMSK)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_SIM_CBCR_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_SIM_CBCR_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_SIM_CBCR_ADDR,m,v,HWIO_GCC_BLSP1_UART4_SIM_CBCR_IN)
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_BLSP1_UART4_SIM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001300c)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001300c)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001300c)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_RMSK                                                          0x800000f3
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ADDR, HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_OFF_SHFT                                                       0x1f
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_D_BMSK                                                        0x80
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_D_SHFT                                                         0x7
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_N_BMSK                                                        0x40
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_N_SHFT                                                         0x6
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_M_BMSK                                                        0x20
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_M_SHFT                                                         0x5
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                 0x10
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                  0x4
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_EN_BMSK                                                         0x2
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_EN_SHFT                                                         0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_UPDATE_BMSK                                                          0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_UPDATE_SHFT                                                          0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00013010)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013010)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013010)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_RMSK                                                            0x10371f
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ADDR, HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                             0x100000
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                 0x14
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                          0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                           0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_SHFT                                                            0xc
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_BLSP1_UART4_APPS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_BLSP1_UART4_APPS_M_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00013014)
#define HWIO_GCC_BLSP1_UART4_APPS_M_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013014)
#define HWIO_GCC_BLSP1_UART4_APPS_M_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013014)
#define HWIO_GCC_BLSP1_UART4_APPS_M_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_M_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART4_APPS_M_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_M_ADDR, HWIO_GCC_BLSP1_UART4_APPS_M_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_M_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_M_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_M_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_M_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_M_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_M_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_M_M_BMSK                                                                   0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_M_M_SHFT                                                                      0x0

#define HWIO_GCC_BLSP1_UART4_APPS_N_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00013018)
#define HWIO_GCC_BLSP1_UART4_APPS_N_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00013018)
#define HWIO_GCC_BLSP1_UART4_APPS_N_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00013018)
#define HWIO_GCC_BLSP1_UART4_APPS_N_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_N_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART4_APPS_N_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_N_ADDR, HWIO_GCC_BLSP1_UART4_APPS_N_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_N_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_N_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_N_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_N_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_N_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_N_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_N_NOT_N_MINUS_M_BMSK                                                       0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_N_NOT_N_MINUS_M_SHFT                                                          0x0

#define HWIO_GCC_BLSP1_UART4_APPS_D_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001301c)
#define HWIO_GCC_BLSP1_UART4_APPS_D_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001301c)
#define HWIO_GCC_BLSP1_UART4_APPS_D_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001301c)
#define HWIO_GCC_BLSP1_UART4_APPS_D_RMSK                                                                     0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_D_ATTR                                                                        0x3
#define HWIO_GCC_BLSP1_UART4_APPS_D_IN          \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_D_ADDR, HWIO_GCC_BLSP1_UART4_APPS_D_RMSK)
#define HWIO_GCC_BLSP1_UART4_APPS_D_INM(m)      \
        in_dword_masked(HWIO_GCC_BLSP1_UART4_APPS_D_ADDR, m)
#define HWIO_GCC_BLSP1_UART4_APPS_D_OUT(v)      \
        out_dword(HWIO_GCC_BLSP1_UART4_APPS_D_ADDR,v)
#define HWIO_GCC_BLSP1_UART4_APPS_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BLSP1_UART4_APPS_D_ADDR,m,v,HWIO_GCC_BLSP1_UART4_APPS_D_IN)
#define HWIO_GCC_BLSP1_UART4_APPS_D_NOT_2D_BMSK                                                              0xffff
#define HWIO_GCC_BLSP1_UART4_APPS_D_NOT_2D_SHFT                                                                 0x0

#define HWIO_GCC_PDM_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00014000)
#define HWIO_GCC_PDM_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014000)
#define HWIO_GCC_PDM_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014000)
#define HWIO_GCC_PDM_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_PDM_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_PDM_BCR_IN          \
        in_dword_masked(HWIO_GCC_PDM_BCR_ADDR, HWIO_GCC_PDM_BCR_RMSK)
#define HWIO_GCC_PDM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM_BCR_ADDR, m)
#define HWIO_GCC_PDM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PDM_BCR_ADDR,v)
#define HWIO_GCC_PDM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM_BCR_ADDR,m,v,HWIO_GCC_PDM_BCR_IN)
#define HWIO_GCC_PDM_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_PDM_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_PDM_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_PDM_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_PDM_AHB_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00014004)
#define HWIO_GCC_PDM_AHB_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014004)
#define HWIO_GCC_PDM_AHB_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014004)
#define HWIO_GCC_PDM_AHB_CBCR_RMSK                                                                       0x81d0000f
#define HWIO_GCC_PDM_AHB_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_PDM_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PDM_AHB_CBCR_ADDR, HWIO_GCC_PDM_AHB_CBCR_RMSK)
#define HWIO_GCC_PDM_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM_AHB_CBCR_ADDR, m)
#define HWIO_GCC_PDM_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PDM_AHB_CBCR_ADDR,v)
#define HWIO_GCC_PDM_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM_AHB_CBCR_ADDR,m,v,HWIO_GCC_PDM_AHB_CBCR_IN)
#define HWIO_GCC_PDM_AHB_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_PDM_AHB_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_PDM_AHB_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_PDM_AHB_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_PDM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_PDM_AHB_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_PDM_AHB_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_PDM_AHB_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_PDM_AHB_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_PDM_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_PDM_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_PDM_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_PDM_XO4_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00014008)
#define HWIO_GCC_PDM_XO4_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014008)
#define HWIO_GCC_PDM_XO4_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014008)
#define HWIO_GCC_PDM_XO4_CBCR_RMSK                                                                       0x81c00005
#define HWIO_GCC_PDM_XO4_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_PDM_XO4_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PDM_XO4_CBCR_ADDR, HWIO_GCC_PDM_XO4_CBCR_RMSK)
#define HWIO_GCC_PDM_XO4_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM_XO4_CBCR_ADDR, m)
#define HWIO_GCC_PDM_XO4_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PDM_XO4_CBCR_ADDR,v)
#define HWIO_GCC_PDM_XO4_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM_XO4_CBCR_ADDR,m,v,HWIO_GCC_PDM_XO4_CBCR_IN)
#define HWIO_GCC_PDM_XO4_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_PDM_XO4_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_PDM_XO4_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_PDM_XO4_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_PDM_XO4_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_PDM_XO4_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_PDM_XO4_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_PDM_XO4_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_PDM_XO4_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_PDM2_CBCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001400c)
#define HWIO_GCC_PDM2_CBCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001400c)
#define HWIO_GCC_PDM2_CBCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001400c)
#define HWIO_GCC_PDM2_CBCR_RMSK                                                                          0x81c00005
#define HWIO_GCC_PDM2_CBCR_ATTR                                                                                 0x3
#define HWIO_GCC_PDM2_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PDM2_CBCR_ADDR, HWIO_GCC_PDM2_CBCR_RMSK)
#define HWIO_GCC_PDM2_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM2_CBCR_ADDR, m)
#define HWIO_GCC_PDM2_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PDM2_CBCR_ADDR,v)
#define HWIO_GCC_PDM2_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM2_CBCR_ADDR,m,v,HWIO_GCC_PDM2_CBCR_IN)
#define HWIO_GCC_PDM2_CBCR_CLK_OFF_BMSK                                                                  0x80000000
#define HWIO_GCC_PDM2_CBCR_CLK_OFF_SHFT                                                                        0x1f
#define HWIO_GCC_PDM2_CBCR_IGNORE_ALL_ARES_BMSK                                                           0x1000000
#define HWIO_GCC_PDM2_CBCR_IGNORE_ALL_ARES_SHFT                                                                0x18
#define HWIO_GCC_PDM2_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                         0x800000
#define HWIO_GCC_PDM2_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                             0x17
#define HWIO_GCC_PDM2_CBCR_CLK_DIS_BMSK                                                                    0x400000
#define HWIO_GCC_PDM2_CBCR_CLK_DIS_SHFT                                                                        0x16
#define HWIO_GCC_PDM2_CBCR_CLK_ARES_BMSK                                                                        0x4
#define HWIO_GCC_PDM2_CBCR_CLK_ARES_SHFT                                                                        0x2
#define HWIO_GCC_PDM2_CBCR_CLK_ARES_NO_RESET_FVAL                                                               0x0
#define HWIO_GCC_PDM2_CBCR_CLK_ARES_RESET_FVAL                                                                  0x1
#define HWIO_GCC_PDM2_CBCR_CLK_ENABLE_BMSK                                                                      0x1
#define HWIO_GCC_PDM2_CBCR_CLK_ENABLE_SHFT                                                                      0x0
#define HWIO_GCC_PDM2_CBCR_CLK_ENABLE_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_PDM2_CBCR_CLK_ENABLE_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_PDM2_CMD_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00014010)
#define HWIO_GCC_PDM2_CMD_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014010)
#define HWIO_GCC_PDM2_CMD_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014010)
#define HWIO_GCC_PDM2_CMD_RCGR_RMSK                                                                      0x80000013
#define HWIO_GCC_PDM2_CMD_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_PDM2_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PDM2_CMD_RCGR_ADDR, HWIO_GCC_PDM2_CMD_RCGR_RMSK)
#define HWIO_GCC_PDM2_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM2_CMD_RCGR_ADDR, m)
#define HWIO_GCC_PDM2_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PDM2_CMD_RCGR_ADDR,v)
#define HWIO_GCC_PDM2_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM2_CMD_RCGR_ADDR,m,v,HWIO_GCC_PDM2_CMD_RCGR_IN)
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_PDM2_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                             0x10
#define HWIO_GCC_PDM2_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                              0x4
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_EN_BMSK                                                                     0x2
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_EN_SHFT                                                                     0x1
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_PDM2_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_PDM2_CMD_RCGR_UPDATE_BMSK                                                                      0x1
#define HWIO_GCC_PDM2_CMD_RCGR_UPDATE_SHFT                                                                      0x0
#define HWIO_GCC_PDM2_CMD_RCGR_UPDATE_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_PDM2_CMD_RCGR_UPDATE_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_PDM2_CFG_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00014014)
#define HWIO_GCC_PDM2_CFG_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014014)
#define HWIO_GCC_PDM2_CFG_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014014)
#define HWIO_GCC_PDM2_CFG_RCGR_RMSK                                                                        0x11071f
#define HWIO_GCC_PDM2_CFG_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_PDM2_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PDM2_CFG_RCGR_ADDR, HWIO_GCC_PDM2_CFG_RCGR_RMSK)
#define HWIO_GCC_PDM2_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM2_CFG_RCGR_ADDR, m)
#define HWIO_GCC_PDM2_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PDM2_CFG_RCGR_ADDR,v)
#define HWIO_GCC_PDM2_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM2_CFG_RCGR_ADDR,m,v,HWIO_GCC_PDM2_CFG_RCGR_IN)
#define HWIO_GCC_PDM2_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                         0x100000
#define HWIO_GCC_PDM2_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                             0x14
#define HWIO_GCC_PDM2_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_PDM2_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_PDM2_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                         0x10000
#define HWIO_GCC_PDM2_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                            0x10
#define HWIO_GCC_PDM2_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                             0x0
#define HWIO_GCC_PDM2_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                            0x1
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_BMSK                                                                   0x700
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SHFT                                                                     0x8
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                0x0
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                0x1
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                0x2
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                0x3
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                0x4
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                0x5
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                0x6
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                0x7
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_BMSK                                                                    0x1f
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_SHFT                                                                     0x0
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                              0x0
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                0x1
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                              0x2
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                0x3
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                              0x4
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                0x5
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                              0x6
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                0x7
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                              0x8
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                0x9
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                              0xa
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                0xb
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                              0xc
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                0xd
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                              0xe
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                0xf
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                             0x10
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                               0x11
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                             0x12
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                              0x13
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                            0x14
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                              0x15
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                            0x16
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                              0x17
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                            0x18
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                              0x19
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                            0x1a
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                              0x1b
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                            0x1c
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                              0x1d
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                            0x1e
#define HWIO_GCC_PDM2_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                              0x1f

#define HWIO_GCC_PDM_XO4_CDIVR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00014028)
#define HWIO_GCC_PDM_XO4_CDIVR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00014028)
#define HWIO_GCC_PDM_XO4_CDIVR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00014028)
#define HWIO_GCC_PDM_XO4_CDIVR_RMSK                                                                             0xf
#define HWIO_GCC_PDM_XO4_CDIVR_ATTR                                                                             0x3
#define HWIO_GCC_PDM_XO4_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_PDM_XO4_CDIVR_ADDR, HWIO_GCC_PDM_XO4_CDIVR_RMSK)
#define HWIO_GCC_PDM_XO4_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_PDM_XO4_CDIVR_ADDR, m)
#define HWIO_GCC_PDM_XO4_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_PDM_XO4_CDIVR_ADDR,v)
#define HWIO_GCC_PDM_XO4_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PDM_XO4_CDIVR_ADDR,m,v,HWIO_GCC_PDM_XO4_CDIVR_IN)
#define HWIO_GCC_PDM_XO4_CDIVR_CLK_DIV_BMSK                                                                     0xf
#define HWIO_GCC_PDM_XO4_CDIVR_CLK_DIV_SHFT                                                                     0x0

#define HWIO_GCC_PRNG_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00015000)
#define HWIO_GCC_PRNG_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00015000)
#define HWIO_GCC_PRNG_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00015000)
#define HWIO_GCC_PRNG_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_PRNG_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_PRNG_BCR_IN          \
        in_dword_masked(HWIO_GCC_PRNG_BCR_ADDR, HWIO_GCC_PRNG_BCR_RMSK)
#define HWIO_GCC_PRNG_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PRNG_BCR_ADDR, m)
#define HWIO_GCC_PRNG_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PRNG_BCR_ADDR,v)
#define HWIO_GCC_PRNG_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PRNG_BCR_ADDR,m,v,HWIO_GCC_PRNG_BCR_IN)
#define HWIO_GCC_PRNG_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_PRNG_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_PRNG_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_PRNG_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_PRNG_AHB_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00015004)
#define HWIO_GCC_PRNG_AHB_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00015004)
#define HWIO_GCC_PRNG_AHB_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00015004)
#define HWIO_GCC_PRNG_AHB_CBCR_RMSK                                                                      0x81d00004
#define HWIO_GCC_PRNG_AHB_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_PRNG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PRNG_AHB_CBCR_ADDR, HWIO_GCC_PRNG_AHB_CBCR_RMSK)
#define HWIO_GCC_PRNG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PRNG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_PRNG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PRNG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_PRNG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PRNG_AHB_CBCR_ADDR,m,v,HWIO_GCC_PRNG_AHB_CBCR_IN)
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_PRNG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_PRNG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                              0x1

#define HWIO_GCC_TCSR_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00016000)
#define HWIO_GCC_TCSR_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00016000)
#define HWIO_GCC_TCSR_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00016000)
#define HWIO_GCC_TCSR_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_TCSR_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_TCSR_BCR_IN          \
        in_dword_masked(HWIO_GCC_TCSR_BCR_ADDR, HWIO_GCC_TCSR_BCR_RMSK)
#define HWIO_GCC_TCSR_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TCSR_BCR_ADDR, m)
#define HWIO_GCC_TCSR_BCR_OUT(v)      \
        out_dword(HWIO_GCC_TCSR_BCR_ADDR,v)
#define HWIO_GCC_TCSR_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TCSR_BCR_ADDR,m,v,HWIO_GCC_TCSR_BCR_IN)
#define HWIO_GCC_TCSR_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_TCSR_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_TCSR_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_TCSR_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_TCSR_AHB_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00016004)
#define HWIO_GCC_TCSR_AHB_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00016004)
#define HWIO_GCC_TCSR_AHB_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00016004)
#define HWIO_GCC_TCSR_AHB_CBCR_RMSK                                                                      0x81d0000e
#define HWIO_GCC_TCSR_AHB_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_TCSR_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TCSR_AHB_CBCR_ADDR, HWIO_GCC_TCSR_AHB_CBCR_RMSK)
#define HWIO_GCC_TCSR_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TCSR_AHB_CBCR_ADDR, m)
#define HWIO_GCC_TCSR_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TCSR_AHB_CBCR_ADDR,v)
#define HWIO_GCC_TCSR_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TCSR_AHB_CBCR_ADDR,m,v,HWIO_GCC_TCSR_AHB_CBCR_IN)
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_TCSR_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_TCSR_AHB_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_TCSR_AHB_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_TCSR_AHB_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_TCSR_AHB_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_TCSR_AHB_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_TCSR_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_TCSR_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00016008)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00016008)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00016008)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_RMSK                                                               0x81c0000f
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ADDR, HWIO_GCC_TCSR_ACC_SERIAL_CBCR_RMSK)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ADDR, m)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ADDR,v)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TCSR_ACC_SERIAL_CBCR_ADDR,m,v,HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IN)
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_TCSR_ACC_SERIAL_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_BOOT_ROM_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00017000)
#define HWIO_GCC_BOOT_ROM_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00017000)
#define HWIO_GCC_BOOT_ROM_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00017000)
#define HWIO_GCC_BOOT_ROM_BCR_RMSK                                                                              0x1
#define HWIO_GCC_BOOT_ROM_BCR_ATTR                                                                              0x3
#define HWIO_GCC_BOOT_ROM_BCR_IN          \
        in_dword_masked(HWIO_GCC_BOOT_ROM_BCR_ADDR, HWIO_GCC_BOOT_ROM_BCR_RMSK)
#define HWIO_GCC_BOOT_ROM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BOOT_ROM_BCR_ADDR, m)
#define HWIO_GCC_BOOT_ROM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_BOOT_ROM_BCR_ADDR,v)
#define HWIO_GCC_BOOT_ROM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BOOT_ROM_BCR_ADDR,m,v,HWIO_GCC_BOOT_ROM_BCR_IN)
#define HWIO_GCC_BOOT_ROM_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_BOOT_ROM_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_BOOT_ROM_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_BOOT_ROM_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_BOOT_ROM_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00017004)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00017004)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00017004)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_RMSK                                                                  0x81d07ffe
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_BOOT_ROM_AHB_CBCR_ADDR, HWIO_GCC_BOOT_ROM_AHB_CBCR_RMSK)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_BOOT_ROM_AHB_CBCR_ADDR, m)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_BOOT_ROM_AHB_CBCR_ADDR,v)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BOOT_ROM_AHB_CBCR_ADDR,m,v,HWIO_GCC_BOOT_ROM_AHB_CBCR_IN)
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_CORE_ON_BMSK                                                    0x4000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_CORE_ON_SHFT                                                       0xe
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                  0x2000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                     0xd
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                 0x1000
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                    0xc
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_BMSK                                                                0xf00
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_SHFT                                                                  0x8
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK0_FVAL                                                           0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK1_FVAL                                                           0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK2_FVAL                                                           0x2
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK3_FVAL                                                           0x3
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK4_FVAL                                                           0x4
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK5_FVAL                                                           0x5
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK6_FVAL                                                           0x6
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK7_FVAL                                                           0x7
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK8_FVAL                                                           0x8
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK9_FVAL                                                           0x9
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK10_FVAL                                                          0xa
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK11_FVAL                                                          0xb
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK12_FVAL                                                          0xc
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK13_FVAL                                                          0xd
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK14_FVAL                                                          0xe
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_WAKEUP_CLOCK15_FVAL                                                          0xf
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_BMSK                                                                  0xf0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_SHFT                                                                   0x4
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK0_FVAL                                                            0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK1_FVAL                                                            0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK2_FVAL                                                            0x2
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK3_FVAL                                                            0x3
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK4_FVAL                                                            0x4
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK5_FVAL                                                            0x5
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK6_FVAL                                                            0x6
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK7_FVAL                                                            0x7
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK8_FVAL                                                            0x8
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK9_FVAL                                                            0x9
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK10_FVAL                                                           0xa
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK11_FVAL                                                           0xb
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK12_FVAL                                                           0xc
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK13_FVAL                                                           0xd
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK14_FVAL                                                           0xe
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SLEEP_CLOCK15_FVAL                                                           0xf
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_BOOT_ROM_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_BOOT_ROM_AHB_SREGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00017008)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00017008)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00017008)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_RMSK                                                                 0xfffffffe
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_ATTR                                                                        0x3
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_IN          \
        in_dword_masked(HWIO_GCC_BOOT_ROM_AHB_SREGR_ADDR, HWIO_GCC_BOOT_ROM_AHB_SREGR_RMSK)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_BOOT_ROM_AHB_SREGR_ADDR, m)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_BOOT_ROM_AHB_SREGR_ADDR,v)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_BOOT_ROM_AHB_SREGR_ADDR,m,v,HWIO_GCC_BOOT_ROM_AHB_SREGR_IN)
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                       0xff000000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                             0x18
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                          0xff0000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                              0x10
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                             0x8000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                0xf
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                      0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                         0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                              0x4000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                 0xe
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                 0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                              0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                             0x2000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                0xd
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                    0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                       0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                         0x1000
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                            0xc
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                   0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                      0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CORE_ON_ACK_BMSK                                                      0x800
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CORE_ON_ACK_SHFT                                                        0xb
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                    0x400
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                      0xa
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                             0x300
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                               0x8
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                      0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                      0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                      0x2
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                      0x3
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_ENABLE_BMSK                                                        0x80
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_ENABLE_SHFT                                                         0x7
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_FORCE_CLK_ON_BMSK                                                          0x40
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_FORCE_CLK_ON_SHFT                                                           0x6
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                  0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                    0x20
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                     0x5
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                            0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                       0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SLP_STG_BMSK                                                        0x10
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SLP_STG_SHFT                                                         0x4
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                               0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                  0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                       0x8
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                       0x3
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                            0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                               0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                  0x4
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                  0x2
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL              0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                      0x2
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                      0x1
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                0x0
#define HWIO_GCC_BOOT_ROM_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                 0x1

#define HWIO_GCC_TLMM_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00018000)
#define HWIO_GCC_TLMM_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00018000)
#define HWIO_GCC_TLMM_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00018000)
#define HWIO_GCC_TLMM_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_TLMM_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_TLMM_BCR_IN          \
        in_dword_masked(HWIO_GCC_TLMM_BCR_ADDR, HWIO_GCC_TLMM_BCR_RMSK)
#define HWIO_GCC_TLMM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TLMM_BCR_ADDR, m)
#define HWIO_GCC_TLMM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_TLMM_BCR_ADDR,v)
#define HWIO_GCC_TLMM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TLMM_BCR_ADDR,m,v,HWIO_GCC_TLMM_BCR_IN)
#define HWIO_GCC_TLMM_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_TLMM_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_TLMM_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_TLMM_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_TLMM_AHB_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00018004)
#define HWIO_GCC_TLMM_AHB_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00018004)
#define HWIO_GCC_TLMM_AHB_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00018004)
#define HWIO_GCC_TLMM_AHB_CBCR_RMSK                                                                      0x81d00004
#define HWIO_GCC_TLMM_AHB_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_TLMM_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TLMM_AHB_CBCR_ADDR, HWIO_GCC_TLMM_AHB_CBCR_RMSK)
#define HWIO_GCC_TLMM_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TLMM_AHB_CBCR_ADDR, m)
#define HWIO_GCC_TLMM_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TLMM_AHB_CBCR_ADDR,v)
#define HWIO_GCC_TLMM_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TLMM_AHB_CBCR_ADDR,m,v,HWIO_GCC_TLMM_AHB_CBCR_IN)
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_TLMM_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_TLMM_AHB_CBCR_CLK_ARES_RESET_FVAL                                                              0x1

#define HWIO_GCC_TLMM_CBCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00018008)
#define HWIO_GCC_TLMM_CBCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00018008)
#define HWIO_GCC_TLMM_CBCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00018008)
#define HWIO_GCC_TLMM_CBCR_RMSK                                                                          0x81d00004
#define HWIO_GCC_TLMM_CBCR_ATTR                                                                                 0x3
#define HWIO_GCC_TLMM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_TLMM_CBCR_ADDR, HWIO_GCC_TLMM_CBCR_RMSK)
#define HWIO_GCC_TLMM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TLMM_CBCR_ADDR, m)
#define HWIO_GCC_TLMM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_TLMM_CBCR_ADDR,v)
#define HWIO_GCC_TLMM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TLMM_CBCR_ADDR,m,v,HWIO_GCC_TLMM_CBCR_IN)
#define HWIO_GCC_TLMM_CBCR_CLK_OFF_BMSK                                                                  0x80000000
#define HWIO_GCC_TLMM_CBCR_CLK_OFF_SHFT                                                                        0x1f
#define HWIO_GCC_TLMM_CBCR_IGNORE_ALL_ARES_BMSK                                                           0x1000000
#define HWIO_GCC_TLMM_CBCR_IGNORE_ALL_ARES_SHFT                                                                0x18
#define HWIO_GCC_TLMM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                         0x800000
#define HWIO_GCC_TLMM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                             0x17
#define HWIO_GCC_TLMM_CBCR_CLK_DIS_BMSK                                                                    0x400000
#define HWIO_GCC_TLMM_CBCR_CLK_DIS_SHFT                                                                        0x16
#define HWIO_GCC_TLMM_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                        0x100000
#define HWIO_GCC_TLMM_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                            0x14
#define HWIO_GCC_TLMM_CBCR_CLK_ARES_BMSK                                                                        0x4
#define HWIO_GCC_TLMM_CBCR_CLK_ARES_SHFT                                                                        0x2
#define HWIO_GCC_TLMM_CBCR_CLK_ARES_NO_RESET_FVAL                                                               0x0
#define HWIO_GCC_TLMM_CBCR_CLK_ARES_RESET_FVAL                                                                  0x1

#define HWIO_GCC_AOSS_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00019000)
#define HWIO_GCC_AOSS_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00019000)
#define HWIO_GCC_AOSS_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00019000)
#define HWIO_GCC_AOSS_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_AOSS_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_AOSS_BCR_IN          \
        in_dword_masked(HWIO_GCC_AOSS_BCR_ADDR, HWIO_GCC_AOSS_BCR_RMSK)
#define HWIO_GCC_AOSS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AOSS_BCR_ADDR, m)
#define HWIO_GCC_AOSS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_AOSS_BCR_ADDR,v)
#define HWIO_GCC_AOSS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AOSS_BCR_ADDR,m,v,HWIO_GCC_AOSS_BCR_IN)
#define HWIO_GCC_AOSS_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_AOSS_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_AOSS_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_AOSS_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_AOSS_CFG_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00019004)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00019004)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00019004)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AOSS_CFG_AHB_CBCR_ADDR, HWIO_GCC_AOSS_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AOSS_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AOSS_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AOSS_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_AOSS_CFG_AHB_CBCR_IN)
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_AOSS_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_AOSS_AT_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00019008)
#define HWIO_GCC_AOSS_AT_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00019008)
#define HWIO_GCC_AOSS_AT_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00019008)
#define HWIO_GCC_AOSS_AT_CBCR_RMSK                                                                       0x81d0000f
#define HWIO_GCC_AOSS_AT_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_AOSS_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AOSS_AT_CBCR_ADDR, HWIO_GCC_AOSS_AT_CBCR_RMSK)
#define HWIO_GCC_AOSS_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AOSS_AT_CBCR_ADDR, m)
#define HWIO_GCC_AOSS_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AOSS_AT_CBCR_ADDR,v)
#define HWIO_GCC_AOSS_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AOSS_AT_CBCR_ADDR,m,v,HWIO_GCC_AOSS_AT_CBCR_IN)
#define HWIO_GCC_AOSS_AT_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_AOSS_AT_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_AOSS_AT_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_AOSS_AT_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_AOSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_AOSS_AT_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_AOSS_AT_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_AOSS_AT_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_AOSS_AT_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_AOSS_AT_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_AOSS_AT_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_AOSS_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_SEC_CTRL_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a000)
#define HWIO_GCC_SEC_CTRL_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a000)
#define HWIO_GCC_SEC_CTRL_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a000)
#define HWIO_GCC_SEC_CTRL_BCR_RMSK                                                                              0x1
#define HWIO_GCC_SEC_CTRL_BCR_ATTR                                                                              0x3
#define HWIO_GCC_SEC_CTRL_BCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_BCR_ADDR, HWIO_GCC_SEC_CTRL_BCR_RMSK)
#define HWIO_GCC_SEC_CTRL_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_BCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_BCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_BCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_BCR_IN)
#define HWIO_GCC_SEC_CTRL_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_SEC_CTRL_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_SEC_CTRL_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_SEC_CTRL_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_SEC_CTRL_ACC_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a004)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a004)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a004)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_RMSK                                                                  0x81c00005
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_ACC_CBCR_ADDR, HWIO_GCC_SEC_CTRL_ACC_CBCR_RMSK)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_ACC_CBCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_ACC_CBCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_ACC_CBCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_ACC_CBCR_IN)
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SEC_CTRL_ACC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SEC_CTRL_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a008)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a008)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a008)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_RMSK                                                                  0x81d0000f
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_AHB_CBCR_ADDR, HWIO_GCC_SEC_CTRL_AHB_CBCR_RMSK)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_AHB_CBCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_AHB_CBCR_IN)
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SEC_CTRL_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SEC_CTRL_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a00c)
#define HWIO_GCC_SEC_CTRL_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a00c)
#define HWIO_GCC_SEC_CTRL_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a00c)
#define HWIO_GCC_SEC_CTRL_CBCR_RMSK                                                                      0x81c07ff5
#define HWIO_GCC_SEC_CTRL_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_SEC_CTRL_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CBCR_ADDR, HWIO_GCC_SEC_CTRL_CBCR_RMSK)
#define HWIO_GCC_SEC_CTRL_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CBCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_CBCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_CBCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_CBCR_IN)
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_SEC_CTRL_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_SEC_CTRL_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_SEC_CTRL_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_SEC_CTRL_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_CORE_ON_BMSK                                                        0x4000
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_CORE_ON_SHFT                                                           0xe
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                      0x2000
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                         0xd
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                     0x1000
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                        0xc
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_SEC_CTRL_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_BMSK                                                                    0xf00
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_SHFT                                                                      0x8
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK0_FVAL                                                               0x0
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK1_FVAL                                                               0x1
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK2_FVAL                                                               0x2
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK3_FVAL                                                               0x3
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK4_FVAL                                                               0x4
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK5_FVAL                                                               0x5
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK6_FVAL                                                               0x6
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK7_FVAL                                                               0x7
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK8_FVAL                                                               0x8
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK9_FVAL                                                               0x9
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK10_FVAL                                                              0xa
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK11_FVAL                                                              0xb
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK12_FVAL                                                              0xc
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK13_FVAL                                                              0xd
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK14_FVAL                                                              0xe
#define HWIO_GCC_SEC_CTRL_CBCR_WAKEUP_CLOCK15_FVAL                                                              0xf
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_BMSK                                                                      0xf0
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_SHFT                                                                       0x4
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK0_FVAL                                                                0x0
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK1_FVAL                                                                0x1
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK2_FVAL                                                                0x2
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK3_FVAL                                                                0x3
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK4_FVAL                                                                0x4
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK5_FVAL                                                                0x5
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK6_FVAL                                                                0x6
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK7_FVAL                                                                0x7
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK8_FVAL                                                                0x8
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK9_FVAL                                                                0x9
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK10_FVAL                                                               0xa
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK11_FVAL                                                               0xb
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK12_FVAL                                                               0xc
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK13_FVAL                                                               0xd
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK14_FVAL                                                               0xe
#define HWIO_GCC_SEC_CTRL_CBCR_SLEEP_CLOCK15_FVAL                                                               0xf
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_SEC_CTRL_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_SEC_CTRL_SREGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a010)
#define HWIO_GCC_SEC_CTRL_SREGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a010)
#define HWIO_GCC_SEC_CTRL_SREGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a010)
#define HWIO_GCC_SEC_CTRL_SREGR_RMSK                                                                     0xfffffffe
#define HWIO_GCC_SEC_CTRL_SREGR_ATTR                                                                            0x3
#define HWIO_GCC_SEC_CTRL_SREGR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_SREGR_ADDR, HWIO_GCC_SEC_CTRL_SREGR_RMSK)
#define HWIO_GCC_SEC_CTRL_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_SREGR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_SREGR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_SREGR_ADDR,m,v,HWIO_GCC_SEC_CTRL_SREGR_IN)
#define HWIO_GCC_SEC_CTRL_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                           0xff000000
#define HWIO_GCC_SEC_CTRL_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                 0x18
#define HWIO_GCC_SEC_CTRL_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                              0xff0000
#define HWIO_GCC_SEC_CTRL_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                  0x10
#define HWIO_GCC_SEC_CTRL_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                 0x8000
#define HWIO_GCC_SEC_CTRL_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                    0xf
#define HWIO_GCC_SEC_CTRL_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                          0x0
#define HWIO_GCC_SEC_CTRL_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                             0x1
#define HWIO_GCC_SEC_CTRL_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                  0x4000
#define HWIO_GCC_SEC_CTRL_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                     0xe
#define HWIO_GCC_SEC_CTRL_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                     0x0
#define HWIO_GCC_SEC_CTRL_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                  0x1
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                 0x2000
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                    0xd
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                        0x0
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                           0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                             0x1000
#define HWIO_GCC_SEC_CTRL_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                0xc
#define HWIO_GCC_SEC_CTRL_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                       0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                          0x1
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CORE_ON_ACK_BMSK                                                          0x800
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CORE_ON_ACK_SHFT                                                            0xb
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                        0x400
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                          0xa
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                 0x300
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                   0x8
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                          0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                          0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                          0x2
#define HWIO_GCC_SEC_CTRL_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                          0x3
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_ENABLE_BMSK                                                            0x80
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_ENABLE_SHFT                                                             0x7
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SEC_CTRL_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_SEC_CTRL_SREGR_FORCE_CLK_ON_BMSK                                                              0x40
#define HWIO_GCC_SEC_CTRL_SREGR_FORCE_CLK_ON_SHFT                                                               0x6
#define HWIO_GCC_SEC_CTRL_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                      0x0
#define HWIO_GCC_SEC_CTRL_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                        0x20
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                         0x5
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                           0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SLP_STG_BMSK                                                            0x10
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SLP_STG_SHFT                                                             0x4
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                   0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                      0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                           0x8
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                           0x3
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                   0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                      0x4
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                      0x2
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                  0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                          0x2
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                          0x1
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SEC_CTRL_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                     0x1

#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a014)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a014)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a014)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_RMSK                                                                0x81c00005
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_SENSE_CBCR_ADDR, HWIO_GCC_SEC_CTRL_SENSE_CBCR_RMSK)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_SENSE_CBCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_SENSE_CBCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_SENSE_CBCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_SENSE_CBCR_IN)
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_SEC_CTRL_SENSE_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a018)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a018)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a018)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_RMSK                                                       0x81d00005
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ATTR                                                              0x3
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ADDR, HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_RMSK)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_ADDR,m,v,HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IN)
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_OFF_BMSK                                               0x80000000
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_OFF_SHFT                                                     0x1f
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_ALL_ARES_BMSK                                        0x1000000
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_ALL_ARES_SHFT                                             0x18
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                      0x800000
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                          0x17
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_DIS_BMSK                                                 0x400000
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_DIS_SHFT                                                     0x16
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                     0x100000
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                         0x14
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ARES_BMSK                                                     0x4
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ARES_SHFT                                                     0x2
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ARES_NO_RESET_FVAL                                            0x0
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ARES_RESET_FVAL                                               0x1
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ENABLE_BMSK                                                   0x1
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ENABLE_SHFT                                                   0x0
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ENABLE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_SEC_CTRL_BOOT_ROM_PATCH_CBCR_CLK_ENABLE_ENABLE_FVAL                                            0x1

#define HWIO_GCC_ACC_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a01c)
#define HWIO_GCC_ACC_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a01c)
#define HWIO_GCC_ACC_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a01c)
#define HWIO_GCC_ACC_CMD_RCGR_RMSK                                                                       0x80000013
#define HWIO_GCC_ACC_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_ACC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ACC_CMD_RCGR_ADDR, HWIO_GCC_ACC_CMD_RCGR_RMSK)
#define HWIO_GCC_ACC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ACC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ACC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ACC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ACC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ACC_CMD_RCGR_ADDR,m,v,HWIO_GCC_ACC_CMD_RCGR_IN)
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_ACC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_ACC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_ACC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_ACC_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_ACC_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_ACC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_ACC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_ACC_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a020)
#define HWIO_GCC_ACC_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a020)
#define HWIO_GCC_ACC_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a020)
#define HWIO_GCC_ACC_CFG_RCGR_RMSK                                                                         0x11071f
#define HWIO_GCC_ACC_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_ACC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ACC_CFG_RCGR_ADDR, HWIO_GCC_ACC_CFG_RCGR_RMSK)
#define HWIO_GCC_ACC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ACC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ACC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ACC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ACC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ACC_CFG_RCGR_ADDR,m,v,HWIO_GCC_ACC_CFG_RCGR_IN)
#define HWIO_GCC_ACC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_ACC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_ACC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_ACC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_ACC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                          0x10000
#define HWIO_GCC_ACC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                             0x10
#define HWIO_GCC_ACC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                              0x0
#define HWIO_GCC_ACC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                             0x1
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_ACC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_ACC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a034)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a034)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a034)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_RMSK                                                                  0x80000013
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CMD_RCGR_ADDR, HWIO_GCC_SEC_CTRL_CMD_RCGR_RMSK)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_CMD_RCGR_ADDR,m,v,HWIO_GCC_SEC_CTRL_CMD_RCGR_IN)
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_OFF_SHFT                                                               0x1f
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                         0x10
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                          0x4
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_EN_BMSK                                                                 0x2
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_EN_SHFT                                                                 0x1
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_UPDATE_BMSK                                                                  0x1
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_UPDATE_SHFT                                                                  0x0
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_UPDATE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_SEC_CTRL_CMD_RCGR_UPDATE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_SEC_CTRL_CFG_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001a038)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001a038)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001a038)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_RMSK                                                                    0x11071f
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CFG_RCGR_ADDR, HWIO_GCC_SEC_CTRL_CFG_RCGR_RMSK)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SEC_CTRL_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SEC_CTRL_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SEC_CTRL_CFG_RCGR_ADDR,m,v,HWIO_GCC_SEC_CTRL_CFG_RCGR_IN)
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                     0x100000
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                         0x14
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                     0x10000
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                        0x10
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                         0x0
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                        0x1
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_BMSK                                                               0x700
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SHFT                                                                 0x8
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                            0x0
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                            0x1
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                            0x2
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                            0x3
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                            0x4
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                            0x5
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                            0x6
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                            0x7
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_BMSK                                                                0x1f
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_SHFT                                                                 0x0
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                          0x0
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                            0x1
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                          0x2
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                            0x3
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                          0x4
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                            0x5
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                          0x6
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                            0x7
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                          0x8
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                            0x9
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                          0xa
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                            0xb
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                          0xc
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                            0xd
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                          0xe
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                            0xf
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                         0x10
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                           0x11
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                         0x12
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                          0x13
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                        0x14
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                          0x15
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                        0x16
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                          0x17
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                        0x18
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                          0x19
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                        0x1a
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                          0x1b
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                        0x1c
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                          0x1d
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                        0x1e
#define HWIO_GCC_SEC_CTRL_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                          0x1f

#define HWIO_GCC_SPDM_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b000)
#define HWIO_GCC_SPDM_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b000)
#define HWIO_GCC_SPDM_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b000)
#define HWIO_GCC_SPDM_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_SPDM_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_SPDM_BCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_BCR_ADDR, HWIO_GCC_SPDM_BCR_RMSK)
#define HWIO_GCC_SPDM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_BCR_ADDR, m)
#define HWIO_GCC_SPDM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_BCR_ADDR,v)
#define HWIO_GCC_SPDM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_BCR_ADDR,m,v,HWIO_GCC_SPDM_BCR_IN)
#define HWIO_GCC_SPDM_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_SPDM_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_SPDM_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_SPDM_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_SPDM_CFG_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b004)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b004)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b004)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_CFG_AHB_CBCR_ADDR, HWIO_GCC_SPDM_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_SPDM_CFG_AHB_CBCR_IN)
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SPDM_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b008)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b008)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b008)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_RMSK                                                                 0x81d00005
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_MSTR_AHB_CBCR_ADDR, HWIO_GCC_SPDM_MSTR_AHB_CBCR_RMSK)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_MSTR_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_MSTR_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_MSTR_AHB_CBCR_ADDR,m,v,HWIO_GCC_SPDM_MSTR_AHB_CBCR_IN)
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SPDM_MSTR_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_SPDM_FF_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b00c)
#define HWIO_GCC_SPDM_FF_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b00c)
#define HWIO_GCC_SPDM_FF_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b00c)
#define HWIO_GCC_SPDM_FF_CBCR_RMSK                                                                       0x81c00005
#define HWIO_GCC_SPDM_FF_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_SPDM_FF_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_FF_CBCR_ADDR, HWIO_GCC_SPDM_FF_CBCR_RMSK)
#define HWIO_GCC_SPDM_FF_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_FF_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_FF_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_FF_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_FF_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_FF_CBCR_ADDR,m,v,HWIO_GCC_SPDM_FF_CBCR_IN)
#define HWIO_GCC_SPDM_FF_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_SPDM_FF_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_SPDM_FF_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_SPDM_FF_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_SPDM_FF_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_SPDM_FF_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_SPDM_FF_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_SPDM_FF_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_SPDM_FF_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b010)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b010)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b010)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_RMSK                                                                0x81d00005
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ADDR, HWIO_GCC_SPDM_MEMNOC_CY_CBCR_RMSK)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_MEMNOC_CY_CBCR_ADDR,m,v,HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IN)
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                              0x100000
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                  0x14
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_SPDM_MEMNOC_CY_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_SPDM_SNOC_CY_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b014)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b014)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b014)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_SNOC_CY_CBCR_ADDR, HWIO_GCC_SPDM_SNOC_CY_CBCR_RMSK)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_SNOC_CY_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_SNOC_CY_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_SNOC_CY_CBCR_ADDR,m,v,HWIO_GCC_SPDM_SNOC_CY_CBCR_IN)
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SPDM_SNOC_CY_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b018)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b018)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b018)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_RMSK                                                                 0x81c00005
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_DEBUG_CY_CBCR_ADDR, HWIO_GCC_SPDM_DEBUG_CY_CBCR_RMSK)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_DEBUG_CY_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_DEBUG_CY_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_DEBUG_CY_CBCR_ADDR,m,v,HWIO_GCC_SPDM_DEBUG_CY_CBCR_IN)
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SPDM_DEBUG_CY_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_RMSK                                               0x81c00005
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ATTR                                                      0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_OFF_BMSK                                       0x80000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_OFF_SHFT                                             0x1f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IGNORE_ALL_ARES_BMSK                                0x1000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IGNORE_ALL_ARES_SHFT                                     0x18
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                              0x800000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                  0x17
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_DIS_BMSK                                         0x400000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_DIS_SHFT                                             0x16
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ARES_BMSK                                             0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ARES_SHFT                                             0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ARES_NO_RESET_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ARES_RESET_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ENABLE_BMSK                                           0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ENABLE_SHFT                                           0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ENABLE_DISABLE_FVAL                                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CBCR_CLK_ENABLE_ENABLE_FVAL                                    0x1

#define HWIO_GCC_SPDM_PNOC_CY_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b020)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b020)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b020)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_PNOC_CY_CBCR_ADDR, HWIO_GCC_SPDM_PNOC_CY_CBCR_RMSK)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_PNOC_CY_CBCR_ADDR, m)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_PNOC_CY_CBCR_ADDR,v)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_PNOC_CY_CBCR_ADDR,m,v,HWIO_GCC_SPDM_PNOC_CY_CBCR_IN)
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SPDM_PNOC_CY_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b024)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b024)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b024)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_RMSK                                                                      0xf
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ATTR                                                                      0x3
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ADDR, HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_RMSK)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ADDR, m)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ADDR,v)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_ADDR,m,v,HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_IN)
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_CLK_DIV_BMSK                                                              0xf
#define HWIO_GCC_SPDM_MEMNOC_CY_CDIVR_CLK_DIV_SHFT                                                              0x0

#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b028)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b028)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b028)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_RMSK                                                                        0xf
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_ATTR                                                                        0x3
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_SNOC_CY_CDIVR_ADDR, HWIO_GCC_SPDM_SNOC_CY_CDIVR_RMSK)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_SNOC_CY_CDIVR_ADDR, m)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_SNOC_CY_CDIVR_ADDR,v)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_SNOC_CY_CDIVR_ADDR,m,v,HWIO_GCC_SPDM_SNOC_CY_CDIVR_IN)
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_CLK_DIV_BMSK                                                                0xf
#define HWIO_GCC_SPDM_SNOC_CY_CDIVR_CLK_DIV_SHFT                                                                0x0

#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0001b02c)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001b02c)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001b02c)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_RMSK                                                                       0xf
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ATTR                                                                       0x3
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ADDR, HWIO_GCC_SPDM_DEBUG_CY_CDIVR_RMSK)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ADDR, m)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ADDR,v)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPDM_DEBUG_CY_CDIVR_ADDR,m,v,HWIO_GCC_SPDM_DEBUG_CY_CDIVR_IN)
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_CLK_DIV_BMSK                                                               0xf
#define HWIO_GCC_SPDM_DEBUG_CY_CDIVR_CLK_DIV_SHFT                                                               0x0

#define HWIO_GCC_CE1_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c000)
#define HWIO_GCC_CE1_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c000)
#define HWIO_GCC_CE1_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c000)
#define HWIO_GCC_CE1_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_CE1_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_CE1_BCR_IN          \
        in_dword_masked(HWIO_GCC_CE1_BCR_ADDR, HWIO_GCC_CE1_BCR_RMSK)
#define HWIO_GCC_CE1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_BCR_ADDR, m)
#define HWIO_GCC_CE1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_BCR_ADDR,v)
#define HWIO_GCC_CE1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_BCR_ADDR,m,v,HWIO_GCC_CE1_BCR_IN)
#define HWIO_GCC_CE1_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_CE1_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_CE1_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_CE1_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_CE1_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c004)
#define HWIO_GCC_CE1_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c004)
#define HWIO_GCC_CE1_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c004)
#define HWIO_GCC_CE1_CBCR_RMSK                                                                           0x81d07ff4
#define HWIO_GCC_CE1_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_CE1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CE1_CBCR_ADDR, HWIO_GCC_CE1_CBCR_RMSK)
#define HWIO_GCC_CE1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_CBCR_ADDR, m)
#define HWIO_GCC_CE1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_CBCR_ADDR,v)
#define HWIO_GCC_CE1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_CBCR_ADDR,m,v,HWIO_GCC_CE1_CBCR_IN)
#define HWIO_GCC_CE1_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_CE1_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_CE1_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_CE1_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_CE1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_CE1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_CE1_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_CE1_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_CE1_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                         0x100000
#define HWIO_GCC_CE1_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                             0x14
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_CORE_ON_BMSK                                                             0x4000
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_CORE_ON_SHFT                                                                0xe
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                           0x2000
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                              0xd
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                          0x1000
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                             0xc
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_CE1_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_CE1_CBCR_WAKEUP_BMSK                                                                         0xf00
#define HWIO_GCC_CE1_CBCR_WAKEUP_SHFT                                                                           0x8
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK0_FVAL                                                                    0x0
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK1_FVAL                                                                    0x1
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK2_FVAL                                                                    0x2
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK3_FVAL                                                                    0x3
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK4_FVAL                                                                    0x4
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK5_FVAL                                                                    0x5
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK6_FVAL                                                                    0x6
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK7_FVAL                                                                    0x7
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK8_FVAL                                                                    0x8
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK9_FVAL                                                                    0x9
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK10_FVAL                                                                   0xa
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK11_FVAL                                                                   0xb
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK12_FVAL                                                                   0xc
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK13_FVAL                                                                   0xd
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK14_FVAL                                                                   0xe
#define HWIO_GCC_CE1_CBCR_WAKEUP_CLOCK15_FVAL                                                                   0xf
#define HWIO_GCC_CE1_CBCR_SLEEP_BMSK                                                                           0xf0
#define HWIO_GCC_CE1_CBCR_SLEEP_SHFT                                                                            0x4
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK0_FVAL                                                                     0x0
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK1_FVAL                                                                     0x1
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK2_FVAL                                                                     0x2
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK3_FVAL                                                                     0x3
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK4_FVAL                                                                     0x4
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK5_FVAL                                                                     0x5
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK6_FVAL                                                                     0x6
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK7_FVAL                                                                     0x7
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK8_FVAL                                                                     0x8
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK9_FVAL                                                                     0x9
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK10_FVAL                                                                    0xa
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK11_FVAL                                                                    0xb
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK12_FVAL                                                                    0xc
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK13_FVAL                                                                    0xd
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK14_FVAL                                                                    0xe
#define HWIO_GCC_CE1_CBCR_SLEEP_CLOCK15_FVAL                                                                    0xf
#define HWIO_GCC_CE1_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_CE1_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_CE1_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_CE1_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1

#define HWIO_GCC_CE1_SREGR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c008)
#define HWIO_GCC_CE1_SREGR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c008)
#define HWIO_GCC_CE1_SREGR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c008)
#define HWIO_GCC_CE1_SREGR_RMSK                                                                          0xfffffffe
#define HWIO_GCC_CE1_SREGR_ATTR                                                                                 0x3
#define HWIO_GCC_CE1_SREGR_IN          \
        in_dword_masked(HWIO_GCC_CE1_SREGR_ADDR, HWIO_GCC_CE1_SREGR_RMSK)
#define HWIO_GCC_CE1_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_SREGR_ADDR, m)
#define HWIO_GCC_CE1_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_SREGR_ADDR,v)
#define HWIO_GCC_CE1_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_SREGR_ADDR,m,v,HWIO_GCC_CE1_SREGR_IN)
#define HWIO_GCC_CE1_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                                0xff000000
#define HWIO_GCC_CE1_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                      0x18
#define HWIO_GCC_CE1_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                                   0xff0000
#define HWIO_GCC_CE1_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                       0x10
#define HWIO_GCC_CE1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                      0x8000
#define HWIO_GCC_CE1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                         0xf
#define HWIO_GCC_CE1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                               0x0
#define HWIO_GCC_CE1_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                                  0x1
#define HWIO_GCC_CE1_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                       0x4000
#define HWIO_GCC_CE1_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                          0xe
#define HWIO_GCC_CE1_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                          0x0
#define HWIO_GCC_CE1_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                       0x1
#define HWIO_GCC_CE1_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                      0x2000
#define HWIO_GCC_CE1_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                         0xd
#define HWIO_GCC_CE1_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                             0x0
#define HWIO_GCC_CE1_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                                0x1
#define HWIO_GCC_CE1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                                  0x1000
#define HWIO_GCC_CE1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                     0xc
#define HWIO_GCC_CE1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                            0x0
#define HWIO_GCC_CE1_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                               0x1
#define HWIO_GCC_CE1_SREGR_MEM_CORE_ON_ACK_BMSK                                                               0x800
#define HWIO_GCC_CE1_SREGR_MEM_CORE_ON_ACK_SHFT                                                                 0xb
#define HWIO_GCC_CE1_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                             0x400
#define HWIO_GCC_CE1_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                               0xa
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                      0x300
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                        0x8
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                               0x0
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                               0x1
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                               0x2
#define HWIO_GCC_CE1_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                               0x3
#define HWIO_GCC_CE1_SREGR_MEM_CPH_ENABLE_BMSK                                                                 0x80
#define HWIO_GCC_CE1_SREGR_MEM_CPH_ENABLE_SHFT                                                                  0x7
#define HWIO_GCC_CE1_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_CE1_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_CE1_SREGR_FORCE_CLK_ON_BMSK                                                                   0x40
#define HWIO_GCC_CE1_SREGR_FORCE_CLK_ON_SHFT                                                                    0x6
#define HWIO_GCC_CE1_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                           0x0
#define HWIO_GCC_CE1_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_CE1_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                             0x20
#define HWIO_GCC_CE1_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                              0x5
#define HWIO_GCC_CE1_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                     0x0
#define HWIO_GCC_CE1_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                                0x1
#define HWIO_GCC_CE1_SREGR_SW_RST_SLP_STG_BMSK                                                                 0x10
#define HWIO_GCC_CE1_SREGR_SW_RST_SLP_STG_SHFT                                                                  0x4
#define HWIO_GCC_CE1_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                        0x0
#define HWIO_GCC_CE1_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                           0x1
#define HWIO_GCC_CE1_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                                0x8
#define HWIO_GCC_CE1_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                                0x3
#define HWIO_GCC_CE1_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                     0x0
#define HWIO_GCC_CE1_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                        0x1
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                           0x4
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                           0x2
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                       0x0
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                               0x2
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                               0x1
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                         0x0
#define HWIO_GCC_CE1_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                          0x1

#define HWIO_GCC_CE1_AXI_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c00c)
#define HWIO_GCC_CE1_AXI_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c00c)
#define HWIO_GCC_CE1_AXI_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c00c)
#define HWIO_GCC_CE1_AXI_CBCR_RMSK                                                                       0x81d00004
#define HWIO_GCC_CE1_AXI_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_CE1_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CE1_AXI_CBCR_ADDR, HWIO_GCC_CE1_AXI_CBCR_RMSK)
#define HWIO_GCC_CE1_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_AXI_CBCR_ADDR, m)
#define HWIO_GCC_CE1_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_AXI_CBCR_ADDR,v)
#define HWIO_GCC_CE1_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_AXI_CBCR_ADDR,m,v,HWIO_GCC_CE1_AXI_CBCR_IN)
#define HWIO_GCC_CE1_AXI_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_CE1_AXI_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_CE1_AXI_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_CE1_AXI_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_CE1_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_CE1_AXI_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_CE1_AXI_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_CE1_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_CE1_AXI_CBCR_CLK_ARES_RESET_FVAL                                                               0x1

#define HWIO_GCC_CE1_AHB_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c010)
#define HWIO_GCC_CE1_AHB_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c010)
#define HWIO_GCC_CE1_AHB_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c010)
#define HWIO_GCC_CE1_AHB_CBCR_RMSK                                                                       0x81d0000e
#define HWIO_GCC_CE1_AHB_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_CE1_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CE1_AHB_CBCR_ADDR, HWIO_GCC_CE1_AHB_CBCR_RMSK)
#define HWIO_GCC_CE1_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_AHB_CBCR_ADDR, m)
#define HWIO_GCC_CE1_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_AHB_CBCR_ADDR,v)
#define HWIO_GCC_CE1_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_AHB_CBCR_ADDR,m,v,HWIO_GCC_CE1_AHB_CBCR_IN)
#define HWIO_GCC_CE1_AHB_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_CE1_AHB_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_CE1_AHB_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_CE1_AHB_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_CE1_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_CE1_AHB_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_CE1_AHB_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_CE1_AHB_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_CE1_AHB_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_CE1_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_CE1_AHB_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_CE1_AHB_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_CE1_AHB_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_CE1_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_CE1_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_RPMH_CE_CMD_DFSR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c028)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c028)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c028)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_RMSK                                                                       0xffff
#define HWIO_GCC_RPMH_CE_CMD_DFSR_ATTR                                                                          0x3
#define HWIO_GCC_RPMH_CE_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CMD_DFSR_ADDR, HWIO_GCC_RPMH_CE_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CMD_DFSR_RCG_SW_CTRL_BMSK                                                           0x8000
#define HWIO_GCC_RPMH_CE_CMD_DFSR_RCG_SW_CTRL_SHFT                                                              0xf
#define HWIO_GCC_RPMH_CE_CMD_DFSR_SW_PERF_STATE_BMSK                                                         0x7800
#define HWIO_GCC_RPMH_CE_CMD_DFSR_SW_PERF_STATE_SHFT                                                            0xb
#define HWIO_GCC_RPMH_CE_CMD_DFSR_SW_OVERRIDE_BMSK                                                            0x400
#define HWIO_GCC_RPMH_CE_CMD_DFSR_SW_OVERRIDE_SHFT                                                              0xa
#define HWIO_GCC_RPMH_CE_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                               0x200
#define HWIO_GCC_RPMH_CE_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                                 0x9
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_FSM_STATE_BMSK                                                          0x1c0
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_FSM_STATE_SHFT                                                            0x6
#define HWIO_GCC_RPMH_CE_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                          0x20
#define HWIO_GCC_RPMH_CE_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                           0x5
#define HWIO_GCC_RPMH_CE_CMD_DFSR_CURR_PERF_STATE_BMSK                                                         0x1e
#define HWIO_GCC_RPMH_CE_CMD_DFSR_CURR_PERF_STATE_SHFT                                                          0x1
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_EN_BMSK                                                                   0x1
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_EN_SHFT                                                                   0x0
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPMH_CE_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c030)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c030)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c030)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c034)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c034)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c034)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c038)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c038)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c038)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c03c)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c03c)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c03c)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c040)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c040)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c040)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c044)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c044)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c044)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c048)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c048)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c048)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c04c)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c04c)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c04c)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c050)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c050)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c050)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c054)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c054)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c054)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_RMSK                                                                  0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_BMSK                                                          0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SHFT                                                            0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                       0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                       0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                       0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                       0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_BMSK                                                           0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                     0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                       0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                     0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                       0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                     0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                       0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                     0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                       0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                     0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                       0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                     0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                       0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                     0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                       0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                    0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                      0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                    0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                     0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                                   0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                     0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                                   0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                     0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                                   0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                     0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                                   0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                     0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                                   0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                     0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                                   0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                     0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c058)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c058)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c058)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c05c)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c05c)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c05c)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c060)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c060)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c060)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c064)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c064)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c064)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c068)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c068)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c068)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c06c)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c06c)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c06c)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_CE_CE1_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_CE1_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c014)
#define HWIO_GCC_CE1_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c014)
#define HWIO_GCC_CE1_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c014)
#define HWIO_GCC_CE1_CMD_RCGR_RMSK                                                                       0x80000013
#define HWIO_GCC_CE1_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_CE1_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CE1_CMD_RCGR_ADDR, HWIO_GCC_CE1_CMD_RCGR_RMSK)
#define HWIO_GCC_CE1_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_CMD_RCGR_ADDR, m)
#define HWIO_GCC_CE1_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_CMD_RCGR_ADDR,v)
#define HWIO_GCC_CE1_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_CMD_RCGR_ADDR,m,v,HWIO_GCC_CE1_CMD_RCGR_IN)
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_CE1_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_CE1_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_CE1_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_CE1_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_CE1_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_CE1_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_CE1_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_CE1_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c018)
#define HWIO_GCC_CE1_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c018)
#define HWIO_GCC_CE1_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c018)
#define HWIO_GCC_CE1_CFG_RCGR_RMSK                                                                         0x11071f
#define HWIO_GCC_CE1_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_CE1_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CE1_CFG_RCGR_ADDR, HWIO_GCC_CE1_CFG_RCGR_RMSK)
#define HWIO_GCC_CE1_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CE1_CFG_RCGR_ADDR, m)
#define HWIO_GCC_CE1_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CE1_CFG_RCGR_ADDR,v)
#define HWIO_GCC_CE1_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CE1_CFG_RCGR_ADDR,m,v,HWIO_GCC_CE1_CFG_RCGR_IN)
#define HWIO_GCC_CE1_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_CE1_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_CE1_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_CE1_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_CE1_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                          0x10000
#define HWIO_GCC_CE1_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                             0x10
#define HWIO_GCC_CE1_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                              0x0
#define HWIO_GCC_CE1_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                             0x1
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_CE1_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_CE1_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_AHB_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e000)
#define HWIO_GCC_AHB_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e000)
#define HWIO_GCC_AHB_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e000)
#define HWIO_GCC_AHB_CBCR_RMSK                                                                           0x81d00005
#define HWIO_GCC_AHB_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AHB_CBCR_ADDR, HWIO_GCC_AHB_CBCR_RMSK)
#define HWIO_GCC_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AHB_CBCR_ADDR, m)
#define HWIO_GCC_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AHB_CBCR_ADDR,v)
#define HWIO_GCC_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AHB_CBCR_ADDR,m,v,HWIO_GCC_AHB_CBCR_IN)
#define HWIO_GCC_AHB_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_AHB_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_AHB_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_AHB_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                         0x100000
#define HWIO_GCC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                             0x14
#define HWIO_GCC_AHB_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_AHB_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_AHB_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_AHB_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_AHB_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_AHB_PCIE_LINK_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e004)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e004)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e004)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_RMSK                                                                 0x81d00005
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IN          \
        in_dword_masked(HWIO_GCC_AHB_PCIE_LINK_CBCR_ADDR, HWIO_GCC_AHB_PCIE_LINK_CBCR_RMSK)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AHB_PCIE_LINK_CBCR_ADDR, m)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_AHB_PCIE_LINK_CBCR_ADDR,v)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AHB_PCIE_LINK_CBCR_ADDR,m,v,HWIO_GCC_AHB_PCIE_LINK_CBCR_IN)
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_AHB_PCIE_LINK_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_XO_PCIE_LINK_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e008)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e008)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e008)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_RMSK                                                                  0x81c0000f
#define HWIO_GCC_XO_PCIE_LINK_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_XO_PCIE_LINK_CBCR_IN          \
        in_dword_masked(HWIO_GCC_XO_PCIE_LINK_CBCR_ADDR, HWIO_GCC_XO_PCIE_LINK_CBCR_RMSK)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_PCIE_LINK_CBCR_ADDR, m)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_XO_PCIE_LINK_CBCR_ADDR,v)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_PCIE_LINK_CBCR_ADDR,m,v,HWIO_GCC_XO_PCIE_LINK_CBCR_IN)
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_XO_PCIE_LINK_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_XO_PCIE_LINK_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_XO_PCIE_LINK_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_XO_PCIE_LINK_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_XO_PCIE_LINK_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_XO_PCIE_LINK_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_XO_PCIE_LINK_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_XO_PCIE_LINK_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_XO_PCIE_LINK_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_XO_PCIE_LINK_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_XO_PCIE_LINK_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_XO_CBCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e00c)
#define HWIO_GCC_XO_CBCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e00c)
#define HWIO_GCC_XO_CBCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e00c)
#define HWIO_GCC_XO_CBCR_RMSK                                                                            0x81c00005
#define HWIO_GCC_XO_CBCR_ATTR                                                                                   0x3
#define HWIO_GCC_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_XO_CBCR_ADDR, HWIO_GCC_XO_CBCR_RMSK)
#define HWIO_GCC_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_CBCR_ADDR, m)
#define HWIO_GCC_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_XO_CBCR_ADDR,v)
#define HWIO_GCC_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_CBCR_ADDR,m,v,HWIO_GCC_XO_CBCR_IN)
#define HWIO_GCC_XO_CBCR_CLK_OFF_BMSK                                                                    0x80000000
#define HWIO_GCC_XO_CBCR_CLK_OFF_SHFT                                                                          0x1f
#define HWIO_GCC_XO_CBCR_IGNORE_ALL_ARES_BMSK                                                             0x1000000
#define HWIO_GCC_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                                  0x18
#define HWIO_GCC_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                           0x800000
#define HWIO_GCC_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                               0x17
#define HWIO_GCC_XO_CBCR_CLK_DIS_BMSK                                                                      0x400000
#define HWIO_GCC_XO_CBCR_CLK_DIS_SHFT                                                                          0x16
#define HWIO_GCC_XO_CBCR_CLK_ARES_BMSK                                                                          0x4
#define HWIO_GCC_XO_CBCR_CLK_ARES_SHFT                                                                          0x2
#define HWIO_GCC_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                                 0x0
#define HWIO_GCC_XO_CBCR_CLK_ARES_RESET_FVAL                                                                    0x1
#define HWIO_GCC_XO_CBCR_CLK_ENABLE_BMSK                                                                        0x1
#define HWIO_GCC_XO_CBCR_CLK_ENABLE_SHFT                                                                        0x0
#define HWIO_GCC_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_XO_DIV4_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e010)
#define HWIO_GCC_XO_DIV4_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e010)
#define HWIO_GCC_XO_DIV4_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e010)
#define HWIO_GCC_XO_DIV4_CBCR_RMSK                                                                       0x81c00005
#define HWIO_GCC_XO_DIV4_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_XO_DIV4_CBCR_IN          \
        in_dword_masked(HWIO_GCC_XO_DIV4_CBCR_ADDR, HWIO_GCC_XO_DIV4_CBCR_RMSK)
#define HWIO_GCC_XO_DIV4_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_DIV4_CBCR_ADDR, m)
#define HWIO_GCC_XO_DIV4_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_XO_DIV4_CBCR_ADDR,v)
#define HWIO_GCC_XO_DIV4_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_DIV4_CBCR_ADDR,m,v,HWIO_GCC_XO_DIV4_CBCR_IN)
#define HWIO_GCC_XO_DIV4_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_XO_DIV4_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_XO_DIV4_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_XO_DIV4_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_XO_DIV4_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_XO_DIV4_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_XO_DIV4_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_XO_DIV4_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_XO_DIV4_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_SLEEP_CBCR_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e014)
#define HWIO_GCC_SLEEP_CBCR_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e014)
#define HWIO_GCC_SLEEP_CBCR_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e014)
#define HWIO_GCC_SLEEP_CBCR_RMSK                                                                         0x81c00005
#define HWIO_GCC_SLEEP_CBCR_ATTR                                                                                0x3
#define HWIO_GCC_SLEEP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SLEEP_CBCR_ADDR, HWIO_GCC_SLEEP_CBCR_RMSK)
#define HWIO_GCC_SLEEP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SLEEP_CBCR_ADDR, m)
#define HWIO_GCC_SLEEP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SLEEP_CBCR_ADDR,v)
#define HWIO_GCC_SLEEP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SLEEP_CBCR_ADDR,m,v,HWIO_GCC_SLEEP_CBCR_IN)
#define HWIO_GCC_SLEEP_CBCR_CLK_OFF_BMSK                                                                 0x80000000
#define HWIO_GCC_SLEEP_CBCR_CLK_OFF_SHFT                                                                       0x1f
#define HWIO_GCC_SLEEP_CBCR_IGNORE_ALL_ARES_BMSK                                                          0x1000000
#define HWIO_GCC_SLEEP_CBCR_IGNORE_ALL_ARES_SHFT                                                               0x18
#define HWIO_GCC_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                        0x800000
#define HWIO_GCC_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                            0x17
#define HWIO_GCC_SLEEP_CBCR_CLK_DIS_BMSK                                                                   0x400000
#define HWIO_GCC_SLEEP_CBCR_CLK_DIS_SHFT                                                                       0x16
#define HWIO_GCC_SLEEP_CBCR_CLK_ARES_BMSK                                                                       0x4
#define HWIO_GCC_SLEEP_CBCR_CLK_ARES_SHFT                                                                       0x2
#define HWIO_GCC_SLEEP_CBCR_CLK_ARES_NO_RESET_FVAL                                                              0x0
#define HWIO_GCC_SLEEP_CBCR_CLK_ARES_RESET_FVAL                                                                 0x1
#define HWIO_GCC_SLEEP_CBCR_CLK_ENABLE_BMSK                                                                     0x1
#define HWIO_GCC_SLEEP_CBCR_CLK_ENABLE_SHFT                                                                     0x0
#define HWIO_GCC_SLEEP_CBCR_CLK_ENABLE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_SLEEP_CBCR_CLK_ENABLE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_XO_DIV4_CDIVR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e018)
#define HWIO_GCC_XO_DIV4_CDIVR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e018)
#define HWIO_GCC_XO_DIV4_CDIVR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e018)
#define HWIO_GCC_XO_DIV4_CDIVR_RMSK                                                                             0xf
#define HWIO_GCC_XO_DIV4_CDIVR_ATTR                                                                             0x3
#define HWIO_GCC_XO_DIV4_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_XO_DIV4_CDIVR_ADDR, HWIO_GCC_XO_DIV4_CDIVR_RMSK)
#define HWIO_GCC_XO_DIV4_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_DIV4_CDIVR_ADDR, m)
#define HWIO_GCC_XO_DIV4_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_XO_DIV4_CDIVR_ADDR,v)
#define HWIO_GCC_XO_DIV4_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_DIV4_CDIVR_ADDR,m,v,HWIO_GCC_XO_DIV4_CDIVR_IN)
#define HWIO_GCC_XO_DIV4_CDIVR_CLK_DIV_BMSK                                                                     0xf
#define HWIO_GCC_XO_DIV4_CDIVR_CLK_DIV_SHFT                                                                     0x0

#define HWIO_GCC_SLEEP_CMD_RCGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e01c)
#define HWIO_GCC_SLEEP_CMD_RCGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e01c)
#define HWIO_GCC_SLEEP_CMD_RCGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e01c)
#define HWIO_GCC_SLEEP_CMD_RCGR_RMSK                                                                     0x80000013
#define HWIO_GCC_SLEEP_CMD_RCGR_ATTR                                                                            0x3
#define HWIO_GCC_SLEEP_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SLEEP_CMD_RCGR_ADDR, HWIO_GCC_SLEEP_CMD_RCGR_RMSK)
#define HWIO_GCC_SLEEP_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SLEEP_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SLEEP_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SLEEP_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SLEEP_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SLEEP_CMD_RCGR_ADDR,m,v,HWIO_GCC_SLEEP_CMD_RCGR_IN)
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_SLEEP_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                            0x10
#define HWIO_GCC_SLEEP_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                             0x4
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_EN_BMSK                                                                    0x2
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_EN_SHFT                                                                    0x1
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_SLEEP_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_SLEEP_CMD_RCGR_UPDATE_BMSK                                                                     0x1
#define HWIO_GCC_SLEEP_CMD_RCGR_UPDATE_SHFT                                                                     0x0
#define HWIO_GCC_SLEEP_CMD_RCGR_UPDATE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_SLEEP_CMD_RCGR_UPDATE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_SLEEP_CFG_RCGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e020)
#define HWIO_GCC_SLEEP_CFG_RCGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e020)
#define HWIO_GCC_SLEEP_CFG_RCGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e020)
#define HWIO_GCC_SLEEP_CFG_RCGR_RMSK                                                                       0x11071f
#define HWIO_GCC_SLEEP_CFG_RCGR_ATTR                                                                            0x3
#define HWIO_GCC_SLEEP_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SLEEP_CFG_RCGR_ADDR, HWIO_GCC_SLEEP_CFG_RCGR_RMSK)
#define HWIO_GCC_SLEEP_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SLEEP_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SLEEP_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SLEEP_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SLEEP_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SLEEP_CFG_RCGR_ADDR,m,v,HWIO_GCC_SLEEP_CFG_RCGR_IN)
#define HWIO_GCC_SLEEP_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                        0x100000
#define HWIO_GCC_SLEEP_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                            0x14
#define HWIO_GCC_SLEEP_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SLEEP_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_SLEEP_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                        0x10000
#define HWIO_GCC_SLEEP_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                           0x10
#define HWIO_GCC_SLEEP_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                            0x0
#define HWIO_GCC_SLEEP_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                           0x1
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_BMSK                                                                  0x700
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SHFT                                                                    0x8
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                               0x0
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                               0x1
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                               0x2
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                               0x3
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                               0x4
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                               0x5
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                               0x6
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                               0x7
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_BMSK                                                                   0x1f
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_SHFT                                                                    0x0
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                             0x0
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                               0x1
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                             0x2
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                               0x3
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                             0x4
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                               0x5
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                             0x6
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                               0x7
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                             0x8
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                               0x9
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                             0xa
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                               0xb
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                             0xc
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                               0xd
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                             0xe
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                               0xf
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                            0x10
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                              0x11
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                            0x12
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                             0x13
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                           0x14
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                             0x15
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                           0x16
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                             0x17
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                           0x18
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                             0x19
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                           0x1a
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                             0x1b
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                           0x1c
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                             0x1d
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                           0x1e
#define HWIO_GCC_SLEEP_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                             0x1f

#define HWIO_GCC_XO_CMD_RCGR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e038)
#define HWIO_GCC_XO_CMD_RCGR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e038)
#define HWIO_GCC_XO_CMD_RCGR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e038)
#define HWIO_GCC_XO_CMD_RCGR_RMSK                                                                        0x80000013
#define HWIO_GCC_XO_CMD_RCGR_ATTR                                                                               0x3
#define HWIO_GCC_XO_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_XO_CMD_RCGR_ADDR, HWIO_GCC_XO_CMD_RCGR_RMSK)
#define HWIO_GCC_XO_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_CMD_RCGR_ADDR, m)
#define HWIO_GCC_XO_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_XO_CMD_RCGR_ADDR,v)
#define HWIO_GCC_XO_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_CMD_RCGR_ADDR,m,v,HWIO_GCC_XO_CMD_RCGR_IN)
#define HWIO_GCC_XO_CMD_RCGR_ROOT_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_XO_CMD_RCGR_ROOT_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_XO_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                               0x10
#define HWIO_GCC_XO_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                                0x4
#define HWIO_GCC_XO_CMD_RCGR_ROOT_EN_BMSK                                                                       0x2
#define HWIO_GCC_XO_CMD_RCGR_ROOT_EN_SHFT                                                                       0x1
#define HWIO_GCC_XO_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_XO_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_XO_CMD_RCGR_UPDATE_BMSK                                                                        0x1
#define HWIO_GCC_XO_CMD_RCGR_UPDATE_SHFT                                                                        0x0
#define HWIO_GCC_XO_CMD_RCGR_UPDATE_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_XO_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_XO_CFG_RCGR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e03c)
#define HWIO_GCC_XO_CFG_RCGR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e03c)
#define HWIO_GCC_XO_CFG_RCGR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e03c)
#define HWIO_GCC_XO_CFG_RCGR_RMSK                                                                          0x11071f
#define HWIO_GCC_XO_CFG_RCGR_ATTR                                                                               0x3
#define HWIO_GCC_XO_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_XO_CFG_RCGR_ADDR, HWIO_GCC_XO_CFG_RCGR_RMSK)
#define HWIO_GCC_XO_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_XO_CFG_RCGR_ADDR, m)
#define HWIO_GCC_XO_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_XO_CFG_RCGR_ADDR,v)
#define HWIO_GCC_XO_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_XO_CFG_RCGR_ADDR,m,v,HWIO_GCC_XO_CFG_RCGR_IN)
#define HWIO_GCC_XO_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                           0x100000
#define HWIO_GCC_XO_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                               0x14
#define HWIO_GCC_XO_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_XO_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_XO_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                           0x10000
#define HWIO_GCC_XO_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                              0x10
#define HWIO_GCC_XO_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                               0x0
#define HWIO_GCC_XO_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                              0x1
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_BMSK                                                                     0x700
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SHFT                                                                       0x8
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                  0x0
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                  0x1
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                  0x2
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                  0x3
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                  0x4
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                  0x5
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                  0x6
#define HWIO_GCC_XO_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                  0x7
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_BMSK                                                                      0x1f
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_SHFT                                                                       0x0
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                                0x0
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                  0x1
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                                0x2
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                  0x3
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                                0x4
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                  0x5
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                                0x6
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                  0x7
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                                0x8
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                  0x9
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                                0xa
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                  0xb
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                                0xc
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                  0xd
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                                0xe
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                  0xf
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                               0x10
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                 0x11
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                               0x12
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                                0x13
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                              0x14
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                                0x15
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                              0x16
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                                0x17
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                              0x18
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                                0x19
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                              0x1a
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                                0x1b
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                              0x1c
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                                0x1d
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                              0x1e
#define HWIO_GCC_XO_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                                0x1f

#define HWIO_GCC_DDRSS_BCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f000)
#define HWIO_GCC_DDRSS_BCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f000)
#define HWIO_GCC_DDRSS_BCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f000)
#define HWIO_GCC_DDRSS_BCR_RMSK                                                                                 0x1
#define HWIO_GCC_DDRSS_BCR_ATTR                                                                                 0x3
#define HWIO_GCC_DDRSS_BCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_BCR_ADDR, HWIO_GCC_DDRSS_BCR_RMSK)
#define HWIO_GCC_DDRSS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_BCR_ADDR, m)
#define HWIO_GCC_DDRSS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_BCR_ADDR,v)
#define HWIO_GCC_DDRSS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_BCR_ADDR,m,v,HWIO_GCC_DDRSS_BCR_IN)
#define HWIO_GCC_DDRSS_BCR_BLK_ARES_BMSK                                                                        0x1
#define HWIO_GCC_DDRSS_BCR_BLK_ARES_SHFT                                                                        0x0
#define HWIO_GCC_DDRSS_BCR_BLK_ARES_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_DDRSS_BCR_BLK_ARES_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_DDRSS_GDSCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f004)
#define HWIO_GCC_DDRSS_GDSCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f004)
#define HWIO_GCC_DDRSS_GDSCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f004)
#define HWIO_GCC_DDRSS_GDSCR_RMSK                                                                        0xf8ffffff
#define HWIO_GCC_DDRSS_GDSCR_ATTR                                                                               0x3
#define HWIO_GCC_DDRSS_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_GDSCR_ADDR, HWIO_GCC_DDRSS_GDSCR_RMSK)
#define HWIO_GCC_DDRSS_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_GDSCR_ADDR, m)
#define HWIO_GCC_DDRSS_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_GDSCR_ADDR,v)
#define HWIO_GCC_DDRSS_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_GDSCR_ADDR,m,v,HWIO_GCC_DDRSS_GDSCR_IN)
#define HWIO_GCC_DDRSS_GDSCR_PWR_ON_BMSK                                                                 0x80000000
#define HWIO_GCC_DDRSS_GDSCR_PWR_ON_SHFT                                                                       0x1f
#define HWIO_GCC_DDRSS_GDSCR_GDSC_STATE_BMSK                                                             0x78000000
#define HWIO_GCC_DDRSS_GDSCR_GDSC_STATE_SHFT                                                                   0x1b
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_WAIT_BMSK                                                             0xf00000
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_WAIT_SHFT                                                                 0x14
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_WAIT_BMSK                                                               0xf0000
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_WAIT_SHFT                                                                  0x10
#define HWIO_GCC_DDRSS_GDSCR_CLK_DIS_WAIT_BMSK                                                               0xf000
#define HWIO_GCC_DDRSS_GDSCR_CLK_DIS_WAIT_SHFT                                                                  0xc
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_FF_ENABLE_BMSK                                                            0x800
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_FF_ENABLE_SHFT                                                              0xb
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_FF_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_FF_ENABLE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_DDRSS_GDSCR_RESTORE_BMSK                                                                     0x400
#define HWIO_GCC_DDRSS_GDSCR_RESTORE_SHFT                                                                       0xa
#define HWIO_GCC_DDRSS_GDSCR_RESTORE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_DDRSS_GDSCR_RESTORE_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_DDRSS_GDSCR_SAVE_BMSK                                                                        0x200
#define HWIO_GCC_DDRSS_GDSCR_SAVE_SHFT                                                                          0x9
#define HWIO_GCC_DDRSS_GDSCR_SAVE_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_DDRSS_GDSCR_SAVE_ENABLE_FVAL                                                                   0x1
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_BMSK                                                                      0x100
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_SHFT                                                                        0x8
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_DDRSS_GDSCR_RETAIN_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_BMSK                                                                      0x80
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_SHFT                                                                       0x7
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_DDRSS_GDSCR_EN_REST_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_BMSK                                                                       0x40
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_SHFT                                                                        0x6
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_DDRSS_GDSCR_EN_FEW_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_DDRSS_GDSCR_CLAMP_IO_BMSK                                                                     0x20
#define HWIO_GCC_DDRSS_GDSCR_CLAMP_IO_SHFT                                                                      0x5
#define HWIO_GCC_DDRSS_GDSCR_CLAMP_IO_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_DDRSS_GDSCR_CLAMP_IO_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_DDRSS_GDSCR_CLK_DISABLE_BMSK                                                                  0x10
#define HWIO_GCC_DDRSS_GDSCR_CLK_DISABLE_SHFT                                                                   0x4
#define HWIO_GCC_DDRSS_GDSCR_CLK_DISABLE_CLK_NOT_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_DDRSS_GDSCR_CLK_DISABLE_CLK_IS_DISABLE_FVAL                                                    0x1
#define HWIO_GCC_DDRSS_GDSCR_PD_ARES_BMSK                                                                       0x8
#define HWIO_GCC_DDRSS_GDSCR_PD_ARES_SHFT                                                                       0x3
#define HWIO_GCC_DDRSS_GDSCR_PD_ARES_NO_RESET_FVAL                                                              0x0
#define HWIO_GCC_DDRSS_GDSCR_PD_ARES_RESET_FVAL                                                                 0x1
#define HWIO_GCC_DDRSS_GDSCR_SW_OVERRIDE_BMSK                                                                   0x4
#define HWIO_GCC_DDRSS_GDSCR_SW_OVERRIDE_SHFT                                                                   0x2
#define HWIO_GCC_DDRSS_GDSCR_SW_OVERRIDE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_DDRSS_GDSCR_SW_OVERRIDE_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_DDRSS_GDSCR_HW_CONTROL_BMSK                                                                    0x2
#define HWIO_GCC_DDRSS_GDSCR_HW_CONTROL_SHFT                                                                    0x1
#define HWIO_GCC_DDRSS_GDSCR_HW_CONTROL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_DDRSS_GDSCR_HW_CONTROL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_DDRSS_GDSCR_SW_COLLAPSE_BMSK                                                                   0x1
#define HWIO_GCC_DDRSS_GDSCR_SW_COLLAPSE_SHFT                                                                   0x0
#define HWIO_GCC_DDRSS_GDSCR_SW_COLLAPSE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_DDRSS_GDSCR_SW_COLLAPSE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_DDRSS_CFG_GDSCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f008)
#define HWIO_GCC_DDRSS_CFG_GDSCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f008)
#define HWIO_GCC_DDRSS_CFG_GDSCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f008)
#define HWIO_GCC_DDRSS_CFG_GDSCR_RMSK                                                                     0x3ffffff
#define HWIO_GCC_DDRSS_CFG_GDSCR_ATTR                                                                           0x3
#define HWIO_GCC_DDRSS_CFG_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_CFG_GDSCR_ADDR, HWIO_GCC_DDRSS_CFG_GDSCR_RMSK)
#define HWIO_GCC_DDRSS_CFG_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_CFG_GDSCR_ADDR, m)
#define HWIO_GCC_DDRSS_CFG_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_CFG_GDSCR_ADDR,v)
#define HWIO_GCC_DDRSS_CFG_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_CFG_GDSCR_ADDR,m,v,HWIO_GCC_DDRSS_CFG_GDSCR_IN)
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PWR_DWN_START_BMSK                                                  0x2000000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PWR_DWN_START_SHFT                                                       0x19
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PWR_UP_START_BMSK                                                   0x1000000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PWR_UP_START_SHFT                                                        0x18
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_BMSK                                            0xf00000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_SHFT                                                0x14
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_BMSK                                               0x80000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_SHFT                                                  0x13
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_ENR_ACK_STATUS_BMSK                                                   0x40000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_ENR_ACK_STATUS_SHFT                                                      0x12
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_ENF_ACK_STATUS_BMSK                                                   0x20000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_ENF_ACK_STATUS_SHFT                                                      0x11
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_BMSK                                                0x10000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_SHFT                                                   0x10
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_BMSK                                               0x8000
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_SHFT                                                  0xf
#define HWIO_GCC_DDRSS_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_BMSK                                              0x7800
#define HWIO_GCC_DDRSS_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_SHFT                                                 0xb
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_HANDSHAKE_DIS_BMSK                                                      0x400
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_HANDSHAKE_DIS_SHFT                                                        0xa
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_BMSK                                               0x200
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_SHFT                                                 0x9
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_BMSK                                               0x100
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_SHFT                                                 0x8
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_BMSK                                                   0x80
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_SHFT                                                    0x7
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_BMSK                                          0x60
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_SHFT                                           0x5
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_BMSK                                                    0x10
#define HWIO_GCC_DDRSS_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_SHFT                                                     0x4
#define HWIO_GCC_DDRSS_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                              0x8
#define HWIO_GCC_DDRSS_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                              0x3
#define HWIO_GCC_DDRSS_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_BMSK                                            0x4
#define HWIO_GCC_DDRSS_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_SHFT                                            0x2
#define HWIO_GCC_DDRSS_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                                0x2
#define HWIO_GCC_DDRSS_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                                0x1
#define HWIO_GCC_DDRSS_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_BMSK                                             0x1
#define HWIO_GCC_DDRSS_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_SHFT                                             0x0

#define HWIO_GCC_DDRSS_CFG2_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f00c)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f00c)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f00c)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_RMSK                                                                      0x7ffff
#define HWIO_GCC_DDRSS_CFG2_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_DDRSS_CFG2_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_CFG2_GDSCR_ADDR, HWIO_GCC_DDRSS_CFG2_GDSCR_RMSK)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_CFG2_GDSCR_ADDR, m)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_CFG2_GDSCR_ADDR,v)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_CFG2_GDSCR_ADDR,m,v,HWIO_GCC_DDRSS_CFG2_GDSCR_IN)
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_BMSK                                          0x40000
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_SHFT                                             0x12
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_BMSK                                      0x20000
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_SHFT                                         0x11
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_BMSK                                                    0x10000
#define HWIO_GCC_DDRSS_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_SHFT                                                       0x10
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_MEM_PWR_UP_BMSK                                                        0xf000
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_MEM_PWR_UP_SHFT                                                           0xc
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_BMSK                                                 0xf00
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_SHFT                                                   0x8
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_BMSK                                                    0xf0
#define HWIO_GCC_DDRSS_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_SHFT                                                     0x4
#define HWIO_GCC_DDRSS_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_BMSK                                                      0xf
#define HWIO_GCC_DDRSS_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_SHFT                                                      0x0

#define HWIO_GCC_DDRSS_CFG3_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f010)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f010)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f010)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_RMSK                                                                    0x7ffffff
#define HWIO_GCC_DDRSS_CFG3_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_DDRSS_CFG3_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_CFG3_GDSCR_ADDR, HWIO_GCC_DDRSS_CFG3_GDSCR_RMSK)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_CFG3_GDSCR_ADDR, m)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_CFG3_GDSCR_ADDR,v)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_CFG3_GDSCR_ADDR,m,v,HWIO_GCC_DDRSS_CFG3_GDSCR_IN)
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_BMSK                                  0x4000000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_SHFT                                       0x1a
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_BMSK                                               0x2000000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_SHFT                                                    0x19
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_BMSK                                          0x1e00000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_SHFT                                               0x15
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_BMSK                                           0x100000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_SHFT                                               0x14
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_DISABLE_FVAL                                        0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_ENABLE_FVAL                                         0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_BMSK                                  0x80000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_SHFT                                     0x13
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_DISABLE_FVAL                              0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_ENABLE_FVAL                               0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_BMSK                                      0x40000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_SHFT                                         0x12
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_DISABLE_FVAL                                  0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_ENABLE_FVAL                                   0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_BMSK                                       0x20000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_SHFT                                          0x11
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_DISABLE_FVAL                                   0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_ENABLE_FVAL                                    0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_BMSK                                            0x10000
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_SHFT                                               0x10
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_ENABLE_FVAL                                         0x1
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_BMSK                                                    0xff00
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_SHFT                                                       0x8
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_BMSK                                                     0xff
#define HWIO_GCC_DDRSS_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_SHFT                                                      0x0

#define HWIO_GCC_DDRSS_CFG4_GDSCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f014)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f014)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f014)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_RMSK                                                                     0xffffff
#define HWIO_GCC_DDRSS_CFG4_GDSCR_ATTR                                                                          0x3
#define HWIO_GCC_DDRSS_CFG4_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_CFG4_GDSCR_ADDR, HWIO_GCC_DDRSS_CFG4_GDSCR_RMSK)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_CFG4_GDSCR_ADDR, m)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_CFG4_GDSCR_ADDR,v)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_CFG4_GDSCR_ADDR,m,v,HWIO_GCC_DDRSS_CFG4_GDSCR_IN)
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_UNCLAMPIO_BMSK                                                       0xf00000
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_UNCLAMPIO_SHFT                                                           0x14
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_RESTOREFF_BMSK                                                        0xf0000
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_RESTOREFF_SHFT                                                           0x10
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_NORETAINFF_BMSK                                                        0xf000
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_NORETAINFF_SHFT                                                           0xc
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_DEASSERTARES_BMSK                                                       0xf00
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_DEASSERTARES_SHFT                                                         0x8
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_CLAMPIO_BMSK                                                             0xf0
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_CLAMPIO_SHFT                                                              0x4
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_RETAINFF_BMSK                                                             0xf
#define HWIO_GCC_DDRSS_CFG4_GDSCR_DLY_RETAINFF_SHFT                                                             0x0

#define HWIO_GCC_DDRSS_TCU_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f018)
#define HWIO_GCC_DDRSS_TCU_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f018)
#define HWIO_GCC_DDRSS_TCU_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f018)
#define HWIO_GCC_DDRSS_TCU_CBCR_RMSK                                                                     0x81d0000f
#define HWIO_GCC_DDRSS_TCU_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_DDRSS_TCU_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_TCU_CBCR_ADDR, HWIO_GCC_DDRSS_TCU_CBCR_RMSK)
#define HWIO_GCC_DDRSS_TCU_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_TCU_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_TCU_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_TCU_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_TCU_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_TCU_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_TCU_CBCR_IN)
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_DDRSS_TCU_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_DDRSS_TCU_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_DDRSS_TCU_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_DDRSS_TCU_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_DDRSS_TCU_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_DDRSS_TCU_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_DDRSS_TCU_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_DDRSS_TCU_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f01c)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f01c)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f01c)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_RMSK                                                             0x81d0000f
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ATTR                                                                    0x3
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ADDR, HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_RMSK)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IN)
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_OFF_SHFT                                                           0x1f
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                              0x1000000
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                   0x18
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                            0x800000
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                0x17
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_DIS_BMSK                                                       0x400000
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_DIS_SHFT                                                           0x16
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                           0x100000
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                               0x14
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_SW_ONLY_EN_BMSK                                                         0x8
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_SW_ONLY_EN_SHFT                                                         0x3
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ARES_BMSK                                                           0x4
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ARES_SHFT                                                           0x2
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                  0x0
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ARES_RESET_FVAL                                                     0x1
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_HW_CTL_BMSK                                                             0x2
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_HW_CTL_SHFT                                                             0x1
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_DDRSS_SYS_NOC_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f020)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f020)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f020)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_RMSK                                                          0x81d0000f
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ATTR                                                                 0x3
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ADDR, HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_RMSK)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IN)
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                           0x1000000
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                0x18
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                         0x800000
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                             0x17
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_DIS_BMSK                                                    0x400000
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_DIS_SHFT                                                        0x16
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                        0x100000
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                            0x14
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_SW_ONLY_EN_BMSK                                                      0x8
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_SW_ONLY_EN_SHFT                                                      0x3
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ARES_BMSK                                                        0x4
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ARES_SHFT                                                        0x2
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                               0x0
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ARES_RESET_FVAL                                                  0x1
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_HW_CTL_BMSK                                                          0x2
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_HW_CTL_SHFT                                                          0x1
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_DDRSS_SYS_NOC_HS_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_DDRSS_XO_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f024)
#define HWIO_GCC_DDRSS_XO_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f024)
#define HWIO_GCC_DDRSS_XO_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f024)
#define HWIO_GCC_DDRSS_XO_CBCR_RMSK                                                                      0x81c0000f
#define HWIO_GCC_DDRSS_XO_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_DDRSS_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_XO_CBCR_ADDR, HWIO_GCC_DDRSS_XO_CBCR_RMSK)
#define HWIO_GCC_DDRSS_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_XO_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_XO_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_XO_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_XO_CBCR_IN)
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_DDRSS_XO_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_DDRSS_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_DDRSS_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_DDRSS_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_DDRSS_XO_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_DDRSS_XO_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_DDRSS_XO_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_DDRSS_XO_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_DDRSS_XO_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_DDRSS_XO_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_DDRSS_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f028)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f028)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f028)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_RMSK                                                                 0x81d0000f
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_CFG_AHB_CBCR_ADDR, HWIO_GCC_DDRSS_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_CFG_AHB_CBCR_IN)
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                             0x8
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                             0x3
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_HW_CTL_BMSK                                                                 0x2
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_HW_CTL_SHFT                                                                 0x1
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_DDRSS_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_DDRSS_SLEEP_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f02c)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f02c)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f02c)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_RMSK                                                                   0x81c0000f
#define HWIO_GCC_DDRSS_SLEEP_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_DDRSS_SLEEP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_SLEEP_CBCR_ADDR, HWIO_GCC_DDRSS_SLEEP_CBCR_RMSK)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_SLEEP_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_SLEEP_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_SLEEP_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_SLEEP_CBCR_IN)
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_DDRSS_SLEEP_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_DDRSS_SLEEP_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_DDRSS_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_DDRSS_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_DDRSS_SLEEP_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_DDRSS_SLEEP_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_DDRSS_SLEEP_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_DDRSS_SLEEP_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_DDRSS_SLEEP_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_DDRSS_SLEEP_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_DDRSS_SLEEP_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_MEMNOC_CBCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f030)
#define HWIO_GCC_MEMNOC_CBCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f030)
#define HWIO_GCC_MEMNOC_CBCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f030)
#define HWIO_GCC_MEMNOC_CBCR_RMSK                                                                        0x81d0000f
#define HWIO_GCC_MEMNOC_CBCR_ATTR                                                                               0x3
#define HWIO_GCC_MEMNOC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MEMNOC_CBCR_ADDR, HWIO_GCC_MEMNOC_CBCR_RMSK)
#define HWIO_GCC_MEMNOC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MEMNOC_CBCR_ADDR, m)
#define HWIO_GCC_MEMNOC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MEMNOC_CBCR_ADDR,v)
#define HWIO_GCC_MEMNOC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MEMNOC_CBCR_ADDR,m,v,HWIO_GCC_MEMNOC_CBCR_IN)
#define HWIO_GCC_MEMNOC_CBCR_CLK_OFF_BMSK                                                                0x80000000
#define HWIO_GCC_MEMNOC_CBCR_CLK_OFF_SHFT                                                                      0x1f
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_ALL_ARES_BMSK                                                         0x1000000
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_ALL_ARES_SHFT                                                              0x18
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                       0x800000
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                           0x17
#define HWIO_GCC_MEMNOC_CBCR_CLK_DIS_BMSK                                                                  0x400000
#define HWIO_GCC_MEMNOC_CBCR_CLK_DIS_SHFT                                                                      0x16
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                      0x100000
#define HWIO_GCC_MEMNOC_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                          0x14
#define HWIO_GCC_MEMNOC_CBCR_SW_ONLY_EN_BMSK                                                                    0x8
#define HWIO_GCC_MEMNOC_CBCR_SW_ONLY_EN_SHFT                                                                    0x3
#define HWIO_GCC_MEMNOC_CBCR_CLK_ARES_BMSK                                                                      0x4
#define HWIO_GCC_MEMNOC_CBCR_CLK_ARES_SHFT                                                                      0x2
#define HWIO_GCC_MEMNOC_CBCR_CLK_ARES_NO_RESET_FVAL                                                             0x0
#define HWIO_GCC_MEMNOC_CBCR_CLK_ARES_RESET_FVAL                                                                0x1
#define HWIO_GCC_MEMNOC_CBCR_HW_CTL_BMSK                                                                        0x2
#define HWIO_GCC_MEMNOC_CBCR_HW_CTL_SHFT                                                                        0x1
#define HWIO_GCC_MEMNOC_CBCR_HW_CTL_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_MEMNOC_CBCR_HW_CTL_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_MEMNOC_CBCR_CLK_ENABLE_BMSK                                                                    0x1
#define HWIO_GCC_MEMNOC_CBCR_CLK_ENABLE_SHFT                                                                    0x0
#define HWIO_GCC_MEMNOC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_MEMNOC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_DDRSS_AT_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f034)
#define HWIO_GCC_DDRSS_AT_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f034)
#define HWIO_GCC_DDRSS_AT_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f034)
#define HWIO_GCC_DDRSS_AT_CBCR_RMSK                                                                      0x81d0000f
#define HWIO_GCC_DDRSS_AT_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_DDRSS_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_AT_CBCR_ADDR, HWIO_GCC_DDRSS_AT_CBCR_RMSK)
#define HWIO_GCC_DDRSS_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_AT_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_AT_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_AT_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_AT_CBCR_IN)
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_DDRSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_DDRSS_AT_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_DDRSS_AT_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_DDRSS_AT_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_DDRSS_AT_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_DDRSS_AT_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_DDRSS_AT_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_DDRSS_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f038)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f038)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f038)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_RMSK                                                               0x81d0000f
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ADDR, HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_RMSK)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ADDR, m)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ADDR,v)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_ADDR,m,v,HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IN)
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                             0x100000
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                 0x14
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_DDRSS_MSS_MCDMA_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f058)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f058)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f058)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f05c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f05c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f05c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f060)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f060)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f060)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f064)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f064)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f064)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f068)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f068)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f068)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f06c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f06c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f06c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f070)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f070)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f070)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f074)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f074)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f074)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f078)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f078)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f078)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f07c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f07c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f07c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_RMSK                                                             0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f080)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f080)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f080)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f084)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f084)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f084)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f088)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f088)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f088)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f08c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f08c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f08c)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f090)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f090)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f090)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f094)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f094)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f094)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_RMSK                                                            0x71f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_BMSK                                                    0x700
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SHFT                                                      0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_SHFT                                                      0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                               0x0
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                               0x2
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                 0x3
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                               0x4
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                 0x5
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                               0x6
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                 0x7
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                               0x8
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                 0x9
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                               0xa
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                 0xb
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                               0xc
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                 0xd
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                               0xe
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                 0xf
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                              0x10
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                0x11
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                              0x12
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                               0x13
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                             0x14
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                               0x15
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                             0x16
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                               0x17
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                             0x18
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                               0x19
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                             0x1a
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                               0x1b
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                             0x1c
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                               0x1d
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                             0x1e
#define HWIO_GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                               0x1f

#define HWIO_GCC_MEMNOC_CMD_RCGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f03c)
#define HWIO_GCC_MEMNOC_CMD_RCGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f03c)
#define HWIO_GCC_MEMNOC_CMD_RCGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f03c)
#define HWIO_GCC_MEMNOC_CMD_RCGR_RMSK                                                                    0x80000013
#define HWIO_GCC_MEMNOC_CMD_RCGR_ATTR                                                                           0x3
#define HWIO_GCC_MEMNOC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MEMNOC_CMD_RCGR_ADDR, HWIO_GCC_MEMNOC_CMD_RCGR_RMSK)
#define HWIO_GCC_MEMNOC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MEMNOC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_MEMNOC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MEMNOC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_MEMNOC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MEMNOC_CMD_RCGR_ADDR,m,v,HWIO_GCC_MEMNOC_CMD_RCGR_IN)
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_MEMNOC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                           0x10
#define HWIO_GCC_MEMNOC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                            0x4
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_EN_BMSK                                                                   0x2
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_EN_SHFT                                                                   0x1
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_MEMNOC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_MEMNOC_CMD_RCGR_UPDATE_BMSK                                                                    0x1
#define HWIO_GCC_MEMNOC_CMD_RCGR_UPDATE_SHFT                                                                    0x0
#define HWIO_GCC_MEMNOC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_MEMNOC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_MEMNOC_CFG_RCGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f040)
#define HWIO_GCC_MEMNOC_CFG_RCGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f040)
#define HWIO_GCC_MEMNOC_CFG_RCGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f040)
#define HWIO_GCC_MEMNOC_CFG_RCGR_RMSK                                                                      0x11071f
#define HWIO_GCC_MEMNOC_CFG_RCGR_ATTR                                                                           0x3
#define HWIO_GCC_MEMNOC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MEMNOC_CFG_RCGR_ADDR, HWIO_GCC_MEMNOC_CFG_RCGR_RMSK)
#define HWIO_GCC_MEMNOC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MEMNOC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_MEMNOC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MEMNOC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_MEMNOC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MEMNOC_CFG_RCGR_ADDR,m,v,HWIO_GCC_MEMNOC_CFG_RCGR_IN)
#define HWIO_GCC_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                       0x100000
#define HWIO_GCC_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                           0x14
#define HWIO_GCC_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                       0x10000
#define HWIO_GCC_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                          0x10
#define HWIO_GCC_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                           0x0
#define HWIO_GCC_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                          0x1
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_BMSK                                                                 0x700
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SHFT                                                                   0x8
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                              0x0
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                              0x1
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                              0x2
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                              0x3
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                              0x4
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                              0x5
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                              0x6
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                              0x7
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_BMSK                                                                  0x1f
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_SHFT                                                                   0x0
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                            0x0
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                              0x1
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                            0x2
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                              0x3
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                            0x4
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                              0x5
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                            0x6
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                              0x7
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                            0x8
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                              0x9
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                            0xa
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                              0xb
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                            0xc
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                              0xd
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                            0xe
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                              0xf
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                           0x10
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                             0x11
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                           0x12
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                            0x13
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                          0x14
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                            0x15
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                          0x16
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                            0x17
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                          0x18
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                            0x19
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                          0x1a
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                            0x1b
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                          0x1c
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                            0x1d
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                          0x1e
#define HWIO_GCC_MEMNOC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                            0x1f

#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f17c)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f17c)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f17c)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_RMSK                                                                     0xffff
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_ATTR                                                                        0x3
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_CMD_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_RCG_SW_CTRL_BMSK                                                         0x8000
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_RCG_SW_CTRL_SHFT                                                            0xf
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_SW_PERF_STATE_BMSK                                                       0x7800
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_SW_PERF_STATE_SHFT                                                          0xb
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_SW_OVERRIDE_BMSK                                                          0x400
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_SW_OVERRIDE_SHFT                                                            0xa
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                             0x200
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                               0x9
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_FSM_STATE_BMSK                                                        0x1c0
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_FSM_STATE_SHFT                                                          0x6
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                        0x20
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                         0x5
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_CURR_PERF_STATE_BMSK                                                       0x1e
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_CURR_PERF_STATE_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_EN_BMSK                                                                 0x1
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_EN_SHFT                                                                 0x0
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RPMH_SHRM_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f184)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f184)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f184)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f188)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f188)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f188)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f18c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f18c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f18c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f190)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f190)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f190)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f194)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f194)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f194)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f198)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f198)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f198)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f19c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f19c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f19c)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1a0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1a0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1a0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1a4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1a4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1a4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1a8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1a8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1a8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_RMSK                                                               0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1ac)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1ac)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1ac)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1b0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1b0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1b0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1b4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1b4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1b4)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1b8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1b8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1b8)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1bc)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1bc)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1bc)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f1c0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f1c0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f1c0)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_RMSK                                                              0x71f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_SHRM_SHRM_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_SHRM_CMD_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f168)
#define HWIO_GCC_SHRM_CMD_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f168)
#define HWIO_GCC_SHRM_CMD_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f168)
#define HWIO_GCC_SHRM_CMD_RCGR_RMSK                                                                      0x80000013
#define HWIO_GCC_SHRM_CMD_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_SHRM_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SHRM_CMD_RCGR_ADDR, HWIO_GCC_SHRM_CMD_RCGR_RMSK)
#define HWIO_GCC_SHRM_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SHRM_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SHRM_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SHRM_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SHRM_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SHRM_CMD_RCGR_ADDR,m,v,HWIO_GCC_SHRM_CMD_RCGR_IN)
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_SHRM_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                             0x10
#define HWIO_GCC_SHRM_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                              0x4
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_EN_BMSK                                                                     0x2
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_EN_SHFT                                                                     0x1
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_SHRM_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_SHRM_CMD_RCGR_UPDATE_BMSK                                                                      0x1
#define HWIO_GCC_SHRM_CMD_RCGR_UPDATE_SHFT                                                                      0x0
#define HWIO_GCC_SHRM_CMD_RCGR_UPDATE_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_SHRM_CMD_RCGR_UPDATE_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_SHRM_CFG_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f16c)
#define HWIO_GCC_SHRM_CFG_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f16c)
#define HWIO_GCC_SHRM_CFG_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f16c)
#define HWIO_GCC_SHRM_CFG_RCGR_RMSK                                                                        0x11071f
#define HWIO_GCC_SHRM_CFG_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_SHRM_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SHRM_CFG_RCGR_ADDR, HWIO_GCC_SHRM_CFG_RCGR_RMSK)
#define HWIO_GCC_SHRM_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SHRM_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SHRM_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SHRM_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SHRM_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SHRM_CFG_RCGR_ADDR,m,v,HWIO_GCC_SHRM_CFG_RCGR_IN)
#define HWIO_GCC_SHRM_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                         0x100000
#define HWIO_GCC_SHRM_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                             0x14
#define HWIO_GCC_SHRM_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SHRM_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_SHRM_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                         0x10000
#define HWIO_GCC_SHRM_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                            0x10
#define HWIO_GCC_SHRM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                             0x0
#define HWIO_GCC_SHRM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                            0x1
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_BMSK                                                                   0x700
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SHFT                                                                     0x8
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                0x0
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                0x1
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                0x2
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                0x3
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                0x4
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                0x5
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                0x6
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                0x7
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_BMSK                                                                    0x1f
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_SHFT                                                                     0x0
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                              0x0
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                0x1
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                              0x2
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                0x3
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                              0x4
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                0x5
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                              0x6
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                0x7
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                              0x8
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                0x9
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                              0xa
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                0xb
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                              0xc
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                0xd
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                              0xe
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                0xf
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                             0x10
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                               0x11
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                             0x12
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                              0x13
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                            0x14
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                              0x15
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                            0x16
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                              0x17
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                            0x18
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                              0x19
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                            0x1a
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                              0x1b
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                            0x1c
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                              0x1d
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                            0x1e
#define HWIO_GCC_SHRM_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                              0x1f

#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f294)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f294)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f294)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_RMSK                                                                        0x1
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_ATTR                                                                        0x3
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_SHRM_DCD_CDIV_DCDR_ADDR, HWIO_GCC_SHRM_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_SHRM_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_SHRM_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SHRM_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_SHRM_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SHRM_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f298)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f298)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f298)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_RMSK                                                                      0x1
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ATTR                                                                      0x3
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ADDR, HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_MEMNOC_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_DDR_I_HCLK_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f29c)
#define HWIO_GCC_DDR_I_HCLK_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f29c)
#define HWIO_GCC_DDR_I_HCLK_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f29c)
#define HWIO_GCC_DDR_I_HCLK_CBCR_RMSK                                                                    0x81c0000f
#define HWIO_GCC_DDR_I_HCLK_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_DDR_I_HCLK_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDR_I_HCLK_CBCR_ADDR, HWIO_GCC_DDR_I_HCLK_CBCR_RMSK)
#define HWIO_GCC_DDR_I_HCLK_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDR_I_HCLK_CBCR_ADDR, m)
#define HWIO_GCC_DDR_I_HCLK_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDR_I_HCLK_CBCR_ADDR,v)
#define HWIO_GCC_DDR_I_HCLK_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDR_I_HCLK_CBCR_ADDR,m,v,HWIO_GCC_DDR_I_HCLK_CBCR_IN)
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_DDR_I_HCLK_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_DDR_I_HCLK_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_DDR_I_HCLK_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_DDR_I_HCLK_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_DDR_I_HCLK_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_DDR_I_HCLK_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_DDR_I_HCLK_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_DDR_I_HCLK_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_DDR_I_HCLK_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_DDR_I_HCLK_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_DDR_I_HCLK_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_DDRMC_CH0_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2a0)
#define HWIO_GCC_DDRMC_CH0_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2a0)
#define HWIO_GCC_DDRMC_CH0_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2a0)
#define HWIO_GCC_DDRMC_CH0_CBCR_RMSK                                                                     0x81d0000f
#define HWIO_GCC_DDRMC_CH0_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_DDRMC_CH0_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_CBCR_ADDR, HWIO_GCC_DDRMC_CH0_CBCR_RMSK)
#define HWIO_GCC_DDRMC_CH0_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_CBCR_ADDR, m)
#define HWIO_GCC_DDRMC_CH0_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH0_CBCR_ADDR,v)
#define HWIO_GCC_DDRMC_CH0_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH0_CBCR_ADDR,m,v,HWIO_GCC_DDRMC_CH0_CBCR_IN)
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_DDRMC_CH0_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_DDRMC_CH0_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_DDRMC_CH0_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_DDRMC_CH0_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_DDRMC_CH0_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_DDRMC_CH0_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_DDRMC_CH0_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_DDRMC_CH0_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_DDRMC_CH1_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2a4)
#define HWIO_GCC_DDRMC_CH1_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2a4)
#define HWIO_GCC_DDRMC_CH1_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2a4)
#define HWIO_GCC_DDRMC_CH1_CBCR_RMSK                                                                     0x81d0000f
#define HWIO_GCC_DDRMC_CH1_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_DDRMC_CH1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_CBCR_ADDR, HWIO_GCC_DDRMC_CH1_CBCR_RMSK)
#define HWIO_GCC_DDRMC_CH1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_CBCR_ADDR, m)
#define HWIO_GCC_DDRMC_CH1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH1_CBCR_ADDR,v)
#define HWIO_GCC_DDRMC_CH1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH1_CBCR_ADDR,m,v,HWIO_GCC_DDRMC_CH1_CBCR_IN)
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                   0x100000
#define HWIO_GCC_DDRMC_CH1_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                       0x14
#define HWIO_GCC_DDRMC_CH1_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_DDRMC_CH1_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_DDRMC_CH1_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_DDRMC_CH1_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_DDRMC_CH1_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_DDRMC_CH1_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_DDRMC_CH1_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2bc)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2bc)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2bc)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_RMSK                                                                0xffff
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_RCG_SW_CTRL_BMSK                                                    0x8000
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_RCG_SW_CTRL_SHFT                                                       0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_SW_PERF_STATE_BMSK                                                  0x7800
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_SW_PERF_STATE_SHFT                                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_SW_OVERRIDE_BMSK                                                     0x400
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_SW_OVERRIDE_SHFT                                                       0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                        0x200
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                          0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_FSM_STATE_BMSK                                                   0x1c0
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_FSM_STATE_SHFT                                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                   0x20
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_CURR_PERF_STATE_BMSK                                                  0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_CURR_PERF_STATE_SHFT                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_EN_BMSK                                                            0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_EN_SHFT                                                            0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2c4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2c4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2c4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2c8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2c8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2c8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2cc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2cc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2cc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2d0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2d0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2d0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2d4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2d4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2d4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2d8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2d8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2d8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2dc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2dc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2dc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2e0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2e0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2e0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2e4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2e4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2e4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2e8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2e8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2e8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2ec)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2ec)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2ec)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2f0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2f0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2f0)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2f4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2f4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2f4)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2f8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2f8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2f8)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2fc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2fc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2fc)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f300)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f300)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f300)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH0_DDRMC_CH0_ROOT_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2a8)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2a8)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2a8)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_RMSK                                                            0x80000013
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ADDR, HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_RMSK)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ADDR, m)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ADDR,v)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ADDR,m,v,HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_IN)
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_OFF_SHFT                                                         0x1f
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                   0x10
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                    0x4
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_EN_BMSK                                                           0x2
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_EN_SHFT                                                           0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_UPDATE_BMSK                                                            0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_UPDATE_SHFT                                                            0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_UPDATE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CMD_RCGR_UPDATE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f2ac)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f2ac)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f2ac)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RMSK                                                              0x11071f
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ADDR, HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RMSK)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ADDR, m)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ADDR,v)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_ADDR,m,v,HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_IN)
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_HW_CLK_CONTROL_BMSK                                               0x100000
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                   0x14
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                            0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                             0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RCGLITE_DISABLE_BMSK                                               0x10000
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                  0x10
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                   0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                  0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_DDRMC_CH0_ROOT_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3d4)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3d4)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3d4)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_RMSK                                                              0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ATTR                                                              0x3
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ADDR, HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                   0x1
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                   0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_DDRMC_CH0_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                            0x1

#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3ec)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3ec)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3ec)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_RMSK                                                                0xffff
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_RCG_SW_CTRL_BMSK                                                    0x8000
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_RCG_SW_CTRL_SHFT                                                       0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_SW_PERF_STATE_BMSK                                                  0x7800
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_SW_PERF_STATE_SHFT                                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_SW_OVERRIDE_BMSK                                                     0x400
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_SW_OVERRIDE_SHFT                                                       0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                        0x200
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                          0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_FSM_STATE_BMSK                                                   0x1c0
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_FSM_STATE_SHFT                                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                   0x20
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_CURR_PERF_STATE_BMSK                                                  0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_CURR_PERF_STATE_SHFT                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_EN_BMSK                                                            0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_EN_SHFT                                                            0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3f4)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3f4)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3f4)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3f8)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3f8)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3f8)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3fc)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3fc)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3fc)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f400)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f400)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f400)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f404)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f404)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f404)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f408)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f408)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f408)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f40c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f40c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f40c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f410)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f410)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f410)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f414)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f414)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f414)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f418)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f418)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f418)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_RMSK                                                0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ATTR                                                  0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_BMSK                                        0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SHFT                                          0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                     0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                     0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                     0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                     0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_BMSK                                         0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_SHFT                                          0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                   0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                     0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                   0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                     0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                   0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                     0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                   0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                     0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                   0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                     0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                   0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                     0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                   0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                     0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                   0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                     0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                  0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                    0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                  0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                   0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                 0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                   0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                 0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                   0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                 0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                   0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                 0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                   0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                 0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                   0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                 0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                   0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f41c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f41c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f41c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f420)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f420)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f420)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f424)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f424)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f424)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f428)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f428)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f428)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f42c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f42c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f42c)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f430)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f430)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f430)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_RMSK                                               0x71f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ATTR                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_BMSK                                       0x700
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SHFT                                         0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                    0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                    0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                    0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                    0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_BMSK                                        0x1f
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_SHFT                                         0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                  0x0
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                    0x1
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                  0x2
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                    0x3
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                  0x4
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                    0x5
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                  0x6
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                    0x7
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                  0x8
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                    0x9
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                  0xa
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                    0xb
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                  0xc
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                    0xd
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                  0xe
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                    0xf
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                 0x10
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                   0x11
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                 0x12
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                  0x13
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                0x14
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                  0x15
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                0x16
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                  0x17
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                0x18
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                  0x19
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                0x1a
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                  0x1b
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                0x1c
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                  0x1d
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                0x1e
#define HWIO_GCC_RPMH_DDRMC_CH1_DDRMC_CH1_ROOT_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                  0x1f

#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3d8)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3d8)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3d8)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_RMSK                                                            0x80000013
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ADDR, HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_RMSK)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ADDR, m)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ADDR,v)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ADDR,m,v,HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_IN)
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_OFF_SHFT                                                         0x1f
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                   0x10
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                    0x4
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_EN_BMSK                                                           0x2
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_EN_SHFT                                                           0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_UPDATE_BMSK                                                            0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_UPDATE_SHFT                                                            0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_UPDATE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CMD_RCGR_UPDATE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f3dc)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f3dc)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f3dc)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RMSK                                                              0x11071f
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ADDR, HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RMSK)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ADDR, m)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ADDR,v)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_ADDR,m,v,HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_IN)
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_HW_CLK_CONTROL_BMSK                                               0x100000
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                   0x14
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                            0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                             0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RCGLITE_DISABLE_BMSK                                               0x10000
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                  0x10
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                   0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                  0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_DDRMC_CH1_ROOT_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f504)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f504)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f504)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_RMSK                                                              0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ATTR                                                              0x3
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_IN          \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ADDR, HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_RMSK)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ADDR, m)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ADDR,v)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_ADDR,m,v,HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_IN)
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_BMSK                                                   0x1
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_SHFT                                                   0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_DDRMC_CH1_ROOT_DCD_CDIV_DCDR_DCD_ENABLE_ENABLE_FVAL                                            0x1

#define HWIO_GCC_CPUSS_AHB_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00020000)
#define HWIO_GCC_CPUSS_AHB_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020000)
#define HWIO_GCC_CPUSS_AHB_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020000)
#define HWIO_GCC_CPUSS_AHB_CBCR_RMSK                                                                     0x81c0000e
#define HWIO_GCC_CPUSS_AHB_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_CPUSS_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CBCR_ADDR, HWIO_GCC_CPUSS_AHB_CBCR_RMSK)
#define HWIO_GCC_CPUSS_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CBCR_ADDR, m)
#define HWIO_GCC_CPUSS_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AHB_CBCR_ADDR,v)
#define HWIO_GCC_CPUSS_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AHB_CBCR_ADDR,m,v,HWIO_GCC_CPUSS_AHB_CBCR_IN)
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_CPUSS_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_CPUSS_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_CPUSS_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_CPUSS_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_CPUSS_AHB_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_CPUSS_AHB_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_CPUSS_AHB_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_CPUSS_AHB_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_CPUSS_AHB_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_CPUSS_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_CPUSS_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_CPUSS_GNOC_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00020004)
#define HWIO_GCC_CPUSS_GNOC_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020004)
#define HWIO_GCC_CPUSS_GNOC_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020004)
#define HWIO_GCC_CPUSS_GNOC_CBCR_RMSK                                                                    0x81d0000e
#define HWIO_GCC_CPUSS_GNOC_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_CPUSS_GNOC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GNOC_CBCR_ADDR, HWIO_GCC_CPUSS_GNOC_CBCR_RMSK)
#define HWIO_GCC_CPUSS_GNOC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GNOC_CBCR_ADDR, m)
#define HWIO_GCC_CPUSS_GNOC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_GNOC_CBCR_ADDR,v)
#define HWIO_GCC_CPUSS_GNOC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_GNOC_CBCR_ADDR,m,v,HWIO_GCC_CPUSS_GNOC_CBCR_IN)
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                  0x100000
#define HWIO_GCC_CPUSS_GNOC_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                      0x14
#define HWIO_GCC_CPUSS_GNOC_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_CPUSS_GNOC_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_CPUSS_GNOC_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_CPUSS_GNOC_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_CPUSS_GNOC_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_CPUSS_GNOC_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_CPUSS_GNOC_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_CPUSS_AT_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00020008)
#define HWIO_GCC_CPUSS_AT_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020008)
#define HWIO_GCC_CPUSS_AT_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020008)
#define HWIO_GCC_CPUSS_AT_CBCR_RMSK                                                                      0x81d0000f
#define HWIO_GCC_CPUSS_AT_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_CPUSS_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AT_CBCR_ADDR, HWIO_GCC_CPUSS_AT_CBCR_RMSK)
#define HWIO_GCC_CPUSS_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AT_CBCR_ADDR, m)
#define HWIO_GCC_CPUSS_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AT_CBCR_ADDR,v)
#define HWIO_GCC_CPUSS_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AT_CBCR_ADDR,m,v,HWIO_GCC_CPUSS_AT_CBCR_IN)
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_CPUSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_CPUSS_AT_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_CPUSS_AT_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_CPUSS_AT_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_CPUSS_AT_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_CPUSS_AT_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_CPUSS_AT_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_CPUSS_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0002000c)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002000c)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002000c)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_RMSK                                                                 0x80000013
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CMD_RCGR_ADDR, HWIO_GCC_CPUSS_AHB_CMD_RCGR_RMSK)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CMD_RCGR_ADDR, m)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AHB_CMD_RCGR_ADDR,v)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AHB_CMD_RCGR_ADDR,m,v,HWIO_GCC_CPUSS_AHB_CMD_RCGR_IN)
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_OFF_SHFT                                                              0x1f
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                        0x10
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                         0x4
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_EN_BMSK                                                                0x2
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_EN_SHFT                                                                0x1
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_UPDATE_BMSK                                                                 0x1
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_UPDATE_SHFT                                                                 0x0
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_UPDATE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_CPUSS_AHB_CMD_RCGR_UPDATE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00020010)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020010)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020010)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_RMSK                                                                   0x11071f
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CFG_RCGR_ADDR, HWIO_GCC_CPUSS_AHB_CFG_RCGR_RMSK)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_CFG_RCGR_ADDR, m)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AHB_CFG_RCGR_ADDR,v)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AHB_CFG_RCGR_ADDR,m,v,HWIO_GCC_CPUSS_AHB_CFG_RCGR_IN)
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                    0x100000
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                        0x14
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                    0x10000
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                       0x10
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                        0x0
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                       0x1
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_BMSK                                                              0x700
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SHFT                                                                0x8
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                           0x0
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                           0x1
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                           0x2
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                           0x3
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                           0x4
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                           0x5
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                           0x6
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                           0x7
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_BMSK                                                               0x1f
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_SHFT                                                                0x0
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                           0x1
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                         0x2
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                           0x3
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                         0x4
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                           0x5
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                         0x6
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                           0x7
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                         0x8
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                           0x9
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                         0xa
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                           0xb
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                         0xc
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                           0xd
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                         0xe
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                           0xf
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                        0x10
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                          0x11
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                        0x12
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                         0x13
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                       0x14
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                         0x15
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                       0x16
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                         0x17
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                       0x18
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                         0x19
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                       0x1a
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                         0x1b
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                       0x1c
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                         0x1d
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                       0x1e
#define HWIO_GCC_CPUSS_AHB_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                         0x1f

#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00020024)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020024)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020024)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_RMSK                                                                   0xf
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ATTR                                                                   0x3
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ADDR, HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_RMSK)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ADDR, m)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ADDR,v)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_ADDR,m,v,HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_IN)
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_CLK_DIV_BMSK                                                           0xf
#define HWIO_GCC_CPUSS_AHB_POSTDIV_CDIVR_CLK_DIV_SHFT                                                           0x0

#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00020028)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020028)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020028)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_RMSK                                                               0x80000013
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ATTR                                                                      0x3
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ADDR, HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_RMSK)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ADDR, m)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ADDR,v)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ADDR,m,v,HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_IN)
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_OFF_SHFT                                                            0x1f
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                      0x10
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                       0x4
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_EN_BMSK                                                              0x2
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_EN_SHFT                                                              0x1
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_UPDATE_BMSK                                                               0x1
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_UPDATE_SHFT                                                               0x0
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_UPDATE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_CPUSS_GPLL0_CMD_RCGR_UPDATE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002002c)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002002c)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002002c)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RMSK                                                                 0x11071f
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ATTR                                                                      0x3
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ADDR, HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RMSK)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ADDR, m)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ADDR,v)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_ADDR,m,v,HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_IN)
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                  0x100000
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                      0x14
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                               0x0
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                0x1
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                  0x10000
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                     0x10
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                      0x0
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                     0x1
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_BMSK                                                            0x700
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SHFT                                                              0x8
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                         0x0
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                         0x1
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                         0x2
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                         0x3
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                         0x4
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                         0x5
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                         0x6
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                         0x7
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_BMSK                                                             0x1f
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_SHFT                                                              0x0
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                       0x0
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                         0x1
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                       0x2
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                         0x3
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                       0x4
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                         0x5
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                       0x6
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                         0x7
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                       0x8
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                         0x9
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                       0xa
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                         0xb
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                       0xc
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                         0xd
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                       0xe
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                         0xf
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                      0x10
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                        0x11
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                      0x12
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                       0x13
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                     0x14
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                       0x15
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                     0x16
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                       0x17
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                     0x18
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                       0x19
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                     0x1a
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                       0x1b
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                     0x1c
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                       0x1d
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                     0x1e
#define HWIO_GCC_CPUSS_GPLL0_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                       0x1f

#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00020040)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020040)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020040)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_RMSK                                                               0x81c0000f
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IN          \
        in_dword_masked(HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ADDR, HWIO_GCC_APSS_QDSS_TSCTR_CBCR_RMSK)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ADDR, m)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ADDR,v)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APSS_QDSS_TSCTR_CBCR_ADDR,m,v,HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IN)
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_APSS_QDSS_TSCTR_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_APSS_QDSS_APB_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00020044)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00020044)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00020044)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_RMSK                                                                 0x81c0000f
#define HWIO_GCC_APSS_QDSS_APB_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_APSS_QDSS_APB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_APSS_QDSS_APB_CBCR_ADDR, HWIO_GCC_APSS_QDSS_APB_CBCR_RMSK)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_APSS_QDSS_APB_CBCR_ADDR, m)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_APSS_QDSS_APB_CBCR_ADDR,v)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APSS_QDSS_APB_CBCR_ADDR,m,v,HWIO_GCC_APSS_QDSS_APB_CBCR_IN)
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_APSS_QDSS_APB_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_APSS_QDSS_APB_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_APSS_QDSS_APB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_APSS_QDSS_APB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_APSS_QDSS_APB_CBCR_SW_ONLY_EN_BMSK                                                             0x8
#define HWIO_GCC_APSS_QDSS_APB_CBCR_SW_ONLY_EN_SHFT                                                             0x3
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_APSS_QDSS_APB_CBCR_HW_CTL_BMSK                                                                 0x2
#define HWIO_GCC_APSS_QDSS_APB_CBCR_HW_CTL_SHFT                                                                 0x1
#define HWIO_GCC_APSS_QDSS_APB_CBCR_HW_CTL_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_APSS_QDSS_APB_CBCR_HW_CTL_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_APSS_QDSS_APB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00021000)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00021000)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00021000)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_RMSK                                                                0x1
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ATTR                                                                0x3
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_IN          \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ADDR, HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_RMSK)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ADDR, m)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_OUT(v)      \
        out_dword(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ADDR,v)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_ADDR,m,v,HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_IN)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_BLK_ARES_BMSK                                                       0x1
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_BLK_ARES_SHFT                                                       0x0
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_BLK_ARES_DISABLE_FVAL                                               0x0
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_BCR_BLK_ARES_ENABLE_FVAL                                                0x1

#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00021004)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00021004)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00021004)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_RMSK                                                        0x81c00005
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ATTR                                                               0x3
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IN          \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ADDR, HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_RMSK)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ADDR, m)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ADDR,v)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_ADDR,m,v,HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IN)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IGNORE_ALL_ARES_BMSK                                         0x1000000
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IGNORE_ALL_ARES_SHFT                                              0x18
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                       0x800000
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                           0x17
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_DIS_BMSK                                                  0x400000
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_DIS_SHFT                                                      0x16
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ARES_BMSK                                                      0x4
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ARES_SHFT                                                      0x2
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ARES_NO_RESET_FVAL                                             0x0
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ARES_RESET_FVAL                                                0x1
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00021008)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00021008)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00021008)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_RMSK                                                              0xf
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ATTR                                                              0x3
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ADDR, HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_RMSK)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ADDR, m)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ADDR,v)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_ADDR,m,v,HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_IN)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_CLK_DIV_BMSK                                                      0xf
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_CDIVR_CLK_DIV_SHFT                                                      0x0

#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002100c)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002100c)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002100c)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_RMSK                                                    0x1ff
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ATTR                                                      0x3
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ADDR, HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_RMSK)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ADDR, m)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ADDR,v)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_ADDR,m,v,HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_IN)
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_CLK_DIV_BMSK                                            0x1ff
#define HWIO_GCC_NOC_BUS_TIMEOUT_EXTREF_DIV1024_CDIVR_CLK_DIV_SHFT                                              0x0

#define HWIO_GCC_APB2JTAG_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00022000)
#define HWIO_GCC_APB2JTAG_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00022000)
#define HWIO_GCC_APB2JTAG_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00022000)
#define HWIO_GCC_APB2JTAG_BCR_RMSK                                                                              0x1
#define HWIO_GCC_APB2JTAG_BCR_ATTR                                                                              0x3
#define HWIO_GCC_APB2JTAG_BCR_IN          \
        in_dword_masked(HWIO_GCC_APB2JTAG_BCR_ADDR, HWIO_GCC_APB2JTAG_BCR_RMSK)
#define HWIO_GCC_APB2JTAG_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_APB2JTAG_BCR_ADDR, m)
#define HWIO_GCC_APB2JTAG_BCR_OUT(v)      \
        out_dword(HWIO_GCC_APB2JTAG_BCR_ADDR,v)
#define HWIO_GCC_APB2JTAG_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APB2JTAG_BCR_ADDR,m,v,HWIO_GCC_APB2JTAG_BCR_IN)
#define HWIO_GCC_APB2JTAG_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_APB2JTAG_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_APB2JTAG_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_APB2JTAG_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_RBCPR_CX_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00023000)
#define HWIO_GCC_RBCPR_CX_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00023000)
#define HWIO_GCC_RBCPR_CX_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00023000)
#define HWIO_GCC_RBCPR_CX_BCR_RMSK                                                                              0x1
#define HWIO_GCC_RBCPR_CX_BCR_ATTR                                                                              0x3
#define HWIO_GCC_RBCPR_CX_BCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_CX_BCR_ADDR, HWIO_GCC_RBCPR_CX_BCR_RMSK)
#define HWIO_GCC_RBCPR_CX_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_CX_BCR_ADDR, m)
#define HWIO_GCC_RBCPR_CX_BCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_CX_BCR_ADDR,v)
#define HWIO_GCC_RBCPR_CX_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_CX_BCR_ADDR,m,v,HWIO_GCC_RBCPR_CX_BCR_IN)
#define HWIO_GCC_RBCPR_CX_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_RBCPR_CX_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_RBCPR_CX_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_RBCPR_CX_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_RBCPR_CX_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00023004)
#define HWIO_GCC_RBCPR_CX_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00023004)
#define HWIO_GCC_RBCPR_CX_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00023004)
#define HWIO_GCC_RBCPR_CX_CBCR_RMSK                                                                      0x81c00005
#define HWIO_GCC_RBCPR_CX_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_RBCPR_CX_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CBCR_ADDR, HWIO_GCC_RBCPR_CX_CBCR_RMSK)
#define HWIO_GCC_RBCPR_CX_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_CX_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_CX_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_CX_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_CX_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_CX_CBCR_IN)
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_RBCPR_CX_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_RBCPR_CX_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_RBCPR_CX_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_RBCPR_CX_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_CX_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RBCPR_CX_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00023008)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00023008)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00023008)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_CX_AHB_CBCR_ADDR, HWIO_GCC_RBCPR_CX_AHB_CBCR_RMSK)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_CX_AHB_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_CX_AHB_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_CX_AHB_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_CX_AHB_CBCR_IN)
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RBCPR_CX_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0002300c)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002300c)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002300c)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_RMSK                                                                  0x80000013
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CMD_RCGR_ADDR, HWIO_GCC_RBCPR_CX_CMD_RCGR_RMSK)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CMD_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_CX_CMD_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_CX_CMD_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_CX_CMD_RCGR_IN)
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_OFF_SHFT                                                               0x1f
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                         0x10
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                          0x4
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_EN_BMSK                                                                 0x2
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_EN_SHFT                                                                 0x1
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_UPDATE_BMSK                                                                  0x1
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_UPDATE_SHFT                                                                  0x0
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_UPDATE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_CX_CMD_RCGR_UPDATE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RBCPR_CX_CFG_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00023010)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00023010)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00023010)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_RMSK                                                                    0x11071f
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CFG_RCGR_ADDR, HWIO_GCC_RBCPR_CX_CFG_RCGR_RMSK)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_CX_CFG_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_CX_CFG_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_CX_CFG_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_CX_CFG_RCGR_IN)
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                     0x100000
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                         0x14
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                     0x10000
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                        0x10
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                         0x0
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                        0x1
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_BMSK                                                               0x700
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SHFT                                                                 0x8
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                            0x0
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                            0x1
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                            0x2
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                            0x3
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                            0x4
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                            0x5
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                            0x6
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                            0x7
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_BMSK                                                                0x1f
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_SHFT                                                                 0x0
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                            0x1
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                          0x2
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                            0x3
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                          0x4
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                            0x5
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                          0x6
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                            0x7
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                          0x8
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                            0x9
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                          0xa
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                            0xb
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                          0xc
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                            0xd
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                          0xe
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                            0xf
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                         0x10
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                           0x11
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                         0x12
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                          0x13
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                        0x14
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                          0x15
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                        0x16
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                          0x17
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                        0x18
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                          0x19
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                        0x1a
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                          0x1b
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                        0x1c
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                          0x1d
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                        0x1e
#define HWIO_GCC_RBCPR_CX_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                          0x1f

#define HWIO_GCC_RBCPR_MX_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00024000)
#define HWIO_GCC_RBCPR_MX_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00024000)
#define HWIO_GCC_RBCPR_MX_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00024000)
#define HWIO_GCC_RBCPR_MX_BCR_RMSK                                                                              0x1
#define HWIO_GCC_RBCPR_MX_BCR_ATTR                                                                              0x3
#define HWIO_GCC_RBCPR_MX_BCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MX_BCR_ADDR, HWIO_GCC_RBCPR_MX_BCR_RMSK)
#define HWIO_GCC_RBCPR_MX_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MX_BCR_ADDR, m)
#define HWIO_GCC_RBCPR_MX_BCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MX_BCR_ADDR,v)
#define HWIO_GCC_RBCPR_MX_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MX_BCR_ADDR,m,v,HWIO_GCC_RBCPR_MX_BCR_IN)
#define HWIO_GCC_RBCPR_MX_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_RBCPR_MX_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_RBCPR_MX_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_RBCPR_MX_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_RBCPR_MX_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00024004)
#define HWIO_GCC_RBCPR_MX_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00024004)
#define HWIO_GCC_RBCPR_MX_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00024004)
#define HWIO_GCC_RBCPR_MX_CBCR_RMSK                                                                      0x81c00005
#define HWIO_GCC_RBCPR_MX_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_RBCPR_MX_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CBCR_ADDR, HWIO_GCC_RBCPR_MX_CBCR_RMSK)
#define HWIO_GCC_RBCPR_MX_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_MX_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MX_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_MX_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MX_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_MX_CBCR_IN)
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_RBCPR_MX_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_RBCPR_MX_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_RBCPR_MX_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_RBCPR_MX_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_MX_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RBCPR_MX_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00024008)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00024008)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00024008)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MX_AHB_CBCR_ADDR, HWIO_GCC_RBCPR_MX_AHB_CBCR_RMSK)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MX_AHB_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MX_AHB_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MX_AHB_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_MX_AHB_CBCR_IN)
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RBCPR_MX_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0002400c)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002400c)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002400c)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_RMSK                                                                  0x80000013
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CMD_RCGR_ADDR, HWIO_GCC_RBCPR_MX_CMD_RCGR_RMSK)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CMD_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MX_CMD_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MX_CMD_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_MX_CMD_RCGR_IN)
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_OFF_SHFT                                                               0x1f
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                         0x10
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                          0x4
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_EN_BMSK                                                                 0x2
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_EN_SHFT                                                                 0x1
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_UPDATE_BMSK                                                                  0x1
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_UPDATE_SHFT                                                                  0x0
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_UPDATE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_MX_CMD_RCGR_UPDATE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RBCPR_MX_CFG_RCGR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00024010)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00024010)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00024010)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_RMSK                                                                    0x11071f
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_ATTR                                                                         0x3
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CFG_RCGR_ADDR, HWIO_GCC_RBCPR_MX_CFG_RCGR_RMSK)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MX_CFG_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MX_CFG_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MX_CFG_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_MX_CFG_RCGR_IN)
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                     0x100000
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                         0x14
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                     0x10000
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                        0x10
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                         0x0
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                        0x1
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_BMSK                                                               0x700
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SHFT                                                                 0x8
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                            0x0
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                            0x1
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                            0x2
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                            0x3
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                            0x4
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                            0x5
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                            0x6
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                            0x7
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_BMSK                                                                0x1f
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_SHFT                                                                 0x0
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                            0x1
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                          0x2
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                            0x3
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                          0x4
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                            0x5
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                          0x6
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                            0x7
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                          0x8
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                            0x9
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                          0xa
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                            0xb
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                          0xc
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                            0xd
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                          0xe
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                            0xf
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                         0x10
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                           0x11
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                         0x12
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                          0x13
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                        0x14
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                          0x15
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                        0x16
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                          0x17
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                        0x18
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                          0x19
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                        0x1a
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                          0x1b
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                        0x1c
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                          0x1d
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                        0x1e
#define HWIO_GCC_RBCPR_MX_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                          0x1f

#define HWIO_GCC_RBCPR_MXC_BCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00046000)
#define HWIO_GCC_RBCPR_MXC_BCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00046000)
#define HWIO_GCC_RBCPR_MXC_BCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00046000)
#define HWIO_GCC_RBCPR_MXC_BCR_RMSK                                                                             0x1
#define HWIO_GCC_RBCPR_MXC_BCR_ATTR                                                                             0x3
#define HWIO_GCC_RBCPR_MXC_BCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_BCR_ADDR, HWIO_GCC_RBCPR_MXC_BCR_RMSK)
#define HWIO_GCC_RBCPR_MXC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_BCR_ADDR, m)
#define HWIO_GCC_RBCPR_MXC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MXC_BCR_ADDR,v)
#define HWIO_GCC_RBCPR_MXC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MXC_BCR_ADDR,m,v,HWIO_GCC_RBCPR_MXC_BCR_IN)
#define HWIO_GCC_RBCPR_MXC_BCR_BLK_ARES_BMSK                                                                    0x1
#define HWIO_GCC_RBCPR_MXC_BCR_BLK_ARES_SHFT                                                                    0x0
#define HWIO_GCC_RBCPR_MXC_BCR_BLK_ARES_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_RBCPR_MXC_BCR_BLK_ARES_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_RBCPR_MXC_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00046004)
#define HWIO_GCC_RBCPR_MXC_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00046004)
#define HWIO_GCC_RBCPR_MXC_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00046004)
#define HWIO_GCC_RBCPR_MXC_CBCR_RMSK                                                                     0x81c00005
#define HWIO_GCC_RBCPR_MXC_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_RBCPR_MXC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CBCR_ADDR, HWIO_GCC_RBCPR_MXC_CBCR_RMSK)
#define HWIO_GCC_RBCPR_MXC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_MXC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MXC_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_MXC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MXC_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_MXC_CBCR_IN)
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_RBCPR_MXC_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_RBCPR_MXC_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_RBCPR_MXC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_RBCPR_MXC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RBCPR_MXC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00046008)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00046008)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00046008)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_RMSK                                                                 0x81d00005
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_AHB_CBCR_ADDR, HWIO_GCC_RBCPR_MXC_AHB_CBCR_RMSK)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_AHB_CBCR_ADDR, m)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MXC_AHB_CBCR_ADDR,v)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MXC_AHB_CBCR_ADDR,m,v,HWIO_GCC_RBCPR_MXC_AHB_CBCR_IN)
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RBCPR_MXC_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0004600c)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004600c)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004600c)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_RMSK                                                                 0x80000013
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CMD_RCGR_ADDR, HWIO_GCC_RBCPR_MXC_CMD_RCGR_RMSK)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MXC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MXC_CMD_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_MXC_CMD_RCGR_IN)
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_OFF_SHFT                                                              0x1f
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                        0x10
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                         0x4
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_EN_BMSK                                                                0x2
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_EN_SHFT                                                                0x1
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_UPDATE_BMSK                                                                 0x1
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_UPDATE_SHFT                                                                 0x0
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RBCPR_MXC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00046010)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00046010)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00046010)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_RMSK                                                                   0x11071f
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CFG_RCGR_ADDR, HWIO_GCC_RBCPR_MXC_CFG_RCGR_RMSK)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_RBCPR_MXC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_RBCPR_MXC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RBCPR_MXC_CFG_RCGR_ADDR,m,v,HWIO_GCC_RBCPR_MXC_CFG_RCGR_IN)
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                    0x100000
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                        0x14
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                    0x10000
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                       0x10
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                        0x0
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                       0x1
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_BMSK                                                              0x700
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SHFT                                                                0x8
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                           0x0
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                           0x1
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                           0x2
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                           0x3
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                           0x4
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                           0x5
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                           0x6
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                           0x7
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_BMSK                                                               0x1f
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_SHFT                                                                0x0
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                           0x1
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                         0x2
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                           0x3
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                         0x4
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                           0x5
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                         0x6
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                           0x7
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                         0x8
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                           0x9
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                         0xa
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                           0xb
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                         0xc
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                           0xd
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                         0xe
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                           0xf
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                        0x10
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                          0x11
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                        0x12
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                         0x13
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                       0x14
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                         0x15
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                       0x16
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                         0x17
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                       0x18
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                         0x19
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                       0x1a
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                         0x1b
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                       0x1c
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                         0x1d
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                       0x1e
#define HWIO_GCC_RBCPR_MXC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                         0x1f

#define HWIO_GCC_DEBUG_DIV_CDIVR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00025000)
#define HWIO_GCC_DEBUG_DIV_CDIVR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00025000)
#define HWIO_GCC_DEBUG_DIV_CDIVR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00025000)
#define HWIO_GCC_DEBUG_DIV_CDIVR_RMSK                                                                           0xf
#define HWIO_GCC_DEBUG_DIV_CDIVR_ATTR                                                                           0x3
#define HWIO_GCC_DEBUG_DIV_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_DEBUG_DIV_CDIVR_ADDR, HWIO_GCC_DEBUG_DIV_CDIVR_RMSK)
#define HWIO_GCC_DEBUG_DIV_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_DEBUG_DIV_CDIVR_ADDR, m)
#define HWIO_GCC_DEBUG_DIV_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_DEBUG_DIV_CDIVR_ADDR,v)
#define HWIO_GCC_DEBUG_DIV_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DEBUG_DIV_CDIVR_ADDR,m,v,HWIO_GCC_DEBUG_DIV_CDIVR_IN)
#define HWIO_GCC_DEBUG_DIV_CDIVR_CLK_DIV_BMSK                                                                   0xf
#define HWIO_GCC_DEBUG_DIV_CDIVR_CLK_DIV_SHFT                                                                   0x0

#define HWIO_GCC_DEBUG_CBCR_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00025004)
#define HWIO_GCC_DEBUG_CBCR_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00025004)
#define HWIO_GCC_DEBUG_CBCR_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00025004)
#define HWIO_GCC_DEBUG_CBCR_RMSK                                                                         0x81c00005
#define HWIO_GCC_DEBUG_CBCR_ATTR                                                                                0x3
#define HWIO_GCC_DEBUG_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DEBUG_CBCR_ADDR, HWIO_GCC_DEBUG_CBCR_RMSK)
#define HWIO_GCC_DEBUG_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DEBUG_CBCR_ADDR, m)
#define HWIO_GCC_DEBUG_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DEBUG_CBCR_ADDR,v)
#define HWIO_GCC_DEBUG_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DEBUG_CBCR_ADDR,m,v,HWIO_GCC_DEBUG_CBCR_IN)
#define HWIO_GCC_DEBUG_CBCR_CLK_OFF_BMSK                                                                 0x80000000
#define HWIO_GCC_DEBUG_CBCR_CLK_OFF_SHFT                                                                       0x1f
#define HWIO_GCC_DEBUG_CBCR_IGNORE_ALL_ARES_BMSK                                                          0x1000000
#define HWIO_GCC_DEBUG_CBCR_IGNORE_ALL_ARES_SHFT                                                               0x18
#define HWIO_GCC_DEBUG_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                        0x800000
#define HWIO_GCC_DEBUG_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                            0x17
#define HWIO_GCC_DEBUG_CBCR_CLK_DIS_BMSK                                                                   0x400000
#define HWIO_GCC_DEBUG_CBCR_CLK_DIS_SHFT                                                                       0x16
#define HWIO_GCC_DEBUG_CBCR_CLK_ARES_BMSK                                                                       0x4
#define HWIO_GCC_DEBUG_CBCR_CLK_ARES_SHFT                                                                       0x2
#define HWIO_GCC_DEBUG_CBCR_CLK_ARES_NO_RESET_FVAL                                                              0x0
#define HWIO_GCC_DEBUG_CBCR_CLK_ARES_RESET_FVAL                                                                 0x1
#define HWIO_GCC_DEBUG_CBCR_CLK_ENABLE_BMSK                                                                     0x1
#define HWIO_GCC_DEBUG_CBCR_CLK_ENABLE_SHFT                                                                     0x0
#define HWIO_GCC_DEBUG_CBCR_CLK_ENABLE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_DEBUG_CBCR_CLK_ENABLE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_GP1_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00027000)
#define HWIO_GCC_GP1_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00027000)
#define HWIO_GCC_GP1_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00027000)
#define HWIO_GCC_GP1_CBCR_RMSK                                                                           0x81c00005
#define HWIO_GCC_GP1_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_GP1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_GP1_CBCR_ADDR, HWIO_GCC_GP1_CBCR_RMSK)
#define HWIO_GCC_GP1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_CBCR_ADDR, m)
#define HWIO_GCC_GP1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_GP1_CBCR_ADDR,v)
#define HWIO_GCC_GP1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_CBCR_ADDR,m,v,HWIO_GCC_GP1_CBCR_IN)
#define HWIO_GCC_GP1_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_GP1_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_GP1_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_GP1_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_GP1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_GP1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_GP1_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_GP1_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_GP1_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_GP1_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_GP1_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_GP1_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_GP1_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_GP1_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_GP1_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP1_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP1_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00027004)
#define HWIO_GCC_GP1_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00027004)
#define HWIO_GCC_GP1_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00027004)
#define HWIO_GCC_GP1_CMD_RCGR_RMSK                                                                       0x800000f3
#define HWIO_GCC_GP1_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP1_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP1_CMD_RCGR_ADDR, HWIO_GCC_GP1_CMD_RCGR_RMSK)
#define HWIO_GCC_GP1_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_CMD_RCGR_ADDR, m)
#define HWIO_GCC_GP1_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP1_CMD_RCGR_ADDR,v)
#define HWIO_GCC_GP1_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_CMD_RCGR_ADDR,m,v,HWIO_GCC_GP1_CMD_RCGR_IN)
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_D_BMSK                                                                     0x80
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_D_SHFT                                                                      0x7
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_N_BMSK                                                                     0x40
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_N_SHFT                                                                      0x6
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_M_BMSK                                                                     0x20
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_M_SHFT                                                                      0x5
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_GP1_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_GP1_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_GP1_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_GP1_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_GP1_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP1_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP1_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00027008)
#define HWIO_GCC_GP1_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00027008)
#define HWIO_GCC_GP1_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00027008)
#define HWIO_GCC_GP1_CFG_RCGR_RMSK                                                                         0x10371f
#define HWIO_GCC_GP1_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP1_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP1_CFG_RCGR_ADDR, HWIO_GCC_GP1_CFG_RCGR_RMSK)
#define HWIO_GCC_GP1_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_CFG_RCGR_ADDR, m)
#define HWIO_GCC_GP1_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP1_CFG_RCGR_ADDR,v)
#define HWIO_GCC_GP1_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_CFG_RCGR_ADDR,m,v,HWIO_GCC_GP1_CFG_RCGR_IN)
#define HWIO_GCC_GP1_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_GP1_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_GP1_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_GP1_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_GP1_CFG_RCGR_MODE_BMSK                                                                      0x3000
#define HWIO_GCC_GP1_CFG_RCGR_MODE_SHFT                                                                         0xc
#define HWIO_GCC_GP1_CFG_RCGR_MODE_BYPASS_FVAL                                                                  0x0
#define HWIO_GCC_GP1_CFG_RCGR_MODE_SWALLOW_FVAL                                                                 0x1
#define HWIO_GCC_GP1_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                               0x2
#define HWIO_GCC_GP1_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                             0x3
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_GP1_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_GP1_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_GP1_M_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0002700c)
#define HWIO_GCC_GP1_M_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002700c)
#define HWIO_GCC_GP1_M_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002700c)
#define HWIO_GCC_GP1_M_RMSK                                                                                  0xffff
#define HWIO_GCC_GP1_M_ATTR                                                                                     0x3
#define HWIO_GCC_GP1_M_IN          \
        in_dword_masked(HWIO_GCC_GP1_M_ADDR, HWIO_GCC_GP1_M_RMSK)
#define HWIO_GCC_GP1_M_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_M_ADDR, m)
#define HWIO_GCC_GP1_M_OUT(v)      \
        out_dword(HWIO_GCC_GP1_M_ADDR,v)
#define HWIO_GCC_GP1_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_M_ADDR,m,v,HWIO_GCC_GP1_M_IN)
#define HWIO_GCC_GP1_M_M_BMSK                                                                                0xffff
#define HWIO_GCC_GP1_M_M_SHFT                                                                                   0x0

#define HWIO_GCC_GP1_N_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00027010)
#define HWIO_GCC_GP1_N_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00027010)
#define HWIO_GCC_GP1_N_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00027010)
#define HWIO_GCC_GP1_N_RMSK                                                                                  0xffff
#define HWIO_GCC_GP1_N_ATTR                                                                                     0x3
#define HWIO_GCC_GP1_N_IN          \
        in_dword_masked(HWIO_GCC_GP1_N_ADDR, HWIO_GCC_GP1_N_RMSK)
#define HWIO_GCC_GP1_N_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_N_ADDR, m)
#define HWIO_GCC_GP1_N_OUT(v)      \
        out_dword(HWIO_GCC_GP1_N_ADDR,v)
#define HWIO_GCC_GP1_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_N_ADDR,m,v,HWIO_GCC_GP1_N_IN)
#define HWIO_GCC_GP1_N_NOT_N_MINUS_M_BMSK                                                                    0xffff
#define HWIO_GCC_GP1_N_NOT_N_MINUS_M_SHFT                                                                       0x0

#define HWIO_GCC_GP1_D_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00027014)
#define HWIO_GCC_GP1_D_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00027014)
#define HWIO_GCC_GP1_D_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00027014)
#define HWIO_GCC_GP1_D_RMSK                                                                                  0xffff
#define HWIO_GCC_GP1_D_ATTR                                                                                     0x3
#define HWIO_GCC_GP1_D_IN          \
        in_dword_masked(HWIO_GCC_GP1_D_ADDR, HWIO_GCC_GP1_D_RMSK)
#define HWIO_GCC_GP1_D_INM(m)      \
        in_dword_masked(HWIO_GCC_GP1_D_ADDR, m)
#define HWIO_GCC_GP1_D_OUT(v)      \
        out_dword(HWIO_GCC_GP1_D_ADDR,v)
#define HWIO_GCC_GP1_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP1_D_ADDR,m,v,HWIO_GCC_GP1_D_IN)
#define HWIO_GCC_GP1_D_NOT_2D_BMSK                                                                           0xffff
#define HWIO_GCC_GP1_D_NOT_2D_SHFT                                                                              0x0

#define HWIO_GCC_GP2_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00028000)
#define HWIO_GCC_GP2_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00028000)
#define HWIO_GCC_GP2_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00028000)
#define HWIO_GCC_GP2_CBCR_RMSK                                                                           0x81c00005
#define HWIO_GCC_GP2_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_GP2_CBCR_IN          \
        in_dword_masked(HWIO_GCC_GP2_CBCR_ADDR, HWIO_GCC_GP2_CBCR_RMSK)
#define HWIO_GCC_GP2_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_CBCR_ADDR, m)
#define HWIO_GCC_GP2_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_GP2_CBCR_ADDR,v)
#define HWIO_GCC_GP2_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_CBCR_ADDR,m,v,HWIO_GCC_GP2_CBCR_IN)
#define HWIO_GCC_GP2_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_GP2_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_GP2_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_GP2_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_GP2_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_GP2_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_GP2_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_GP2_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_GP2_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_GP2_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_GP2_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_GP2_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_GP2_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_GP2_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_GP2_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP2_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP2_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00028004)
#define HWIO_GCC_GP2_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00028004)
#define HWIO_GCC_GP2_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00028004)
#define HWIO_GCC_GP2_CMD_RCGR_RMSK                                                                       0x800000f3
#define HWIO_GCC_GP2_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP2_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP2_CMD_RCGR_ADDR, HWIO_GCC_GP2_CMD_RCGR_RMSK)
#define HWIO_GCC_GP2_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_CMD_RCGR_ADDR, m)
#define HWIO_GCC_GP2_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP2_CMD_RCGR_ADDR,v)
#define HWIO_GCC_GP2_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_CMD_RCGR_ADDR,m,v,HWIO_GCC_GP2_CMD_RCGR_IN)
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_D_BMSK                                                                     0x80
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_D_SHFT                                                                      0x7
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_N_BMSK                                                                     0x40
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_N_SHFT                                                                      0x6
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_M_BMSK                                                                     0x20
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_M_SHFT                                                                      0x5
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_GP2_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_GP2_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_GP2_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_GP2_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_GP2_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP2_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP2_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00028008)
#define HWIO_GCC_GP2_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00028008)
#define HWIO_GCC_GP2_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00028008)
#define HWIO_GCC_GP2_CFG_RCGR_RMSK                                                                         0x10371f
#define HWIO_GCC_GP2_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP2_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP2_CFG_RCGR_ADDR, HWIO_GCC_GP2_CFG_RCGR_RMSK)
#define HWIO_GCC_GP2_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_CFG_RCGR_ADDR, m)
#define HWIO_GCC_GP2_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP2_CFG_RCGR_ADDR,v)
#define HWIO_GCC_GP2_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_CFG_RCGR_ADDR,m,v,HWIO_GCC_GP2_CFG_RCGR_IN)
#define HWIO_GCC_GP2_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_GP2_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_GP2_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_GP2_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_GP2_CFG_RCGR_MODE_BMSK                                                                      0x3000
#define HWIO_GCC_GP2_CFG_RCGR_MODE_SHFT                                                                         0xc
#define HWIO_GCC_GP2_CFG_RCGR_MODE_BYPASS_FVAL                                                                  0x0
#define HWIO_GCC_GP2_CFG_RCGR_MODE_SWALLOW_FVAL                                                                 0x1
#define HWIO_GCC_GP2_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                               0x2
#define HWIO_GCC_GP2_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                             0x3
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_GP2_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_GP2_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_GP2_M_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0002800c)
#define HWIO_GCC_GP2_M_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002800c)
#define HWIO_GCC_GP2_M_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002800c)
#define HWIO_GCC_GP2_M_RMSK                                                                                  0xffff
#define HWIO_GCC_GP2_M_ATTR                                                                                     0x3
#define HWIO_GCC_GP2_M_IN          \
        in_dword_masked(HWIO_GCC_GP2_M_ADDR, HWIO_GCC_GP2_M_RMSK)
#define HWIO_GCC_GP2_M_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_M_ADDR, m)
#define HWIO_GCC_GP2_M_OUT(v)      \
        out_dword(HWIO_GCC_GP2_M_ADDR,v)
#define HWIO_GCC_GP2_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_M_ADDR,m,v,HWIO_GCC_GP2_M_IN)
#define HWIO_GCC_GP2_M_M_BMSK                                                                                0xffff
#define HWIO_GCC_GP2_M_M_SHFT                                                                                   0x0

#define HWIO_GCC_GP2_N_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00028010)
#define HWIO_GCC_GP2_N_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00028010)
#define HWIO_GCC_GP2_N_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00028010)
#define HWIO_GCC_GP2_N_RMSK                                                                                  0xffff
#define HWIO_GCC_GP2_N_ATTR                                                                                     0x3
#define HWIO_GCC_GP2_N_IN          \
        in_dword_masked(HWIO_GCC_GP2_N_ADDR, HWIO_GCC_GP2_N_RMSK)
#define HWIO_GCC_GP2_N_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_N_ADDR, m)
#define HWIO_GCC_GP2_N_OUT(v)      \
        out_dword(HWIO_GCC_GP2_N_ADDR,v)
#define HWIO_GCC_GP2_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_N_ADDR,m,v,HWIO_GCC_GP2_N_IN)
#define HWIO_GCC_GP2_N_NOT_N_MINUS_M_BMSK                                                                    0xffff
#define HWIO_GCC_GP2_N_NOT_N_MINUS_M_SHFT                                                                       0x0

#define HWIO_GCC_GP2_D_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00028014)
#define HWIO_GCC_GP2_D_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00028014)
#define HWIO_GCC_GP2_D_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00028014)
#define HWIO_GCC_GP2_D_RMSK                                                                                  0xffff
#define HWIO_GCC_GP2_D_ATTR                                                                                     0x3
#define HWIO_GCC_GP2_D_IN          \
        in_dword_masked(HWIO_GCC_GP2_D_ADDR, HWIO_GCC_GP2_D_RMSK)
#define HWIO_GCC_GP2_D_INM(m)      \
        in_dword_masked(HWIO_GCC_GP2_D_ADDR, m)
#define HWIO_GCC_GP2_D_OUT(v)      \
        out_dword(HWIO_GCC_GP2_D_ADDR,v)
#define HWIO_GCC_GP2_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP2_D_ADDR,m,v,HWIO_GCC_GP2_D_IN)
#define HWIO_GCC_GP2_D_NOT_2D_BMSK                                                                           0xffff
#define HWIO_GCC_GP2_D_NOT_2D_SHFT                                                                              0x0

#define HWIO_GCC_GP3_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00029000)
#define HWIO_GCC_GP3_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00029000)
#define HWIO_GCC_GP3_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00029000)
#define HWIO_GCC_GP3_CBCR_RMSK                                                                           0x81c00005
#define HWIO_GCC_GP3_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_GP3_CBCR_IN          \
        in_dword_masked(HWIO_GCC_GP3_CBCR_ADDR, HWIO_GCC_GP3_CBCR_RMSK)
#define HWIO_GCC_GP3_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_CBCR_ADDR, m)
#define HWIO_GCC_GP3_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_GP3_CBCR_ADDR,v)
#define HWIO_GCC_GP3_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_CBCR_ADDR,m,v,HWIO_GCC_GP3_CBCR_IN)
#define HWIO_GCC_GP3_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_GP3_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_GP3_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_GP3_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_GP3_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_GP3_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_GP3_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_GP3_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_GP3_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_GP3_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_GP3_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_GP3_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_GP3_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_GP3_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_GP3_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP3_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP3_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00029004)
#define HWIO_GCC_GP3_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00029004)
#define HWIO_GCC_GP3_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00029004)
#define HWIO_GCC_GP3_CMD_RCGR_RMSK                                                                       0x800000f3
#define HWIO_GCC_GP3_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP3_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP3_CMD_RCGR_ADDR, HWIO_GCC_GP3_CMD_RCGR_RMSK)
#define HWIO_GCC_GP3_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_CMD_RCGR_ADDR, m)
#define HWIO_GCC_GP3_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP3_CMD_RCGR_ADDR,v)
#define HWIO_GCC_GP3_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_CMD_RCGR_ADDR,m,v,HWIO_GCC_GP3_CMD_RCGR_IN)
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_D_BMSK                                                                     0x80
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_D_SHFT                                                                      0x7
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_N_BMSK                                                                     0x40
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_N_SHFT                                                                      0x6
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_M_BMSK                                                                     0x20
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_M_SHFT                                                                      0x5
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_GP3_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_GP3_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_GP3_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_GP3_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_GP3_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_GP3_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_GP3_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00029008)
#define HWIO_GCC_GP3_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00029008)
#define HWIO_GCC_GP3_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00029008)
#define HWIO_GCC_GP3_CFG_RCGR_RMSK                                                                         0x10371f
#define HWIO_GCC_GP3_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_GP3_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_GP3_CFG_RCGR_ADDR, HWIO_GCC_GP3_CFG_RCGR_RMSK)
#define HWIO_GCC_GP3_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_CFG_RCGR_ADDR, m)
#define HWIO_GCC_GP3_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_GP3_CFG_RCGR_ADDR,v)
#define HWIO_GCC_GP3_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_CFG_RCGR_ADDR,m,v,HWIO_GCC_GP3_CFG_RCGR_IN)
#define HWIO_GCC_GP3_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_GP3_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_GP3_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_GP3_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_GP3_CFG_RCGR_MODE_BMSK                                                                      0x3000
#define HWIO_GCC_GP3_CFG_RCGR_MODE_SHFT                                                                         0xc
#define HWIO_GCC_GP3_CFG_RCGR_MODE_BYPASS_FVAL                                                                  0x0
#define HWIO_GCC_GP3_CFG_RCGR_MODE_SWALLOW_FVAL                                                                 0x1
#define HWIO_GCC_GP3_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                               0x2
#define HWIO_GCC_GP3_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                             0x3
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_GP3_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_GP3_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_GP3_M_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0002900c)
#define HWIO_GCC_GP3_M_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002900c)
#define HWIO_GCC_GP3_M_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002900c)
#define HWIO_GCC_GP3_M_RMSK                                                                                  0xffff
#define HWIO_GCC_GP3_M_ATTR                                                                                     0x3
#define HWIO_GCC_GP3_M_IN          \
        in_dword_masked(HWIO_GCC_GP3_M_ADDR, HWIO_GCC_GP3_M_RMSK)
#define HWIO_GCC_GP3_M_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_M_ADDR, m)
#define HWIO_GCC_GP3_M_OUT(v)      \
        out_dword(HWIO_GCC_GP3_M_ADDR,v)
#define HWIO_GCC_GP3_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_M_ADDR,m,v,HWIO_GCC_GP3_M_IN)
#define HWIO_GCC_GP3_M_M_BMSK                                                                                0xffff
#define HWIO_GCC_GP3_M_M_SHFT                                                                                   0x0

#define HWIO_GCC_GP3_N_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00029010)
#define HWIO_GCC_GP3_N_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00029010)
#define HWIO_GCC_GP3_N_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00029010)
#define HWIO_GCC_GP3_N_RMSK                                                                                  0xffff
#define HWIO_GCC_GP3_N_ATTR                                                                                     0x3
#define HWIO_GCC_GP3_N_IN          \
        in_dword_masked(HWIO_GCC_GP3_N_ADDR, HWIO_GCC_GP3_N_RMSK)
#define HWIO_GCC_GP3_N_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_N_ADDR, m)
#define HWIO_GCC_GP3_N_OUT(v)      \
        out_dword(HWIO_GCC_GP3_N_ADDR,v)
#define HWIO_GCC_GP3_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_N_ADDR,m,v,HWIO_GCC_GP3_N_IN)
#define HWIO_GCC_GP3_N_NOT_N_MINUS_M_BMSK                                                                    0xffff
#define HWIO_GCC_GP3_N_NOT_N_MINUS_M_SHFT                                                                       0x0

#define HWIO_GCC_GP3_D_ADDR                                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00029014)
#define HWIO_GCC_GP3_D_PHYS                                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00029014)
#define HWIO_GCC_GP3_D_OFFS                                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00029014)
#define HWIO_GCC_GP3_D_RMSK                                                                                  0xffff
#define HWIO_GCC_GP3_D_ATTR                                                                                     0x3
#define HWIO_GCC_GP3_D_IN          \
        in_dword_masked(HWIO_GCC_GP3_D_ADDR, HWIO_GCC_GP3_D_RMSK)
#define HWIO_GCC_GP3_D_INM(m)      \
        in_dword_masked(HWIO_GCC_GP3_D_ADDR, m)
#define HWIO_GCC_GP3_D_OUT(v)      \
        out_dword(HWIO_GCC_GP3_D_ADDR,v)
#define HWIO_GCC_GP3_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GP3_D_ADDR,m,v,HWIO_GCC_GP3_D_IN)
#define HWIO_GCC_GP3_D_NOT_2D_BMSK                                                                           0xffff
#define HWIO_GCC_GP3_D_NOT_2D_SHFT                                                                              0x0

#define HWIO_GCC_AUDIO_CORE_BCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0002a000)
#define HWIO_GCC_AUDIO_CORE_BCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002a000)
#define HWIO_GCC_AUDIO_CORE_BCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002a000)
#define HWIO_GCC_AUDIO_CORE_BCR_RMSK                                                                            0x1
#define HWIO_GCC_AUDIO_CORE_BCR_ATTR                                                                            0x3
#define HWIO_GCC_AUDIO_CORE_BCR_IN          \
        in_dword_masked(HWIO_GCC_AUDIO_CORE_BCR_ADDR, HWIO_GCC_AUDIO_CORE_BCR_RMSK)
#define HWIO_GCC_AUDIO_CORE_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AUDIO_CORE_BCR_ADDR, m)
#define HWIO_GCC_AUDIO_CORE_BCR_OUT(v)      \
        out_dword(HWIO_GCC_AUDIO_CORE_BCR_ADDR,v)
#define HWIO_GCC_AUDIO_CORE_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AUDIO_CORE_BCR_ADDR,m,v,HWIO_GCC_AUDIO_CORE_BCR_IN)
#define HWIO_GCC_AUDIO_CORE_BCR_BLK_ARES_BMSK                                                                   0x1
#define HWIO_GCC_AUDIO_CORE_BCR_BLK_ARES_SHFT                                                                   0x0
#define HWIO_GCC_AUDIO_CORE_BCR_BLK_ARES_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_AUDIO_CORE_BCR_BLK_ARES_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0002a004)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002a004)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002a004)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_RMSK                                                          0x81d00005
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ATTR                                                                 0x3
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ADDR, HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_ALL_ARES_BMSK                                           0x1000000
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_ALL_ARES_SHFT                                                0x18
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                         0x800000
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                             0x17
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_DIS_BMSK                                                    0x400000
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_DIS_SHFT                                                        0x16
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                        0x100000
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                            0x14
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ARES_BMSK                                                        0x4
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ARES_SHFT                                                        0x2
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ARES_NO_RESET_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ARES_RESET_FVAL                                                  0x1
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_PCNOC_MPORT_CBCR_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002a008)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002a008)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002a008)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_RMSK                                                           0x81d0000e
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ADDR, HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_ALL_ARES_BMSK                                            0x1000000
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_ALL_ARES_SHFT                                                 0x18
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                          0x800000
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                              0x17
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_DIS_BMSK                                                     0x400000
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_DIS_SHFT                                                         0x16
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                         0x100000
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                             0x14
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_SW_ONLY_EN_BMSK                                                       0x8
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_SW_ONLY_EN_SHFT                                                       0x3
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_ARES_BMSK                                                         0x4
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_ARES_SHFT                                                         0x2
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_ARES_NO_RESET_FVAL                                                0x0
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_CLK_ARES_RESET_FVAL                                                   0x1
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_HW_CTL_BMSK                                                           0x2
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_HW_CTL_SHFT                                                           0x1
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_HW_CTL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_ULTAUDIO_PCNOC_SWAY_CBCR_HW_CTL_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_AUDIO_AHB_BUS_BCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b000)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b000)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b000)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_RMSK                                                                         0x1
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_ATTR                                                                         0x3
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_IN          \
        in_dword_masked(HWIO_GCC_AUDIO_AHB_BUS_BCR_ADDR, HWIO_GCC_AUDIO_AHB_BUS_BCR_RMSK)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AUDIO_AHB_BUS_BCR_ADDR, m)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_AUDIO_AHB_BUS_BCR_ADDR,v)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AUDIO_AHB_BUS_BCR_ADDR,m,v,HWIO_GCC_AUDIO_AHB_BUS_BCR_IN)
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_BLK_ARES_BMSK                                                                0x1
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_BLK_ARES_SHFT                                                                0x0
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_BLK_ARES_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_AUDIO_AHB_BUS_BCR_BLK_ARES_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b004)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b004)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b004)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_RMSK                                                   0x81c00004
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ATTR                                                          0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IGNORE_ALL_ARES_BMSK                                    0x1000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IGNORE_ALL_ARES_SHFT                                         0x18
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                  0x800000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                      0x17
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_DIS_BMSK                                             0x400000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_DIS_SHFT                                                 0x16
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_ARES_BMSK                                                 0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_ARES_SHFT                                                 0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_ARES_NO_RESET_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CBCR_CLK_ARES_RESET_FVAL                                           0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b008)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b008)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b008)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_RMSK                                               0x81c07ff5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ATTR                                                      0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_OFF_BMSK                                       0x80000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_OFF_SHFT                                             0x1f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IGNORE_ALL_ARES_BMSK                                0x1000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IGNORE_ALL_ARES_SHFT                                     0x18
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                              0x800000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                  0x17
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_DIS_BMSK                                         0x400000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_DIS_SHFT                                             0x16
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_CORE_ON_BMSK                                 0x4000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_CORE_ON_SHFT                                    0xe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                      0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                       0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_ON_BMSK                               0x2000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                  0xd
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                    0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                     0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                              0x1000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                 0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                    0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_BMSK                                             0xf00
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_SHFT                                               0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK0_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK1_FVAL                                        0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK2_FVAL                                        0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK3_FVAL                                        0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK4_FVAL                                        0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK5_FVAL                                        0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK6_FVAL                                        0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK7_FVAL                                        0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK8_FVAL                                        0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK9_FVAL                                        0x9
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK10_FVAL                                       0xa
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK11_FVAL                                       0xb
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK12_FVAL                                       0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK13_FVAL                                       0xd
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK14_FVAL                                       0xe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_WAKEUP_CLOCK15_FVAL                                       0xf
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_BMSK                                               0xf0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_SHFT                                                0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK0_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK1_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK2_FVAL                                         0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK3_FVAL                                         0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK4_FVAL                                         0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK5_FVAL                                         0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK6_FVAL                                         0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK7_FVAL                                         0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK8_FVAL                                         0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK9_FVAL                                         0x9
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK10_FVAL                                        0xa
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK11_FVAL                                        0xb
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK12_FVAL                                        0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK13_FVAL                                        0xd
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK14_FVAL                                        0xe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_SLEEP_CLOCK15_FVAL                                        0xf
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ARES_BMSK                                             0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ARES_SHFT                                             0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ARES_NO_RESET_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ARES_RESET_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ENABLE_BMSK                                           0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ENABLE_SHFT                                           0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ENABLE_DISABLE_FVAL                                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CBCR_CLK_ENABLE_ENABLE_FVAL                                    0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b00c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b00c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b00c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_RMSK                                              0xfffffffe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ATTR                                                     0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                    0xff000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                          0x18
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                       0xff0000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                           0x10
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                          0x8000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                             0xf
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                      0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                           0x4000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                              0xe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL              0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL           0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                          0x2000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                             0xd
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                 0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                    0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                      0x1000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                         0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                   0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CORE_ON_ACK_BMSK                                   0x800
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CORE_ON_ACK_SHFT                                     0xb
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_PERIPH_ON_ACK_BMSK                                 0x400
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_PERIPH_ON_ACK_SHFT                                   0xa
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                          0x300
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                            0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                   0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                   0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                   0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_ENABLE_BMSK                                     0x80
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_ENABLE_SHFT                                      0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                              0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                               0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_FORCE_CLK_ON_BMSK                                       0x40
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_FORCE_CLK_ON_SHFT                                        0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                               0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                           0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SEL_SLP_STG_BMSK                                 0x20
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SEL_SLP_STG_SHFT                                  0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL         0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SLP_STG_BMSK                                     0x10
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SLP_STG_SHFT                                      0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL            0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL               0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CTRL_PWR_DOWN_BMSK                                    0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CTRL_PWR_DOWN_SHFT                                    0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                         0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                            0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                               0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                               0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL        0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SLP_STG_BMSK                                   0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SLP_STG_SHFT                                   0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL             0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL              0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_RMSK                                                    0x81c07ff5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_OFF_BMSK                                            0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_OFF_SHFT                                                  0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IGNORE_ALL_ARES_BMSK                                     0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IGNORE_ALL_ARES_SHFT                                          0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                   0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                       0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_DIS_BMSK                                              0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_DIS_SHFT                                                  0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_CORE_ON_BMSK                                      0x4000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_CORE_ON_SHFT                                         0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                    0x2000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                       0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                          0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                   0x1000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                      0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_BMSK                                                  0xf00
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_SHFT                                                    0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK0_FVAL                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK1_FVAL                                             0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK2_FVAL                                             0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK3_FVAL                                             0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK4_FVAL                                             0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK5_FVAL                                             0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK6_FVAL                                             0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK7_FVAL                                             0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK8_FVAL                                             0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK9_FVAL                                             0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK10_FVAL                                            0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK11_FVAL                                            0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK12_FVAL                                            0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK13_FVAL                                            0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK14_FVAL                                            0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_WAKEUP_CLOCK15_FVAL                                            0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_BMSK                                                    0xf0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_SHFT                                                     0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK0_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK2_FVAL                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK3_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK4_FVAL                                              0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK5_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK6_FVAL                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK7_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK8_FVAL                                              0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK9_FVAL                                              0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK10_FVAL                                             0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK11_FVAL                                             0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK12_FVAL                                             0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK13_FVAL                                             0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK14_FVAL                                             0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_SLEEP_CLOCK15_FVAL                                             0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ARES_BMSK                                                  0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ARES_SHFT                                                  0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ARES_NO_RESET_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ARES_RESET_FVAL                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ENABLE_BMSK                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ENABLE_SHFT                                                0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ENABLE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CBCR_CLK_ENABLE_ENABLE_FVAL                                         0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_RMSK                                                   0xfffffffe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ATTR                                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                         0xff000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                               0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                            0xff0000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                               0x8000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                  0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                           0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                0x4000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                   0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                               0x2000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                  0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                      0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                           0x1000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                              0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                     0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                        0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CORE_ON_ACK_BMSK                                        0x800
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CORE_ON_ACK_SHFT                                          0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_PERIPH_ON_ACK_BMSK                                      0x400
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_PERIPH_ON_ACK_SHFT                                        0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                               0x300
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                 0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                        0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                        0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                        0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_ENABLE_BMSK                                          0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_ENABLE_SHFT                                           0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_FORCE_CLK_ON_BMSK                                            0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_FORCE_CLK_ON_SHFT                                             0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SEL_SLP_STG_BMSK                                      0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SEL_SLP_STG_SHFT                                       0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SLP_STG_BMSK                                          0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SLP_STG_SHFT                                           0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                 0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CTRL_PWR_DOWN_BMSK                                         0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CTRL_PWR_DOWN_SHFT                                         0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                 0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                    0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                    0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SLP_STG_BMSK                                        0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SLP_STG_SHFT                                        0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                  0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                   0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b018)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b018)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b018)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_RMSK                                                        0x800000f3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_OFF_BMSK                                               0x80000000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_OFF_SHFT                                                     0x1f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_D_BMSK                                                      0x80
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_D_SHFT                                                       0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_N_BMSK                                                      0x40
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_N_SHFT                                                       0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_M_BMSK                                                      0x20
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_M_SHFT                                                       0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                               0x10
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_EN_BMSK                                                       0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_EN_SHFT                                                       0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_UPDATE_BMSK                                                        0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_UPDATE_SHFT                                                        0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b01c)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_RMSK                                                          0x10371f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                           0x100000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                               0x14
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_SHFT                                                          0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b020)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b020)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b020)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_RMSK                                                                     0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_M_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_M_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_M_BMSK                                                                   0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_M_M_SHFT                                                                    0x0

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b024)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b024)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b024)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_RMSK                                                                     0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_N_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_N_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_NOT_N_MINUS_M_BMSK                                                       0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_N_NOT_N_MINUS_M_SHFT                                                        0x0

#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002b028)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002b028)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002b028)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_RMSK                                                                     0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ADDR, HWIO_GCC_ULTAUDIO_AHBFABRIC_D_RMSK)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AHBFABRIC_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_AHBFABRIC_D_IN)
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_NOT_2D_BMSK                                                              0xff
#define HWIO_GCC_ULTAUDIO_AHBFABRIC_D_NOT_2D_SHFT                                                               0x0

#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c000)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c000)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c000)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_RMSK                                                                      0x1
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ADDR, HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_RMSK)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_IN)
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_BLK_ARES_BMSK                                                             0x1
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_BLK_ARES_SHFT                                                             0x0
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_BLK_ARES_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_ULTAUDIO_PRI_I2S_BCR_BLK_ARES_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_RMSK                                                        0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IGNORE_ALL_ARES_BMSK                                         0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IGNORE_ALL_ARES_SHFT                                              0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                       0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                           0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_DIS_BMSK                                                  0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_DIS_SHFT                                                      0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ARES_BMSK                                                      0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ARES_SHFT                                                      0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ARES_NO_RESET_FVAL                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ARES_RESET_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CBCR_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_RMSK                                                    0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_D_BMSK                                                  0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_D_SHFT                                                   0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_N_BMSK                                                  0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_N_SHFT                                                   0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_M_BMSK                                                  0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_M_SHFT                                                   0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_EN_BMSK                                                   0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_EN_SHFT                                                   0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_UPDATE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_UPDATE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_UPDATE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CMD_RCGR_UPDATE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_RMSK                                                      0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_HW_CLK_CONTROL_BMSK                                       0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_HW_CLK_CONTROL_SHFT                                           0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                     0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_BMSK                                                   0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_SHFT                                                      0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_BYPASS_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_SWALLOW_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_CFG_RCGR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_M_BMSK                                                               0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_M_M_SHFT                                                                0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_NOT_N_MINUS_M_BMSK                                                   0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_N_NOT_N_MINUS_M_SHFT                                                    0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002c018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002c018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002c018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_NOT_2D_BMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PRI_I2S_D_NOT_2D_SHFT                                                           0x0

#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d000)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d000)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d000)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_RMSK                                                                      0x1
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ADDR, HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_RMSK)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_IN)
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_BLK_ARES_BMSK                                                             0x1
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_BLK_ARES_SHFT                                                             0x0
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_BLK_ARES_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_ULTAUDIO_SEC_I2S_BCR_BLK_ARES_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_RMSK                                                        0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IGNORE_ALL_ARES_BMSK                                         0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IGNORE_ALL_ARES_SHFT                                              0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                       0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                           0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_DIS_BMSK                                                  0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_DIS_SHFT                                                      0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ARES_BMSK                                                      0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ARES_SHFT                                                      0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ARES_NO_RESET_FVAL                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ARES_RESET_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CBCR_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_RMSK                                                    0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_D_BMSK                                                  0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_D_SHFT                                                   0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_N_BMSK                                                  0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_N_SHFT                                                   0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_M_BMSK                                                  0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_M_SHFT                                                   0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_EN_BMSK                                                   0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_EN_SHFT                                                   0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_UPDATE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_UPDATE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_UPDATE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CMD_RCGR_UPDATE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_RMSK                                                      0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_HW_CLK_CONTROL_BMSK                                       0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_HW_CLK_CONTROL_SHFT                                           0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                     0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_BMSK                                                   0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_SHFT                                                      0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_BYPASS_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_SWALLOW_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_CFG_RCGR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_M_BMSK                                                               0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_M_M_SHFT                                                                0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_NOT_N_MINUS_M_BMSK                                                   0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_N_NOT_N_MINUS_M_SHFT                                                    0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002d018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002d018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002d018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_NOT_2D_BMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SEC_I2S_D_NOT_2D_SHFT                                                           0x0

#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e000)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e000)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e000)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_RMSK                                                                      0x1
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ADDR, HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_RMSK)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_IN)
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_BLK_ARES_BMSK                                                             0x1
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_BLK_ARES_SHFT                                                             0x0
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_BLK_ARES_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_ULTAUDIO_AUX_I2S_BCR_BLK_ARES_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e004)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e004)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e004)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_RMSK                                                        0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IGNORE_ALL_ARES_BMSK                                         0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IGNORE_ALL_ARES_SHFT                                              0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                       0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                           0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_DIS_BMSK                                                  0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_DIS_SHFT                                                      0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ARES_BMSK                                                      0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ARES_SHFT                                                      0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ARES_NO_RESET_FVAL                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ARES_RESET_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CBCR_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e008)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e008)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e008)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_RMSK                                                    0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_D_BMSK                                                  0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_D_SHFT                                                   0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_N_BMSK                                                  0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_N_SHFT                                                   0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_M_BMSK                                                  0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_M_SHFT                                                   0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_EN_BMSK                                                   0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_EN_SHFT                                                   0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_UPDATE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_UPDATE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_UPDATE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CMD_RCGR_UPDATE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e00c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_RMSK                                                      0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_HW_CLK_CONTROL_BMSK                                       0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_HW_CLK_CONTROL_SHFT                                           0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                     0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_BMSK                                                   0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_SHFT                                                      0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_BYPASS_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_SWALLOW_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_CFG_RCGR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e010)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e010)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e010)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_M_BMSK                                                               0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_M_M_SHFT                                                                0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e014)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e014)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e014)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_NOT_N_MINUS_M_BMSK                                                   0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_N_NOT_N_MINUS_M_SHFT                                                    0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0002e018)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002e018)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002e018)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_NOT_2D_BMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_I2S_D_NOT_2D_SHFT                                                           0x0

#define HWIO_GCC_AUDIO_CXO_BCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f000)
#define HWIO_GCC_AUDIO_CXO_BCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f000)
#define HWIO_GCC_AUDIO_CXO_BCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f000)
#define HWIO_GCC_AUDIO_CXO_BCR_RMSK                                                                             0x1
#define HWIO_GCC_AUDIO_CXO_BCR_ATTR                                                                             0x3
#define HWIO_GCC_AUDIO_CXO_BCR_IN          \
        in_dword_masked(HWIO_GCC_AUDIO_CXO_BCR_ADDR, HWIO_GCC_AUDIO_CXO_BCR_RMSK)
#define HWIO_GCC_AUDIO_CXO_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_AUDIO_CXO_BCR_ADDR, m)
#define HWIO_GCC_AUDIO_CXO_BCR_OUT(v)      \
        out_dword(HWIO_GCC_AUDIO_CXO_BCR_ADDR,v)
#define HWIO_GCC_AUDIO_CXO_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AUDIO_CXO_BCR_ADDR,m,v,HWIO_GCC_AUDIO_CXO_BCR_IN)
#define HWIO_GCC_AUDIO_CXO_BCR_BLK_ARES_BMSK                                                                    0x1
#define HWIO_GCC_AUDIO_CXO_BCR_BLK_ARES_SHFT                                                                    0x0
#define HWIO_GCC_AUDIO_CXO_BCR_BLK_ARES_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_AUDIO_CXO_BCR_BLK_ARES_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f004)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f004)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f004)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_RMSK                                                            0x81c00005
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ATTR                                                                   0x3
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ADDR, HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_OFF_BMSK                                                    0x80000000
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_OFF_SHFT                                                          0x1f
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IGNORE_ALL_ARES_BMSK                                             0x1000000
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                  0x18
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                           0x800000
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                               0x17
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_DIS_BMSK                                                      0x400000
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_DIS_SHFT                                                          0x16
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ARES_BMSK                                                          0x4
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ARES_SHFT                                                          0x2
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                 0x0
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ARES_RESET_FVAL                                                    0x1
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ENABLE_BMSK                                                        0x1
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ENABLE_SHFT                                                        0x0
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_ULTAUDIO_AVSYNC_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f008)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f008)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f008)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_RMSK                                                               0x800000f3
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_OFF_SHFT                                                            0x1f
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_D_BMSK                                                             0x80
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_D_SHFT                                                              0x7
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_N_BMSK                                                             0x40
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_N_SHFT                                                              0x6
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_M_BMSK                                                             0x20
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_M_SHFT                                                              0x5
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                      0x10
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                       0x4
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_EN_BMSK                                                              0x2
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_EN_SHFT                                                              0x1
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_UPDATE_BMSK                                                               0x1
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_UPDATE_SHFT                                                               0x0
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_UPDATE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_ULTAUDIO_XO_CMD_RCGR_UPDATE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f00c)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f00c)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f00c)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_RMSK                                                                 0x10371f
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                  0x100000
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                      0x14
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_BMSK                                                              0x3000
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_SHFT                                                                 0xc
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_BYPASS_FVAL                                                          0x0
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_SWALLOW_FVAL                                                         0x1
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                       0x2
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                     0x3
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_BMSK                                                            0x700
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SHFT                                                              0x8
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                         0x0
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                         0x1
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                         0x2
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                         0x3
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                         0x4
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                         0x5
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                         0x6
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                         0x7
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_BMSK                                                             0x1f
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_SHFT                                                              0x0
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                       0x0
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                         0x1
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                       0x2
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                         0x3
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                       0x4
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                         0x5
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                       0x6
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                         0x7
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                       0x8
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                         0x9
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                       0xa
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                         0xb
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                       0xc
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                         0xd
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                       0xe
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                         0xf
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                      0x10
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                        0x11
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                      0x12
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                       0x13
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                     0x14
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                       0x15
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                     0x16
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                       0x17
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                     0x18
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                       0x19
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                     0x1a
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                       0x1b
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                     0x1c
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                       0x1d
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                     0x1e
#define HWIO_GCC_ULTAUDIO_XO_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                       0x1f

#define HWIO_GCC_ULTAUDIO_XO_M_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f010)
#define HWIO_GCC_ULTAUDIO_XO_M_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f010)
#define HWIO_GCC_ULTAUDIO_XO_M_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f010)
#define HWIO_GCC_ULTAUDIO_XO_M_RMSK                                                                            0xff
#define HWIO_GCC_ULTAUDIO_XO_M_ATTR                                                                             0x3
#define HWIO_GCC_ULTAUDIO_XO_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_M_ADDR, HWIO_GCC_ULTAUDIO_XO_M_RMSK)
#define HWIO_GCC_ULTAUDIO_XO_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_XO_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_XO_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_XO_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_XO_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_XO_M_IN)
#define HWIO_GCC_ULTAUDIO_XO_M_M_BMSK                                                                          0xff
#define HWIO_GCC_ULTAUDIO_XO_M_M_SHFT                                                                           0x0

#define HWIO_GCC_ULTAUDIO_XO_N_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f014)
#define HWIO_GCC_ULTAUDIO_XO_N_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f014)
#define HWIO_GCC_ULTAUDIO_XO_N_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f014)
#define HWIO_GCC_ULTAUDIO_XO_N_RMSK                                                                            0xff
#define HWIO_GCC_ULTAUDIO_XO_N_ATTR                                                                             0x3
#define HWIO_GCC_ULTAUDIO_XO_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_N_ADDR, HWIO_GCC_ULTAUDIO_XO_N_RMSK)
#define HWIO_GCC_ULTAUDIO_XO_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_XO_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_XO_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_XO_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_XO_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_XO_N_IN)
#define HWIO_GCC_ULTAUDIO_XO_N_NOT_N_MINUS_M_BMSK                                                              0xff
#define HWIO_GCC_ULTAUDIO_XO_N_NOT_N_MINUS_M_SHFT                                                               0x0

#define HWIO_GCC_ULTAUDIO_XO_D_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0002f018)
#define HWIO_GCC_ULTAUDIO_XO_D_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0002f018)
#define HWIO_GCC_ULTAUDIO_XO_D_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0002f018)
#define HWIO_GCC_ULTAUDIO_XO_D_RMSK                                                                            0xff
#define HWIO_GCC_ULTAUDIO_XO_D_ATTR                                                                             0x3
#define HWIO_GCC_ULTAUDIO_XO_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_D_ADDR, HWIO_GCC_ULTAUDIO_XO_D_RMSK)
#define HWIO_GCC_ULTAUDIO_XO_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_XO_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_XO_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_XO_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_XO_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_XO_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_XO_D_IN)
#define HWIO_GCC_ULTAUDIO_XO_D_NOT_2D_BMSK                                                                     0xff
#define HWIO_GCC_ULTAUDIO_XO_D_NOT_2D_SHFT                                                                      0x0

#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00030000)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030000)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030000)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_RMSK                                                                      0x1
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ATTR                                                                      0x3
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ADDR, HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_RMSK)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_IN)
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_BLK_ARES_BMSK                                                             0x1
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_BLK_ARES_SHFT                                                             0x0
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_BLK_ARES_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_ULTAUDIO_EXT_I2S_BCR_BLK_ARES_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00030004)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030004)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030004)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_RMSK                                                        0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IGNORE_ALL_ARES_BMSK                                         0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IGNORE_ALL_ARES_SHFT                                              0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                       0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                           0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_DIS_BMSK                                                  0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_DIS_SHFT                                                      0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ARES_BMSK                                                      0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ARES_SHFT                                                      0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ARES_NO_RESET_FVAL                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ARES_RESET_FVAL                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CBCR_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00030008)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030008)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030008)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_RMSK                                                    0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_D_BMSK                                                  0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_D_SHFT                                                   0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_N_BMSK                                                  0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_N_SHFT                                                   0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_M_BMSK                                                  0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_M_SHFT                                                   0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_EN_BMSK                                                   0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_EN_SHFT                                                   0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_UPDATE_BMSK                                                    0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_UPDATE_SHFT                                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_UPDATE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CMD_RCGR_UPDATE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003000c)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003000c)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003000c)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_RMSK                                                      0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_HW_CLK_CONTROL_BMSK                                       0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_HW_CLK_CONTROL_SHFT                                           0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                     0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_BMSK                                                   0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_SHFT                                                      0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_BYPASS_FVAL                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_SWALLOW_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_BMSK                                                 0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SHFT                                                   0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC0_FVAL                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC2_FVAL                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC3_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC4_FVAL                                              0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC5_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC6_FVAL                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_SEL_SRC7_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_BMSK                                                  0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_SHFT                                                   0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV1_FVAL                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV2_FVAL                                              0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                            0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV3_FVAL                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                            0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV4_FVAL                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                            0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV5_FVAL                                              0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                            0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV6_FVAL                                              0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                            0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV7_FVAL                                              0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                            0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV8_FVAL                                              0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                           0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV9_FVAL                                             0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                           0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV10_FVAL                                            0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                          0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV11_FVAL                                            0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                          0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV12_FVAL                                            0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                          0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV13_FVAL                                            0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                          0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV14_FVAL                                            0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                          0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV15_FVAL                                            0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                          0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_CFG_RCGR_SRC_DIV_DIV16_FVAL                                            0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00030010)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030010)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030010)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_M_BMSK                                                               0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_M_M_SHFT                                                                0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00030014)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030014)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030014)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_NOT_N_MINUS_M_BMSK                                                   0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_N_NOT_N_MINUS_M_SHFT                                                    0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00030018)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030018)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030018)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_RMSK                                                                 0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ATTR                                                                  0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_NOT_2D_BMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_EXT_I2S_D_NOT_2D_SHFT                                                           0x0

#define HWIO_GCC_SLIMBUS_BCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00031000)
#define HWIO_GCC_SLIMBUS_BCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031000)
#define HWIO_GCC_SLIMBUS_BCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031000)
#define HWIO_GCC_SLIMBUS_BCR_RMSK                                                                               0x1
#define HWIO_GCC_SLIMBUS_BCR_ATTR                                                                               0x3
#define HWIO_GCC_SLIMBUS_BCR_IN          \
        in_dword_masked(HWIO_GCC_SLIMBUS_BCR_ADDR, HWIO_GCC_SLIMBUS_BCR_RMSK)
#define HWIO_GCC_SLIMBUS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SLIMBUS_BCR_ADDR, m)
#define HWIO_GCC_SLIMBUS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SLIMBUS_BCR_ADDR,v)
#define HWIO_GCC_SLIMBUS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SLIMBUS_BCR_ADDR,m,v,HWIO_GCC_SLIMBUS_BCR_IN)
#define HWIO_GCC_SLIMBUS_BCR_BLK_ARES_BMSK                                                                      0x1
#define HWIO_GCC_SLIMBUS_BCR_BLK_ARES_SHFT                                                                      0x0
#define HWIO_GCC_SLIMBUS_BCR_BLK_ARES_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_SLIMBUS_BCR_BLK_ARES_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ADDR                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00031004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_PHYS                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_OFFS                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031004)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_RMSK                                                   0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ATTR                                                          0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_OFF_BMSK                                           0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_OFF_SHFT                                                 0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IGNORE_ALL_ARES_BMSK                                    0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IGNORE_ALL_ARES_SHFT                                         0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                  0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                      0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_DIS_BMSK                                             0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_DIS_SHFT                                                 0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ARES_BMSK                                                 0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ARES_SHFT                                                 0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ARES_NO_RESET_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ARES_RESET_FVAL                                           0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ENABLE_BMSK                                               0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ENABLE_SHFT                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ENABLE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CBCR_CLK_ENABLE_ENABLE_FVAL                                        0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00031008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031008)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_RMSK                                               0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ATTR                                                      0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_OFF_BMSK                                      0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_OFF_SHFT                                            0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_D_BMSK                                             0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_D_SHFT                                              0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_N_BMSK                                             0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_N_SHFT                                              0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_M_BMSK                                             0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_M_SHFT                                              0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                      0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                       0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_EN_BMSK                                              0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_EN_SHFT                                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_UPDATE_BMSK                                               0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_UPDATE_SHFT                                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_UPDATE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CMD_RCGR_UPDATE_ENABLE_FVAL                                        0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ADDR                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0003100c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_PHYS                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003100c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_OFFS                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003100c)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_RMSK                                                 0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ATTR                                                      0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_HW_CLK_CONTROL_BMSK                                  0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_HW_CLK_CONTROL_SHFT                                      0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                               0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_BMSK                                              0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_SHFT                                                 0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_BYPASS_FVAL                                          0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_SWALLOW_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                       0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                     0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_BMSK                                            0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SHFT                                              0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC0_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC1_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC2_FVAL                                         0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC3_FVAL                                         0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC4_FVAL                                         0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC5_FVAL                                         0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC6_FVAL                                         0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_SEL_SRC7_FVAL                                         0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_BMSK                                             0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_SHFT                                              0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                       0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV1_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                       0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV2_FVAL                                         0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                       0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV3_FVAL                                         0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                       0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV4_FVAL                                         0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                       0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV5_FVAL                                         0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                       0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV6_FVAL                                         0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                       0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV7_FVAL                                         0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                       0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV8_FVAL                                         0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                      0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV9_FVAL                                        0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                      0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV10_FVAL                                       0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                     0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV11_FVAL                                       0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                     0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV12_FVAL                                       0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                     0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV13_FVAL                                       0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                     0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV14_FVAL                                       0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                     0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV15_FVAL                                       0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                     0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CFG_RCGR_SRC_DIV_DIV16_FVAL                                       0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00031010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031010)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_RMSK                                                            0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ATTR                                                             0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_M_BMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_M_M_SHFT                                                           0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00031014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031014)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_RMSK                                                            0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ATTR                                                             0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_N_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00031018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00031018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00031018)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_RMSK                                                            0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ATTR                                                             0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_D_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_ULTAUDIO_PCM_BCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00032000)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032000)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032000)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_RMSK                                                                          0x1
#define HWIO_GCC_ULTAUDIO_PCM_BCR_ATTR                                                                          0x3
#define HWIO_GCC_ULTAUDIO_PCM_BCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCM_BCR_ADDR, HWIO_GCC_ULTAUDIO_PCM_BCR_RMSK)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_PCM_BCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_PCM_BCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_PCM_BCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_PCM_BCR_IN)
#define HWIO_GCC_ULTAUDIO_PCM_BCR_BLK_ARES_BMSK                                                                 0x1
#define HWIO_GCC_ULTAUDIO_PCM_BCR_BLK_ARES_SHFT                                                                 0x0
#define HWIO_GCC_ULTAUDIO_PCM_BCR_BLK_ARES_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_ULTAUDIO_PCM_BCR_BLK_ARES_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00032004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032004)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_RMSK                                                     0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ATTR                                                            0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_OFF_BMSK                                             0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_OFF_SHFT                                                   0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IGNORE_ALL_ARES_BMSK                                      0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IGNORE_ALL_ARES_SHFT                                           0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                    0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                        0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_DIS_BMSK                                               0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_DIS_SHFT                                                   0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ARES_BMSK                                                   0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ARES_SHFT                                                   0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ARES_NO_RESET_FVAL                                          0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ARES_RESET_FVAL                                             0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ENABLE_BMSK                                                 0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ENABLE_SHFT                                                 0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ENABLE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CBCR_CLK_ENABLE_ENABLE_FVAL                                          0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00032008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032008)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_RMSK                                                 0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ATTR                                                        0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_OFF_BMSK                                        0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_OFF_SHFT                                              0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_D_BMSK                                               0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_D_SHFT                                                0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_N_BMSK                                               0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_N_SHFT                                                0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_M_BMSK                                               0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_M_SHFT                                                0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                        0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                         0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_EN_BMSK                                                0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_EN_SHFT                                                0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_UPDATE_BMSK                                                 0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_UPDATE_SHFT                                                 0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_UPDATE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CMD_RCGR_UPDATE_ENABLE_FVAL                                          0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0003200c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003200c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003200c)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_RMSK                                                   0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ATTR                                                        0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_BMSK                                    0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_SHFT                                        0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                 0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                  0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_BMSK                                                0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_SHFT                                                   0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_BYPASS_FVAL                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_SWALLOW_FVAL                                           0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                         0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                       0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_BMSK                                              0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SHFT                                                0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC0_FVAL                                           0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC1_FVAL                                           0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC2_FVAL                                           0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC3_FVAL                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC4_FVAL                                           0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC5_FVAL                                           0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC6_FVAL                                           0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC7_FVAL                                           0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_BMSK                                               0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_SHFT                                                0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                         0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV1_FVAL                                           0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                         0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV2_FVAL                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                         0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV3_FVAL                                           0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                         0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV4_FVAL                                           0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                         0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV5_FVAL                                           0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                         0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV6_FVAL                                           0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                         0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV7_FVAL                                           0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                         0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV8_FVAL                                           0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                        0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV9_FVAL                                          0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                        0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV10_FVAL                                         0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                       0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV11_FVAL                                         0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                       0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV12_FVAL                                         0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                       0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV13_FVAL                                         0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                       0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV14_FVAL                                         0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                       0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV15_FVAL                                         0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                       0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV16_FVAL                                         0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00032010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032010)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_RMSK                                                              0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_M_BMSK                                                            0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_M_M_SHFT                                                             0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00032014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032014)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_RMSK                                                              0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_N_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00032018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032018)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_RMSK                                                              0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ATTR                                                               0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_D_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00032020)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032020)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032020)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_RMSK                                                 0x81c00005
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ATTR                                                        0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_OFF_BMSK                                         0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_OFF_SHFT                                               0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IGNORE_ALL_ARES_BMSK                                  0x1000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IGNORE_ALL_ARES_SHFT                                       0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                0x800000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                    0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_DIS_BMSK                                           0x400000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_DIS_SHFT                                               0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ARES_BMSK                                               0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ARES_SHFT                                               0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ARES_NO_RESET_FVAL                                      0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ARES_RESET_FVAL                                         0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ENABLE_BMSK                                             0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ENABLE_SHFT                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ENABLE_DISABLE_FVAL                                     0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CBCR_CLK_ENABLE_ENABLE_FVAL                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00032024)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032024)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032024)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_RMSK                                             0x800000f3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ATTR                                                    0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_OFF_BMSK                                    0x80000000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_OFF_SHFT                                          0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_D_BMSK                                           0x80
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_D_SHFT                                            0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_N_BMSK                                           0x40
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_N_SHFT                                            0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_M_BMSK                                           0x20
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_M_SHFT                                            0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                    0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                     0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_EN_BMSK                                            0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_EN_SHFT                                            0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                     0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_UPDATE_BMSK                                             0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_UPDATE_SHFT                                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_UPDATE_DISABLE_FVAL                                     0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CMD_RCGR_UPDATE_ENABLE_FVAL                                      0x1

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00032028)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032028)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032028)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_RMSK                                               0x10371f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ATTR                                                    0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_BMSK                                0x100000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_SHFT                                    0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                             0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                              0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_BMSK                                            0x3000
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_SHFT                                               0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_BYPASS_FVAL                                        0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_SWALLOW_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                     0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                   0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CFG_RCGR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003202c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003202c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003202c)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_RMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_M_BMSK                                                        0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_M_M_SHFT                                                         0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00032030)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032030)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032030)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_RMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_NOT_N_MINUS_M_BMSK                                            0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_N_NOT_N_MINUS_M_SHFT                                             0x0

#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00032034)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00032034)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00032034)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_RMSK                                                          0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ATTR                                                           0x3
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_IN          \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ADDR, HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_RMSK)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_INM(m)      \
        in_dword_masked(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ADDR, m)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_OUT(v)      \
        out_dword(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ADDR,v)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_ADDR,m,v,HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_IN)
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_NOT_2D_BMSK                                                   0xff
#define HWIO_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_D_NOT_2D_SHFT                                                    0x0

#define HWIO_GCC_PCIE_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00033000)
#define HWIO_GCC_PCIE_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033000)
#define HWIO_GCC_PCIE_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033000)
#define HWIO_GCC_PCIE_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_PCIE_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_PCIE_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_BCR_ADDR, HWIO_GCC_PCIE_BCR_RMSK)
#define HWIO_GCC_PCIE_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_BCR_ADDR, m)
#define HWIO_GCC_PCIE_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_BCR_ADDR,v)
#define HWIO_GCC_PCIE_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_BCR_ADDR,m,v,HWIO_GCC_PCIE_BCR_IN)
#define HWIO_GCC_PCIE_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_PCIE_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_PCIE_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_PCIE_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_PCIE_GDSCR_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00033004)
#define HWIO_GCC_PCIE_GDSCR_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033004)
#define HWIO_GCC_PCIE_GDSCR_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033004)
#define HWIO_GCC_PCIE_GDSCR_RMSK                                                                         0xf8ffffff
#define HWIO_GCC_PCIE_GDSCR_ATTR                                                                                0x3
#define HWIO_GCC_PCIE_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_GDSCR_ADDR, HWIO_GCC_PCIE_GDSCR_RMSK)
#define HWIO_GCC_PCIE_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_GDSCR_ADDR, m)
#define HWIO_GCC_PCIE_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_GDSCR_ADDR,v)
#define HWIO_GCC_PCIE_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_GDSCR_ADDR,m,v,HWIO_GCC_PCIE_GDSCR_IN)
#define HWIO_GCC_PCIE_GDSCR_PWR_ON_BMSK                                                                  0x80000000
#define HWIO_GCC_PCIE_GDSCR_PWR_ON_SHFT                                                                        0x1f
#define HWIO_GCC_PCIE_GDSCR_GDSC_STATE_BMSK                                                              0x78000000
#define HWIO_GCC_PCIE_GDSCR_GDSC_STATE_SHFT                                                                    0x1b
#define HWIO_GCC_PCIE_GDSCR_EN_REST_WAIT_BMSK                                                              0xf00000
#define HWIO_GCC_PCIE_GDSCR_EN_REST_WAIT_SHFT                                                                  0x14
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_WAIT_BMSK                                                                0xf0000
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_WAIT_SHFT                                                                   0x10
#define HWIO_GCC_PCIE_GDSCR_CLK_DIS_WAIT_BMSK                                                                0xf000
#define HWIO_GCC_PCIE_GDSCR_CLK_DIS_WAIT_SHFT                                                                   0xc
#define HWIO_GCC_PCIE_GDSCR_RETAIN_FF_ENABLE_BMSK                                                             0x800
#define HWIO_GCC_PCIE_GDSCR_RETAIN_FF_ENABLE_SHFT                                                               0xb
#define HWIO_GCC_PCIE_GDSCR_RETAIN_FF_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_PCIE_GDSCR_RETAIN_FF_ENABLE_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_PCIE_GDSCR_RESTORE_BMSK                                                                      0x400
#define HWIO_GCC_PCIE_GDSCR_RESTORE_SHFT                                                                        0xa
#define HWIO_GCC_PCIE_GDSCR_RESTORE_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_PCIE_GDSCR_RESTORE_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_PCIE_GDSCR_SAVE_BMSK                                                                         0x200
#define HWIO_GCC_PCIE_GDSCR_SAVE_SHFT                                                                           0x9
#define HWIO_GCC_PCIE_GDSCR_SAVE_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_PCIE_GDSCR_SAVE_ENABLE_FVAL                                                                    0x1
#define HWIO_GCC_PCIE_GDSCR_RETAIN_BMSK                                                                       0x100
#define HWIO_GCC_PCIE_GDSCR_RETAIN_SHFT                                                                         0x8
#define HWIO_GCC_PCIE_GDSCR_RETAIN_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_PCIE_GDSCR_RETAIN_ENABLE_FVAL                                                                  0x1
#define HWIO_GCC_PCIE_GDSCR_EN_REST_BMSK                                                                       0x80
#define HWIO_GCC_PCIE_GDSCR_EN_REST_SHFT                                                                        0x7
#define HWIO_GCC_PCIE_GDSCR_EN_REST_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_PCIE_GDSCR_EN_REST_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_BMSK                                                                        0x40
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_SHFT                                                                         0x6
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_PCIE_GDSCR_EN_FEW_ENABLE_FVAL                                                                  0x1
#define HWIO_GCC_PCIE_GDSCR_CLAMP_IO_BMSK                                                                      0x20
#define HWIO_GCC_PCIE_GDSCR_CLAMP_IO_SHFT                                                                       0x5
#define HWIO_GCC_PCIE_GDSCR_CLAMP_IO_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_PCIE_GDSCR_CLAMP_IO_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_PCIE_GDSCR_CLK_DISABLE_BMSK                                                                   0x10
#define HWIO_GCC_PCIE_GDSCR_CLK_DISABLE_SHFT                                                                    0x4
#define HWIO_GCC_PCIE_GDSCR_CLK_DISABLE_CLK_NOT_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PCIE_GDSCR_CLK_DISABLE_CLK_IS_DISABLE_FVAL                                                     0x1
#define HWIO_GCC_PCIE_GDSCR_PD_ARES_BMSK                                                                        0x8
#define HWIO_GCC_PCIE_GDSCR_PD_ARES_SHFT                                                                        0x3
#define HWIO_GCC_PCIE_GDSCR_PD_ARES_NO_RESET_FVAL                                                               0x0
#define HWIO_GCC_PCIE_GDSCR_PD_ARES_RESET_FVAL                                                                  0x1
#define HWIO_GCC_PCIE_GDSCR_SW_OVERRIDE_BMSK                                                                    0x4
#define HWIO_GCC_PCIE_GDSCR_SW_OVERRIDE_SHFT                                                                    0x2
#define HWIO_GCC_PCIE_GDSCR_SW_OVERRIDE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_PCIE_GDSCR_SW_OVERRIDE_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_PCIE_GDSCR_HW_CONTROL_BMSK                                                                     0x2
#define HWIO_GCC_PCIE_GDSCR_HW_CONTROL_SHFT                                                                     0x1
#define HWIO_GCC_PCIE_GDSCR_HW_CONTROL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_PCIE_GDSCR_HW_CONTROL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_PCIE_GDSCR_SW_COLLAPSE_BMSK                                                                    0x1
#define HWIO_GCC_PCIE_GDSCR_SW_COLLAPSE_SHFT                                                                    0x0
#define HWIO_GCC_PCIE_GDSCR_SW_COLLAPSE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_PCIE_GDSCR_SW_COLLAPSE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_PCIE_CFG_GDSCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00033008)
#define HWIO_GCC_PCIE_CFG_GDSCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033008)
#define HWIO_GCC_PCIE_CFG_GDSCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033008)
#define HWIO_GCC_PCIE_CFG_GDSCR_RMSK                                                                      0x3ffffff
#define HWIO_GCC_PCIE_CFG_GDSCR_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_CFG_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_CFG_GDSCR_ADDR, HWIO_GCC_PCIE_CFG_GDSCR_RMSK)
#define HWIO_GCC_PCIE_CFG_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_CFG_GDSCR_ADDR, m)
#define HWIO_GCC_PCIE_CFG_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_CFG_GDSCR_ADDR,v)
#define HWIO_GCC_PCIE_CFG_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_CFG_GDSCR_ADDR,m,v,HWIO_GCC_PCIE_CFG_GDSCR_IN)
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PWR_DWN_START_BMSK                                                   0x2000000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PWR_DWN_START_SHFT                                                        0x19
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PWR_UP_START_BMSK                                                    0x1000000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PWR_UP_START_SHFT                                                         0x18
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_BMSK                                             0xf00000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_SHFT                                                 0x14
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_BMSK                                                0x80000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_SHFT                                                   0x13
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_ENR_ACK_STATUS_BMSK                                                    0x40000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_ENR_ACK_STATUS_SHFT                                                       0x12
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_ENF_ACK_STATUS_BMSK                                                    0x20000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_ENF_ACK_STATUS_SHFT                                                       0x11
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_BMSK                                                 0x10000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_SHFT                                                    0x10
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_BMSK                                                0x8000
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_SHFT                                                   0xf
#define HWIO_GCC_PCIE_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_BMSK                                               0x7800
#define HWIO_GCC_PCIE_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_SHFT                                                  0xb
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_HANDSHAKE_DIS_BMSK                                                       0x400
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_HANDSHAKE_DIS_SHFT                                                         0xa
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_BMSK                                                0x200
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_SHFT                                                  0x9
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_BMSK                                                0x100
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_SHFT                                                  0x8
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_BMSK                                                    0x80
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_SHFT                                                     0x7
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_BMSK                                           0x60
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_SHFT                                            0x5
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_BMSK                                                     0x10
#define HWIO_GCC_PCIE_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_SHFT                                                      0x4
#define HWIO_GCC_PCIE_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                               0x8
#define HWIO_GCC_PCIE_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                               0x3
#define HWIO_GCC_PCIE_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_BMSK                                             0x4
#define HWIO_GCC_PCIE_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_SHFT                                             0x2
#define HWIO_GCC_PCIE_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                                 0x2
#define HWIO_GCC_PCIE_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                                 0x1
#define HWIO_GCC_PCIE_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_BMSK                                              0x1
#define HWIO_GCC_PCIE_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_SHFT                                              0x0

#define HWIO_GCC_PCIE_CFG2_GDSCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003300c)
#define HWIO_GCC_PCIE_CFG2_GDSCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003300c)
#define HWIO_GCC_PCIE_CFG2_GDSCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003300c)
#define HWIO_GCC_PCIE_CFG2_GDSCR_RMSK                                                                       0x7ffff
#define HWIO_GCC_PCIE_CFG2_GDSCR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_CFG2_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_CFG2_GDSCR_ADDR, HWIO_GCC_PCIE_CFG2_GDSCR_RMSK)
#define HWIO_GCC_PCIE_CFG2_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_CFG2_GDSCR_ADDR, m)
#define HWIO_GCC_PCIE_CFG2_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_CFG2_GDSCR_ADDR,v)
#define HWIO_GCC_PCIE_CFG2_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_CFG2_GDSCR_ADDR,m,v,HWIO_GCC_PCIE_CFG2_GDSCR_IN)
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_BMSK                                           0x40000
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_SHFT                                              0x12
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_BMSK                                       0x20000
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_SHFT                                          0x11
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_BMSK                                                     0x10000
#define HWIO_GCC_PCIE_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_SHFT                                                        0x10
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_MEM_PWR_UP_BMSK                                                         0xf000
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_MEM_PWR_UP_SHFT                                                            0xc
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_BMSK                                                  0xf00
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_SHFT                                                    0x8
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_BMSK                                                     0xf0
#define HWIO_GCC_PCIE_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_SHFT                                                      0x4
#define HWIO_GCC_PCIE_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_BMSK                                                       0xf
#define HWIO_GCC_PCIE_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_SHFT                                                       0x0

#define HWIO_GCC_PCIE_CFG3_GDSCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00033010)
#define HWIO_GCC_PCIE_CFG3_GDSCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033010)
#define HWIO_GCC_PCIE_CFG3_GDSCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033010)
#define HWIO_GCC_PCIE_CFG3_GDSCR_RMSK                                                                     0x7ffffff
#define HWIO_GCC_PCIE_CFG3_GDSCR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_CFG3_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_CFG3_GDSCR_ADDR, HWIO_GCC_PCIE_CFG3_GDSCR_RMSK)
#define HWIO_GCC_PCIE_CFG3_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_CFG3_GDSCR_ADDR, m)
#define HWIO_GCC_PCIE_CFG3_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_CFG3_GDSCR_ADDR,v)
#define HWIO_GCC_PCIE_CFG3_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_CFG3_GDSCR_ADDR,m,v,HWIO_GCC_PCIE_CFG3_GDSCR_IN)
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_BMSK                                   0x4000000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_SHFT                                        0x1a
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_BMSK                                                0x2000000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_SHFT                                                     0x19
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_ENABLE_FVAL                                               0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_BMSK                                           0x1e00000
#define HWIO_GCC_PCIE_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_SHFT                                                0x15
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_BMSK                                            0x100000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_SHFT                                                0x14
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_ENABLE_FVAL                                          0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_BMSK                                   0x80000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_SHFT                                      0x13
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_DISABLE_FVAL                               0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_ENABLE_FVAL                                0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_BMSK                                       0x40000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_SHFT                                          0x12
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_DISABLE_FVAL                                   0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_ENABLE_FVAL                                    0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_BMSK                                        0x20000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_SHFT                                           0x11
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_DISABLE_FVAL                                    0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_ENABLE_FVAL                                     0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_BMSK                                             0x10000
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_SHFT                                                0x10
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_BMSK                                                     0xff00
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_SHFT                                                        0x8
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_BMSK                                                      0xff
#define HWIO_GCC_PCIE_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_SHFT                                                       0x0

#define HWIO_GCC_PCIE_CFG4_GDSCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00033014)
#define HWIO_GCC_PCIE_CFG4_GDSCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033014)
#define HWIO_GCC_PCIE_CFG4_GDSCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033014)
#define HWIO_GCC_PCIE_CFG4_GDSCR_RMSK                                                                      0xffffff
#define HWIO_GCC_PCIE_CFG4_GDSCR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_CFG4_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_CFG4_GDSCR_ADDR, HWIO_GCC_PCIE_CFG4_GDSCR_RMSK)
#define HWIO_GCC_PCIE_CFG4_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_CFG4_GDSCR_ADDR, m)
#define HWIO_GCC_PCIE_CFG4_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_CFG4_GDSCR_ADDR,v)
#define HWIO_GCC_PCIE_CFG4_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_CFG4_GDSCR_ADDR,m,v,HWIO_GCC_PCIE_CFG4_GDSCR_IN)
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_UNCLAMPIO_BMSK                                                        0xf00000
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_UNCLAMPIO_SHFT                                                            0x14
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_RESTOREFF_BMSK                                                         0xf0000
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_RESTOREFF_SHFT                                                            0x10
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_NORETAINFF_BMSK                                                         0xf000
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_NORETAINFF_SHFT                                                            0xc
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_DEASSERTARES_BMSK                                                        0xf00
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_DEASSERTARES_SHFT                                                          0x8
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_CLAMPIO_BMSK                                                              0xf0
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_CLAMPIO_SHFT                                                               0x4
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_RETAINFF_BMSK                                                              0xf
#define HWIO_GCC_PCIE_CFG4_GDSCR_DLY_RETAINFF_SHFT                                                              0x0

#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00033018)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033018)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033018)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_RMSK                                                              0x81d0000e
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ADDR, HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_RMSK)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_ADDR,m,v,HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IN)
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                            0x100000
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                0x14
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_SW_ONLY_EN_BMSK                                                          0x8
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_SW_ONLY_EN_SHFT                                                          0x3
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_HW_CTL_BMSK                                                              0x2
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_HW_CTL_SHFT                                                              0x1
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_PCIE_SLV_Q2A_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_PCIE_SLV_AXI_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003301c)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003301c)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003301c)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_RMSK                                                                  0x81d07ffe
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_SLV_AXI_CBCR_ADDR, HWIO_GCC_PCIE_SLV_AXI_CBCR_RMSK)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_SLV_AXI_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_SLV_AXI_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_SLV_AXI_CBCR_ADDR,m,v,HWIO_GCC_PCIE_SLV_AXI_CBCR_IN)
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_CORE_ON_BMSK                                                    0x4000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_CORE_ON_SHFT                                                       0xe
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                  0x2000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                     0xd
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                 0x1000
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                    0xc
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_BMSK                                                                0xf00
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_SHFT                                                                  0x8
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK0_FVAL                                                           0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK1_FVAL                                                           0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK2_FVAL                                                           0x2
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK3_FVAL                                                           0x3
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK4_FVAL                                                           0x4
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK5_FVAL                                                           0x5
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK6_FVAL                                                           0x6
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK7_FVAL                                                           0x7
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK8_FVAL                                                           0x8
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK9_FVAL                                                           0x9
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK10_FVAL                                                          0xa
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK11_FVAL                                                          0xb
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK12_FVAL                                                          0xc
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK13_FVAL                                                          0xd
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK14_FVAL                                                          0xe
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_WAKEUP_CLOCK15_FVAL                                                          0xf
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_BMSK                                                                  0xf0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_SHFT                                                                   0x4
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK0_FVAL                                                            0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK1_FVAL                                                            0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK2_FVAL                                                            0x2
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK3_FVAL                                                            0x3
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK4_FVAL                                                            0x4
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK5_FVAL                                                            0x5
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK6_FVAL                                                            0x6
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK7_FVAL                                                            0x7
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK8_FVAL                                                            0x8
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK9_FVAL                                                            0x9
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK10_FVAL                                                           0xa
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK11_FVAL                                                           0xb
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK12_FVAL                                                           0xc
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK13_FVAL                                                           0xd
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK14_FVAL                                                           0xe
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SLEEP_CLOCK15_FVAL                                                           0xf
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_PCIE_SLV_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_PCIE_SLV_AXI_SREGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00033020)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033020)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033020)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_RMSK                                                                 0xfffffffe
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_ATTR                                                                        0x3
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_SLV_AXI_SREGR_ADDR, HWIO_GCC_PCIE_SLV_AXI_SREGR_RMSK)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_SLV_AXI_SREGR_ADDR, m)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_SLV_AXI_SREGR_ADDR,v)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_SLV_AXI_SREGR_ADDR,m,v,HWIO_GCC_PCIE_SLV_AXI_SREGR_IN)
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                       0xff000000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                             0x18
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                          0xff0000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                              0x10
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                             0x8000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                0xf
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                      0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                         0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                              0x4000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                 0xe
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                 0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                              0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                             0x2000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                0xd
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                    0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                       0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                         0x1000
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                            0xc
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                   0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                      0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CORE_ON_ACK_BMSK                                                      0x800
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CORE_ON_ACK_SHFT                                                        0xb
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                    0x400
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                      0xa
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                             0x300
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                               0x8
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                      0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                      0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                      0x2
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                      0x3
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_ENABLE_BMSK                                                        0x80
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_ENABLE_SHFT                                                         0x7
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_FORCE_CLK_ON_BMSK                                                          0x40
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_FORCE_CLK_ON_SHFT                                                           0x6
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                  0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                    0x20
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                     0x5
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                            0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                       0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SLP_STG_BMSK                                                        0x10
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SLP_STG_SHFT                                                         0x4
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                               0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                  0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                       0x8
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                       0x3
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                            0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                               0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                  0x4
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                  0x2
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL              0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                      0x2
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                      0x1
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                0x0
#define HWIO_GCC_PCIE_SLV_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                 0x1

#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00033024)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033024)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033024)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_RMSK                                                                 0x81d07ffe
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_MSTR_AXI_CBCR_ADDR, HWIO_GCC_PCIE_MSTR_AXI_CBCR_RMSK)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_MSTR_AXI_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_MSTR_AXI_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_MSTR_AXI_CBCR_ADDR,m,v,HWIO_GCC_PCIE_MSTR_AXI_CBCR_IN)
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                               0x100000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                   0x14
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_CORE_ON_BMSK                                                   0x4000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_CORE_ON_SHFT                                                      0xe
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                         0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                 0x2000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                    0xd
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                0x1000
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                   0xc
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                     0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                      0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_BMSK                                                               0xf00
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_SHFT                                                                 0x8
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK0_FVAL                                                          0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK1_FVAL                                                          0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK2_FVAL                                                          0x2
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK3_FVAL                                                          0x3
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK4_FVAL                                                          0x4
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK5_FVAL                                                          0x5
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK6_FVAL                                                          0x6
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK7_FVAL                                                          0x7
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK8_FVAL                                                          0x8
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK9_FVAL                                                          0x9
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK10_FVAL                                                         0xa
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK11_FVAL                                                         0xb
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK12_FVAL                                                         0xc
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK13_FVAL                                                         0xd
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK14_FVAL                                                         0xe
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_WAKEUP_CLOCK15_FVAL                                                         0xf
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_BMSK                                                                 0xf0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_SHFT                                                                  0x4
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK0_FVAL                                                           0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK1_FVAL                                                           0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK2_FVAL                                                           0x2
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK3_FVAL                                                           0x3
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK4_FVAL                                                           0x4
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK5_FVAL                                                           0x5
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK6_FVAL                                                           0x6
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK7_FVAL                                                           0x7
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK8_FVAL                                                           0x8
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK9_FVAL                                                           0x9
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK10_FVAL                                                          0xa
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK11_FVAL                                                          0xb
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK12_FVAL                                                          0xc
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK13_FVAL                                                          0xd
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK14_FVAL                                                          0xe
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SLEEP_CLOCK15_FVAL                                                          0xf
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SW_ONLY_EN_BMSK                                                             0x8
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_SW_ONLY_EN_SHFT                                                             0x3
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_HW_CTL_BMSK                                                                 0x2
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_HW_CTL_SHFT                                                                 0x1
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_PCIE_MSTR_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00033028)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033028)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033028)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_RMSK                                                                0xfffffffe
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_ATTR                                                                       0x3
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_MSTR_AXI_SREGR_ADDR, HWIO_GCC_PCIE_MSTR_AXI_SREGR_RMSK)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_MSTR_AXI_SREGR_ADDR, m)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_MSTR_AXI_SREGR_ADDR,v)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_MSTR_AXI_SREGR_ADDR,m,v,HWIO_GCC_PCIE_MSTR_AXI_SREGR_IN)
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                      0xff000000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                            0x18
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                         0xff0000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                             0x10
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                            0x8000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                               0xf
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                     0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                        0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                             0x4000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                0xe
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                             0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                            0x2000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                               0xd
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                   0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                      0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                        0x1000
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                           0xc
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                  0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                     0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CORE_ON_ACK_BMSK                                                     0x800
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CORE_ON_ACK_SHFT                                                       0xb
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                   0x400
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                     0xa
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                            0x300
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                              0x8
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                     0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                     0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                     0x2
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                     0x3
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_ENABLE_BMSK                                                       0x80
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_ENABLE_SHFT                                                        0x7
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_FORCE_CLK_ON_BMSK                                                         0x40
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_FORCE_CLK_ON_SHFT                                                          0x6
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                 0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                   0x20
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                    0x5
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                           0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                      0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SLP_STG_BMSK                                                       0x10
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SLP_STG_SHFT                                                        0x4
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                              0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                 0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                      0x8
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                      0x3
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                           0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                              0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                 0x4
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                 0x2
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL             0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                     0x2
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                     0x1
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                               0x0
#define HWIO_GCC_PCIE_MSTR_AXI_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                0x1

#define HWIO_GCC_PCIE_CFG_AHB_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003302c)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003302c)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003302c)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_RMSK                                                                  0x81d0000e
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_CFG_AHB_CBCR_ADDR, HWIO_GCC_PCIE_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_PCIE_CFG_AHB_CBCR_IN)
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                              0x8
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                              0x3
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_PCIE_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00033030)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033030)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033030)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_RMSK                                                                0x81c0000e
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ADDR, HWIO_GCC_PCIE_RCHNG_PHY_CBCR_RMSK)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_RCHNG_PHY_CBCR_ADDR,m,v,HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IN)
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_SW_ONLY_EN_BMSK                                                            0x8
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_SW_ONLY_EN_SHFT                                                            0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_HW_CTL_BMSK                                                                0x2
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_HW_CTL_SHFT                                                                0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_HW_CTL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CBCR_HW_CTL_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_PCIE_AUX_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00033034)
#define HWIO_GCC_PCIE_AUX_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033034)
#define HWIO_GCC_PCIE_AUX_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033034)
#define HWIO_GCC_PCIE_AUX_CBCR_RMSK                                                                      0x81c0000e
#define HWIO_GCC_PCIE_AUX_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_PCIE_AUX_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_CBCR_ADDR, HWIO_GCC_PCIE_AUX_CBCR_RMSK)
#define HWIO_GCC_PCIE_AUX_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_AUX_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_AUX_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_CBCR_ADDR,m,v,HWIO_GCC_PCIE_AUX_CBCR_IN)
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_PCIE_AUX_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_PCIE_AUX_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_PCIE_AUX_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_PCIE_AUX_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_PCIE_AUX_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_PCIE_AUX_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_PCIE_AUX_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_PCIE_AUX_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_PCIE_AUX_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_PCIE_AUX_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_PCIE_AUX_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_PCIE_SLEEP_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00033038)
#define HWIO_GCC_PCIE_SLEEP_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033038)
#define HWIO_GCC_PCIE_SLEEP_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033038)
#define HWIO_GCC_PCIE_SLEEP_CBCR_RMSK                                                                    0x81c0000e
#define HWIO_GCC_PCIE_SLEEP_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_SLEEP_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_SLEEP_CBCR_ADDR, HWIO_GCC_PCIE_SLEEP_CBCR_RMSK)
#define HWIO_GCC_PCIE_SLEEP_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_SLEEP_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_SLEEP_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_SLEEP_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_SLEEP_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_SLEEP_CBCR_ADDR,m,v,HWIO_GCC_PCIE_SLEEP_CBCR_IN)
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_PCIE_SLEEP_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_PCIE_SLEEP_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_PCIE_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_PCIE_SLEEP_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_PCIE_SLEEP_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_PCIE_SLEEP_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_PCIE_SLEEP_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_PCIE_SLEEP_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_PCIE_SLEEP_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_PCIE_SLEEP_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_PCIE_SLEEP_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_PCIE_PIPE_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0003303c)
#define HWIO_GCC_PCIE_PIPE_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003303c)
#define HWIO_GCC_PCIE_PIPE_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003303c)
#define HWIO_GCC_PCIE_PIPE_CBCR_RMSK                                                                     0x81c07ffe
#define HWIO_GCC_PCIE_PIPE_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_PIPE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_CBCR_ADDR, HWIO_GCC_PCIE_PIPE_CBCR_RMSK)
#define HWIO_GCC_PCIE_PIPE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_CBCR_ADDR, m)
#define HWIO_GCC_PCIE_PIPE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PIPE_CBCR_ADDR,v)
#define HWIO_GCC_PCIE_PIPE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PIPE_CBCR_ADDR,m,v,HWIO_GCC_PCIE_PIPE_CBCR_IN)
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_PCIE_PIPE_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_PCIE_PIPE_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_PCIE_PIPE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_PCIE_PIPE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_CORE_ON_BMSK                                                       0x4000
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_CORE_ON_SHFT                                                          0xe
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                     0x2000
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                        0xd
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                    0x1000
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                       0xc
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                          0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_BMSK                                                                   0xf00
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_SHFT                                                                     0x8
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK0_FVAL                                                              0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK1_FVAL                                                              0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK2_FVAL                                                              0x2
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK3_FVAL                                                              0x3
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK4_FVAL                                                              0x4
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK5_FVAL                                                              0x5
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK6_FVAL                                                              0x6
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK7_FVAL                                                              0x7
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK8_FVAL                                                              0x8
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK9_FVAL                                                              0x9
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK10_FVAL                                                             0xa
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK11_FVAL                                                             0xb
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK12_FVAL                                                             0xc
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK13_FVAL                                                             0xd
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK14_FVAL                                                             0xe
#define HWIO_GCC_PCIE_PIPE_CBCR_WAKEUP_CLOCK15_FVAL                                                             0xf
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_BMSK                                                                     0xf0
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_SHFT                                                                      0x4
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK0_FVAL                                                               0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK1_FVAL                                                               0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK2_FVAL                                                               0x2
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK3_FVAL                                                               0x3
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK4_FVAL                                                               0x4
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK5_FVAL                                                               0x5
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK6_FVAL                                                               0x6
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK7_FVAL                                                               0x7
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK8_FVAL                                                               0x8
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK9_FVAL                                                               0x9
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK10_FVAL                                                              0xa
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK11_FVAL                                                              0xb
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK12_FVAL                                                              0xc
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK13_FVAL                                                              0xd
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK14_FVAL                                                              0xe
#define HWIO_GCC_PCIE_PIPE_CBCR_SLEEP_CLOCK15_FVAL                                                              0xf
#define HWIO_GCC_PCIE_PIPE_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_PCIE_PIPE_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_PCIE_PIPE_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_PCIE_PIPE_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_PCIE_PIPE_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_PCIE_PIPE_SREGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00033040)
#define HWIO_GCC_PCIE_PIPE_SREGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033040)
#define HWIO_GCC_PCIE_PIPE_SREGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033040)
#define HWIO_GCC_PCIE_PIPE_SREGR_RMSK                                                                    0xfffffffe
#define HWIO_GCC_PCIE_PIPE_SREGR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_PIPE_SREGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_SREGR_ADDR, HWIO_GCC_PCIE_PIPE_SREGR_RMSK)
#define HWIO_GCC_PCIE_PIPE_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_SREGR_ADDR, m)
#define HWIO_GCC_PCIE_PIPE_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PIPE_SREGR_ADDR,v)
#define HWIO_GCC_PCIE_PIPE_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PIPE_SREGR_ADDR,m,v,HWIO_GCC_PCIE_PIPE_SREGR_IN)
#define HWIO_GCC_PCIE_PIPE_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                          0xff000000
#define HWIO_GCC_PCIE_PIPE_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                0x18
#define HWIO_GCC_PCIE_PIPE_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                             0xff0000
#define HWIO_GCC_PCIE_PIPE_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                 0x10
#define HWIO_GCC_PCIE_PIPE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                0x8000
#define HWIO_GCC_PCIE_PIPE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                   0xf
#define HWIO_GCC_PCIE_PIPE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                         0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                            0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                 0x4000
#define HWIO_GCC_PCIE_PIPE_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                    0xe
#define HWIO_GCC_PCIE_PIPE_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                    0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                 0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                0x2000
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                   0xd
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                       0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                          0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                            0x1000
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                               0xc
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                      0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                         0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CORE_ON_ACK_BMSK                                                         0x800
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CORE_ON_ACK_SHFT                                                           0xb
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                       0x400
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                         0xa
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                0x300
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                  0x8
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                         0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                         0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                         0x2
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                         0x3
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_ENABLE_BMSK                                                           0x80
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_ENABLE_SHFT                                                            0x7
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_FORCE_CLK_ON_BMSK                                                             0x40
#define HWIO_GCC_PCIE_PIPE_SREGR_FORCE_CLK_ON_SHFT                                                              0x6
#define HWIO_GCC_PCIE_PIPE_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                     0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                       0x20
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                        0x5
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                               0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                          0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SLP_STG_BMSK                                                           0x10
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SLP_STG_SHFT                                                            0x4
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                  0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                     0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                          0x8
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                          0x3
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                               0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                  0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                     0x4
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                     0x2
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                 0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                         0x2
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                         0x1
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                   0x0
#define HWIO_GCC_PCIE_PIPE_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                    0x1

#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00033048)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033048)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033048)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_RMSK                                                              0x800000f3
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ADDR, HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_RMSK)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ADDR, m)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ADDR,v)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ADDR,m,v,HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_IN)
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_OFF_SHFT                                                           0x1f
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_D_BMSK                                                            0x80
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_D_SHFT                                                             0x7
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_N_BMSK                                                            0x40
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_N_SHFT                                                             0x6
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_M_BMSK                                                            0x20
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_M_SHFT                                                             0x5
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                     0x10
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                      0x4
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_EN_BMSK                                                             0x2
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_EN_SHFT                                                             0x1
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_UPDATE_BMSK                                                              0x1
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_UPDATE_SHFT                                                              0x0
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_UPDATE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_PCIE_AUX_PHY_CMD_RCGR_UPDATE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003304c)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003304c)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003304c)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_RMSK                                                                0x10371f
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ADDR, HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_RMSK)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ADDR, m)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ADDR,v)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_ADDR,m,v,HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_IN)
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                 0x100000
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                     0x14
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                              0x0
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                               0x1
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_BMSK                                                             0x3000
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_SHFT                                                                0xc
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_SWALLOW_FVAL                                                        0x1
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                      0x2
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                    0x3
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_BMSK                                                           0x700
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SHFT                                                             0x8
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                        0x0
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                        0x1
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                        0x2
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                        0x3
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                        0x4
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                        0x5
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                        0x6
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                        0x7
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_BMSK                                                            0x1f
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_SHFT                                                             0x0
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                      0x0
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                        0x1
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                      0x2
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                        0x3
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                      0x4
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                        0x5
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                      0x6
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                        0x7
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                      0x8
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                        0x9
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                      0xa
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                        0xb
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                      0xc
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                        0xd
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                      0xe
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                        0xf
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                     0x10
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                       0x11
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                     0x12
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                      0x13
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                    0x14
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                      0x15
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                    0x16
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                      0x17
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                    0x18
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                      0x19
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                    0x1a
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                      0x1b
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                    0x1c
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                      0x1d
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                    0x1e
#define HWIO_GCC_PCIE_AUX_PHY_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                      0x1f

#define HWIO_GCC_PCIE_AUX_PHY_M_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00033050)
#define HWIO_GCC_PCIE_AUX_PHY_M_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033050)
#define HWIO_GCC_PCIE_AUX_PHY_M_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033050)
#define HWIO_GCC_PCIE_AUX_PHY_M_RMSK                                                                         0xffff
#define HWIO_GCC_PCIE_AUX_PHY_M_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_AUX_PHY_M_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_M_ADDR, HWIO_GCC_PCIE_AUX_PHY_M_RMSK)
#define HWIO_GCC_PCIE_AUX_PHY_M_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_M_ADDR, m)
#define HWIO_GCC_PCIE_AUX_PHY_M_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_PHY_M_ADDR,v)
#define HWIO_GCC_PCIE_AUX_PHY_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_PHY_M_ADDR,m,v,HWIO_GCC_PCIE_AUX_PHY_M_IN)
#define HWIO_GCC_PCIE_AUX_PHY_M_M_BMSK                                                                       0xffff
#define HWIO_GCC_PCIE_AUX_PHY_M_M_SHFT                                                                          0x0

#define HWIO_GCC_PCIE_AUX_PHY_N_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00033054)
#define HWIO_GCC_PCIE_AUX_PHY_N_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033054)
#define HWIO_GCC_PCIE_AUX_PHY_N_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033054)
#define HWIO_GCC_PCIE_AUX_PHY_N_RMSK                                                                         0xffff
#define HWIO_GCC_PCIE_AUX_PHY_N_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_AUX_PHY_N_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_N_ADDR, HWIO_GCC_PCIE_AUX_PHY_N_RMSK)
#define HWIO_GCC_PCIE_AUX_PHY_N_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_N_ADDR, m)
#define HWIO_GCC_PCIE_AUX_PHY_N_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_PHY_N_ADDR,v)
#define HWIO_GCC_PCIE_AUX_PHY_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_PHY_N_ADDR,m,v,HWIO_GCC_PCIE_AUX_PHY_N_IN)
#define HWIO_GCC_PCIE_AUX_PHY_N_NOT_N_MINUS_M_BMSK                                                           0xffff
#define HWIO_GCC_PCIE_AUX_PHY_N_NOT_N_MINUS_M_SHFT                                                              0x0

#define HWIO_GCC_PCIE_AUX_PHY_D_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00033058)
#define HWIO_GCC_PCIE_AUX_PHY_D_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033058)
#define HWIO_GCC_PCIE_AUX_PHY_D_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033058)
#define HWIO_GCC_PCIE_AUX_PHY_D_RMSK                                                                         0xffff
#define HWIO_GCC_PCIE_AUX_PHY_D_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_AUX_PHY_D_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_D_ADDR, HWIO_GCC_PCIE_AUX_PHY_D_RMSK)
#define HWIO_GCC_PCIE_AUX_PHY_D_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_PHY_D_ADDR, m)
#define HWIO_GCC_PCIE_AUX_PHY_D_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_PHY_D_ADDR,v)
#define HWIO_GCC_PCIE_AUX_PHY_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_PHY_D_ADDR,m,v,HWIO_GCC_PCIE_AUX_PHY_D_IN)
#define HWIO_GCC_PCIE_AUX_PHY_D_NOT_2D_BMSK                                                                  0xffff
#define HWIO_GCC_PCIE_AUX_PHY_D_NOT_2D_SHFT                                                                     0x0

#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00033064)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033064)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033064)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_RMSK                                                            0x80000013
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ADDR, HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_RMSK)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ADDR, m)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ADDR,v)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ADDR,m,v,HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_IN)
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_OFF_SHFT                                                         0x1f
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                   0x10
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                    0x4
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_EN_BMSK                                                           0x2
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_EN_SHFT                                                           0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_UPDATE_BMSK                                                            0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_UPDATE_SHFT                                                            0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_UPDATE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CMD_RCGR_UPDATE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00033068)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033068)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033068)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RMSK                                                              0x11071f
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ATTR                                                                   0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ADDR, HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RMSK)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ADDR, m)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ADDR,v)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_ADDR,m,v,HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_IN)
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_HW_CLK_CONTROL_BMSK                                               0x100000
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                   0x14
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                            0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                             0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RCGLITE_DISABLE_BMSK                                               0x10000
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                  0x10
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                   0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                  0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_PCIE_RCHNG_PHY_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_PCIE_PHY_BCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00034000)
#define HWIO_GCC_PCIE_PHY_BCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00034000)
#define HWIO_GCC_PCIE_PHY_BCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00034000)
#define HWIO_GCC_PCIE_PHY_BCR_RMSK                                                                              0x1
#define HWIO_GCC_PCIE_PHY_BCR_ATTR                                                                              0x3
#define HWIO_GCC_PCIE_PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PHY_BCR_ADDR, HWIO_GCC_PCIE_PHY_BCR_RMSK)
#define HWIO_GCC_PCIE_PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PHY_BCR_ADDR, m)
#define HWIO_GCC_PCIE_PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PHY_BCR_ADDR,v)
#define HWIO_GCC_PCIE_PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PHY_BCR_ADDR,m,v,HWIO_GCC_PCIE_PHY_BCR_IN)
#define HWIO_GCC_PCIE_PHY_BCR_BLK_ARES_BMSK                                                                     0x1
#define HWIO_GCC_PCIE_PHY_BCR_BLK_ARES_SHFT                                                                     0x0
#define HWIO_GCC_PCIE_PHY_BCR_BLK_ARES_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_PCIE_PHY_BCR_BLK_ARES_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_VS_BCR_ADDR                                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00035000)
#define HWIO_GCC_VS_BCR_PHYS                                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035000)
#define HWIO_GCC_VS_BCR_OFFS                                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035000)
#define HWIO_GCC_VS_BCR_RMSK                                                                                    0x1
#define HWIO_GCC_VS_BCR_ATTR                                                                                    0x3
#define HWIO_GCC_VS_BCR_IN          \
        in_dword_masked(HWIO_GCC_VS_BCR_ADDR, HWIO_GCC_VS_BCR_RMSK)
#define HWIO_GCC_VS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VS_BCR_ADDR, m)
#define HWIO_GCC_VS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_VS_BCR_ADDR,v)
#define HWIO_GCC_VS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VS_BCR_ADDR,m,v,HWIO_GCC_VS_BCR_IN)
#define HWIO_GCC_VS_BCR_BLK_ARES_BMSK                                                                           0x1
#define HWIO_GCC_VS_BCR_BLK_ARES_SHFT                                                                           0x0
#define HWIO_GCC_VS_BCR_BLK_ARES_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_VS_BCR_BLK_ARES_ENABLE_FVAL                                                                    0x1

#define HWIO_GCC_VDDCX_VS_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00035004)
#define HWIO_GCC_VDDCX_VS_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035004)
#define HWIO_GCC_VDDCX_VS_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035004)
#define HWIO_GCC_VDDCX_VS_CBCR_RMSK                                                                      0x81c0000f
#define HWIO_GCC_VDDCX_VS_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_VDDCX_VS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VDDCX_VS_CBCR_ADDR, HWIO_GCC_VDDCX_VS_CBCR_RMSK)
#define HWIO_GCC_VDDCX_VS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VDDCX_VS_CBCR_ADDR, m)
#define HWIO_GCC_VDDCX_VS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VDDCX_VS_CBCR_ADDR,v)
#define HWIO_GCC_VDDCX_VS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VDDCX_VS_CBCR_ADDR,m,v,HWIO_GCC_VDDCX_VS_CBCR_IN)
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_VDDCX_VS_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_VDDCX_VS_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_VDDCX_VS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_VDDCX_VS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_VDDCX_VS_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_VDDCX_VS_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_VDDCX_VS_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_VDDCX_VS_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_VDDCX_VS_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_VDDCX_VS_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_VDDCX_VS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_VDDMX_VS_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00035008)
#define HWIO_GCC_VDDMX_VS_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035008)
#define HWIO_GCC_VDDMX_VS_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035008)
#define HWIO_GCC_VDDMX_VS_CBCR_RMSK                                                                      0x81c0000f
#define HWIO_GCC_VDDMX_VS_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_VDDMX_VS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VDDMX_VS_CBCR_ADDR, HWIO_GCC_VDDMX_VS_CBCR_RMSK)
#define HWIO_GCC_VDDMX_VS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VDDMX_VS_CBCR_ADDR, m)
#define HWIO_GCC_VDDMX_VS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VDDMX_VS_CBCR_ADDR,v)
#define HWIO_GCC_VDDMX_VS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VDDMX_VS_CBCR_ADDR,m,v,HWIO_GCC_VDDMX_VS_CBCR_IN)
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_VDDMX_VS_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_VDDMX_VS_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_VDDMX_VS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_VDDMX_VS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_VDDMX_VS_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_VDDMX_VS_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_VDDMX_VS_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_VDDMX_VS_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_VDDMX_VS_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_VDDMX_VS_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_VDDMX_VS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_VDDA_VS_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003500c)
#define HWIO_GCC_VDDA_VS_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003500c)
#define HWIO_GCC_VDDA_VS_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003500c)
#define HWIO_GCC_VDDA_VS_CBCR_RMSK                                                                       0x81c0000f
#define HWIO_GCC_VDDA_VS_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_VDDA_VS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VDDA_VS_CBCR_ADDR, HWIO_GCC_VDDA_VS_CBCR_RMSK)
#define HWIO_GCC_VDDA_VS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VDDA_VS_CBCR_ADDR, m)
#define HWIO_GCC_VDDA_VS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VDDA_VS_CBCR_ADDR,v)
#define HWIO_GCC_VDDA_VS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VDDA_VS_CBCR_ADDR,m,v,HWIO_GCC_VDDA_VS_CBCR_IN)
#define HWIO_GCC_VDDA_VS_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_VDDA_VS_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_VDDA_VS_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_VDDA_VS_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_VDDA_VS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_VDDA_VS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_VDDA_VS_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_VDDA_VS_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_VDDA_VS_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_VDDA_VS_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_VDDA_VS_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_VDDA_VS_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_VDDA_VS_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_VDDA_VS_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_VDDA_VS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_VDDMXC_VS_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00035010)
#define HWIO_GCC_VDDMXC_VS_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035010)
#define HWIO_GCC_VDDMXC_VS_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035010)
#define HWIO_GCC_VDDMXC_VS_CBCR_RMSK                                                                     0x81c0000f
#define HWIO_GCC_VDDMXC_VS_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_VDDMXC_VS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VDDMXC_VS_CBCR_ADDR, HWIO_GCC_VDDMXC_VS_CBCR_RMSK)
#define HWIO_GCC_VDDMXC_VS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VDDMXC_VS_CBCR_ADDR, m)
#define HWIO_GCC_VDDMXC_VS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VDDMXC_VS_CBCR_ADDR,v)
#define HWIO_GCC_VDDMXC_VS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VDDMXC_VS_CBCR_ADDR,m,v,HWIO_GCC_VDDMXC_VS_CBCR_IN)
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_VDDMXC_VS_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_VDDMXC_VS_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_VDDMXC_VS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_VDDMXC_VS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_VDDMXC_VS_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_VDDMXC_VS_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_VDDMXC_VS_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_VDDMXC_VS_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_VDDMXC_VS_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_VDDMXC_VS_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_VDDMXC_VS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_VS_CTRL_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00035014)
#define HWIO_GCC_VS_CTRL_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035014)
#define HWIO_GCC_VS_CTRL_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035014)
#define HWIO_GCC_VS_CTRL_CBCR_RMSK                                                                       0x81c0000f
#define HWIO_GCC_VS_CTRL_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_VS_CTRL_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VS_CTRL_CBCR_ADDR, HWIO_GCC_VS_CTRL_CBCR_RMSK)
#define HWIO_GCC_VS_CTRL_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VS_CTRL_CBCR_ADDR, m)
#define HWIO_GCC_VS_CTRL_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VS_CTRL_CBCR_ADDR,v)
#define HWIO_GCC_VS_CTRL_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VS_CTRL_CBCR_ADDR,m,v,HWIO_GCC_VS_CTRL_CBCR_IN)
#define HWIO_GCC_VS_CTRL_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_VS_CTRL_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_VS_CTRL_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_VS_CTRL_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_VS_CTRL_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_VS_CTRL_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_VS_CTRL_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_VS_CTRL_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_VS_CTRL_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_VS_CTRL_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_VS_CTRL_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_VS_CTRL_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_VS_CTRL_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_VS_CTRL_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_VS_CTRL_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_VS_CTRL_AHB_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00035018)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035018)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035018)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_RMSK                                                                   0x81d0000f
#define HWIO_GCC_VS_CTRL_AHB_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_VS_CTRL_AHB_CBCR_ADDR, HWIO_GCC_VS_CTRL_AHB_CBCR_RMSK)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_VS_CTRL_AHB_CBCR_ADDR, m)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_VS_CTRL_AHB_CBCR_ADDR,v)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VS_CTRL_AHB_CBCR_ADDR,m,v,HWIO_GCC_VS_CTRL_AHB_CBCR_IN)
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_VS_CTRL_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_VS_CTRL_AHB_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_VS_CTRL_AHB_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_VS_CTRL_AHB_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_VS_CTRL_AHB_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_VS_CTRL_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_VS_CTRL_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_VS_CTRL_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_VSENSOR_CMD_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0003501c)
#define HWIO_GCC_VSENSOR_CMD_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003501c)
#define HWIO_GCC_VSENSOR_CMD_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003501c)
#define HWIO_GCC_VSENSOR_CMD_RCGR_RMSK                                                                   0x80000013
#define HWIO_GCC_VSENSOR_CMD_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_VSENSOR_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_VSENSOR_CMD_RCGR_ADDR, HWIO_GCC_VSENSOR_CMD_RCGR_RMSK)
#define HWIO_GCC_VSENSOR_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_VSENSOR_CMD_RCGR_ADDR, m)
#define HWIO_GCC_VSENSOR_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_VSENSOR_CMD_RCGR_ADDR,v)
#define HWIO_GCC_VSENSOR_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VSENSOR_CMD_RCGR_ADDR,m,v,HWIO_GCC_VSENSOR_CMD_RCGR_IN)
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_OFF_SHFT                                                                0x1f
#define HWIO_GCC_VSENSOR_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                          0x10
#define HWIO_GCC_VSENSOR_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                           0x4
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_EN_BMSK                                                                  0x2
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_EN_SHFT                                                                  0x1
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_VSENSOR_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_VSENSOR_CMD_RCGR_UPDATE_BMSK                                                                   0x1
#define HWIO_GCC_VSENSOR_CMD_RCGR_UPDATE_SHFT                                                                   0x0
#define HWIO_GCC_VSENSOR_CMD_RCGR_UPDATE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_VSENSOR_CMD_RCGR_UPDATE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_VSENSOR_CFG_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00035020)
#define HWIO_GCC_VSENSOR_CFG_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035020)
#define HWIO_GCC_VSENSOR_CFG_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035020)
#define HWIO_GCC_VSENSOR_CFG_RCGR_RMSK                                                                     0x11071f
#define HWIO_GCC_VSENSOR_CFG_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_VSENSOR_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_VSENSOR_CFG_RCGR_ADDR, HWIO_GCC_VSENSOR_CFG_RCGR_RMSK)
#define HWIO_GCC_VSENSOR_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_VSENSOR_CFG_RCGR_ADDR, m)
#define HWIO_GCC_VSENSOR_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_VSENSOR_CFG_RCGR_ADDR,v)
#define HWIO_GCC_VSENSOR_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VSENSOR_CFG_RCGR_ADDR,m,v,HWIO_GCC_VSENSOR_CFG_RCGR_IN)
#define HWIO_GCC_VSENSOR_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                      0x100000
#define HWIO_GCC_VSENSOR_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                          0x14
#define HWIO_GCC_VSENSOR_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_VSENSOR_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_VSENSOR_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                      0x10000
#define HWIO_GCC_VSENSOR_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                         0x10
#define HWIO_GCC_VSENSOR_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                          0x0
#define HWIO_GCC_VSENSOR_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                         0x1
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_BMSK                                                                0x700
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SHFT                                                                  0x8
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                             0x0
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                             0x1
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                             0x2
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                             0x3
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                             0x4
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                             0x5
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                             0x6
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                             0x7
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_BMSK                                                                 0x1f
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_SHFT                                                                  0x0
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                             0x1
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                           0x2
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                             0x3
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                           0x4
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                             0x5
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                           0x6
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                             0x7
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                           0x8
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                             0x9
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                           0xa
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                             0xb
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                           0xc
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                             0xd
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                           0xe
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                             0xf
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                          0x10
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                            0x11
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                          0x12
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                           0x13
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                         0x14
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                           0x15
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                         0x16
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                           0x17
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                         0x18
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                           0x19
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                         0x1a
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                           0x1b
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                         0x1c
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                           0x1d
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                         0x1e
#define HWIO_GCC_VSENSOR_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                           0x1f

#define HWIO_GCC_VS_CTRL_CMD_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00035034)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035034)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035034)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_RMSK                                                                   0x80000013
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_VS_CTRL_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_VS_CTRL_CMD_RCGR_ADDR, HWIO_GCC_VS_CTRL_CMD_RCGR_RMSK)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_VS_CTRL_CMD_RCGR_ADDR, m)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_VS_CTRL_CMD_RCGR_ADDR,v)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VS_CTRL_CMD_RCGR_ADDR,m,v,HWIO_GCC_VS_CTRL_CMD_RCGR_IN)
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_OFF_SHFT                                                                0x1f
#define HWIO_GCC_VS_CTRL_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                          0x10
#define HWIO_GCC_VS_CTRL_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                           0x4
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_EN_BMSK                                                                  0x2
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_EN_SHFT                                                                  0x1
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_VS_CTRL_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_VS_CTRL_CMD_RCGR_UPDATE_BMSK                                                                   0x1
#define HWIO_GCC_VS_CTRL_CMD_RCGR_UPDATE_SHFT                                                                   0x0
#define HWIO_GCC_VS_CTRL_CMD_RCGR_UPDATE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_VS_CTRL_CMD_RCGR_UPDATE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_VS_CTRL_CFG_RCGR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00035038)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00035038)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00035038)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_RMSK                                                                     0x11071f
#define HWIO_GCC_VS_CTRL_CFG_RCGR_ATTR                                                                          0x3
#define HWIO_GCC_VS_CTRL_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_VS_CTRL_CFG_RCGR_ADDR, HWIO_GCC_VS_CTRL_CFG_RCGR_RMSK)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_VS_CTRL_CFG_RCGR_ADDR, m)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_VS_CTRL_CFG_RCGR_ADDR,v)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_VS_CTRL_CFG_RCGR_ADDR,m,v,HWIO_GCC_VS_CTRL_CFG_RCGR_IN)
#define HWIO_GCC_VS_CTRL_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                      0x100000
#define HWIO_GCC_VS_CTRL_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                          0x14
#define HWIO_GCC_VS_CTRL_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_VS_CTRL_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_VS_CTRL_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                      0x10000
#define HWIO_GCC_VS_CTRL_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                         0x10
#define HWIO_GCC_VS_CTRL_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                          0x0
#define HWIO_GCC_VS_CTRL_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                         0x1
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_BMSK                                                                0x700
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SHFT                                                                  0x8
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                             0x0
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                             0x1
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                             0x2
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                             0x3
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                             0x4
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                             0x5
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                             0x6
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                             0x7
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_BMSK                                                                 0x1f
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_SHFT                                                                  0x0
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                           0x0
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                             0x1
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                           0x2
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                             0x3
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                           0x4
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                             0x5
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                           0x6
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                             0x7
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                           0x8
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                             0x9
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                           0xa
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                             0xb
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                           0xc
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                             0xd
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                           0xe
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                             0xf
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                          0x10
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                            0x11
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                          0x12
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                           0x13
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                         0x14
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                           0x15
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                         0x16
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                           0x17
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                         0x18
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                           0x19
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                         0x1a
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                           0x1b
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                         0x1c
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                           0x1d
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                         0x1e
#define HWIO_GCC_VS_CTRL_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                           0x1f

#define HWIO_GCC_MSS_VS_CBCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003504c)
#define HWIO_GCC_MSS_VS_CBCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003504c)
#define HWIO_GCC_MSS_VS_CBCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003504c)
#define HWIO_GCC_MSS_VS_CBCR_RMSK                                                                        0x81c0000f
#define HWIO_GCC_MSS_VS_CBCR_ATTR                                                                               0x3
#define HWIO_GCC_MSS_VS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_VS_CBCR_ADDR, HWIO_GCC_MSS_VS_CBCR_RMSK)
#define HWIO_GCC_MSS_VS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_VS_CBCR_ADDR, m)
#define HWIO_GCC_MSS_VS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_VS_CBCR_ADDR,v)
#define HWIO_GCC_MSS_VS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_VS_CBCR_ADDR,m,v,HWIO_GCC_MSS_VS_CBCR_IN)
#define HWIO_GCC_MSS_VS_CBCR_CLK_OFF_BMSK                                                                0x80000000
#define HWIO_GCC_MSS_VS_CBCR_CLK_OFF_SHFT                                                                      0x1f
#define HWIO_GCC_MSS_VS_CBCR_IGNORE_ALL_ARES_BMSK                                                         0x1000000
#define HWIO_GCC_MSS_VS_CBCR_IGNORE_ALL_ARES_SHFT                                                              0x18
#define HWIO_GCC_MSS_VS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                       0x800000
#define HWIO_GCC_MSS_VS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                           0x17
#define HWIO_GCC_MSS_VS_CBCR_CLK_DIS_BMSK                                                                  0x400000
#define HWIO_GCC_MSS_VS_CBCR_CLK_DIS_SHFT                                                                      0x16
#define HWIO_GCC_MSS_VS_CBCR_SW_ONLY_EN_BMSK                                                                    0x8
#define HWIO_GCC_MSS_VS_CBCR_SW_ONLY_EN_SHFT                                                                    0x3
#define HWIO_GCC_MSS_VS_CBCR_CLK_ARES_BMSK                                                                      0x4
#define HWIO_GCC_MSS_VS_CBCR_CLK_ARES_SHFT                                                                      0x2
#define HWIO_GCC_MSS_VS_CBCR_CLK_ARES_NO_RESET_FVAL                                                             0x0
#define HWIO_GCC_MSS_VS_CBCR_CLK_ARES_RESET_FVAL                                                                0x1
#define HWIO_GCC_MSS_VS_CBCR_HW_CTL_BMSK                                                                        0x2
#define HWIO_GCC_MSS_VS_CBCR_HW_CTL_SHFT                                                                        0x1
#define HWIO_GCC_MSS_VS_CBCR_HW_CTL_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_MSS_VS_CBCR_HW_CTL_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_MSS_VS_CBCR_CLK_ENABLE_BMSK                                                                    0x1
#define HWIO_GCC_MSS_VS_CBCR_CLK_ENABLE_SHFT                                                                    0x0
#define HWIO_GCC_MSS_VS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_MSS_VS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_DCC_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00037000)
#define HWIO_GCC_DCC_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00037000)
#define HWIO_GCC_DCC_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00037000)
#define HWIO_GCC_DCC_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_DCC_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_DCC_BCR_IN          \
        in_dword_masked(HWIO_GCC_DCC_BCR_ADDR, HWIO_GCC_DCC_BCR_RMSK)
#define HWIO_GCC_DCC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DCC_BCR_ADDR, m)
#define HWIO_GCC_DCC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_DCC_BCR_ADDR,v)
#define HWIO_GCC_DCC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DCC_BCR_ADDR,m,v,HWIO_GCC_DCC_BCR_IN)
#define HWIO_GCC_DCC_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_DCC_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_DCC_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_DCC_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_DCC_AHB_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00037004)
#define HWIO_GCC_DCC_AHB_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00037004)
#define HWIO_GCC_DCC_AHB_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00037004)
#define HWIO_GCC_DCC_AHB_CBCR_RMSK                                                                       0x81d07fff
#define HWIO_GCC_DCC_AHB_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_DCC_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_DCC_AHB_CBCR_ADDR, HWIO_GCC_DCC_AHB_CBCR_RMSK)
#define HWIO_GCC_DCC_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_DCC_AHB_CBCR_ADDR, m)
#define HWIO_GCC_DCC_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_DCC_AHB_CBCR_ADDR,v)
#define HWIO_GCC_DCC_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DCC_AHB_CBCR_ADDR,m,v,HWIO_GCC_DCC_AHB_CBCR_IN)
#define HWIO_GCC_DCC_AHB_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_DCC_AHB_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_DCC_AHB_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_DCC_AHB_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_DCC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_CORE_ON_BMSK                                                         0x4000
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_CORE_ON_SHFT                                                            0xe
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                               0x1
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                       0x2000
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                          0xd
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                      0x1000
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                         0xc
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_DCC_AHB_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_BMSK                                                                     0xf00
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_SHFT                                                                       0x8
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK0_FVAL                                                                0x0
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK1_FVAL                                                                0x1
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK2_FVAL                                                                0x2
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK3_FVAL                                                                0x3
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK4_FVAL                                                                0x4
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK5_FVAL                                                                0x5
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK6_FVAL                                                                0x6
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK7_FVAL                                                                0x7
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK8_FVAL                                                                0x8
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK9_FVAL                                                                0x9
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK10_FVAL                                                               0xa
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK11_FVAL                                                               0xb
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK12_FVAL                                                               0xc
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK13_FVAL                                                               0xd
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK14_FVAL                                                               0xe
#define HWIO_GCC_DCC_AHB_CBCR_WAKEUP_CLOCK15_FVAL                                                               0xf
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_BMSK                                                                       0xf0
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_SHFT                                                                        0x4
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK0_FVAL                                                                 0x0
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK1_FVAL                                                                 0x1
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK2_FVAL                                                                 0x2
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK3_FVAL                                                                 0x3
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK4_FVAL                                                                 0x4
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK5_FVAL                                                                 0x5
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK6_FVAL                                                                 0x6
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK7_FVAL                                                                 0x7
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK8_FVAL                                                                 0x8
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK9_FVAL                                                                 0x9
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK10_FVAL                                                                0xa
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK11_FVAL                                                                0xb
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK12_FVAL                                                                0xc
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK13_FVAL                                                                0xd
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK14_FVAL                                                                0xe
#define HWIO_GCC_DCC_AHB_CBCR_SLEEP_CLOCK15_FVAL                                                                0xf
#define HWIO_GCC_DCC_AHB_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_DCC_AHB_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_DCC_AHB_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_DCC_AHB_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_DCC_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_DCC_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_DCC_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_DCC_AHB_SREGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00037008)
#define HWIO_GCC_DCC_AHB_SREGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00037008)
#define HWIO_GCC_DCC_AHB_SREGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00037008)
#define HWIO_GCC_DCC_AHB_SREGR_RMSK                                                                      0xfffffffe
#define HWIO_GCC_DCC_AHB_SREGR_ATTR                                                                             0x3
#define HWIO_GCC_DCC_AHB_SREGR_IN          \
        in_dword_masked(HWIO_GCC_DCC_AHB_SREGR_ADDR, HWIO_GCC_DCC_AHB_SREGR_RMSK)
#define HWIO_GCC_DCC_AHB_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_DCC_AHB_SREGR_ADDR, m)
#define HWIO_GCC_DCC_AHB_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_DCC_AHB_SREGR_ADDR,v)
#define HWIO_GCC_DCC_AHB_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DCC_AHB_SREGR_ADDR,m,v,HWIO_GCC_DCC_AHB_SREGR_IN)
#define HWIO_GCC_DCC_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                            0xff000000
#define HWIO_GCC_DCC_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                  0x18
#define HWIO_GCC_DCC_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                               0xff0000
#define HWIO_GCC_DCC_AHB_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                   0x10
#define HWIO_GCC_DCC_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                  0x8000
#define HWIO_GCC_DCC_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                     0xf
#define HWIO_GCC_DCC_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                           0x0
#define HWIO_GCC_DCC_AHB_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                              0x1
#define HWIO_GCC_DCC_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                   0x4000
#define HWIO_GCC_DCC_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                      0xe
#define HWIO_GCC_DCC_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                      0x0
#define HWIO_GCC_DCC_AHB_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                   0x1
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                  0x2000
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                     0xd
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                         0x0
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                            0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                              0x1000
#define HWIO_GCC_DCC_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                 0xc
#define HWIO_GCC_DCC_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                        0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                           0x1
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CORE_ON_ACK_BMSK                                                           0x800
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CORE_ON_ACK_SHFT                                                             0xb
#define HWIO_GCC_DCC_AHB_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                         0x400
#define HWIO_GCC_DCC_AHB_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                           0xa
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                  0x300
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                    0x8
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                           0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                           0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                           0x2
#define HWIO_GCC_DCC_AHB_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                           0x3
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_ENABLE_BMSK                                                             0x80
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_ENABLE_SHFT                                                              0x7
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_DCC_AHB_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_DCC_AHB_SREGR_FORCE_CLK_ON_BMSK                                                               0x40
#define HWIO_GCC_DCC_AHB_SREGR_FORCE_CLK_ON_SHFT                                                                0x6
#define HWIO_GCC_DCC_AHB_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                       0x0
#define HWIO_GCC_DCC_AHB_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                         0x20
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                          0x5
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                 0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                            0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SLP_STG_BMSK                                                             0x10
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SLP_STG_SHFT                                                              0x4
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                    0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                       0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                            0x8
#define HWIO_GCC_DCC_AHB_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                            0x3
#define HWIO_GCC_DCC_AHB_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                 0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                    0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                       0x4
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                       0x2
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                   0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                           0x2
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                           0x1
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                     0x0
#define HWIO_GCC_DCC_AHB_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                      0x1

#define HWIO_GCC_IPA_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00038000)
#define HWIO_GCC_IPA_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038000)
#define HWIO_GCC_IPA_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038000)
#define HWIO_GCC_IPA_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_IPA_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_IPA_BCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_BCR_ADDR, HWIO_GCC_IPA_BCR_RMSK)
#define HWIO_GCC_IPA_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_BCR_ADDR, m)
#define HWIO_GCC_IPA_BCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_BCR_ADDR,v)
#define HWIO_GCC_IPA_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_BCR_ADDR,m,v,HWIO_GCC_IPA_BCR_IN)
#define HWIO_GCC_IPA_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_IPA_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_IPA_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_IPA_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_IPA_GDSCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00038004)
#define HWIO_GCC_IPA_GDSCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038004)
#define HWIO_GCC_IPA_GDSCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038004)
#define HWIO_GCC_IPA_GDSCR_RMSK                                                                          0xf8ffffff
#define HWIO_GCC_IPA_GDSCR_ATTR                                                                                 0x3
#define HWIO_GCC_IPA_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_GDSCR_ADDR, HWIO_GCC_IPA_GDSCR_RMSK)
#define HWIO_GCC_IPA_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_GDSCR_ADDR, m)
#define HWIO_GCC_IPA_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_GDSCR_ADDR,v)
#define HWIO_GCC_IPA_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_GDSCR_ADDR,m,v,HWIO_GCC_IPA_GDSCR_IN)
#define HWIO_GCC_IPA_GDSCR_PWR_ON_BMSK                                                                   0x80000000
#define HWIO_GCC_IPA_GDSCR_PWR_ON_SHFT                                                                         0x1f
#define HWIO_GCC_IPA_GDSCR_GDSC_STATE_BMSK                                                               0x78000000
#define HWIO_GCC_IPA_GDSCR_GDSC_STATE_SHFT                                                                     0x1b
#define HWIO_GCC_IPA_GDSCR_EN_REST_WAIT_BMSK                                                               0xf00000
#define HWIO_GCC_IPA_GDSCR_EN_REST_WAIT_SHFT                                                                   0x14
#define HWIO_GCC_IPA_GDSCR_EN_FEW_WAIT_BMSK                                                                 0xf0000
#define HWIO_GCC_IPA_GDSCR_EN_FEW_WAIT_SHFT                                                                    0x10
#define HWIO_GCC_IPA_GDSCR_CLK_DIS_WAIT_BMSK                                                                 0xf000
#define HWIO_GCC_IPA_GDSCR_CLK_DIS_WAIT_SHFT                                                                    0xc
#define HWIO_GCC_IPA_GDSCR_RETAIN_FF_ENABLE_BMSK                                                              0x800
#define HWIO_GCC_IPA_GDSCR_RETAIN_FF_ENABLE_SHFT                                                                0xb
#define HWIO_GCC_IPA_GDSCR_RETAIN_FF_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_IPA_GDSCR_RETAIN_FF_ENABLE_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_IPA_GDSCR_RESTORE_BMSK                                                                       0x400
#define HWIO_GCC_IPA_GDSCR_RESTORE_SHFT                                                                         0xa
#define HWIO_GCC_IPA_GDSCR_RESTORE_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_IPA_GDSCR_RESTORE_ENABLE_FVAL                                                                  0x1
#define HWIO_GCC_IPA_GDSCR_SAVE_BMSK                                                                          0x200
#define HWIO_GCC_IPA_GDSCR_SAVE_SHFT                                                                            0x9
#define HWIO_GCC_IPA_GDSCR_SAVE_DISABLE_FVAL                                                                    0x0
#define HWIO_GCC_IPA_GDSCR_SAVE_ENABLE_FVAL                                                                     0x1
#define HWIO_GCC_IPA_GDSCR_RETAIN_BMSK                                                                        0x100
#define HWIO_GCC_IPA_GDSCR_RETAIN_SHFT                                                                          0x8
#define HWIO_GCC_IPA_GDSCR_RETAIN_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_IPA_GDSCR_RETAIN_ENABLE_FVAL                                                                   0x1
#define HWIO_GCC_IPA_GDSCR_EN_REST_BMSK                                                                        0x80
#define HWIO_GCC_IPA_GDSCR_EN_REST_SHFT                                                                         0x7
#define HWIO_GCC_IPA_GDSCR_EN_REST_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_IPA_GDSCR_EN_REST_ENABLE_FVAL                                                                  0x1
#define HWIO_GCC_IPA_GDSCR_EN_FEW_BMSK                                                                         0x40
#define HWIO_GCC_IPA_GDSCR_EN_FEW_SHFT                                                                          0x6
#define HWIO_GCC_IPA_GDSCR_EN_FEW_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_IPA_GDSCR_EN_FEW_ENABLE_FVAL                                                                   0x1
#define HWIO_GCC_IPA_GDSCR_CLAMP_IO_BMSK                                                                       0x20
#define HWIO_GCC_IPA_GDSCR_CLAMP_IO_SHFT                                                                        0x5
#define HWIO_GCC_IPA_GDSCR_CLAMP_IO_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_IPA_GDSCR_CLAMP_IO_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_IPA_GDSCR_CLK_DISABLE_BMSK                                                                    0x10
#define HWIO_GCC_IPA_GDSCR_CLK_DISABLE_SHFT                                                                     0x4
#define HWIO_GCC_IPA_GDSCR_CLK_DISABLE_CLK_NOT_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_IPA_GDSCR_CLK_DISABLE_CLK_IS_DISABLE_FVAL                                                      0x1
#define HWIO_GCC_IPA_GDSCR_PD_ARES_BMSK                                                                         0x8
#define HWIO_GCC_IPA_GDSCR_PD_ARES_SHFT                                                                         0x3
#define HWIO_GCC_IPA_GDSCR_PD_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_IPA_GDSCR_PD_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_IPA_GDSCR_SW_OVERRIDE_BMSK                                                                     0x4
#define HWIO_GCC_IPA_GDSCR_SW_OVERRIDE_SHFT                                                                     0x2
#define HWIO_GCC_IPA_GDSCR_SW_OVERRIDE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_IPA_GDSCR_SW_OVERRIDE_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_IPA_GDSCR_HW_CONTROL_BMSK                                                                      0x2
#define HWIO_GCC_IPA_GDSCR_HW_CONTROL_SHFT                                                                      0x1
#define HWIO_GCC_IPA_GDSCR_HW_CONTROL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_IPA_GDSCR_HW_CONTROL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_IPA_GDSCR_SW_COLLAPSE_BMSK                                                                     0x1
#define HWIO_GCC_IPA_GDSCR_SW_COLLAPSE_SHFT                                                                     0x0
#define HWIO_GCC_IPA_GDSCR_SW_COLLAPSE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_IPA_GDSCR_SW_COLLAPSE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_IPA_CFG_GDSCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038008)
#define HWIO_GCC_IPA_CFG_GDSCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038008)
#define HWIO_GCC_IPA_CFG_GDSCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038008)
#define HWIO_GCC_IPA_CFG_GDSCR_RMSK                                                                       0x3ffffff
#define HWIO_GCC_IPA_CFG_GDSCR_ATTR                                                                             0x3
#define HWIO_GCC_IPA_CFG_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CFG_GDSCR_ADDR, HWIO_GCC_IPA_CFG_GDSCR_RMSK)
#define HWIO_GCC_IPA_CFG_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CFG_GDSCR_ADDR, m)
#define HWIO_GCC_IPA_CFG_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CFG_GDSCR_ADDR,v)
#define HWIO_GCC_IPA_CFG_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CFG_GDSCR_ADDR,m,v,HWIO_GCC_IPA_CFG_GDSCR_IN)
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PWR_DWN_START_BMSK                                                    0x2000000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PWR_DWN_START_SHFT                                                         0x19
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PWR_UP_START_BMSK                                                     0x1000000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PWR_UP_START_SHFT                                                          0x18
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_BMSK                                              0xf00000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_CFG_FSM_STATE_STATUS_SHFT                                                  0x14
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_BMSK                                                 0x80000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_PWR_ACK_STATUS_SHFT                                                    0x13
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_ENR_ACK_STATUS_BMSK                                                     0x40000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_ENR_ACK_STATUS_SHFT                                                        0x12
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_ENF_ACK_STATUS_BMSK                                                     0x20000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_ENF_ACK_STATUS_SHFT                                                        0x11
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_BMSK                                                  0x10000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_POWER_UP_COMPLETE_SHFT                                                     0x10
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_BMSK                                                 0x8000
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_POWER_DOWN_COMPLETE_SHFT                                                    0xf
#define HWIO_GCC_IPA_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_BMSK                                                0x7800
#define HWIO_GCC_IPA_CFG_GDSCR_SOFTWARE_CONTROL_OVERRIDE_SHFT                                                   0xb
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_HANDSHAKE_DIS_BMSK                                                        0x400
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_HANDSHAKE_DIS_SHFT                                                          0xa
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_BMSK                                                 0x200
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_PERI_FORCE_IN_SW_SHFT                                                   0x9
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_BMSK                                                 0x100
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_MEM_CORE_FORCE_IN_SW_SHFT                                                   0x8
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_BMSK                                                     0x80
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PHASE_RESET_EN_SW_SHFT                                                      0x7
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_BMSK                                            0x60
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PHASE_RESET_DELAY_COUNT_SW_SHFT                                             0x5
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_BMSK                                                      0x10
#define HWIO_GCC_IPA_CFG_GDSCR_GDSC_PSCBC_PWR_DWN_SW_SHFT                                                       0x4
#define HWIO_GCC_IPA_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                                0x8
#define HWIO_GCC_IPA_CFG_GDSCR_UNCLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                                0x3
#define HWIO_GCC_IPA_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_BMSK                                              0x4
#define HWIO_GCC_IPA_CFG_GDSCR_SAVE_RESTORE_SOFTWARE_OVERRIDE_SHFT                                              0x2
#define HWIO_GCC_IPA_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_BMSK                                                  0x2
#define HWIO_GCC_IPA_CFG_GDSCR_CLAMP_IO_SOFTWARE_OVERRIDE_SHFT                                                  0x1
#define HWIO_GCC_IPA_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_BMSK                                               0x1
#define HWIO_GCC_IPA_CFG_GDSCR_DISABLE_CLK_SOFTWARE_OVERRIDE_SHFT                                               0x0

#define HWIO_GCC_IPA_CFG2_GDSCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0003800c)
#define HWIO_GCC_IPA_CFG2_GDSCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003800c)
#define HWIO_GCC_IPA_CFG2_GDSCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003800c)
#define HWIO_GCC_IPA_CFG2_GDSCR_RMSK                                                                        0x7ffff
#define HWIO_GCC_IPA_CFG2_GDSCR_ATTR                                                                            0x3
#define HWIO_GCC_IPA_CFG2_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CFG2_GDSCR_ADDR, HWIO_GCC_IPA_CFG2_GDSCR_RMSK)
#define HWIO_GCC_IPA_CFG2_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CFG2_GDSCR_ADDR, m)
#define HWIO_GCC_IPA_CFG2_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CFG2_GDSCR_ADDR,v)
#define HWIO_GCC_IPA_CFG2_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CFG2_GDSCR_ADDR,m,v,HWIO_GCC_IPA_CFG2_GDSCR_IN)
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_BMSK                                            0x40000
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_MEM_PWRUP_ACK_OVERRIDE_SHFT                                               0x12
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_BMSK                                        0x20000
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_PWRDWN_ENABLE_ACK_OVERRIDE_SHFT                                           0x11
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_BMSK                                                      0x10000
#define HWIO_GCC_IPA_CFG2_GDSCR_GDSC_CLAMP_MEM_SW_SHFT                                                         0x10
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_MEM_PWR_UP_BMSK                                                          0xf000
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_MEM_PWR_UP_SHFT                                                             0xc
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_BMSK                                                   0xf00
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_DEASSERT_CLAMP_MEM_SHFT                                                     0x8
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_BMSK                                                      0xf0
#define HWIO_GCC_IPA_CFG2_GDSCR_DLY_ASSERT_CLAMP_MEM_SHFT                                                       0x4
#define HWIO_GCC_IPA_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_BMSK                                                        0xf
#define HWIO_GCC_IPA_CFG2_GDSCR_MEM_PWR_DWN_TIMEOUT_SHFT                                                        0x0

#define HWIO_GCC_IPA_CFG3_GDSCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00038010)
#define HWIO_GCC_IPA_CFG3_GDSCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038010)
#define HWIO_GCC_IPA_CFG3_GDSCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038010)
#define HWIO_GCC_IPA_CFG3_GDSCR_RMSK                                                                      0x7ffffff
#define HWIO_GCC_IPA_CFG3_GDSCR_ATTR                                                                            0x3
#define HWIO_GCC_IPA_CFG3_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CFG3_GDSCR_ADDR, HWIO_GCC_IPA_CFG3_GDSCR_RMSK)
#define HWIO_GCC_IPA_CFG3_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CFG3_GDSCR_ADDR, m)
#define HWIO_GCC_IPA_CFG3_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CFG3_GDSCR_ADDR,v)
#define HWIO_GCC_IPA_CFG3_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CFG3_GDSCR_ADDR,m,v,HWIO_GCC_IPA_CFG3_GDSCR_IN)
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_BMSK                                    0x4000000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_STATUS_SHFT                                         0x1a
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_BMSK                                                 0x2000000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_SHFT                                                      0x19
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_ENABLE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_BMSK                                            0x1e00000
#define HWIO_GCC_IPA_CFG3_GDSCR_DLY_ACCU_RED_SHIFTER_DONE_SHFT                                                 0x15
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_BMSK                                             0x100000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_SHFT                                                 0x14
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_DISABLE_FVAL                                          0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_TIMER_EN_SW_ENABLE_FVAL                                           0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_BMSK                                    0x80000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_SHFT                                       0x13
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_DISABLE_FVAL                                0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_DONE_OVERRIDE_ENABLE_FVAL                                 0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_BMSK                                        0x40000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_SHFT                                           0x12
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_DISABLE_FVAL                                    0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_CLK_EN_SW_ENABLE_FVAL                                     0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_BMSK                                         0x20000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_SHFT                                            0x11
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_DISABLE_FVAL                                     0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SHIFTER_START_SW_ENABLE_FVAL                                      0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_BMSK                                              0x10000
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_SHFT                                                 0x10
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_ACCU_RED_SW_OVERRIDE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_BMSK                                                      0xff00
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_SPARE_CTRL_IN_SHFT                                                         0x8
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_BMSK                                                       0xff
#define HWIO_GCC_IPA_CFG3_GDSCR_GDSC_SPARE_CTRL_OUT_SHFT                                                        0x0

#define HWIO_GCC_IPA_CFG4_GDSCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00038014)
#define HWIO_GCC_IPA_CFG4_GDSCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038014)
#define HWIO_GCC_IPA_CFG4_GDSCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038014)
#define HWIO_GCC_IPA_CFG4_GDSCR_RMSK                                                                       0xffffff
#define HWIO_GCC_IPA_CFG4_GDSCR_ATTR                                                                            0x3
#define HWIO_GCC_IPA_CFG4_GDSCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CFG4_GDSCR_ADDR, HWIO_GCC_IPA_CFG4_GDSCR_RMSK)
#define HWIO_GCC_IPA_CFG4_GDSCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CFG4_GDSCR_ADDR, m)
#define HWIO_GCC_IPA_CFG4_GDSCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CFG4_GDSCR_ADDR,v)
#define HWIO_GCC_IPA_CFG4_GDSCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CFG4_GDSCR_ADDR,m,v,HWIO_GCC_IPA_CFG4_GDSCR_IN)
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_UNCLAMPIO_BMSK                                                         0xf00000
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_UNCLAMPIO_SHFT                                                             0x14
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_RESTOREFF_BMSK                                                          0xf0000
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_RESTOREFF_SHFT                                                             0x10
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_NORETAINFF_BMSK                                                          0xf000
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_NORETAINFF_SHFT                                                             0xc
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_DEASSERTARES_BMSK                                                         0xf00
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_DEASSERTARES_SHFT                                                           0x8
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_CLAMPIO_BMSK                                                               0xf0
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_CLAMPIO_SHFT                                                                0x4
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_RETAINFF_BMSK                                                               0xf
#define HWIO_GCC_IPA_CFG4_GDSCR_DLY_RETAINFF_SHFT                                                               0x0

#define HWIO_GCC_IPA_2X_CBCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00038018)
#define HWIO_GCC_IPA_2X_CBCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038018)
#define HWIO_GCC_IPA_2X_CBCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038018)
#define HWIO_GCC_IPA_2X_CBCR_RMSK                                                                        0x81d07ff5
#define HWIO_GCC_IPA_2X_CBCR_ATTR                                                                               0x3
#define HWIO_GCC_IPA_2X_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_CBCR_ADDR, HWIO_GCC_IPA_2X_CBCR_RMSK)
#define HWIO_GCC_IPA_2X_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_CBCR_ADDR, m)
#define HWIO_GCC_IPA_2X_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_CBCR_ADDR,v)
#define HWIO_GCC_IPA_2X_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_CBCR_ADDR,m,v,HWIO_GCC_IPA_2X_CBCR_IN)
#define HWIO_GCC_IPA_2X_CBCR_CLK_OFF_BMSK                                                                0x80000000
#define HWIO_GCC_IPA_2X_CBCR_CLK_OFF_SHFT                                                                      0x1f
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_ALL_ARES_BMSK                                                         0x1000000
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_ALL_ARES_SHFT                                                              0x18
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                       0x800000
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                           0x17
#define HWIO_GCC_IPA_2X_CBCR_CLK_DIS_BMSK                                                                  0x400000
#define HWIO_GCC_IPA_2X_CBCR_CLK_DIS_SHFT                                                                      0x16
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                      0x100000
#define HWIO_GCC_IPA_2X_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                          0x14
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_CORE_ON_BMSK                                                          0x4000
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_CORE_ON_SHFT                                                             0xe
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                        0x2000
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                           0xd
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                       0x1000
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                          0xc
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_IPA_2X_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                             0x1
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_BMSK                                                                      0xf00
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_SHFT                                                                        0x8
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK0_FVAL                                                                 0x0
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK1_FVAL                                                                 0x1
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK2_FVAL                                                                 0x2
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK3_FVAL                                                                 0x3
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK4_FVAL                                                                 0x4
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK5_FVAL                                                                 0x5
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK6_FVAL                                                                 0x6
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK7_FVAL                                                                 0x7
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK8_FVAL                                                                 0x8
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK9_FVAL                                                                 0x9
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK10_FVAL                                                                0xa
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK11_FVAL                                                                0xb
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK12_FVAL                                                                0xc
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK13_FVAL                                                                0xd
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK14_FVAL                                                                0xe
#define HWIO_GCC_IPA_2X_CBCR_WAKEUP_CLOCK15_FVAL                                                                0xf
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_BMSK                                                                        0xf0
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_SHFT                                                                         0x4
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK0_FVAL                                                                  0x0
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK1_FVAL                                                                  0x1
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK2_FVAL                                                                  0x2
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK3_FVAL                                                                  0x3
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK4_FVAL                                                                  0x4
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK5_FVAL                                                                  0x5
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK6_FVAL                                                                  0x6
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK7_FVAL                                                                  0x7
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK8_FVAL                                                                  0x8
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK9_FVAL                                                                  0x9
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK10_FVAL                                                                 0xa
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK11_FVAL                                                                 0xb
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK12_FVAL                                                                 0xc
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK13_FVAL                                                                 0xd
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK14_FVAL                                                                 0xe
#define HWIO_GCC_IPA_2X_CBCR_SLEEP_CLOCK15_FVAL                                                                 0xf
#define HWIO_GCC_IPA_2X_CBCR_CLK_ARES_BMSK                                                                      0x4
#define HWIO_GCC_IPA_2X_CBCR_CLK_ARES_SHFT                                                                      0x2
#define HWIO_GCC_IPA_2X_CBCR_CLK_ARES_NO_RESET_FVAL                                                             0x0
#define HWIO_GCC_IPA_2X_CBCR_CLK_ARES_RESET_FVAL                                                                0x1
#define HWIO_GCC_IPA_2X_CBCR_CLK_ENABLE_BMSK                                                                    0x1
#define HWIO_GCC_IPA_2X_CBCR_CLK_ENABLE_SHFT                                                                    0x0
#define HWIO_GCC_IPA_2X_CBCR_CLK_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_IPA_2X_CBCR_CLK_ENABLE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_IPA_2X_SREGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003801c)
#define HWIO_GCC_IPA_2X_SREGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003801c)
#define HWIO_GCC_IPA_2X_SREGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003801c)
#define HWIO_GCC_IPA_2X_SREGR_RMSK                                                                       0xfffffffe
#define HWIO_GCC_IPA_2X_SREGR_ATTR                                                                              0x3
#define HWIO_GCC_IPA_2X_SREGR_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_SREGR_ADDR, HWIO_GCC_IPA_2X_SREGR_RMSK)
#define HWIO_GCC_IPA_2X_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_SREGR_ADDR, m)
#define HWIO_GCC_IPA_2X_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_SREGR_ADDR,v)
#define HWIO_GCC_IPA_2X_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_SREGR_ADDR,m,v,HWIO_GCC_IPA_2X_SREGR_IN)
#define HWIO_GCC_IPA_2X_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                             0xff000000
#define HWIO_GCC_IPA_2X_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                   0x18
#define HWIO_GCC_IPA_2X_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                                0xff0000
#define HWIO_GCC_IPA_2X_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                    0x10
#define HWIO_GCC_IPA_2X_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                   0x8000
#define HWIO_GCC_IPA_2X_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                      0xf
#define HWIO_GCC_IPA_2X_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                            0x0
#define HWIO_GCC_IPA_2X_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                               0x1
#define HWIO_GCC_IPA_2X_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                    0x4000
#define HWIO_GCC_IPA_2X_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                       0xe
#define HWIO_GCC_IPA_2X_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                       0x0
#define HWIO_GCC_IPA_2X_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                    0x1
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                   0x2000
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                      0xd
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                          0x0
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                             0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                               0x1000
#define HWIO_GCC_IPA_2X_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                  0xc
#define HWIO_GCC_IPA_2X_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                         0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                            0x1
#define HWIO_GCC_IPA_2X_SREGR_MEM_CORE_ON_ACK_BMSK                                                            0x800
#define HWIO_GCC_IPA_2X_SREGR_MEM_CORE_ON_ACK_SHFT                                                              0xb
#define HWIO_GCC_IPA_2X_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                          0x400
#define HWIO_GCC_IPA_2X_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                            0xa
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                   0x300
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                     0x8
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                            0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                            0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                            0x2
#define HWIO_GCC_IPA_2X_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                            0x3
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_ENABLE_BMSK                                                              0x80
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_ENABLE_SHFT                                                               0x7
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_IPA_2X_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_IPA_2X_SREGR_FORCE_CLK_ON_BMSK                                                                0x40
#define HWIO_GCC_IPA_2X_SREGR_FORCE_CLK_ON_SHFT                                                                 0x6
#define HWIO_GCC_IPA_2X_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                        0x0
#define HWIO_GCC_IPA_2X_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                          0x20
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                           0x5
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                  0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                             0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SLP_STG_BMSK                                                              0x10
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SLP_STG_SHFT                                                               0x4
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                     0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                        0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                             0x8
#define HWIO_GCC_IPA_2X_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                             0x3
#define HWIO_GCC_IPA_2X_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                  0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                     0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                        0x4
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                        0x2
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                    0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                            0x2
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                            0x1
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                      0x0
#define HWIO_GCC_IPA_2X_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                       0x1

#define HWIO_GCC_IPA_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00038020)
#define HWIO_GCC_IPA_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038020)
#define HWIO_GCC_IPA_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038020)
#define HWIO_GCC_IPA_CBCR_RMSK                                                                           0x81d07ff5
#define HWIO_GCC_IPA_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_IPA_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CBCR_ADDR, HWIO_GCC_IPA_CBCR_RMSK)
#define HWIO_GCC_IPA_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CBCR_ADDR, m)
#define HWIO_GCC_IPA_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CBCR_ADDR,v)
#define HWIO_GCC_IPA_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CBCR_ADDR,m,v,HWIO_GCC_IPA_CBCR_IN)
#define HWIO_GCC_IPA_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_IPA_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_IPA_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_IPA_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_IPA_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_IPA_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_IPA_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_IPA_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_IPA_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                         0x100000
#define HWIO_GCC_IPA_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                             0x14
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_CORE_ON_BMSK                                                             0x4000
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_CORE_ON_SHFT                                                                0xe
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                           0x2000
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                              0xd
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                          0x1000
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                             0xc
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_IPA_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_IPA_CBCR_WAKEUP_BMSK                                                                         0xf00
#define HWIO_GCC_IPA_CBCR_WAKEUP_SHFT                                                                           0x8
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK0_FVAL                                                                    0x0
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK1_FVAL                                                                    0x1
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK2_FVAL                                                                    0x2
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK3_FVAL                                                                    0x3
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK4_FVAL                                                                    0x4
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK5_FVAL                                                                    0x5
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK6_FVAL                                                                    0x6
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK7_FVAL                                                                    0x7
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK8_FVAL                                                                    0x8
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK9_FVAL                                                                    0x9
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK10_FVAL                                                                   0xa
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK11_FVAL                                                                   0xb
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK12_FVAL                                                                   0xc
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK13_FVAL                                                                   0xd
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK14_FVAL                                                                   0xe
#define HWIO_GCC_IPA_CBCR_WAKEUP_CLOCK15_FVAL                                                                   0xf
#define HWIO_GCC_IPA_CBCR_SLEEP_BMSK                                                                           0xf0
#define HWIO_GCC_IPA_CBCR_SLEEP_SHFT                                                                            0x4
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK0_FVAL                                                                     0x0
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK1_FVAL                                                                     0x1
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK2_FVAL                                                                     0x2
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK3_FVAL                                                                     0x3
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK4_FVAL                                                                     0x4
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK5_FVAL                                                                     0x5
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK6_FVAL                                                                     0x6
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK7_FVAL                                                                     0x7
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK8_FVAL                                                                     0x8
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK9_FVAL                                                                     0x9
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK10_FVAL                                                                    0xa
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK11_FVAL                                                                    0xb
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK12_FVAL                                                                    0xc
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK13_FVAL                                                                    0xd
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK14_FVAL                                                                    0xe
#define HWIO_GCC_IPA_CBCR_SLEEP_CLOCK15_FVAL                                                                    0xf
#define HWIO_GCC_IPA_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_IPA_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_IPA_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_IPA_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_IPA_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_IPA_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_IPA_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_IPA_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_IPA_SREGR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00038024)
#define HWIO_GCC_IPA_SREGR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038024)
#define HWIO_GCC_IPA_SREGR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038024)
#define HWIO_GCC_IPA_SREGR_RMSK                                                                          0xfffffffe
#define HWIO_GCC_IPA_SREGR_ATTR                                                                                 0x3
#define HWIO_GCC_IPA_SREGR_IN          \
        in_dword_masked(HWIO_GCC_IPA_SREGR_ADDR, HWIO_GCC_IPA_SREGR_RMSK)
#define HWIO_GCC_IPA_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_SREGR_ADDR, m)
#define HWIO_GCC_IPA_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_SREGR_ADDR,v)
#define HWIO_GCC_IPA_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_SREGR_ADDR,m,v,HWIO_GCC_IPA_SREGR_IN)
#define HWIO_GCC_IPA_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                                0xff000000
#define HWIO_GCC_IPA_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                      0x18
#define HWIO_GCC_IPA_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                                   0xff0000
#define HWIO_GCC_IPA_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                       0x10
#define HWIO_GCC_IPA_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                      0x8000
#define HWIO_GCC_IPA_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                         0xf
#define HWIO_GCC_IPA_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                               0x0
#define HWIO_GCC_IPA_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                                  0x1
#define HWIO_GCC_IPA_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                       0x4000
#define HWIO_GCC_IPA_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                          0xe
#define HWIO_GCC_IPA_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                          0x0
#define HWIO_GCC_IPA_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                       0x1
#define HWIO_GCC_IPA_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                      0x2000
#define HWIO_GCC_IPA_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                         0xd
#define HWIO_GCC_IPA_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                             0x0
#define HWIO_GCC_IPA_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                                0x1
#define HWIO_GCC_IPA_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                                  0x1000
#define HWIO_GCC_IPA_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                     0xc
#define HWIO_GCC_IPA_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                            0x0
#define HWIO_GCC_IPA_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                               0x1
#define HWIO_GCC_IPA_SREGR_MEM_CORE_ON_ACK_BMSK                                                               0x800
#define HWIO_GCC_IPA_SREGR_MEM_CORE_ON_ACK_SHFT                                                                 0xb
#define HWIO_GCC_IPA_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                             0x400
#define HWIO_GCC_IPA_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                               0xa
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                      0x300
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                        0x8
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                               0x0
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                               0x1
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                               0x2
#define HWIO_GCC_IPA_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                               0x3
#define HWIO_GCC_IPA_SREGR_MEM_CPH_ENABLE_BMSK                                                                 0x80
#define HWIO_GCC_IPA_SREGR_MEM_CPH_ENABLE_SHFT                                                                  0x7
#define HWIO_GCC_IPA_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_IPA_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_IPA_SREGR_FORCE_CLK_ON_BMSK                                                                   0x40
#define HWIO_GCC_IPA_SREGR_FORCE_CLK_ON_SHFT                                                                    0x6
#define HWIO_GCC_IPA_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                           0x0
#define HWIO_GCC_IPA_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_IPA_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                             0x20
#define HWIO_GCC_IPA_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                              0x5
#define HWIO_GCC_IPA_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                     0x0
#define HWIO_GCC_IPA_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                                0x1
#define HWIO_GCC_IPA_SREGR_SW_RST_SLP_STG_BMSK                                                                 0x10
#define HWIO_GCC_IPA_SREGR_SW_RST_SLP_STG_SHFT                                                                  0x4
#define HWIO_GCC_IPA_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                        0x0
#define HWIO_GCC_IPA_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                           0x1
#define HWIO_GCC_IPA_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                                0x8
#define HWIO_GCC_IPA_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                                0x3
#define HWIO_GCC_IPA_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                     0x0
#define HWIO_GCC_IPA_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                        0x1
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                           0x4
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                           0x2
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                       0x0
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                               0x2
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                               0x1
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                         0x0
#define HWIO_GCC_IPA_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                          0x1

#define HWIO_GCC_IPA_AHB_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038028)
#define HWIO_GCC_IPA_AHB_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038028)
#define HWIO_GCC_IPA_AHB_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038028)
#define HWIO_GCC_IPA_AHB_CBCR_RMSK                                                                       0x81d0000f
#define HWIO_GCC_IPA_AHB_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_IPA_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_AHB_CBCR_ADDR, HWIO_GCC_IPA_AHB_CBCR_RMSK)
#define HWIO_GCC_IPA_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_AHB_CBCR_ADDR, m)
#define HWIO_GCC_IPA_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_AHB_CBCR_ADDR,v)
#define HWIO_GCC_IPA_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_AHB_CBCR_ADDR,m,v,HWIO_GCC_IPA_AHB_CBCR_IN)
#define HWIO_GCC_IPA_AHB_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_IPA_AHB_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_IPA_AHB_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_IPA_AHB_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                     0x100000
#define HWIO_GCC_IPA_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                         0x14
#define HWIO_GCC_IPA_AHB_CBCR_SW_ONLY_EN_BMSK                                                                   0x8
#define HWIO_GCC_IPA_AHB_CBCR_SW_ONLY_EN_SHFT                                                                   0x3
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_IPA_AHB_CBCR_HW_CTL_BMSK                                                                       0x2
#define HWIO_GCC_IPA_AHB_CBCR_HW_CTL_SHFT                                                                       0x1
#define HWIO_GCC_IPA_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_IPA_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_IPA_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_IPA_XO_CBCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003802c)
#define HWIO_GCC_IPA_XO_CBCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003802c)
#define HWIO_GCC_IPA_XO_CBCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003802c)
#define HWIO_GCC_IPA_XO_CBCR_RMSK                                                                        0x81c00005
#define HWIO_GCC_IPA_XO_CBCR_ATTR                                                                               0x3
#define HWIO_GCC_IPA_XO_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_XO_CBCR_ADDR, HWIO_GCC_IPA_XO_CBCR_RMSK)
#define HWIO_GCC_IPA_XO_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_XO_CBCR_ADDR, m)
#define HWIO_GCC_IPA_XO_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_XO_CBCR_ADDR,v)
#define HWIO_GCC_IPA_XO_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_XO_CBCR_ADDR,m,v,HWIO_GCC_IPA_XO_CBCR_IN)
#define HWIO_GCC_IPA_XO_CBCR_CLK_OFF_BMSK                                                                0x80000000
#define HWIO_GCC_IPA_XO_CBCR_CLK_OFF_SHFT                                                                      0x1f
#define HWIO_GCC_IPA_XO_CBCR_IGNORE_ALL_ARES_BMSK                                                         0x1000000
#define HWIO_GCC_IPA_XO_CBCR_IGNORE_ALL_ARES_SHFT                                                              0x18
#define HWIO_GCC_IPA_XO_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                       0x800000
#define HWIO_GCC_IPA_XO_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                           0x17
#define HWIO_GCC_IPA_XO_CBCR_CLK_DIS_BMSK                                                                  0x400000
#define HWIO_GCC_IPA_XO_CBCR_CLK_DIS_SHFT                                                                      0x16
#define HWIO_GCC_IPA_XO_CBCR_CLK_ARES_BMSK                                                                      0x4
#define HWIO_GCC_IPA_XO_CBCR_CLK_ARES_SHFT                                                                      0x2
#define HWIO_GCC_IPA_XO_CBCR_CLK_ARES_NO_RESET_FVAL                                                             0x0
#define HWIO_GCC_IPA_XO_CBCR_CLK_ARES_RESET_FVAL                                                                0x1
#define HWIO_GCC_IPA_XO_CBCR_CLK_ENABLE_BMSK                                                                    0x1
#define HWIO_GCC_IPA_XO_CBCR_CLK_ENABLE_SHFT                                                                    0x0
#define HWIO_GCC_IPA_XO_CBCR_CLK_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_IPA_XO_CBCR_CLK_ENABLE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00038030)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038030)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038030)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_RMSK                                                                      0x1
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ATTR                                                                      0x3
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ADDR, HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_RMSK)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ADDR, m)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ADDR,v)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_ADDR,m,v,HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_IN)
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_DCD_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_DCD_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_DCD_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_IPA_2X_CDIV_DCD_DCDR_DCD_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_IPA_CMD_DFSR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00038048)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038048)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038048)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_RMSK                                                                      0xffff
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_ATTR                                                                         0x3
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_CMD_DFSR_ADDR, HWIO_GCC_RPMH_IPA_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_RCG_SW_CTRL_BMSK                                                          0x8000
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_RCG_SW_CTRL_SHFT                                                             0xf
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_SW_PERF_STATE_BMSK                                                        0x7800
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_SW_PERF_STATE_SHFT                                                           0xb
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_SW_OVERRIDE_BMSK                                                           0x400
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_SW_OVERRIDE_SHFT                                                             0xa
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                              0x200
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                                0x9
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_FSM_STATE_BMSK                                                         0x1c0
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_FSM_STATE_SHFT                                                           0x6
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                         0x20
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                          0x5
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_CURR_PERF_STATE_BMSK                                                        0x1e
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_CURR_PERF_STATE_SHFT                                                         0x1
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_EN_BMSK                                                                  0x1
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_EN_SHFT                                                                  0x0
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RPMH_IPA_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038050)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038050)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038050)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038054)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038054)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038054)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038058)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038058)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038058)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0003805c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003805c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003805c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038060)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038060)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038060)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038064)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038064)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038064)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038068)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038068)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038068)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0003806c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003806c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003806c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038070)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038070)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038070)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00038074)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038074)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038074)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00038078)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038078)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038078)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003807c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003807c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003807c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00038080)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038080)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038080)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00038084)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038084)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038084)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00038088)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038088)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038088)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003808c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003808c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003808c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_RMSK                                                            0x371f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_BMSK                                                       0x3000
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_SHFT                                                          0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_SWALLOW_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_DUAL_EDGE_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_MODE_SINGLE_EDGE_FVAL                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_BMSK                                                     0x700
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SHFT                                                       0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                  0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                  0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                  0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_BMSK                                                      0x1f
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_SHFT                                                       0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                0x0
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                  0x1
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                0x2
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                  0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                0x4
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                  0x5
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                0x6
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                  0x7
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                0x8
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                  0x9
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                0xa
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                  0xb
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                0xc
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                  0xd
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                0xe
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                  0xf
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                               0x10
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                 0x11
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                               0x12
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                0x13
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                              0x14
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                0x15
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                              0x16
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                0x17
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                              0x18
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                0x19
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                              0x1a
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                0x1b
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                              0x1c
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                0x1d
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                              0x1e
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                0x1f

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038090)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038090)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038090)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038094)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038094)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038094)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038098)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038098)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038098)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003809c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003809c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003809c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380a0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380a0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380a0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380a4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380a4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380a4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380a8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380a8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380a8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380ac)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380ac)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380ac)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380b0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380b0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380b0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380b4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380b4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380b4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380b8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380b8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380b8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380bc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380bc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380bc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380c0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380c0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380c0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380c4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380c4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380c4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380c8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380c8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380c8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380cc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380cc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380cc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_M_BMSK                                                          0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_M_DFSR_M_SHFT                                                           0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380d0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380d0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380d0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380d4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380d4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380d4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380d8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380d8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380d8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380dc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380dc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380dc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380e0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380e0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380e0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380e4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380e4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380e4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380e8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380e8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380e8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380ec)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380ec)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380ec)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380f0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380f0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380f0)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000380f4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380f4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380f4)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380f8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380f8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380f8)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x000380fc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000380fc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000380fc)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038100)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038100)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038100)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038104)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038104)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038104)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038108)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038108)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038108)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0003810c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003810c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003810c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_NOT_N_MINUS_M_BMSK                                              0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_N_DFSR_NOT_N_MINUS_M_SHFT                                               0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038110)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038110)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038110)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF0_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038114)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038114)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038114)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF1_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038118)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038118)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038118)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF2_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003811c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003811c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003811c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF3_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038120)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038120)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038120)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF4_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038124)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038124)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038124)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF5_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038128)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038128)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038128)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF6_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003812c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003812c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003812c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF7_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038130)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038130)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038130)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF8_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00038134)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038134)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038134)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF9_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038138)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038138)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038138)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF10_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0003813c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003813c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003813c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF11_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038140)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038140)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038140)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF12_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038144)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038144)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038144)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF13_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00038148)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038148)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038148)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF14_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0003814c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003814c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003814c)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_RMSK                                                            0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ATTR                                                             0x3
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ADDR, HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_IN)
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_NOT_2D_BMSK                                                     0xff
#define HWIO_GCC_RPMH_IPA_IPA_2X_PERF15_D_DFSR_NOT_2D_SHFT                                                      0x0

#define HWIO_GCC_IPA_2X_CMD_RCGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00038034)
#define HWIO_GCC_IPA_2X_CMD_RCGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038034)
#define HWIO_GCC_IPA_2X_CMD_RCGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038034)
#define HWIO_GCC_IPA_2X_CMD_RCGR_RMSK                                                                    0x800000f3
#define HWIO_GCC_IPA_2X_CMD_RCGR_ATTR                                                                           0x3
#define HWIO_GCC_IPA_2X_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_CMD_RCGR_ADDR, HWIO_GCC_IPA_2X_CMD_RCGR_RMSK)
#define HWIO_GCC_IPA_2X_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_CMD_RCGR_ADDR, m)
#define HWIO_GCC_IPA_2X_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_CMD_RCGR_ADDR,v)
#define HWIO_GCC_IPA_2X_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_CMD_RCGR_ADDR,m,v,HWIO_GCC_IPA_2X_CMD_RCGR_IN)
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_D_BMSK                                                                  0x80
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_D_SHFT                                                                   0x7
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_N_BMSK                                                                  0x40
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_N_SHFT                                                                   0x6
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_M_BMSK                                                                  0x20
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_M_SHFT                                                                   0x5
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                           0x10
#define HWIO_GCC_IPA_2X_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                            0x4
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_EN_BMSK                                                                   0x2
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_EN_SHFT                                                                   0x1
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_IPA_2X_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_IPA_2X_CMD_RCGR_UPDATE_BMSK                                                                    0x1
#define HWIO_GCC_IPA_2X_CMD_RCGR_UPDATE_SHFT                                                                    0x0
#define HWIO_GCC_IPA_2X_CMD_RCGR_UPDATE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_IPA_2X_CMD_RCGR_UPDATE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_IPA_2X_CFG_RCGR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00038038)
#define HWIO_GCC_IPA_2X_CFG_RCGR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038038)
#define HWIO_GCC_IPA_2X_CFG_RCGR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038038)
#define HWIO_GCC_IPA_2X_CFG_RCGR_RMSK                                                                      0x10371f
#define HWIO_GCC_IPA_2X_CFG_RCGR_ATTR                                                                           0x3
#define HWIO_GCC_IPA_2X_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_CFG_RCGR_ADDR, HWIO_GCC_IPA_2X_CFG_RCGR_RMSK)
#define HWIO_GCC_IPA_2X_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_CFG_RCGR_ADDR, m)
#define HWIO_GCC_IPA_2X_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_CFG_RCGR_ADDR,v)
#define HWIO_GCC_IPA_2X_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_CFG_RCGR_ADDR,m,v,HWIO_GCC_IPA_2X_CFG_RCGR_IN)
#define HWIO_GCC_IPA_2X_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                       0x100000
#define HWIO_GCC_IPA_2X_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                           0x14
#define HWIO_GCC_IPA_2X_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_IPA_2X_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_BMSK                                                                   0x3000
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_SHFT                                                                      0xc
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_SWALLOW_FVAL                                                              0x1
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                            0x2
#define HWIO_GCC_IPA_2X_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                          0x3
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_BMSK                                                                 0x700
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SHFT                                                                   0x8
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                              0x0
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                              0x1
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                              0x2
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                              0x3
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                              0x4
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                              0x5
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                              0x6
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                              0x7
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_BMSK                                                                  0x1f
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_SHFT                                                                   0x0
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                            0x0
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                              0x1
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                            0x2
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                              0x3
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                            0x4
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                              0x5
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                            0x6
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                              0x7
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                            0x8
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                              0x9
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                            0xa
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                              0xb
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                            0xc
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                              0xd
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                            0xe
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                              0xf
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                           0x10
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                             0x11
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                           0x12
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                            0x13
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                          0x14
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                            0x15
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                          0x16
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                            0x17
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                          0x18
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                            0x19
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                          0x1a
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                            0x1b
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                          0x1c
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                            0x1d
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                          0x1e
#define HWIO_GCC_IPA_2X_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                            0x1f

#define HWIO_GCC_IPA_2X_M_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0003803c)
#define HWIO_GCC_IPA_2X_M_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003803c)
#define HWIO_GCC_IPA_2X_M_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003803c)
#define HWIO_GCC_IPA_2X_M_RMSK                                                                                 0xff
#define HWIO_GCC_IPA_2X_M_ATTR                                                                                  0x3
#define HWIO_GCC_IPA_2X_M_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_M_ADDR, HWIO_GCC_IPA_2X_M_RMSK)
#define HWIO_GCC_IPA_2X_M_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_M_ADDR, m)
#define HWIO_GCC_IPA_2X_M_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_M_ADDR,v)
#define HWIO_GCC_IPA_2X_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_M_ADDR,m,v,HWIO_GCC_IPA_2X_M_IN)
#define HWIO_GCC_IPA_2X_M_M_BMSK                                                                               0xff
#define HWIO_GCC_IPA_2X_M_M_SHFT                                                                                0x0

#define HWIO_GCC_IPA_2X_N_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00038040)
#define HWIO_GCC_IPA_2X_N_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038040)
#define HWIO_GCC_IPA_2X_N_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038040)
#define HWIO_GCC_IPA_2X_N_RMSK                                                                                 0xff
#define HWIO_GCC_IPA_2X_N_ATTR                                                                                  0x3
#define HWIO_GCC_IPA_2X_N_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_N_ADDR, HWIO_GCC_IPA_2X_N_RMSK)
#define HWIO_GCC_IPA_2X_N_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_N_ADDR, m)
#define HWIO_GCC_IPA_2X_N_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_N_ADDR,v)
#define HWIO_GCC_IPA_2X_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_N_ADDR,m,v,HWIO_GCC_IPA_2X_N_IN)
#define HWIO_GCC_IPA_2X_N_NOT_N_MINUS_M_BMSK                                                                   0xff
#define HWIO_GCC_IPA_2X_N_NOT_N_MINUS_M_SHFT                                                                    0x0

#define HWIO_GCC_IPA_2X_D_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00038044)
#define HWIO_GCC_IPA_2X_D_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038044)
#define HWIO_GCC_IPA_2X_D_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038044)
#define HWIO_GCC_IPA_2X_D_RMSK                                                                                 0xff
#define HWIO_GCC_IPA_2X_D_ATTR                                                                                  0x3
#define HWIO_GCC_IPA_2X_D_IN          \
        in_dword_masked(HWIO_GCC_IPA_2X_D_ADDR, HWIO_GCC_IPA_2X_D_RMSK)
#define HWIO_GCC_IPA_2X_D_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_2X_D_ADDR, m)
#define HWIO_GCC_IPA_2X_D_OUT(v)      \
        out_dword(HWIO_GCC_IPA_2X_D_ADDR,v)
#define HWIO_GCC_IPA_2X_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_2X_D_ADDR,m,v,HWIO_GCC_IPA_2X_D_IN)
#define HWIO_GCC_IPA_2X_D_NOT_2D_BMSK                                                                          0xff
#define HWIO_GCC_IPA_2X_D_NOT_2D_SHFT                                                                           0x0

#define HWIO_GCC_IPA_CDIVR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00038160)
#define HWIO_GCC_IPA_CDIVR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038160)
#define HWIO_GCC_IPA_CDIVR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038160)
#define HWIO_GCC_IPA_CDIVR_RMSK                                                                                 0xf
#define HWIO_GCC_IPA_CDIVR_ATTR                                                                                 0x3
#define HWIO_GCC_IPA_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_IPA_CDIVR_ADDR, HWIO_GCC_IPA_CDIVR_RMSK)
#define HWIO_GCC_IPA_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_CDIVR_ADDR, m)
#define HWIO_GCC_IPA_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_CDIVR_ADDR,v)
#define HWIO_GCC_IPA_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_CDIVR_ADDR,m,v,HWIO_GCC_IPA_CDIVR_IN)
#define HWIO_GCC_IPA_CDIVR_CLK_DIV_BMSK                                                                         0xf
#define HWIO_GCC_IPA_CDIVR_CLK_DIV_SHFT                                                                         0x0

#define HWIO_GCC_QPIC_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00039000)
#define HWIO_GCC_QPIC_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039000)
#define HWIO_GCC_QPIC_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039000)
#define HWIO_GCC_QPIC_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_QPIC_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_QPIC_BCR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_BCR_ADDR, HWIO_GCC_QPIC_BCR_RMSK)
#define HWIO_GCC_QPIC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_BCR_ADDR, m)
#define HWIO_GCC_QPIC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_BCR_ADDR,v)
#define HWIO_GCC_QPIC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_BCR_ADDR,m,v,HWIO_GCC_QPIC_BCR_IN)
#define HWIO_GCC_QPIC_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_QPIC_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_QPIC_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_QPIC_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_QPIC_CBCR_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039004)
#define HWIO_GCC_QPIC_CBCR_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039004)
#define HWIO_GCC_QPIC_CBCR_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039004)
#define HWIO_GCC_QPIC_CBCR_RMSK                                                                          0x81d07ff5
#define HWIO_GCC_QPIC_CBCR_ATTR                                                                                 0x3
#define HWIO_GCC_QPIC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_CBCR_ADDR, HWIO_GCC_QPIC_CBCR_RMSK)
#define HWIO_GCC_QPIC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_CBCR_ADDR, m)
#define HWIO_GCC_QPIC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_CBCR_ADDR,v)
#define HWIO_GCC_QPIC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_CBCR_ADDR,m,v,HWIO_GCC_QPIC_CBCR_IN)
#define HWIO_GCC_QPIC_CBCR_CLK_OFF_BMSK                                                                  0x80000000
#define HWIO_GCC_QPIC_CBCR_CLK_OFF_SHFT                                                                        0x1f
#define HWIO_GCC_QPIC_CBCR_IGNORE_ALL_ARES_BMSK                                                           0x1000000
#define HWIO_GCC_QPIC_CBCR_IGNORE_ALL_ARES_SHFT                                                                0x18
#define HWIO_GCC_QPIC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                         0x800000
#define HWIO_GCC_QPIC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                             0x17
#define HWIO_GCC_QPIC_CBCR_CLK_DIS_BMSK                                                                    0x400000
#define HWIO_GCC_QPIC_CBCR_CLK_DIS_SHFT                                                                        0x16
#define HWIO_GCC_QPIC_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                        0x100000
#define HWIO_GCC_QPIC_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                            0x14
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_CORE_ON_BMSK                                                            0x4000
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_CORE_ON_SHFT                                                               0xe
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                          0x2000
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                             0xd
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                                0x1
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                         0x1000
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                            0xc
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_QPIC_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                               0x1
#define HWIO_GCC_QPIC_CBCR_WAKEUP_BMSK                                                                        0xf00
#define HWIO_GCC_QPIC_CBCR_WAKEUP_SHFT                                                                          0x8
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK0_FVAL                                                                   0x0
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK1_FVAL                                                                   0x1
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK2_FVAL                                                                   0x2
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK3_FVAL                                                                   0x3
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK4_FVAL                                                                   0x4
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK5_FVAL                                                                   0x5
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK6_FVAL                                                                   0x6
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK7_FVAL                                                                   0x7
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK8_FVAL                                                                   0x8
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK9_FVAL                                                                   0x9
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK10_FVAL                                                                  0xa
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK11_FVAL                                                                  0xb
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK12_FVAL                                                                  0xc
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK13_FVAL                                                                  0xd
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK14_FVAL                                                                  0xe
#define HWIO_GCC_QPIC_CBCR_WAKEUP_CLOCK15_FVAL                                                                  0xf
#define HWIO_GCC_QPIC_CBCR_SLEEP_BMSK                                                                          0xf0
#define HWIO_GCC_QPIC_CBCR_SLEEP_SHFT                                                                           0x4
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK0_FVAL                                                                    0x0
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK1_FVAL                                                                    0x1
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK2_FVAL                                                                    0x2
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK3_FVAL                                                                    0x3
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK4_FVAL                                                                    0x4
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK5_FVAL                                                                    0x5
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK6_FVAL                                                                    0x6
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK7_FVAL                                                                    0x7
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK8_FVAL                                                                    0x8
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK9_FVAL                                                                    0x9
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK10_FVAL                                                                   0xa
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK11_FVAL                                                                   0xb
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK12_FVAL                                                                   0xc
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK13_FVAL                                                                   0xd
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK14_FVAL                                                                   0xe
#define HWIO_GCC_QPIC_CBCR_SLEEP_CLOCK15_FVAL                                                                   0xf
#define HWIO_GCC_QPIC_CBCR_CLK_ARES_BMSK                                                                        0x4
#define HWIO_GCC_QPIC_CBCR_CLK_ARES_SHFT                                                                        0x2
#define HWIO_GCC_QPIC_CBCR_CLK_ARES_NO_RESET_FVAL                                                               0x0
#define HWIO_GCC_QPIC_CBCR_CLK_ARES_RESET_FVAL                                                                  0x1
#define HWIO_GCC_QPIC_CBCR_CLK_ENABLE_BMSK                                                                      0x1
#define HWIO_GCC_QPIC_CBCR_CLK_ENABLE_SHFT                                                                      0x0
#define HWIO_GCC_QPIC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_QPIC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_QPIC_SREGR_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00039008)
#define HWIO_GCC_QPIC_SREGR_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039008)
#define HWIO_GCC_QPIC_SREGR_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039008)
#define HWIO_GCC_QPIC_SREGR_RMSK                                                                         0xfffffffe
#define HWIO_GCC_QPIC_SREGR_ATTR                                                                                0x3
#define HWIO_GCC_QPIC_SREGR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_SREGR_ADDR, HWIO_GCC_QPIC_SREGR_RMSK)
#define HWIO_GCC_QPIC_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_SREGR_ADDR, m)
#define HWIO_GCC_QPIC_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_SREGR_ADDR,v)
#define HWIO_GCC_QPIC_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_SREGR_ADDR,m,v,HWIO_GCC_QPIC_SREGR_IN)
#define HWIO_GCC_QPIC_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                               0xff000000
#define HWIO_GCC_QPIC_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                     0x18
#define HWIO_GCC_QPIC_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                                  0xff0000
#define HWIO_GCC_QPIC_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                      0x10
#define HWIO_GCC_QPIC_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                     0x8000
#define HWIO_GCC_QPIC_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                        0xf
#define HWIO_GCC_QPIC_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                              0x0
#define HWIO_GCC_QPIC_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                                 0x1
#define HWIO_GCC_QPIC_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                      0x4000
#define HWIO_GCC_QPIC_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                         0xe
#define HWIO_GCC_QPIC_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                         0x0
#define HWIO_GCC_QPIC_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                      0x1
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                     0x2000
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                        0xd
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                            0x0
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                               0x1
#define HWIO_GCC_QPIC_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                                 0x1000
#define HWIO_GCC_QPIC_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                    0xc
#define HWIO_GCC_QPIC_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                           0x0
#define HWIO_GCC_QPIC_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                              0x1
#define HWIO_GCC_QPIC_SREGR_MEM_CORE_ON_ACK_BMSK                                                              0x800
#define HWIO_GCC_QPIC_SREGR_MEM_CORE_ON_ACK_SHFT                                                                0xb
#define HWIO_GCC_QPIC_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                            0x400
#define HWIO_GCC_QPIC_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                              0xa
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                     0x300
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                       0x8
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                              0x0
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                              0x1
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                              0x2
#define HWIO_GCC_QPIC_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                              0x3
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_ENABLE_BMSK                                                                0x80
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_ENABLE_SHFT                                                                 0x7
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_QPIC_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_QPIC_SREGR_FORCE_CLK_ON_BMSK                                                                  0x40
#define HWIO_GCC_QPIC_SREGR_FORCE_CLK_ON_SHFT                                                                   0x6
#define HWIO_GCC_QPIC_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                          0x0
#define HWIO_GCC_QPIC_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_QPIC_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                            0x20
#define HWIO_GCC_QPIC_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                             0x5
#define HWIO_GCC_QPIC_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                    0x0
#define HWIO_GCC_QPIC_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                               0x1
#define HWIO_GCC_QPIC_SREGR_SW_RST_SLP_STG_BMSK                                                                0x10
#define HWIO_GCC_QPIC_SREGR_SW_RST_SLP_STG_SHFT                                                                 0x4
#define HWIO_GCC_QPIC_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                       0x0
#define HWIO_GCC_QPIC_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                          0x1
#define HWIO_GCC_QPIC_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                               0x8
#define HWIO_GCC_QPIC_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                               0x3
#define HWIO_GCC_QPIC_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                    0x0
#define HWIO_GCC_QPIC_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                       0x1
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                          0x4
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                          0x2
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                      0x0
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                              0x2
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                              0x1
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                        0x0
#define HWIO_GCC_QPIC_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                         0x1

#define HWIO_GCC_QPIC_AHB_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0003900c)
#define HWIO_GCC_QPIC_AHB_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003900c)
#define HWIO_GCC_QPIC_AHB_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003900c)
#define HWIO_GCC_QPIC_AHB_CBCR_RMSK                                                                      0x81d00005
#define HWIO_GCC_QPIC_AHB_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_QPIC_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_AHB_CBCR_ADDR, HWIO_GCC_QPIC_AHB_CBCR_RMSK)
#define HWIO_GCC_QPIC_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_AHB_CBCR_ADDR, m)
#define HWIO_GCC_QPIC_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_AHB_CBCR_ADDR,v)
#define HWIO_GCC_QPIC_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_AHB_CBCR_ADDR,m,v,HWIO_GCC_QPIC_AHB_CBCR_IN)
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_QPIC_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_QPIC_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_QPIC_SYSTEM_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00039010)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039010)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039010)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_RMSK                                                                   0x81c00005
#define HWIO_GCC_QPIC_SYSTEM_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_QPIC_SYSTEM_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_SYSTEM_CBCR_ADDR, HWIO_GCC_QPIC_SYSTEM_CBCR_RMSK)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_SYSTEM_CBCR_ADDR, m)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_SYSTEM_CBCR_ADDR,v)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_SYSTEM_CBCR_ADDR,m,v,HWIO_GCC_QPIC_SYSTEM_CBCR_IN)
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_QPIC_SYSTEM_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_QPIC_SYSTEM_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_QPIC_SYSTEM_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_QPIC_SYSTEM_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_QPIC_SYSTEM_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00039028)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039028)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039028)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_RMSK                                                                     0xffff
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_ATTR                                                                        0x3
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_CMD_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_RCG_SW_CTRL_BMSK                                                         0x8000
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_RCG_SW_CTRL_SHFT                                                            0xf
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_SW_PERF_STATE_BMSK                                                       0x7800
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_SW_PERF_STATE_SHFT                                                          0xb
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_SW_OVERRIDE_BMSK                                                          0x400
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_SW_OVERRIDE_SHFT                                                            0xa
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                             0x200
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                               0x9
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_FSM_STATE_BMSK                                                        0x1c0
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_FSM_STATE_SHFT                                                          0x6
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                        0x20
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                         0x5
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_CURR_PERF_STATE_BMSK                                                       0x1e
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_CURR_PERF_STATE_SHFT                                                        0x1
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_EN_BMSK                                                                 0x1
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_EN_SHFT                                                                 0x0
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_RPMH_QPIC_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039030)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039030)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039030)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039034)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039034)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039034)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039038)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039038)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039038)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0003903c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003903c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003903c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039040)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039040)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039040)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039044)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039044)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039044)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039048)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039048)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039048)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0003904c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003904c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003904c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039050)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039050)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039050)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00039054)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039054)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039054)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_RMSK                                                              0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_BMSK                                                         0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_SHFT                                                            0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_BYPASS_FVAL                                                     0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_SWALLOW_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_DUAL_EDGE_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_MODE_SINGLE_EDGE_FVAL                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00039058)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039058)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039058)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0003905c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003905c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003905c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00039060)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039060)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039060)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00039064)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039064)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039064)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00039068)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039068)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039068)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0003906c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003906c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003906c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_RMSK                                                             0x371f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ATTR                                                                0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_BMSK                                                        0x3000
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_SHFT                                                           0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_SWALLOW_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_DUAL_EDGE_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_MODE_SINGLE_EDGE_FVAL                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_BMSK                                                      0x700
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SHFT                                                        0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                   0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                   0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                   0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_SHFT                                                        0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                 0x2
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                   0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                 0x4
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                   0x5
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                 0x6
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                   0x7
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                 0x8
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                   0x9
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                 0xa
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                   0xb
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                 0xc
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                   0xd
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                 0xe
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                   0xf
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                                0x10
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                  0x11
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                                0x12
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                 0x13
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                               0x14
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                 0x15
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                               0x16
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                 0x17
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                               0x18
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                 0x19
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                               0x1a
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                 0x1b
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                               0x1c
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                 0x1d
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                               0x1e
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                 0x1f

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039070)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039070)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039070)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039074)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039074)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039074)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039078)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039078)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039078)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003907c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003907c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003907c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039080)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039080)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039080)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039084)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039084)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039084)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039088)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039088)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039088)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003908c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003908c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003908c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039090)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039090)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039090)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039094)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039094)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039094)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_M_BMSK                                                            0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_M_DFSR_M_SHFT                                                             0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00039098)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039098)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039098)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003909c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003909c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003909c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390a0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390a0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390a0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390a4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390a4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390a4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390a8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390a8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390a8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390ac)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390ac)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390ac)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_M_BMSK                                                           0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_M_DFSR_M_SHFT                                                            0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390b0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390b0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390b0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390b4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390b4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390b4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390b8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390b8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390b8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390bc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390bc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390bc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390c0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390c0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390c0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390c4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390c4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390c4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390c8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390c8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390c8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390cc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390cc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390cc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390d0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390d0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390d0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390d4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390d4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390d4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_NOT_N_MINUS_M_BMSK                                                0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_N_DFSR_NOT_N_MINUS_M_SHFT                                                 0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390d8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390d8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390d8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390dc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390dc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390dc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390e0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390e0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390e0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390e4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390e4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390e4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390e8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390e8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390e8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x000390ec)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390ec)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390ec)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_NOT_N_MINUS_M_BMSK                                               0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_N_DFSR_NOT_N_MINUS_M_SHFT                                                0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390f0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390f0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390f0)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF0_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390f4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390f4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390f4)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF1_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390f8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390f8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390f8)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF2_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x000390fc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x000390fc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x000390fc)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF3_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039100)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039100)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039100)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF4_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039104)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039104)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039104)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF5_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039108)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039108)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039108)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF6_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003910c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003910c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003910c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF7_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039110)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039110)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039110)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF8_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00039114)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039114)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039114)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_RMSK                                                              0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ATTR                                                               0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_NOT_2D_BMSK                                                       0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF9_D_DFSR_NOT_2D_SHFT                                                        0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00039118)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039118)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039118)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF10_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003911c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003911c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003911c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF11_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00039120)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039120)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039120)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF12_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00039124)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039124)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039124)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF13_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00039128)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039128)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039128)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF14_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0003912c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003912c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003912c)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_RMSK                                                             0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ATTR                                                              0x3
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ADDR, HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_RMSK)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_ADDR,m,v,HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_IN)
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_NOT_2D_BMSK                                                      0xff
#define HWIO_GCC_RPMH_QPIC_QPIC_PERF15_D_DFSR_NOT_2D_SHFT                                                       0x0

#define HWIO_GCC_QPIC_CMD_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00039014)
#define HWIO_GCC_QPIC_CMD_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039014)
#define HWIO_GCC_QPIC_CMD_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039014)
#define HWIO_GCC_QPIC_CMD_RCGR_RMSK                                                                      0x800000f3
#define HWIO_GCC_QPIC_CMD_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_QPIC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_CMD_RCGR_ADDR, HWIO_GCC_QPIC_CMD_RCGR_RMSK)
#define HWIO_GCC_QPIC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QPIC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QPIC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_CMD_RCGR_ADDR,m,v,HWIO_GCC_QPIC_CMD_RCGR_IN)
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_D_BMSK                                                                    0x80
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_D_SHFT                                                                     0x7
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_N_BMSK                                                                    0x40
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_N_SHFT                                                                     0x6
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_M_BMSK                                                                    0x20
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_M_SHFT                                                                     0x5
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                             0x10
#define HWIO_GCC_QPIC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                              0x4
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_EN_BMSK                                                                     0x2
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_EN_SHFT                                                                     0x1
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_QPIC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_QPIC_CMD_RCGR_UPDATE_BMSK                                                                      0x1
#define HWIO_GCC_QPIC_CMD_RCGR_UPDATE_SHFT                                                                      0x0
#define HWIO_GCC_QPIC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_QPIC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                               0x1

#define HWIO_GCC_QPIC_CFG_RCGR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00039018)
#define HWIO_GCC_QPIC_CFG_RCGR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039018)
#define HWIO_GCC_QPIC_CFG_RCGR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039018)
#define HWIO_GCC_QPIC_CFG_RCGR_RMSK                                                                        0x10371f
#define HWIO_GCC_QPIC_CFG_RCGR_ATTR                                                                             0x3
#define HWIO_GCC_QPIC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QPIC_CFG_RCGR_ADDR, HWIO_GCC_QPIC_CFG_RCGR_RMSK)
#define HWIO_GCC_QPIC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QPIC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QPIC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_CFG_RCGR_ADDR,m,v,HWIO_GCC_QPIC_CFG_RCGR_IN)
#define HWIO_GCC_QPIC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                         0x100000
#define HWIO_GCC_QPIC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                             0x14
#define HWIO_GCC_QPIC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_QPIC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_BMSK                                                                     0x3000
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_SHFT                                                                        0xc
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_BYPASS_FVAL                                                                 0x0
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_SWALLOW_FVAL                                                                0x1
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_DUAL_EDGE_FVAL                                                              0x2
#define HWIO_GCC_QPIC_CFG_RCGR_MODE_SINGLE_EDGE_FVAL                                                            0x3
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_BMSK                                                                   0x700
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SHFT                                                                     0x8
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                0x0
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                0x1
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                0x2
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                0x3
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                0x4
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                0x5
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                0x6
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                0x7
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_BMSK                                                                    0x1f
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_SHFT                                                                     0x0
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                              0x0
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                0x1
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                              0x2
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                0x3
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                              0x4
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                0x5
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                              0x6
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                0x7
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                              0x8
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                0x9
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                              0xa
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                0xb
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                              0xc
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                0xd
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                              0xe
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                0xf
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                             0x10
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                               0x11
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                             0x12
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                              0x13
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                            0x14
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                              0x15
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                            0x16
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                              0x17
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                            0x18
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                              0x19
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                            0x1a
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                              0x1b
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                            0x1c
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                              0x1d
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                            0x1e
#define HWIO_GCC_QPIC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                              0x1f

#define HWIO_GCC_QPIC_M_ADDR                                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003901c)
#define HWIO_GCC_QPIC_M_PHYS                                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003901c)
#define HWIO_GCC_QPIC_M_OFFS                                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003901c)
#define HWIO_GCC_QPIC_M_RMSK                                                                                   0xff
#define HWIO_GCC_QPIC_M_ATTR                                                                                    0x3
#define HWIO_GCC_QPIC_M_IN          \
        in_dword_masked(HWIO_GCC_QPIC_M_ADDR, HWIO_GCC_QPIC_M_RMSK)
#define HWIO_GCC_QPIC_M_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_M_ADDR, m)
#define HWIO_GCC_QPIC_M_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_M_ADDR,v)
#define HWIO_GCC_QPIC_M_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_M_ADDR,m,v,HWIO_GCC_QPIC_M_IN)
#define HWIO_GCC_QPIC_M_M_BMSK                                                                                 0xff
#define HWIO_GCC_QPIC_M_M_SHFT                                                                                  0x0

#define HWIO_GCC_QPIC_N_ADDR                                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00039020)
#define HWIO_GCC_QPIC_N_PHYS                                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039020)
#define HWIO_GCC_QPIC_N_OFFS                                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039020)
#define HWIO_GCC_QPIC_N_RMSK                                                                                   0xff
#define HWIO_GCC_QPIC_N_ATTR                                                                                    0x3
#define HWIO_GCC_QPIC_N_IN          \
        in_dword_masked(HWIO_GCC_QPIC_N_ADDR, HWIO_GCC_QPIC_N_RMSK)
#define HWIO_GCC_QPIC_N_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_N_ADDR, m)
#define HWIO_GCC_QPIC_N_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_N_ADDR,v)
#define HWIO_GCC_QPIC_N_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_N_ADDR,m,v,HWIO_GCC_QPIC_N_IN)
#define HWIO_GCC_QPIC_N_NOT_N_MINUS_M_BMSK                                                                     0xff
#define HWIO_GCC_QPIC_N_NOT_N_MINUS_M_SHFT                                                                      0x0

#define HWIO_GCC_QPIC_D_ADDR                                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00039024)
#define HWIO_GCC_QPIC_D_PHYS                                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039024)
#define HWIO_GCC_QPIC_D_OFFS                                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039024)
#define HWIO_GCC_QPIC_D_RMSK                                                                                   0xff
#define HWIO_GCC_QPIC_D_ATTR                                                                                    0x3
#define HWIO_GCC_QPIC_D_IN          \
        in_dword_masked(HWIO_GCC_QPIC_D_ADDR, HWIO_GCC_QPIC_D_RMSK)
#define HWIO_GCC_QPIC_D_INM(m)      \
        in_dword_masked(HWIO_GCC_QPIC_D_ADDR, m)
#define HWIO_GCC_QPIC_D_OUT(v)      \
        out_dword(HWIO_GCC_QPIC_D_ADDR,v)
#define HWIO_GCC_QPIC_D_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QPIC_D_ADDR,m,v,HWIO_GCC_QPIC_D_IN)
#define HWIO_GCC_QPIC_D_NOT_2D_BMSK                                                                            0xff
#define HWIO_GCC_QPIC_D_NOT_2D_SHFT                                                                             0x0

#define HWIO_GCC_SPMI_FETCHER_BCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0003a000)
#define HWIO_GCC_SPMI_FETCHER_BCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003a000)
#define HWIO_GCC_SPMI_FETCHER_BCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003a000)
#define HWIO_GCC_SPMI_FETCHER_BCR_RMSK                                                                          0x1
#define HWIO_GCC_SPMI_FETCHER_BCR_ATTR                                                                          0x3
#define HWIO_GCC_SPMI_FETCHER_BCR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_BCR_ADDR, HWIO_GCC_SPMI_FETCHER_BCR_RMSK)
#define HWIO_GCC_SPMI_FETCHER_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_BCR_ADDR, m)
#define HWIO_GCC_SPMI_FETCHER_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_FETCHER_BCR_ADDR,v)
#define HWIO_GCC_SPMI_FETCHER_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_FETCHER_BCR_ADDR,m,v,HWIO_GCC_SPMI_FETCHER_BCR_IN)
#define HWIO_GCC_SPMI_FETCHER_BCR_BLK_ARES_BMSK                                                                 0x1
#define HWIO_GCC_SPMI_FETCHER_BCR_BLK_ARES_SHFT                                                                 0x0
#define HWIO_GCC_SPMI_FETCHER_BCR_BLK_ARES_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPMI_FETCHER_BCR_BLK_ARES_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_SPMI_FETCHER_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003a004)
#define HWIO_GCC_SPMI_FETCHER_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003a004)
#define HWIO_GCC_SPMI_FETCHER_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003a004)
#define HWIO_GCC_SPMI_FETCHER_CBCR_RMSK                                                                  0x81c00005
#define HWIO_GCC_SPMI_FETCHER_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_SPMI_FETCHER_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CBCR_ADDR, HWIO_GCC_SPMI_FETCHER_CBCR_RMSK)
#define HWIO_GCC_SPMI_FETCHER_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CBCR_ADDR, m)
#define HWIO_GCC_SPMI_FETCHER_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_FETCHER_CBCR_ADDR,v)
#define HWIO_GCC_SPMI_FETCHER_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_FETCHER_CBCR_ADDR,m,v,HWIO_GCC_SPMI_FETCHER_CBCR_IN)
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_SPMI_FETCHER_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_SPMI_FETCHER_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_SPMI_FETCHER_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_SPMI_FETCHER_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SPMI_FETCHER_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003a008)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003a008)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003a008)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_RMSK                                                              0x81d00005
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ATTR                                                                     0x3
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ADDR, HWIO_GCC_SPMI_FETCHER_AHB_CBCR_RMSK)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ADDR, m)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ADDR,v)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_FETCHER_AHB_CBCR_ADDR,m,v,HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IN)
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                               0x1000000
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                    0x18
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                             0x800000
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                 0x17
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_DIS_BMSK                                                        0x400000
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_DIS_SHFT                                                            0x16
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                            0x100000
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                0x14
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ARES_BMSK                                                            0x4
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ARES_SHFT                                                            0x2
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                   0x0
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ARES_RESET_FVAL                                                      0x1
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPMI_FETCHER_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003a00c)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003a00c)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003a00c)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_RMSK                                                              0x80000013
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ADDR, HWIO_GCC_SPMI_FETCHER_CMD_RCGR_RMSK)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ADDR,m,v,HWIO_GCC_SPMI_FETCHER_CMD_RCGR_IN)
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_OFF_SHFT                                                           0x1f
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                     0x10
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                      0x4
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_EN_BMSK                                                             0x2
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_EN_SHFT                                                             0x1
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_UPDATE_BMSK                                                              0x1
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_UPDATE_SHFT                                                              0x0
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_UPDATE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_SPMI_FETCHER_CMD_RCGR_UPDATE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003a010)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003a010)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003a010)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RMSK                                                                0x11071f
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ATTR                                                                     0x3
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ADDR, HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RMSK)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_FETCHER_CFG_RCGR_ADDR,m,v,HWIO_GCC_SPMI_FETCHER_CFG_RCGR_IN)
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                 0x100000
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                     0x14
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                              0x0
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                               0x1
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                 0x10000
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                    0x10
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                     0x0
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                    0x1
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_BMSK                                                           0x700
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SHFT                                                             0x8
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                        0x0
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                        0x1
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                        0x2
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                        0x3
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                        0x4
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                        0x5
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                        0x6
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                        0x7
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_BMSK                                                            0x1f
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_SHFT                                                             0x0
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                      0x0
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                        0x1
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                      0x2
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                        0x3
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                      0x4
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                        0x5
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                      0x6
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                        0x7
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                      0x8
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                        0x9
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                      0xa
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                        0xb
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                      0xc
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                        0xd
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                      0xe
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                        0xf
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                     0x10
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                       0x11
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                     0x12
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                      0x13
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                    0x14
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                      0x15
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                    0x16
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                      0x17
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                    0x18
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                      0x19
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                    0x1a
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                      0x1b
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                    0x1c
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                      0x1d
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                    0x1e
#define HWIO_GCC_SPMI_FETCHER_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                      0x1f

#define HWIO_GCC_MSS_CFG_AHB_CBCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b000)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b000)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b000)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_RMSK                                                                   0x81d0000f
#define HWIO_GCC_MSS_CFG_AHB_CBCR_ATTR                                                                          0x3
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_CFG_AHB_CBCR_ADDR, HWIO_GCC_MSS_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_MSS_CFG_AHB_CBCR_IN)
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_OFF_BMSK                                                           0x80000000
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                 0x1f
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                    0x1000000
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                         0x18
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                  0x800000
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                      0x17
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_DIS_BMSK                                                             0x400000
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                 0x16
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                 0x100000
#define HWIO_GCC_MSS_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                     0x14
#define HWIO_GCC_MSS_CFG_AHB_CBCR_SW_ONLY_EN_BMSK                                                               0x8
#define HWIO_GCC_MSS_CFG_AHB_CBCR_SW_ONLY_EN_SHFT                                                               0x3
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                 0x4
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                 0x2
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                        0x0
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                           0x1
#define HWIO_GCC_MSS_CFG_AHB_CBCR_HW_CTL_BMSK                                                                   0x2
#define HWIO_GCC_MSS_CFG_AHB_CBCR_HW_CTL_SHFT                                                                   0x1
#define HWIO_GCC_MSS_CFG_AHB_CBCR_HW_CTL_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_MSS_CFG_AHB_CBCR_HW_CTL_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                               0x1
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                               0x0
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_MSS_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b004)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b004)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b004)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_RMSK                                                               0x81d0000f
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ADDR, HWIO_GCC_MSS_OFFLINE_AXI_CBCR_RMSK)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ADDR, m)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ADDR,v)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_OFFLINE_AXI_CBCR_ADDR,m,v,HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IN)
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                             0x100000
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                 0x14
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_MSS_OFFLINE_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_MSS_CE_AXI_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b008)
#define HWIO_GCC_MSS_CE_AXI_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b008)
#define HWIO_GCC_MSS_CE_AXI_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b008)
#define HWIO_GCC_MSS_CE_AXI_CBCR_RMSK                                                                    0x81d0000f
#define HWIO_GCC_MSS_CE_AXI_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_MSS_CE_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_CE_AXI_CBCR_ADDR, HWIO_GCC_MSS_CE_AXI_CBCR_RMSK)
#define HWIO_GCC_MSS_CE_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_CE_AXI_CBCR_ADDR, m)
#define HWIO_GCC_MSS_CE_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_CE_AXI_CBCR_ADDR,v)
#define HWIO_GCC_MSS_CE_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_CE_AXI_CBCR_ADDR,m,v,HWIO_GCC_MSS_CE_AXI_CBCR_IN)
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                  0x100000
#define HWIO_GCC_MSS_CE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                      0x14
#define HWIO_GCC_MSS_CE_AXI_CBCR_SW_ONLY_EN_BMSK                                                                0x8
#define HWIO_GCC_MSS_CE_AXI_CBCR_SW_ONLY_EN_SHFT                                                                0x3
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_MSS_CE_AXI_CBCR_HW_CTL_BMSK                                                                    0x2
#define HWIO_GCC_MSS_CE_AXI_CBCR_HW_CTL_SHFT                                                                    0x1
#define HWIO_GCC_MSS_CE_AXI_CBCR_HW_CTL_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_MSS_CE_AXI_CBCR_HW_CTL_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_CE_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_MSS_TRIG_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b00c)
#define HWIO_GCC_MSS_TRIG_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b00c)
#define HWIO_GCC_MSS_TRIG_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b00c)
#define HWIO_GCC_MSS_TRIG_CBCR_RMSK                                                                      0x81d0000f
#define HWIO_GCC_MSS_TRIG_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_MSS_TRIG_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_TRIG_CBCR_ADDR, HWIO_GCC_MSS_TRIG_CBCR_RMSK)
#define HWIO_GCC_MSS_TRIG_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_TRIG_CBCR_ADDR, m)
#define HWIO_GCC_MSS_TRIG_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_TRIG_CBCR_ADDR,v)
#define HWIO_GCC_MSS_TRIG_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_TRIG_CBCR_ADDR,m,v,HWIO_GCC_MSS_TRIG_CBCR_IN)
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_MSS_TRIG_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_MSS_TRIG_CBCR_SW_ONLY_EN_BMSK                                                                  0x8
#define HWIO_GCC_MSS_TRIG_CBCR_SW_ONLY_EN_SHFT                                                                  0x3
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_MSS_TRIG_CBCR_HW_CTL_BMSK                                                                      0x2
#define HWIO_GCC_MSS_TRIG_CBCR_HW_CTL_SHFT                                                                      0x1
#define HWIO_GCC_MSS_TRIG_CBCR_HW_CTL_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_MSS_TRIG_CBCR_HW_CTL_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_MSS_TRIG_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_MSS_AT_CBCR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b010)
#define HWIO_GCC_MSS_AT_CBCR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b010)
#define HWIO_GCC_MSS_AT_CBCR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b010)
#define HWIO_GCC_MSS_AT_CBCR_RMSK                                                                        0x81d0000f
#define HWIO_GCC_MSS_AT_CBCR_ATTR                                                                               0x3
#define HWIO_GCC_MSS_AT_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_AT_CBCR_ADDR, HWIO_GCC_MSS_AT_CBCR_RMSK)
#define HWIO_GCC_MSS_AT_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_AT_CBCR_ADDR, m)
#define HWIO_GCC_MSS_AT_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_AT_CBCR_ADDR,v)
#define HWIO_GCC_MSS_AT_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_AT_CBCR_ADDR,m,v,HWIO_GCC_MSS_AT_CBCR_IN)
#define HWIO_GCC_MSS_AT_CBCR_CLK_OFF_BMSK                                                                0x80000000
#define HWIO_GCC_MSS_AT_CBCR_CLK_OFF_SHFT                                                                      0x1f
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_ALL_ARES_BMSK                                                         0x1000000
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_ALL_ARES_SHFT                                                              0x18
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                       0x800000
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                           0x17
#define HWIO_GCC_MSS_AT_CBCR_CLK_DIS_BMSK                                                                  0x400000
#define HWIO_GCC_MSS_AT_CBCR_CLK_DIS_SHFT                                                                      0x16
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                      0x100000
#define HWIO_GCC_MSS_AT_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                          0x14
#define HWIO_GCC_MSS_AT_CBCR_SW_ONLY_EN_BMSK                                                                    0x8
#define HWIO_GCC_MSS_AT_CBCR_SW_ONLY_EN_SHFT                                                                    0x3
#define HWIO_GCC_MSS_AT_CBCR_CLK_ARES_BMSK                                                                      0x4
#define HWIO_GCC_MSS_AT_CBCR_CLK_ARES_SHFT                                                                      0x2
#define HWIO_GCC_MSS_AT_CBCR_CLK_ARES_NO_RESET_FVAL                                                             0x0
#define HWIO_GCC_MSS_AT_CBCR_CLK_ARES_RESET_FVAL                                                                0x1
#define HWIO_GCC_MSS_AT_CBCR_HW_CTL_BMSK                                                                        0x2
#define HWIO_GCC_MSS_AT_CBCR_HW_CTL_SHFT                                                                        0x1
#define HWIO_GCC_MSS_AT_CBCR_HW_CTL_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_MSS_AT_CBCR_HW_CTL_ENABLE_FVAL                                                                 0x1
#define HWIO_GCC_MSS_AT_CBCR_CLK_ENABLE_BMSK                                                                    0x1
#define HWIO_GCC_MSS_AT_CBCR_CLK_ENABLE_SHFT                                                                    0x0
#define HWIO_GCC_MSS_AT_CBCR_CLK_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_MSS_AT_CBCR_CLK_ENABLE_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b014)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b014)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b014)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_RMSK                                                                   0xf
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ATTR                                                                   0x3
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ADDR, HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_RMSK)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ADDR, m)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ADDR,v)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_ADDR,m,v,HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_IN)
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_CLK_DIV_BMSK                                                           0xf
#define HWIO_GCC_MSS_PLL0_MAIN_DIV_CDIVR_CLK_DIV_SHFT                                                           0x0

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b034)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b034)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b034)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b038)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b038)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b038)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b03c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b03c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b03c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b040)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b040)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b040)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b044)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b044)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b044)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b048)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b048)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b048)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b04c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b04c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b04c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b050)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b050)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b050)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b054)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b054)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b054)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ADDR                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b058)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_PHYS                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b058)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_OFFS                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b058)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_RMSK                                                   0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ATTR                                                     0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_BMSK                                           0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SHFT                                             0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                        0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                        0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                        0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                        0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_BMSK                                            0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_SHFT                                             0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                      0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                        0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                      0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                        0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                      0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                        0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                      0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                        0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                      0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                        0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                      0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                        0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                      0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                        0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                      0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                        0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                     0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                       0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                     0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                      0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                    0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                      0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                    0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                      0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                    0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                      0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                    0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                      0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                    0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                      0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                    0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                      0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b05c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b05c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b05c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b060)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b060)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b060)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b064)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b064)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b064)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b068)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b068)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b068)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b06c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b06c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b06c)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ADDR                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b070)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_PHYS                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b070)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_OFFS                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b070)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_RMSK                                                  0x71f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ATTR                                                    0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_BMSK                                          0x700
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SHFT                                            0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                       0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                       0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                       0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                       0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_BMSK                                           0x1f
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_SHFT                                            0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                     0x0
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                       0x1
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                     0x2
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                       0x3
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                     0x4
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                       0x5
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                     0x6
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                       0x7
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                     0x8
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                       0x9
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                     0xa
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                       0xb
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                     0xc
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                       0xd
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                     0xe
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                       0xf
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                    0x10
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                      0x11
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                    0x12
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                     0x13
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                   0x14
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                     0x15
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                   0x16
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                     0x17
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                   0x18
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                     0x19
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                   0x1a
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                     0x1b
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                   0x1c
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                     0x1d
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                   0x1e
#define HWIO_GCC_RPMH_SHUB_MSS_MCDMA_MEMNOC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                     0x1f

#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b018)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b018)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b018)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_RMSK                                                          0x80000013
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ADDR, HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_RMSK)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ADDR,m,v,HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_IN)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_OFF_SHFT                                                       0x1f
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                 0x10
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                  0x4
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_EN_BMSK                                                         0x2
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_EN_SHFT                                                         0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_UPDATE_BMSK                                                          0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_UPDATE_SHFT                                                          0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b01c)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b01c)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b01c)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RMSK                                                            0x11071f
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ATTR                                                                 0x3
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ADDR, HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RMSK)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_ADDR,m,v,HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_IN)
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                             0x100000
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                 0x14
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                          0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                           0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                             0x10000
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                0x10
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                 0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_BMSK                                                       0x700
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SHFT                                                         0x8
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                    0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                    0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                    0x2
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                    0x3
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                    0x4
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                    0x5
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                    0x6
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                    0x7
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_BMSK                                                        0x1f
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_SHFT                                                         0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                  0x0
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                    0x1
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                  0x2
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                    0x3
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                  0x4
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                    0x5
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                  0x6
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                    0x7
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                  0x8
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                    0x9
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                  0xa
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                    0xb
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                  0xc
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                    0xd
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                  0xe
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                    0xf
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                 0x10
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                   0x11
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                 0x12
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                  0x13
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                0x14
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                  0x15
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                0x16
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                  0x17
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                0x18
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                  0x19
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                0x1a
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                  0x1b
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                0x1c
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                  0x1d
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                0x1e
#define HWIO_GCC_MSS_MCDMA_MEMNOC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                  0x1f

#define HWIO_GCC_MSS_SNOC_AXI_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b148)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b148)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b148)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_SNOC_AXI_CBCR_ADDR, HWIO_GCC_MSS_SNOC_AXI_CBCR_RMSK)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_SNOC_AXI_CBCR_ADDR, m)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_SNOC_AXI_CBCR_ADDR,v)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_SNOC_AXI_CBCR_ADDR,m,v,HWIO_GCC_MSS_SNOC_AXI_CBCR_IN)
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_MSS_SNOC_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0003b14c)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003b14c)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003b14c)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_RMSK                                                               0x81d0000f
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ATTR                                                                      0x3
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ADDR, HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_RMSK)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ADDR, m)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ADDR,v)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_ADDR,m,v,HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IN)
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_ALL_ARES_BMSK                                                0x1000000
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_ALL_ARES_SHFT                                                     0x18
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                              0x800000
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                  0x17
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_DIS_BMSK                                                         0x400000
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_DIS_SHFT                                                             0x16
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                             0x100000
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                 0x14
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_SW_ONLY_EN_BMSK                                                           0x8
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_SW_ONLY_EN_SHFT                                                           0x3
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ARES_BMSK                                                             0x4
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ARES_SHFT                                                             0x2
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ARES_NO_RESET_FVAL                                                    0x0
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ARES_RESET_FVAL                                                       0x1
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_HW_CTL_BMSK                                                               0x2
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_HW_CTL_SHFT                                                               0x1
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_HW_CTL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_HW_CTL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_MSS_Q6VQ6_AXIM1_CBCR_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_QREFS_VBG_CAL_BCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003c000)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003c000)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003c000)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_RMSK                                                                         0x1
#define HWIO_GCC_QREFS_VBG_CAL_BCR_ATTR                                                                         0x3
#define HWIO_GCC_QREFS_VBG_CAL_BCR_IN          \
        in_dword_masked(HWIO_GCC_QREFS_VBG_CAL_BCR_ADDR, HWIO_GCC_QREFS_VBG_CAL_BCR_RMSK)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QREFS_VBG_CAL_BCR_ADDR, m)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_OUT(v)      \
        out_dword(HWIO_GCC_QREFS_VBG_CAL_BCR_ADDR,v)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QREFS_VBG_CAL_BCR_ADDR,m,v,HWIO_GCC_QREFS_VBG_CAL_BCR_IN)
#define HWIO_GCC_QREFS_VBG_CAL_BCR_BLK_ARES_BMSK                                                                0x1
#define HWIO_GCC_QREFS_VBG_CAL_BCR_BLK_ARES_SHFT                                                                0x0
#define HWIO_GCC_QREFS_VBG_CAL_BCR_BLK_ARES_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_QREFS_VBG_CAL_BCR_BLK_ARES_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_QREFS_VBG_CAL_CBCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0003c004)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003c004)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003c004)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_RMSK                                                                 0x81c00005
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_ATTR                                                                        0x3
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QREFS_VBG_CAL_CBCR_ADDR, HWIO_GCC_QREFS_VBG_CAL_CBCR_RMSK)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QREFS_VBG_CAL_CBCR_ADDR, m)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QREFS_VBG_CAL_CBCR_ADDR,v)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QREFS_VBG_CAL_CBCR_ADDR,m,v,HWIO_GCC_QREFS_VBG_CAL_CBCR_IN)
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_OFF_BMSK                                                         0x80000000
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_OFF_SHFT                                                               0x1f
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_IGNORE_ALL_ARES_BMSK                                                  0x1000000
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_IGNORE_ALL_ARES_SHFT                                                       0x18
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                0x800000
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                    0x17
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_DIS_BMSK                                                           0x400000
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_DIS_SHFT                                                               0x16
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ARES_BMSK                                                               0x4
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ARES_SHFT                                                               0x2
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ARES_NO_RESET_FVAL                                                      0x0
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ARES_RESET_FVAL                                                         0x1
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_QREFS_VBG_CAL_CBCR_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_NAV_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0003d000)
#define HWIO_GCC_NAV_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003d000)
#define HWIO_GCC_NAV_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003d000)
#define HWIO_GCC_NAV_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_NAV_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_NAV_BCR_IN          \
        in_dword_masked(HWIO_GCC_NAV_BCR_ADDR, HWIO_GCC_NAV_BCR_RMSK)
#define HWIO_GCC_NAV_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NAV_BCR_ADDR, m)
#define HWIO_GCC_NAV_BCR_OUT(v)      \
        out_dword(HWIO_GCC_NAV_BCR_ADDR,v)
#define HWIO_GCC_NAV_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NAV_BCR_ADDR,m,v,HWIO_GCC_NAV_BCR_IN)
#define HWIO_GCC_NAV_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_NAV_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_NAV_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_NAV_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_NAV_SNOC_AXI_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0003d004)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003d004)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003d004)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_RMSK                                                                  0x81d00005
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_NAV_SNOC_AXI_CBCR_ADDR, HWIO_GCC_NAV_SNOC_AXI_CBCR_RMSK)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NAV_SNOC_AXI_CBCR_ADDR, m)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_NAV_SNOC_AXI_CBCR_ADDR,v)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NAV_SNOC_AXI_CBCR_ADDR,m,v,HWIO_GCC_NAV_SNOC_AXI_CBCR_IN)
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_OFF_BMSK                                                          0x80000000
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_OFF_SHFT                                                                0x1f
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                                   0x1000000
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                                        0x18
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                 0x800000
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                     0x17
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_DIS_BMSK                                                            0x400000
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_DIS_SHFT                                                                0x16
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                0x100000
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                    0x14
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ARES_BMSK                                                                0x4
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ARES_SHFT                                                                0x2
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                                       0x0
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ARES_RESET_FVAL                                                          0x1
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_NAV_SNOC_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0003d010)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003d010)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003d010)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_RMSK                                                                  0xf
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ATTR                                                                  0x3
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_IN          \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ADDR, HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_RMSK)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ADDR, m)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ADDR,v)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_ADDR,m,v,HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_IN)
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_CLK_DIV_BMSK                                                          0xf
#define HWIO_GCC_GPLL4_OUT_EVEN_DIV_CDIVR_CLK_DIV_SHFT                                                          0x0

#define HWIO_GCC_CM_PHY_REFGEN1_BCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0003e000)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003e000)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003e000)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_RMSK                                                                        0x1
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_ATTR                                                                        0x3
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_IN          \
        in_dword_masked(HWIO_GCC_CM_PHY_REFGEN1_BCR_ADDR, HWIO_GCC_CM_PHY_REFGEN1_BCR_RMSK)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CM_PHY_REFGEN1_BCR_ADDR, m)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_OUT(v)      \
        out_dword(HWIO_GCC_CM_PHY_REFGEN1_BCR_ADDR,v)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CM_PHY_REFGEN1_BCR_ADDR,m,v,HWIO_GCC_CM_PHY_REFGEN1_BCR_IN)
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_BLK_ARES_BMSK                                                               0x1
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_BLK_ARES_SHFT                                                               0x0
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_BLK_ARES_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_CM_PHY_REFGEN1_BCR_BLK_ARES_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0003e004)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003e004)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003e004)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_RMSK                                                                0x81c0000f
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_ATTR                                                                       0x3
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_IN          \
        in_dword_masked(HWIO_GCC_CM_PHY_REFGEN1_CBCR_ADDR, HWIO_GCC_CM_PHY_REFGEN1_CBCR_RMSK)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CM_PHY_REFGEN1_CBCR_ADDR, m)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_CM_PHY_REFGEN1_CBCR_ADDR,v)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CM_PHY_REFGEN1_CBCR_ADDR,m,v,HWIO_GCC_CM_PHY_REFGEN1_CBCR_IN)
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_IGNORE_ALL_ARES_BMSK                                                 0x1000000
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_IGNORE_ALL_ARES_SHFT                                                      0x18
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                               0x800000
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                   0x17
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_DIS_BMSK                                                          0x400000
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_DIS_SHFT                                                              0x16
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_SW_ONLY_EN_BMSK                                                            0x8
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_SW_ONLY_EN_SHFT                                                            0x3
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ARES_BMSK                                                              0x4
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ARES_SHFT                                                              0x2
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ARES_NO_RESET_FVAL                                                     0x0
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ARES_RESET_FVAL                                                        0x1
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_HW_CTL_BMSK                                                                0x2
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_HW_CTL_SHFT                                                                0x1
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_HW_CTL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_HW_CTL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_CM_PHY_REFGEN1_CBCR_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_ECC_BCR_ADDR                                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040000)
#define HWIO_GCC_ECC_BCR_PHYS                                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040000)
#define HWIO_GCC_ECC_BCR_OFFS                                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040000)
#define HWIO_GCC_ECC_BCR_RMSK                                                                                   0x1
#define HWIO_GCC_ECC_BCR_ATTR                                                                                   0x3
#define HWIO_GCC_ECC_BCR_IN          \
        in_dword_masked(HWIO_GCC_ECC_BCR_ADDR, HWIO_GCC_ECC_BCR_RMSK)
#define HWIO_GCC_ECC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_BCR_ADDR, m)
#define HWIO_GCC_ECC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_BCR_ADDR,v)
#define HWIO_GCC_ECC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_BCR_ADDR,m,v,HWIO_GCC_ECC_BCR_IN)
#define HWIO_GCC_ECC_BCR_BLK_ARES_BMSK                                                                          0x1
#define HWIO_GCC_ECC_BCR_BLK_ARES_SHFT                                                                          0x0
#define HWIO_GCC_ECC_BCR_BLK_ARES_DISABLE_FVAL                                                                  0x0
#define HWIO_GCC_ECC_BCR_BLK_ARES_ENABLE_FVAL                                                                   0x1

#define HWIO_GCC_ECC_CBCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040004)
#define HWIO_GCC_ECC_CBCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040004)
#define HWIO_GCC_ECC_CBCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040004)
#define HWIO_GCC_ECC_CBCR_RMSK                                                                           0x81d0000f
#define HWIO_GCC_ECC_CBCR_ATTR                                                                                  0x3
#define HWIO_GCC_ECC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ECC_CBCR_ADDR, HWIO_GCC_ECC_CBCR_RMSK)
#define HWIO_GCC_ECC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_CBCR_ADDR, m)
#define HWIO_GCC_ECC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_CBCR_ADDR,v)
#define HWIO_GCC_ECC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_CBCR_ADDR,m,v,HWIO_GCC_ECC_CBCR_IN)
#define HWIO_GCC_ECC_CBCR_CLK_OFF_BMSK                                                                   0x80000000
#define HWIO_GCC_ECC_CBCR_CLK_OFF_SHFT                                                                         0x1f
#define HWIO_GCC_ECC_CBCR_IGNORE_ALL_ARES_BMSK                                                            0x1000000
#define HWIO_GCC_ECC_CBCR_IGNORE_ALL_ARES_SHFT                                                                 0x18
#define HWIO_GCC_ECC_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                          0x800000
#define HWIO_GCC_ECC_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                              0x17
#define HWIO_GCC_ECC_CBCR_CLK_DIS_BMSK                                                                     0x400000
#define HWIO_GCC_ECC_CBCR_CLK_DIS_SHFT                                                                         0x16
#define HWIO_GCC_ECC_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                         0x100000
#define HWIO_GCC_ECC_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                             0x14
#define HWIO_GCC_ECC_CBCR_SW_ONLY_EN_BMSK                                                                       0x8
#define HWIO_GCC_ECC_CBCR_SW_ONLY_EN_SHFT                                                                       0x3
#define HWIO_GCC_ECC_CBCR_CLK_ARES_BMSK                                                                         0x4
#define HWIO_GCC_ECC_CBCR_CLK_ARES_SHFT                                                                         0x2
#define HWIO_GCC_ECC_CBCR_CLK_ARES_NO_RESET_FVAL                                                                0x0
#define HWIO_GCC_ECC_CBCR_CLK_ARES_RESET_FVAL                                                                   0x1
#define HWIO_GCC_ECC_CBCR_HW_CTL_BMSK                                                                           0x2
#define HWIO_GCC_ECC_CBCR_HW_CTL_SHFT                                                                           0x1
#define HWIO_GCC_ECC_CBCR_HW_CTL_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_ECC_CBCR_HW_CTL_ENABLE_FVAL                                                                    0x1
#define HWIO_GCC_ECC_CBCR_CLK_ENABLE_BMSK                                                                       0x1
#define HWIO_GCC_ECC_CBCR_CLK_ENABLE_SHFT                                                                       0x0
#define HWIO_GCC_ECC_CBCR_CLK_ENABLE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_ECC_CBCR_CLK_ENABLE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_ECC_CORE_CBCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00040008)
#define HWIO_GCC_ECC_CORE_CBCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040008)
#define HWIO_GCC_ECC_CORE_CBCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040008)
#define HWIO_GCC_ECC_CORE_CBCR_RMSK                                                                      0x81d07ff5
#define HWIO_GCC_ECC_CORE_CBCR_ATTR                                                                             0x3
#define HWIO_GCC_ECC_CORE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_ECC_CORE_CBCR_ADDR, HWIO_GCC_ECC_CORE_CBCR_RMSK)
#define HWIO_GCC_ECC_CORE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_CORE_CBCR_ADDR, m)
#define HWIO_GCC_ECC_CORE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_CORE_CBCR_ADDR,v)
#define HWIO_GCC_ECC_CORE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_CORE_CBCR_ADDR,m,v,HWIO_GCC_ECC_CORE_CBCR_IN)
#define HWIO_GCC_ECC_CORE_CBCR_CLK_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_ECC_CORE_CBCR_CLK_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_ALL_ARES_BMSK                                                       0x1000000
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_ALL_ARES_SHFT                                                            0x18
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                     0x800000
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                         0x17
#define HWIO_GCC_ECC_CORE_CBCR_CLK_DIS_BMSK                                                                0x400000
#define HWIO_GCC_ECC_CORE_CBCR_CLK_DIS_SHFT                                                                    0x16
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                    0x100000
#define HWIO_GCC_ECC_CORE_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                        0x14
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_CORE_ON_BMSK                                                        0x4000
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_CORE_ON_SHFT                                                           0xe
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_CORE_ON_FORCE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_CORE_ON_FORCE_ENABLE_FVAL                                              0x1
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_ON_BMSK                                                      0x2000
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_ON_SHFT                                                         0xd
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_ON_FORCE_DISABLE_FVAL                                           0x0
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_ON_FORCE_ENABLE_FVAL                                            0x1
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_OFF_BMSK                                                     0x1000
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_OFF_SHFT                                                        0xc
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_ECC_CORE_CBCR_FORCE_MEM_PERIPH_OFF_FORCE_ENABLE_FVAL                                           0x1
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_BMSK                                                                    0xf00
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_SHFT                                                                      0x8
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK0_FVAL                                                               0x0
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK1_FVAL                                                               0x1
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK2_FVAL                                                               0x2
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK3_FVAL                                                               0x3
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK4_FVAL                                                               0x4
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK5_FVAL                                                               0x5
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK6_FVAL                                                               0x6
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK7_FVAL                                                               0x7
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK8_FVAL                                                               0x8
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK9_FVAL                                                               0x9
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK10_FVAL                                                              0xa
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK11_FVAL                                                              0xb
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK12_FVAL                                                              0xc
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK13_FVAL                                                              0xd
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK14_FVAL                                                              0xe
#define HWIO_GCC_ECC_CORE_CBCR_WAKEUP_CLOCK15_FVAL                                                              0xf
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_BMSK                                                                      0xf0
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_SHFT                                                                       0x4
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK0_FVAL                                                                0x0
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK1_FVAL                                                                0x1
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK2_FVAL                                                                0x2
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK3_FVAL                                                                0x3
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK4_FVAL                                                                0x4
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK5_FVAL                                                                0x5
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK6_FVAL                                                                0x6
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK7_FVAL                                                                0x7
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK8_FVAL                                                                0x8
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK9_FVAL                                                                0x9
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK10_FVAL                                                               0xa
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK11_FVAL                                                               0xb
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK12_FVAL                                                               0xc
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK13_FVAL                                                               0xd
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK14_FVAL                                                               0xe
#define HWIO_GCC_ECC_CORE_CBCR_SLEEP_CLOCK15_FVAL                                                               0xf
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ARES_BMSK                                                                    0x4
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ARES_SHFT                                                                    0x2
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ARES_NO_RESET_FVAL                                                           0x0
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ARES_RESET_FVAL                                                              0x1
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ENABLE_BMSK                                                                  0x1
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ENABLE_SHFT                                                                  0x0
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ENABLE_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_ECC_CORE_CBCR_CLK_ENABLE_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_ECC_CORE_SREGR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0004000c)
#define HWIO_GCC_ECC_CORE_SREGR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004000c)
#define HWIO_GCC_ECC_CORE_SREGR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004000c)
#define HWIO_GCC_ECC_CORE_SREGR_RMSK                                                                     0xfffffffe
#define HWIO_GCC_ECC_CORE_SREGR_ATTR                                                                            0x3
#define HWIO_GCC_ECC_CORE_SREGR_IN          \
        in_dword_masked(HWIO_GCC_ECC_CORE_SREGR_ADDR, HWIO_GCC_ECC_CORE_SREGR_RMSK)
#define HWIO_GCC_ECC_CORE_SREGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_CORE_SREGR_ADDR, m)
#define HWIO_GCC_ECC_CORE_SREGR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_CORE_SREGR_ADDR,v)
#define HWIO_GCC_ECC_CORE_SREGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_CORE_SREGR_ADDR,m,v,HWIO_GCC_ECC_CORE_SREGR_IN)
#define HWIO_GCC_ECC_CORE_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_BMSK                                           0xff000000
#define HWIO_GCC_ECC_CORE_SREGR_SREG_PSCBC_SPARE_CTRL_OUT_SHFT                                                 0x18
#define HWIO_GCC_ECC_CORE_SREGR_SREG_PSCBC_SPARE_CTRL_IN_BMSK                                              0xff0000
#define HWIO_GCC_ECC_CORE_SREGR_SREG_PSCBC_SPARE_CTRL_IN_SHFT                                                  0x10
#define HWIO_GCC_ECC_CORE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_BMSK                                                 0x8000
#define HWIO_GCC_ECC_CORE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_SHFT                                                    0xf
#define HWIO_GCC_ECC_CORE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_NO_IGNORE_FVAL                                          0x0
#define HWIO_GCC_ECC_CORE_SREGR_IGNORE_GDSC_PWR_DWN_CSR_IGNORE_FVAL                                             0x1
#define HWIO_GCC_ECC_CORE_SREGR_PSCBC_SLP_STG_MODE_CSR_BMSK                                                  0x4000
#define HWIO_GCC_ECC_CORE_SREGR_PSCBC_SLP_STG_MODE_CSR_SHFT                                                     0xe
#define HWIO_GCC_ECC_CORE_SREGR_PSCBC_SLP_STG_MODE_CSR_SREG_PSCBC_MODE_FVAL                                     0x0
#define HWIO_GCC_ECC_CORE_SREGR_PSCBC_SLP_STG_MODE_CSR_PSCBC_SLP_STG_MODE_FVAL                                  0x1
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_RST_SW_OVERRIDE_BMSK                                                 0x2000
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_RST_SW_OVERRIDE_SHFT                                                    0xd
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_RST_SW_OVERRIDE_NO_OVERRIDE_FVAL                                        0x0
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_RST_SW_OVERRIDE_OVERRIDE_FVAL                                           0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_BMSK                                             0x1000
#define HWIO_GCC_ECC_CORE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_SHFT                                                0xc
#define HWIO_GCC_ECC_CORE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_NO_RESET_FVAL                                       0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_SM_PSCBC_SEQ_IN_OVERRIDE_RESET_FVAL                                          0x1
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CORE_ON_ACK_BMSK                                                          0x800
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CORE_ON_ACK_SHFT                                                            0xb
#define HWIO_GCC_ECC_CORE_SREGR_MEM_PERIPH_ON_ACK_BMSK                                                        0x400
#define HWIO_GCC_ECC_CORE_SREGR_MEM_PERIPH_ON_ACK_SHFT                                                          0xa
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_BMSK                                                 0x300
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_SHFT                                                   0x8
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_1_FVAL                                          0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_2_FVAL                                          0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_4_FVAL                                          0x2
#define HWIO_GCC_ECC_CORE_SREGR_SW_DIV_RATIO_SLP_STG_CLK_DIV_BY_8_FVAL                                          0x3
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_ENABLE_BMSK                                                            0x80
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_ENABLE_SHFT                                                             0x7
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_ECC_CORE_SREGR_MEM_CPH_ENABLE_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_ECC_CORE_SREGR_FORCE_CLK_ON_BMSK                                                              0x40
#define HWIO_GCC_ECC_CORE_SREGR_FORCE_CLK_ON_SHFT                                                               0x6
#define HWIO_GCC_ECC_CORE_SREGR_FORCE_CLK_ON_NO_FORCE_FVAL                                                      0x0
#define HWIO_GCC_ECC_CORE_SREGR_FORCE_CLK_ON_FORCE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SEL_SLP_STG_BMSK                                                        0x20
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SEL_SLP_STG_SHFT                                                         0x5
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_HARDWARE_ARES_FVAL                                0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SEL_SLP_STG_SELECT_THE_SW_RST_SLP_STG_BIT_FVAL                           0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SLP_STG_BMSK                                                            0x10
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SLP_STG_SHFT                                                             0x4
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SLP_STG_DE_ASSERTION_OF_THE_RESET_FVAL                                   0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_RST_SLP_STG_ASSERTION_OF_THE_RESET_FVAL                                      0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_CTRL_PWR_DOWN_BMSK                                                           0x8
#define HWIO_GCC_ECC_CORE_SREGR_SW_CTRL_PWR_DOWN_SHFT                                                           0x3
#define HWIO_GCC_ECC_CORE_SREGR_SW_CTRL_PWR_DOWN_NO_SW_CTRL_FVAL                                                0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_CTRL_PWR_DOWN_SW_CTRL_FVAL                                                   0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SEL_SLP_STG_BMSK                                                      0x4
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SEL_SLP_STG_SHFT                                                      0x2
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_HW_FSM_FVAL                  0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SEL_SLP_STG_SLP_STG_CLK_GATE_CONTROLD_BY_SW_CLK_EN_SLP_STG_BIT_FVAL        0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SLP_STG_BMSK                                                          0x2
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SLP_STG_SHFT                                                          0x1
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_DISABLE_FVAL                                    0x0
#define HWIO_GCC_ECC_CORE_SREGR_SW_CLK_EN_SLP_STG_SLP_STG_CLOCK_ENABLE_FVAL                                     0x1

#define HWIO_GCC_RPMH_PKA_CMD_DFSR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00040024)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040024)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040024)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_RMSK                                                                      0xffff
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_ATTR                                                                         0x3
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_CMD_DFSR_ADDR, HWIO_GCC_RPMH_PKA_CMD_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_CMD_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_CMD_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_CMD_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_CMD_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_RCG_SW_CTRL_BMSK                                                          0x8000
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_RCG_SW_CTRL_SHFT                                                             0xf
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_SW_PERF_STATE_BMSK                                                        0x7800
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_SW_PERF_STATE_SHFT                                                           0xb
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_SW_OVERRIDE_BMSK                                                           0x400
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_SW_OVERRIDE_SHFT                                                             0xa
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_PERF_STATE_UPDATE_STATUS_BMSK                                              0x200
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_PERF_STATE_UPDATE_STATUS_SHFT                                                0x9
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_FSM_STATE_BMSK                                                         0x1c0
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_FSM_STATE_SHFT                                                           0x6
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_HW_CLK_CONTROL_BMSK                                                         0x20
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_HW_CLK_CONTROL_SHFT                                                          0x5
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_CURR_PERF_STATE_BMSK                                                        0x1e
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_CURR_PERF_STATE_SHFT                                                         0x1
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_EN_BMSK                                                                  0x1
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_EN_SHFT                                                                  0x0
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_RPMH_PKA_CMD_DFSR_DFS_EN_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0004002c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004002c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004002c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF0_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040030)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040030)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040030)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF1_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040034)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040034)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040034)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF2_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040038)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040038)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040038)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF3_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0004003c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004003c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004003c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF4_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040040)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040040)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040040)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF5_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040044)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040044)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040044)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF6_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040048)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040048)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040048)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF7_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0004004c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004004c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004004c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF8_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00040050)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040050)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040050)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_RMSK                                                                 0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_BMSK                                                         0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SHFT                                                           0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC0_FVAL                                                      0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC2_FVAL                                                      0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC3_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC4_FVAL                                                      0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC5_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC6_FVAL                                                      0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_SEL_SRC7_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_SHFT                                                           0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_BYPASS_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV1_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV1_5_FVAL                                                    0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV2_FVAL                                                      0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV2_5_FVAL                                                    0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV3_FVAL                                                      0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV3_5_FVAL                                                    0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV4_FVAL                                                      0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV4_5_FVAL                                                    0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV5_FVAL                                                      0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV5_5_FVAL                                                    0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV6_FVAL                                                      0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV6_5_FVAL                                                    0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV7_FVAL                                                      0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV7_5_FVAL                                                    0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV8_FVAL                                                      0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV8_5_FVAL                                                   0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV9_FVAL                                                     0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV9_5_FVAL                                                   0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV10_FVAL                                                    0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV10_5_FVAL                                                  0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV11_FVAL                                                    0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV11_5_FVAL                                                  0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV12_FVAL                                                    0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV12_5_FVAL                                                  0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV13_FVAL                                                    0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV13_5_FVAL                                                  0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV14_FVAL                                                    0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV14_5_FVAL                                                  0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV15_FVAL                                                    0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV15_5_FVAL                                                  0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF9_DFSR_SRC_DIV_DIV16_FVAL                                                    0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040054)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040054)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040054)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF10_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040058)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040058)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040058)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF11_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0004005c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004005c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004005c)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF12_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040060)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040060)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040060)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF13_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040064)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040064)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040064)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF14_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00040068)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040068)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040068)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_RMSK                                                                0x71f
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ADDR, HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_RMSK)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ADDR, m)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ADDR,v)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_ADDR,m,v,HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_IN)
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_BMSK                                                        0x700
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SHFT                                                          0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC0_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC2_FVAL                                                     0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC3_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC4_FVAL                                                     0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC5_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC6_FVAL                                                     0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_SEL_SRC7_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_SHFT                                                          0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_BYPASS_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV1_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV1_5_FVAL                                                   0x2
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV2_FVAL                                                     0x3
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV2_5_FVAL                                                   0x4
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV3_FVAL                                                     0x5
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV3_5_FVAL                                                   0x6
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV4_FVAL                                                     0x7
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV4_5_FVAL                                                   0x8
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV5_FVAL                                                     0x9
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV5_5_FVAL                                                   0xa
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV6_FVAL                                                     0xb
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV6_5_FVAL                                                   0xc
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV7_FVAL                                                     0xd
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV7_5_FVAL                                                   0xe
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV8_FVAL                                                     0xf
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV8_5_FVAL                                                  0x10
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV9_FVAL                                                    0x11
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV9_5_FVAL                                                  0x12
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV10_FVAL                                                   0x13
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV10_5_FVAL                                                 0x14
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV11_FVAL                                                   0x15
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV11_5_FVAL                                                 0x16
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV12_FVAL                                                   0x17
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV12_5_FVAL                                                 0x18
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV13_FVAL                                                   0x19
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV13_5_FVAL                                                 0x1a
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV14_FVAL                                                   0x1b
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV14_5_FVAL                                                 0x1c
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV15_FVAL                                                   0x1d
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV15_5_FVAL                                                 0x1e
#define HWIO_GCC_RPMH_PKA_ECC_PERF15_DFSR_SRC_DIV_DIV16_FVAL                                                   0x1f

#define HWIO_GCC_ECC_CMD_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00040010)
#define HWIO_GCC_ECC_CMD_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040010)
#define HWIO_GCC_ECC_CMD_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040010)
#define HWIO_GCC_ECC_CMD_RCGR_RMSK                                                                       0x80000013
#define HWIO_GCC_ECC_CMD_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_ECC_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ECC_CMD_RCGR_ADDR, HWIO_GCC_ECC_CMD_RCGR_RMSK)
#define HWIO_GCC_ECC_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_CMD_RCGR_ADDR, m)
#define HWIO_GCC_ECC_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_CMD_RCGR_ADDR,v)
#define HWIO_GCC_ECC_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_CMD_RCGR_ADDR,m,v,HWIO_GCC_ECC_CMD_RCGR_IN)
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_OFF_BMSK                                                              0x80000000
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_OFF_SHFT                                                                    0x1f
#define HWIO_GCC_ECC_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                              0x10
#define HWIO_GCC_ECC_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                               0x4
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_EN_BMSK                                                                      0x2
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_EN_SHFT                                                                      0x1
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                              0x0
#define HWIO_GCC_ECC_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                               0x1
#define HWIO_GCC_ECC_CMD_RCGR_UPDATE_BMSK                                                                       0x1
#define HWIO_GCC_ECC_CMD_RCGR_UPDATE_SHFT                                                                       0x0
#define HWIO_GCC_ECC_CMD_RCGR_UPDATE_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_ECC_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                0x1

#define HWIO_GCC_ECC_CFG_RCGR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00040014)
#define HWIO_GCC_ECC_CFG_RCGR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040014)
#define HWIO_GCC_ECC_CFG_RCGR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040014)
#define HWIO_GCC_ECC_CFG_RCGR_RMSK                                                                         0x11071f
#define HWIO_GCC_ECC_CFG_RCGR_ATTR                                                                              0x3
#define HWIO_GCC_ECC_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_ECC_CFG_RCGR_ADDR, HWIO_GCC_ECC_CFG_RCGR_RMSK)
#define HWIO_GCC_ECC_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_ECC_CFG_RCGR_ADDR, m)
#define HWIO_GCC_ECC_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_ECC_CFG_RCGR_ADDR,v)
#define HWIO_GCC_ECC_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ECC_CFG_RCGR_ADDR,m,v,HWIO_GCC_ECC_CFG_RCGR_IN)
#define HWIO_GCC_ECC_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                          0x100000
#define HWIO_GCC_ECC_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                              0x14
#define HWIO_GCC_ECC_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_ECC_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_ECC_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                          0x10000
#define HWIO_GCC_ECC_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                             0x10
#define HWIO_GCC_ECC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                              0x0
#define HWIO_GCC_ECC_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                             0x1
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_BMSK                                                                    0x700
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SHFT                                                                      0x8
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                 0x0
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                 0x1
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                 0x2
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                 0x3
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                 0x4
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                 0x5
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                 0x6
#define HWIO_GCC_ECC_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                 0x7
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_BMSK                                                                     0x1f
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_SHFT                                                                      0x0
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                               0x0
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                 0x1
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                               0x2
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                 0x3
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                               0x4
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                 0x5
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                               0x6
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                 0x7
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                               0x8
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                 0x9
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                               0xa
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                 0xb
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                               0xc
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                 0xd
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                               0xe
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                 0xf
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                              0x10
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                0x11
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                              0x12
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                               0x13
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                             0x14
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                               0x15
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                             0x16
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                               0x17
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                             0x18
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                               0x19
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                             0x1a
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                               0x1b
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                             0x1c
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                               0x1d
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                             0x1e
#define HWIO_GCC_ECC_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                               0x1f

#define HWIO_GCC_QM_BCR_ADDR                                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00042000)
#define HWIO_GCC_QM_BCR_PHYS                                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00042000)
#define HWIO_GCC_QM_BCR_OFFS                                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00042000)
#define HWIO_GCC_QM_BCR_RMSK                                                                                    0x1
#define HWIO_GCC_QM_BCR_ATTR                                                                                    0x3
#define HWIO_GCC_QM_BCR_IN          \
        in_dword_masked(HWIO_GCC_QM_BCR_ADDR, HWIO_GCC_QM_BCR_RMSK)
#define HWIO_GCC_QM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QM_BCR_ADDR, m)
#define HWIO_GCC_QM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_QM_BCR_ADDR,v)
#define HWIO_GCC_QM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QM_BCR_ADDR,m,v,HWIO_GCC_QM_BCR_IN)
#define HWIO_GCC_QM_BCR_BLK_ARES_BMSK                                                                           0x1
#define HWIO_GCC_QM_BCR_BLK_ARES_SHFT                                                                           0x0
#define HWIO_GCC_QM_BCR_BLK_ARES_DISABLE_FVAL                                                                   0x0
#define HWIO_GCC_QM_BCR_BLK_ARES_ENABLE_FVAL                                                                    0x1

#define HWIO_GCC_QM_CFG_AHB_CBCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00042004)
#define HWIO_GCC_QM_CFG_AHB_CBCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00042004)
#define HWIO_GCC_QM_CFG_AHB_CBCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00042004)
#define HWIO_GCC_QM_CFG_AHB_CBCR_RMSK                                                                    0x81d00005
#define HWIO_GCC_QM_CFG_AHB_CBCR_ATTR                                                                           0x3
#define HWIO_GCC_QM_CFG_AHB_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QM_CFG_AHB_CBCR_ADDR, HWIO_GCC_QM_CFG_AHB_CBCR_RMSK)
#define HWIO_GCC_QM_CFG_AHB_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QM_CFG_AHB_CBCR_ADDR, m)
#define HWIO_GCC_QM_CFG_AHB_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QM_CFG_AHB_CBCR_ADDR,v)
#define HWIO_GCC_QM_CFG_AHB_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QM_CFG_AHB_CBCR_ADDR,m,v,HWIO_GCC_QM_CFG_AHB_CBCR_IN)
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_OFF_BMSK                                                            0x80000000
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_OFF_SHFT                                                                  0x1f
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_ALL_ARES_BMSK                                                     0x1000000
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_ALL_ARES_SHFT                                                          0x18
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                   0x800000
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                       0x17
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_DIS_BMSK                                                              0x400000
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_DIS_SHFT                                                                  0x16
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                                  0x100000
#define HWIO_GCC_QM_CFG_AHB_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                                      0x14
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ARES_BMSK                                                                  0x4
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ARES_SHFT                                                                  0x2
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ARES_NO_RESET_FVAL                                                         0x0
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ARES_RESET_FVAL                                                            0x1
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ENABLE_SHFT                                                                0x0
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ENABLE_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_QM_CFG_AHB_CBCR_CLK_ENABLE_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_QM_CORE_CBCR_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00042008)
#define HWIO_GCC_QM_CORE_CBCR_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00042008)
#define HWIO_GCC_QM_CORE_CBCR_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00042008)
#define HWIO_GCC_QM_CORE_CBCR_RMSK                                                                       0x81c00005
#define HWIO_GCC_QM_CORE_CBCR_ATTR                                                                              0x3
#define HWIO_GCC_QM_CORE_CBCR_IN          \
        in_dword_masked(HWIO_GCC_QM_CORE_CBCR_ADDR, HWIO_GCC_QM_CORE_CBCR_RMSK)
#define HWIO_GCC_QM_CORE_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_QM_CORE_CBCR_ADDR, m)
#define HWIO_GCC_QM_CORE_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_QM_CORE_CBCR_ADDR,v)
#define HWIO_GCC_QM_CORE_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QM_CORE_CBCR_ADDR,m,v,HWIO_GCC_QM_CORE_CBCR_IN)
#define HWIO_GCC_QM_CORE_CBCR_CLK_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_QM_CORE_CBCR_CLK_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_QM_CORE_CBCR_IGNORE_ALL_ARES_BMSK                                                        0x1000000
#define HWIO_GCC_QM_CORE_CBCR_IGNORE_ALL_ARES_SHFT                                                             0x18
#define HWIO_GCC_QM_CORE_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                      0x800000
#define HWIO_GCC_QM_CORE_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                          0x17
#define HWIO_GCC_QM_CORE_CBCR_CLK_DIS_BMSK                                                                 0x400000
#define HWIO_GCC_QM_CORE_CBCR_CLK_DIS_SHFT                                                                     0x16
#define HWIO_GCC_QM_CORE_CBCR_CLK_ARES_BMSK                                                                     0x4
#define HWIO_GCC_QM_CORE_CBCR_CLK_ARES_SHFT                                                                     0x2
#define HWIO_GCC_QM_CORE_CBCR_CLK_ARES_NO_RESET_FVAL                                                            0x0
#define HWIO_GCC_QM_CORE_CBCR_CLK_ARES_RESET_FVAL                                                               0x1
#define HWIO_GCC_QM_CORE_CBCR_CLK_ENABLE_BMSK                                                                   0x1
#define HWIO_GCC_QM_CORE_CBCR_CLK_ENABLE_SHFT                                                                   0x0
#define HWIO_GCC_QM_CORE_CBCR_CLK_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_QM_CORE_CBCR_CLK_ENABLE_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_QM_CMD_RCGR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0004200c)
#define HWIO_GCC_QM_CMD_RCGR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004200c)
#define HWIO_GCC_QM_CMD_RCGR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004200c)
#define HWIO_GCC_QM_CMD_RCGR_RMSK                                                                        0x80000013
#define HWIO_GCC_QM_CMD_RCGR_ATTR                                                                               0x3
#define HWIO_GCC_QM_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QM_CMD_RCGR_ADDR, HWIO_GCC_QM_CMD_RCGR_RMSK)
#define HWIO_GCC_QM_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QM_CMD_RCGR_ADDR, m)
#define HWIO_GCC_QM_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QM_CMD_RCGR_ADDR,v)
#define HWIO_GCC_QM_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QM_CMD_RCGR_ADDR,m,v,HWIO_GCC_QM_CMD_RCGR_IN)
#define HWIO_GCC_QM_CMD_RCGR_ROOT_OFF_BMSK                                                               0x80000000
#define HWIO_GCC_QM_CMD_RCGR_ROOT_OFF_SHFT                                                                     0x1f
#define HWIO_GCC_QM_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                               0x10
#define HWIO_GCC_QM_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                                0x4
#define HWIO_GCC_QM_CMD_RCGR_ROOT_EN_BMSK                                                                       0x2
#define HWIO_GCC_QM_CMD_RCGR_ROOT_EN_SHFT                                                                       0x1
#define HWIO_GCC_QM_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                               0x0
#define HWIO_GCC_QM_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                                0x1
#define HWIO_GCC_QM_CMD_RCGR_UPDATE_BMSK                                                                        0x1
#define HWIO_GCC_QM_CMD_RCGR_UPDATE_SHFT                                                                        0x0
#define HWIO_GCC_QM_CMD_RCGR_UPDATE_DISABLE_FVAL                                                                0x0
#define HWIO_GCC_QM_CMD_RCGR_UPDATE_ENABLE_FVAL                                                                 0x1

#define HWIO_GCC_QM_CFG_RCGR_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00042010)
#define HWIO_GCC_QM_CFG_RCGR_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00042010)
#define HWIO_GCC_QM_CFG_RCGR_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00042010)
#define HWIO_GCC_QM_CFG_RCGR_RMSK                                                                          0x11071f
#define HWIO_GCC_QM_CFG_RCGR_ATTR                                                                               0x3
#define HWIO_GCC_QM_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_QM_CFG_RCGR_ADDR, HWIO_GCC_QM_CFG_RCGR_RMSK)
#define HWIO_GCC_QM_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_QM_CFG_RCGR_ADDR, m)
#define HWIO_GCC_QM_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_QM_CFG_RCGR_ADDR,v)
#define HWIO_GCC_QM_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_QM_CFG_RCGR_ADDR,m,v,HWIO_GCC_QM_CFG_RCGR_IN)
#define HWIO_GCC_QM_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                           0x100000
#define HWIO_GCC_QM_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                               0x14
#define HWIO_GCC_QM_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_QM_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_QM_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                           0x10000
#define HWIO_GCC_QM_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                              0x10
#define HWIO_GCC_QM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                               0x0
#define HWIO_GCC_QM_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                              0x1
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_BMSK                                                                     0x700
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SHFT                                                                       0x8
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                                  0x0
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                                  0x1
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                                  0x2
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                                  0x3
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                                  0x4
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                                  0x5
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                                  0x6
#define HWIO_GCC_QM_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                                  0x7
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_BMSK                                                                      0x1f
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_SHFT                                                                       0x0
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                                0x0
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                                  0x1
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                                0x2
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                                  0x3
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                                0x4
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                                  0x5
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                                0x6
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                                  0x7
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                                0x8
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                                  0x9
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                                0xa
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                                  0xb
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                                0xc
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                                  0xd
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                                0xe
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                                  0xf
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                               0x10
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                                 0x11
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                               0x12
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                                0x13
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                              0x14
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                                0x15
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                              0x16
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                                0x17
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                              0x18
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                                0x19
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                              0x1a
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                                0x1b
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                              0x1c
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                                0x1d
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                              0x1e
#define HWIO_GCC_QM_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                                0x1f

#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00043000)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00043000)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00043000)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_RMSK                                                                     0x1
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ATTR                                                                     0x3
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ADDR, HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_RMSK)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ADDR, m)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ADDR,v)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_ADDR,m,v,HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_IN)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_BLK_ARES_BMSK                                                            0x1
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_BLK_ARES_SHFT                                                            0x0
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_BLK_ARES_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_BCR_BLK_ARES_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00043004)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00043004)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00043004)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_RMSK                                                         0x81d00005
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ATTR                                                                0x3
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ADDR, HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_RMSK)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ADDR, m)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ADDR,v)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_ADDR,m,v,HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IN)
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_OFF_BMSK                                                 0x80000000
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_OFF_SHFT                                                       0x1f
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_ALL_ARES_BMSK                                          0x1000000
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_ALL_ARES_SHFT                                               0x18
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                        0x800000
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                            0x17
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_DIS_BMSK                                                   0x400000
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_DIS_SHFT                                                       0x16
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_BMSK                                       0x100000
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_IGNORE_RPMH_CLK_DIS_SHFT                                           0x14
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ARES_BMSK                                                       0x4
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ARES_SHFT                                                       0x2
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ARES_NO_RESET_FVAL                                              0x0
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ARES_RESET_FVAL                                                 0x1
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ENABLE_BMSK                                                     0x1
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ENABLE_SHFT                                                     0x0
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ENABLE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_MSS_CE_NAV_BRIDGE_AXI_CBCR_CLK_ENABLE_ENABLE_FVAL                                              0x1

#define HWIO_GCC_SPMI_VGIS_BCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00044000)
#define HWIO_GCC_SPMI_VGIS_BCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00044000)
#define HWIO_GCC_SPMI_VGIS_BCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00044000)
#define HWIO_GCC_SPMI_VGIS_BCR_RMSK                                                                             0x1
#define HWIO_GCC_SPMI_VGIS_BCR_ATTR                                                                             0x3
#define HWIO_GCC_SPMI_VGIS_BCR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_BCR_ADDR, HWIO_GCC_SPMI_VGIS_BCR_RMSK)
#define HWIO_GCC_SPMI_VGIS_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_BCR_ADDR, m)
#define HWIO_GCC_SPMI_VGIS_BCR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_VGIS_BCR_ADDR,v)
#define HWIO_GCC_SPMI_VGIS_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_VGIS_BCR_ADDR,m,v,HWIO_GCC_SPMI_VGIS_BCR_IN)
#define HWIO_GCC_SPMI_VGIS_BCR_BLK_ARES_BMSK                                                                    0x1
#define HWIO_GCC_SPMI_VGIS_BCR_BLK_ARES_SHFT                                                                    0x0
#define HWIO_GCC_SPMI_VGIS_BCR_BLK_ARES_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_SPMI_VGIS_BCR_BLK_ARES_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_SPMI_VGIS_CBCR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00044004)
#define HWIO_GCC_SPMI_VGIS_CBCR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00044004)
#define HWIO_GCC_SPMI_VGIS_CBCR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00044004)
#define HWIO_GCC_SPMI_VGIS_CBCR_RMSK                                                                     0x81c0000f
#define HWIO_GCC_SPMI_VGIS_CBCR_ATTR                                                                            0x3
#define HWIO_GCC_SPMI_VGIS_CBCR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CBCR_ADDR, HWIO_GCC_SPMI_VGIS_CBCR_RMSK)
#define HWIO_GCC_SPMI_VGIS_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CBCR_ADDR, m)
#define HWIO_GCC_SPMI_VGIS_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_VGIS_CBCR_ADDR,v)
#define HWIO_GCC_SPMI_VGIS_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_VGIS_CBCR_ADDR,m,v,HWIO_GCC_SPMI_VGIS_CBCR_IN)
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_OFF_BMSK                                                             0x80000000
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_OFF_SHFT                                                                   0x1f
#define HWIO_GCC_SPMI_VGIS_CBCR_IGNORE_ALL_ARES_BMSK                                                      0x1000000
#define HWIO_GCC_SPMI_VGIS_CBCR_IGNORE_ALL_ARES_SHFT                                                           0x18
#define HWIO_GCC_SPMI_VGIS_CBCR_IGNORE_ALL_CLK_DIS_BMSK                                                    0x800000
#define HWIO_GCC_SPMI_VGIS_CBCR_IGNORE_ALL_CLK_DIS_SHFT                                                        0x17
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_DIS_BMSK                                                               0x400000
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_DIS_SHFT                                                                   0x16
#define HWIO_GCC_SPMI_VGIS_CBCR_SW_ONLY_EN_BMSK                                                                 0x8
#define HWIO_GCC_SPMI_VGIS_CBCR_SW_ONLY_EN_SHFT                                                                 0x3
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ARES_BMSK                                                                   0x4
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ARES_SHFT                                                                   0x2
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ARES_NO_RESET_FVAL                                                          0x0
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ARES_RESET_FVAL                                                             0x1
#define HWIO_GCC_SPMI_VGIS_CBCR_HW_CTL_BMSK                                                                     0x2
#define HWIO_GCC_SPMI_VGIS_CBCR_HW_CTL_SHFT                                                                     0x1
#define HWIO_GCC_SPMI_VGIS_CBCR_HW_CTL_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_SPMI_VGIS_CBCR_HW_CTL_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ENABLE_BMSK                                                                 0x1
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ENABLE_SHFT                                                                 0x0
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ENABLE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPMI_VGIS_CBCR_CLK_ENABLE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00044008)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00044008)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00044008)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_RMSK                                                                 0x80000013
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CMD_RCGR_ADDR, HWIO_GCC_SPMI_VGIS_CMD_RCGR_RMSK)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CMD_RCGR_ADDR, m)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_VGIS_CMD_RCGR_ADDR,v)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_VGIS_CMD_RCGR_ADDR,m,v,HWIO_GCC_SPMI_VGIS_CMD_RCGR_IN)
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_OFF_SHFT                                                              0x1f
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_DIRTY_CFG_RCGR_BMSK                                                        0x10
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_DIRTY_CFG_RCGR_SHFT                                                         0x4
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_EN_BMSK                                                                0x2
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_EN_SHFT                                                                0x1
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_EN_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_ROOT_EN_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_UPDATE_BMSK                                                                 0x1
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_UPDATE_SHFT                                                                 0x0
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_UPDATE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPMI_VGIS_CMD_RCGR_UPDATE_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0004400c)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0004400c)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0004400c)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_RMSK                                                                   0x11071f
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_ATTR                                                                        0x3
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_IN          \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CFG_RCGR_ADDR, HWIO_GCC_SPMI_VGIS_CFG_RCGR_RMSK)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_INM(m)      \
        in_dword_masked(HWIO_GCC_SPMI_VGIS_CFG_RCGR_ADDR, m)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_OUT(v)      \
        out_dword(HWIO_GCC_SPMI_VGIS_CFG_RCGR_ADDR,v)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPMI_VGIS_CFG_RCGR_ADDR,m,v,HWIO_GCC_SPMI_VGIS_CFG_RCGR_IN)
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_HW_CLK_CONTROL_BMSK                                                    0x100000
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_HW_CLK_CONTROL_SHFT                                                        0x14
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_HW_CLK_CONTROL_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_HW_CLK_CONTROL_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_RCGLITE_DISABLE_BMSK                                                    0x10000
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_RCGLITE_DISABLE_SHFT                                                       0x10
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_ENABLED_FVAL                                        0x0
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_RCGLITE_DISABLE_RCGLITE_DISABLED_FVAL                                       0x1
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_BMSK                                                              0x700
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SHFT                                                                0x8
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC0_FVAL                                                           0x0
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC1_FVAL                                                           0x1
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC2_FVAL                                                           0x2
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC3_FVAL                                                           0x3
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC4_FVAL                                                           0x4
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC5_FVAL                                                           0x5
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC6_FVAL                                                           0x6
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_SEL_SRC7_FVAL                                                           0x7
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_BMSK                                                               0x1f
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_SHFT                                                                0x0
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_BYPASS_FVAL                                                         0x0
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV1_FVAL                                                           0x1
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV1_5_FVAL                                                         0x2
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV2_FVAL                                                           0x3
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV2_5_FVAL                                                         0x4
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV3_FVAL                                                           0x5
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV3_5_FVAL                                                         0x6
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV4_FVAL                                                           0x7
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV4_5_FVAL                                                         0x8
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV5_FVAL                                                           0x9
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV5_5_FVAL                                                         0xa
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV6_FVAL                                                           0xb
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV6_5_FVAL                                                         0xc
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV7_FVAL                                                           0xd
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV7_5_FVAL                                                         0xe
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV8_FVAL                                                           0xf
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV8_5_FVAL                                                        0x10
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV9_FVAL                                                          0x11
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV9_5_FVAL                                                        0x12
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV10_FVAL                                                         0x13
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV10_5_FVAL                                                       0x14
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV11_FVAL                                                         0x15
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV11_5_FVAL                                                       0x16
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV12_FVAL                                                         0x17
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV12_5_FVAL                                                       0x18
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV13_FVAL                                                         0x19
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV13_5_FVAL                                                       0x1a
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV14_FVAL                                                         0x1b
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV14_5_FVAL                                                       0x1c
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV15_FVAL                                                         0x1d
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV15_5_FVAL                                                       0x1e
#define HWIO_GCC_SPMI_VGIS_CFG_RCGR_SRC_DIV_DIV16_FVAL                                                         0x1f

#define HWIO_GCC_MISC_BCR_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00045000)
#define HWIO_GCC_MISC_BCR_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00045000)
#define HWIO_GCC_MISC_BCR_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00045000)
#define HWIO_GCC_MISC_BCR_RMSK                                                                                  0x1
#define HWIO_GCC_MISC_BCR_ATTR                                                                                  0x3
#define HWIO_GCC_MISC_BCR_IN          \
        in_dword_masked(HWIO_GCC_MISC_BCR_ADDR, HWIO_GCC_MISC_BCR_RMSK)
#define HWIO_GCC_MISC_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MISC_BCR_ADDR, m)
#define HWIO_GCC_MISC_BCR_OUT(v)      \
        out_dword(HWIO_GCC_MISC_BCR_ADDR,v)
#define HWIO_GCC_MISC_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MISC_BCR_ADDR,m,v,HWIO_GCC_MISC_BCR_IN)
#define HWIO_GCC_MISC_BCR_BLK_ARES_BMSK                                                                         0x1
#define HWIO_GCC_MISC_BCR_BLK_ARES_SHFT                                                                         0x0
#define HWIO_GCC_MISC_BCR_BLK_ARES_DISABLE_FVAL                                                                 0x0
#define HWIO_GCC_MISC_BCR_BLK_ARES_ENABLE_FVAL                                                                  0x1

#define HWIO_GCC_PCIE_LINK_DOWN_BCR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00067000)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00067000)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00067000)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_RMSK                                                                        0x1
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_ATTR                                                                        0x3
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_LINK_DOWN_BCR_ADDR, HWIO_GCC_PCIE_LINK_DOWN_BCR_RMSK)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_LINK_DOWN_BCR_ADDR, m)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_LINK_DOWN_BCR_ADDR,v)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_LINK_DOWN_BCR_ADDR,m,v,HWIO_GCC_PCIE_LINK_DOWN_BCR_IN)
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_BLK_ARES_BMSK                                                               0x1
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_BLK_ARES_SHFT                                                               0x0
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_BLK_ARES_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_PCIE_LINK_DOWN_BCR_BLK_ARES_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00068000)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00068000)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00068000)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_RMSK                                                                      0x1
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ATTR                                                                      0x3
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ADDR, HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_RMSK)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ADDR, m)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ADDR,v)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_ADDR,m,v,HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_IN)
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_BLK_ARES_BMSK                                                             0x1
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_BLK_ARES_SHFT                                                             0x0
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_BLK_ARES_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PCIE_PHY_CFG_AHB_BCR_BLK_ARES_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_PCIE_PHY_COM_BCR_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00068004)
#define HWIO_GCC_PCIE_PHY_COM_BCR_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00068004)
#define HWIO_GCC_PCIE_PHY_COM_BCR_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00068004)
#define HWIO_GCC_PCIE_PHY_COM_BCR_RMSK                                                                          0x1
#define HWIO_GCC_PCIE_PHY_COM_BCR_ATTR                                                                          0x3
#define HWIO_GCC_PCIE_PHY_COM_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PHY_COM_BCR_ADDR, HWIO_GCC_PCIE_PHY_COM_BCR_RMSK)
#define HWIO_GCC_PCIE_PHY_COM_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PHY_COM_BCR_ADDR, m)
#define HWIO_GCC_PCIE_PHY_COM_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PHY_COM_BCR_ADDR,v)
#define HWIO_GCC_PCIE_PHY_COM_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PHY_COM_BCR_ADDR,m,v,HWIO_GCC_PCIE_PHY_COM_BCR_IN)
#define HWIO_GCC_PCIE_PHY_COM_BCR_BLK_ARES_BMSK                                                                 0x1
#define HWIO_GCC_PCIE_PHY_COM_BCR_BLK_ARES_SHFT                                                                 0x0
#define HWIO_GCC_PCIE_PHY_COM_BCR_BLK_ARES_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_PCIE_PHY_COM_BCR_BLK_ARES_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00068008)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00068008)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00068008)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_RMSK                                                                    0x1
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ATTR                                                                    0x3
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ADDR, HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_RMSK)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ADDR, m)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ADDR,v)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_ADDR,m,v,HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_IN)
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_BLK_ARES_BMSK                                                           0x1
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_BLK_ARES_SHFT                                                           0x0
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_BLK_ARES_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_PCIE_NOCSR_COM_PHY_BCR_BLK_ARES_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0006800c)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006800c)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006800c)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_RMSK                                                                0x1
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ATTR                                                                0x3
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ADDR, HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_RMSK)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ADDR, m)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ADDR,v)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_ADDR,m,v,HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_IN)
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_BLK_ARES_BMSK                                                       0x1
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_BLK_ARES_SHFT                                                       0x0
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_BLK_ARES_DISABLE_FVAL                                               0x0
#define HWIO_GCC_PCIE_PHY_NOCSR_COM_PHY_BCR_BLK_ARES_ENABLE_FVAL                                                0x1

#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00090004)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00090004)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00090004)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00090008)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00090008)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00090008)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL4_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008d008)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008d008)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008d008)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL1_OUT_EVEN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008d004)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008d004)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008d004)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL1_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00091004)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00091004)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00091004)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00091008)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00091008)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00091008)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL5_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c004)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c004)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c004)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c008)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c008)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c008)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c00c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c00c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c00c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c010)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c010)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c010)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c014)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c014)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c014)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c018)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c018)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c018)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c01c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c01c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c01c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c020)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c020)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c020)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ADDR                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c024)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_PHYS                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c024)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_OFFS                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c024)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_RMSK                                           0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ATTR                                                  0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                    0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                          0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                       0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                       0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                               0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                                0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c028)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c028)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c028)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_RMSK                                          0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ATTR                                                 0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                   0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                         0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                      0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                      0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                              0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                               0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c02c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c02c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c02c)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_RMSK                                          0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ATTR                                                 0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                   0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                         0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                      0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                      0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                              0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                               0x1

#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c030)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c030)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c030)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_RMSK                                          0x80000001
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ATTR                                                 0x3
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                   0x80000000
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                         0x1f
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                      0x1
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                      0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                              0x0
#define HWIO_GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                               0x1

#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ADDR                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008c03c)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_PHYS                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008c03c)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_OFFS                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008c03c)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_RMSK                                          0x80000001
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ATTR                                                 0x3
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ADDR, HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_RMSK)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ADDR, m)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ADDR,v)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_ADDR,m,v,HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_IN)
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ON_BMSK                                   0x80000000
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ON_SHFT                                         0x1f
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ENABLE_BMSK                                      0x1
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ENABLE_SHFT                                      0x0
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ENABLE_DISABLE_FVAL                              0x0
#define HWIO_GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR_CLK_ENABLE_ENABLE_FVAL                               0x1

#define HWIO_GCC_NAV_MBIST_ACGCR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003d008)
#define HWIO_GCC_NAV_MBIST_ACGCR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003d008)
#define HWIO_GCC_NAV_MBIST_ACGCR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003d008)
#define HWIO_GCC_NAV_MBIST_ACGCR_RMSK                                                                    0x80000001
#define HWIO_GCC_NAV_MBIST_ACGCR_ATTR                                                                           0x3
#define HWIO_GCC_NAV_MBIST_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_NAV_MBIST_ACGCR_ADDR, HWIO_GCC_NAV_MBIST_ACGCR_RMSK)
#define HWIO_GCC_NAV_MBIST_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_NAV_MBIST_ACGCR_ADDR, m)
#define HWIO_GCC_NAV_MBIST_ACGCR_OUT(v)      \
        out_dword(HWIO_GCC_NAV_MBIST_ACGCR_ADDR,v)
#define HWIO_GCC_NAV_MBIST_ACGCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NAV_MBIST_ACGCR_ADDR,m,v,HWIO_GCC_NAV_MBIST_ACGCR_IN)
#define HWIO_GCC_NAV_MBIST_ACGCR_CLK_ON_BMSK                                                             0x80000000
#define HWIO_GCC_NAV_MBIST_ACGCR_CLK_ON_SHFT                                                                   0x1f
#define HWIO_GCC_NAV_MBIST_ACGCR_CLK_ENABLE_BMSK                                                                0x1
#define HWIO_GCC_NAV_MBIST_ACGCR_CLK_ENABLE_SHFT                                                                0x0

#define HWIO_GCC_USB3_PHY_PIPE_MUXR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0000706c)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0000706c)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0000706c)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_RMSK                                                                        0x3
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_ATTR                                                                        0x3
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_IN          \
        in_dword_masked(HWIO_GCC_USB3_PHY_PIPE_MUXR_ADDR, HWIO_GCC_USB3_PHY_PIPE_MUXR_RMSK)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PHY_PIPE_MUXR_ADDR, m)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PHY_PIPE_MUXR_ADDR,v)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PHY_PIPE_MUXR_ADDR,m,v,HWIO_GCC_USB3_PHY_PIPE_MUXR_IN)
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_MUX_SEL_BMSK                                                                0x3
#define HWIO_GCC_USB3_PHY_PIPE_MUXR_MUX_SEL_SHFT                                                                0x0

#define HWIO_GCC_JBIST_REF_CLK_MUXR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0001e034)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001e034)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001e034)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_RMSK                                                                        0x3
#define HWIO_GCC_JBIST_REF_CLK_MUXR_ATTR                                                                        0x3
#define HWIO_GCC_JBIST_REF_CLK_MUXR_IN          \
        in_dword_masked(HWIO_GCC_JBIST_REF_CLK_MUXR_ADDR, HWIO_GCC_JBIST_REF_CLK_MUXR_RMSK)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_REF_CLK_MUXR_ADDR, m)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_REF_CLK_MUXR_ADDR,v)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_REF_CLK_MUXR_ADDR,m,v,HWIO_GCC_JBIST_REF_CLK_MUXR_IN)
#define HWIO_GCC_JBIST_REF_CLK_MUXR_MUX_SEL_BMSK                                                                0x3
#define HWIO_GCC_JBIST_REF_CLK_MUXR_MUX_SEL_SHFT                                                                0x0

#define HWIO_GCC_PCIE_PIPE_MUXR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00033044)
#define HWIO_GCC_PCIE_PIPE_MUXR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033044)
#define HWIO_GCC_PCIE_PIPE_MUXR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033044)
#define HWIO_GCC_PCIE_PIPE_MUXR_RMSK                                                                            0x3
#define HWIO_GCC_PCIE_PIPE_MUXR_ATTR                                                                            0x3
#define HWIO_GCC_PCIE_PIPE_MUXR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_MUXR_ADDR, HWIO_GCC_PCIE_PIPE_MUXR_RMSK)
#define HWIO_GCC_PCIE_PIPE_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PIPE_MUXR_ADDR, m)
#define HWIO_GCC_PCIE_PIPE_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PIPE_MUXR_ADDR,v)
#define HWIO_GCC_PCIE_PIPE_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PIPE_MUXR_ADDR,m,v,HWIO_GCC_PCIE_PIPE_MUXR_IN)
#define HWIO_GCC_PCIE_PIPE_MUXR_MUX_SEL_BMSK                                                                    0x3
#define HWIO_GCC_PCIE_PIPE_MUXR_MUX_SEL_SHFT                                                                    0x0

#define HWIO_GCC_PCIE_AUX_MUXR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00033060)
#define HWIO_GCC_PCIE_AUX_MUXR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00033060)
#define HWIO_GCC_PCIE_AUX_MUXR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00033060)
#define HWIO_GCC_PCIE_AUX_MUXR_RMSK                                                                             0x3
#define HWIO_GCC_PCIE_AUX_MUXR_ATTR                                                                             0x3
#define HWIO_GCC_PCIE_AUX_MUXR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_AUX_MUXR_ADDR, HWIO_GCC_PCIE_AUX_MUXR_RMSK)
#define HWIO_GCC_PCIE_AUX_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_AUX_MUXR_ADDR, m)
#define HWIO_GCC_PCIE_AUX_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_AUX_MUXR_ADDR,v)
#define HWIO_GCC_PCIE_AUX_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_AUX_MUXR_ADDR,m,v,HWIO_GCC_PCIE_AUX_MUXR_IN)
#define HWIO_GCC_PCIE_AUX_MUXR_MUX_SEL_BMSK                                                                     0x3
#define HWIO_GCC_PCIE_AUX_MUXR_MUX_SEL_SHFT                                                                     0x0

#define HWIO_GCC_PCIE_MBIST_MUXR_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0003307c)
#define HWIO_GCC_PCIE_MBIST_MUXR_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003307c)
#define HWIO_GCC_PCIE_MBIST_MUXR_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003307c)
#define HWIO_GCC_PCIE_MBIST_MUXR_RMSK                                                                           0x3
#define HWIO_GCC_PCIE_MBIST_MUXR_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_MBIST_MUXR_IN          \
        in_dword_masked(HWIO_GCC_PCIE_MBIST_MUXR_ADDR, HWIO_GCC_PCIE_MBIST_MUXR_RMSK)
#define HWIO_GCC_PCIE_MBIST_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_MBIST_MUXR_ADDR, m)
#define HWIO_GCC_PCIE_MBIST_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_MBIST_MUXR_ADDR,v)
#define HWIO_GCC_PCIE_MBIST_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_MBIST_MUXR_ADDR,m,v,HWIO_GCC_PCIE_MBIST_MUXR_IN)
#define HWIO_GCC_PCIE_MBIST_MUXR_MUX_SEL_BMSK                                                                   0x3
#define HWIO_GCC_PCIE_MBIST_MUXR_MUX_SEL_SHFT                                                                   0x0

#define HWIO_GCC_NAV_MBIST_MUXR_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0003d00c)
#define HWIO_GCC_NAV_MBIST_MUXR_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0003d00c)
#define HWIO_GCC_NAV_MBIST_MUXR_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0003d00c)
#define HWIO_GCC_NAV_MBIST_MUXR_RMSK                                                                            0x1
#define HWIO_GCC_NAV_MBIST_MUXR_ATTR                                                                            0x3
#define HWIO_GCC_NAV_MBIST_MUXR_IN          \
        in_dword_masked(HWIO_GCC_NAV_MBIST_MUXR_ADDR, HWIO_GCC_NAV_MBIST_MUXR_RMSK)
#define HWIO_GCC_NAV_MBIST_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_NAV_MBIST_MUXR_ADDR, m)
#define HWIO_GCC_NAV_MBIST_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_NAV_MBIST_MUXR_ADDR,v)
#define HWIO_GCC_NAV_MBIST_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_NAV_MBIST_MUXR_ADDR,m,v,HWIO_GCC_NAV_MBIST_MUXR_IN)
#define HWIO_GCC_NAV_MBIST_MUXR_MUX_SEL_BMSK                                                                    0x1
#define HWIO_GCC_NAV_MBIST_MUXR_MUX_SEL_SHFT                                                                    0x0

#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00030144)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00030144)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00030144)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_RMSK                                                                  0x1
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ATTR                                                                  0x3
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ADDR, HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_RMSK)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ADDR, m)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ADDR,v)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_ADDR,m,v,HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_IN)
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_MUX_SEL_BMSK                                                          0x1
#define HWIO_GCC_MSS_Q6SS_BOOT_GPLL0_MUXR_MUX_SEL_SHFT                                                          0x0

#define HWIO_GCC_AUDIO_PLL_REF_MUXR_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00055000)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00055000)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00055000)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_RMSK                                                                        0x3
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_ATTR                                                                        0x3
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_IN          \
        in_dword_masked(HWIO_GCC_AUDIO_PLL_REF_MUXR_ADDR, HWIO_GCC_AUDIO_PLL_REF_MUXR_RMSK)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_INM(m)      \
        in_dword_masked(HWIO_GCC_AUDIO_PLL_REF_MUXR_ADDR, m)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_OUT(v)      \
        out_dword(HWIO_GCC_AUDIO_PLL_REF_MUXR_ADDR,v)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_AUDIO_PLL_REF_MUXR_ADDR,m,v,HWIO_GCC_AUDIO_PLL_REF_MUXR_IN)
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_MUX_SEL_BMSK                                                                0x3
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_MUX_SEL_SHFT                                                                0x0
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_MUX_SEL_TCXO_FVAL                                                           0x0
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_MUX_SEL_AUD_REF_CLK_FVAL                                                    0x1
#define HWIO_GCC_AUDIO_PLL_REF_MUXR_MUX_SEL_PTP_PPS_CLK_FVAL                                                    0x2

#define HWIO_GCC_IPA_AHB_MISC_CBCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00056000)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00056000)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00056000)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_RMSK                                                                         0x2
#define HWIO_GCC_IPA_AHB_MISC_CBCR_ATTR                                                                         0x3
#define HWIO_GCC_IPA_AHB_MISC_CBCR_IN          \
        in_dword_masked(HWIO_GCC_IPA_AHB_MISC_CBCR_ADDR, HWIO_GCC_IPA_AHB_MISC_CBCR_RMSK)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_AHB_MISC_CBCR_ADDR, m)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_OUT(v)      \
        out_dword(HWIO_GCC_IPA_AHB_MISC_CBCR_ADDR,v)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_AHB_MISC_CBCR_ADDR,m,v,HWIO_GCC_IPA_AHB_MISC_CBCR_IN)
#define HWIO_GCC_IPA_AHB_MISC_CBCR_HW_CTL_BMSK                                                                  0x2
#define HWIO_GCC_IPA_AHB_MISC_CBCR_HW_CTL_SHFT                                                                  0x1
#define HWIO_GCC_IPA_AHB_MISC_CBCR_HW_CTL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_IPA_AHB_MISC_CBCR_HW_CTL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_TCSR_PCIE_BCR_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00047000)
#define HWIO_GCC_TCSR_PCIE_BCR_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00047000)
#define HWIO_GCC_TCSR_PCIE_BCR_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00047000)
#define HWIO_GCC_TCSR_PCIE_BCR_RMSK                                                                             0x1
#define HWIO_GCC_TCSR_PCIE_BCR_ATTR                                                                             0x3
#define HWIO_GCC_TCSR_PCIE_BCR_IN          \
        in_dword_masked(HWIO_GCC_TCSR_PCIE_BCR_ADDR, HWIO_GCC_TCSR_PCIE_BCR_RMSK)
#define HWIO_GCC_TCSR_PCIE_BCR_INM(m)      \
        in_dword_masked(HWIO_GCC_TCSR_PCIE_BCR_ADDR, m)
#define HWIO_GCC_TCSR_PCIE_BCR_OUT(v)      \
        out_dword(HWIO_GCC_TCSR_PCIE_BCR_ADDR,v)
#define HWIO_GCC_TCSR_PCIE_BCR_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TCSR_PCIE_BCR_ADDR,m,v,HWIO_GCC_TCSR_PCIE_BCR_IN)
#define HWIO_GCC_TCSR_PCIE_BCR_BLK_ARES_BMSK                                                                    0x1
#define HWIO_GCC_TCSR_PCIE_BCR_BLK_ARES_SHFT                                                                    0x0
#define HWIO_GCC_TCSR_PCIE_BCR_BLK_ARES_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_TCSR_PCIE_BCR_BLK_ARES_ENABLE_FVAL                                                             0x1

#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00057000)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00057000)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00057000)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_RMSK                                                                    0x1
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ATTR                                                                    0x3
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_IN          \
        in_dword_masked(HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ADDR, HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_RMSK)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ADDR, m)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ADDR,v)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_ADDR,m,v,HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_IN)
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_OVRD_BMSK                                                               0x1
#define HWIO_GCC_GPLL4_PLL_TEST_SE_OVRD_OVRD_SHFT                                                               0x0

#define HWIO_GCC_ACC_MISC_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00058000)
#define HWIO_GCC_ACC_MISC_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00058000)
#define HWIO_GCC_ACC_MISC_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00058000)
#define HWIO_GCC_ACC_MISC_RMSK                                                                                  0x1
#define HWIO_GCC_ACC_MISC_ATTR                                                                                  0x3
#define HWIO_GCC_ACC_MISC_IN          \
        in_dword_masked(HWIO_GCC_ACC_MISC_ADDR, HWIO_GCC_ACC_MISC_RMSK)
#define HWIO_GCC_ACC_MISC_INM(m)      \
        in_dword_masked(HWIO_GCC_ACC_MISC_ADDR, m)
#define HWIO_GCC_ACC_MISC_OUT(v)      \
        out_dword(HWIO_GCC_ACC_MISC_ADDR,v)
#define HWIO_GCC_ACC_MISC_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ACC_MISC_ADDR,m,v,HWIO_GCC_ACC_MISC_IN)
#define HWIO_GCC_ACC_MISC_JTAG_ACC_SRC_SEL_EN_BMSK                                                              0x1
#define HWIO_GCC_ACC_MISC_JTAG_ACC_SRC_SEL_EN_SHFT                                                              0x0
#define HWIO_GCC_ACC_MISC_JTAG_ACC_SRC_SEL_EN_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_ACC_MISC_JTAG_ACC_SRC_SEL_EN_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_CPUSS_AHB_MISC_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00059000)
#define HWIO_GCC_CPUSS_AHB_MISC_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00059000)
#define HWIO_GCC_CPUSS_AHB_MISC_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00059000)
#define HWIO_GCC_CPUSS_AHB_MISC_RMSK                                                                           0xf1
#define HWIO_GCC_CPUSS_AHB_MISC_ATTR                                                                            0x3
#define HWIO_GCC_CPUSS_AHB_MISC_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_MISC_ADDR, HWIO_GCC_CPUSS_AHB_MISC_RMSK)
#define HWIO_GCC_CPUSS_AHB_MISC_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_AHB_MISC_ADDR, m)
#define HWIO_GCC_CPUSS_AHB_MISC_OUT(v)      \
        out_dword(HWIO_GCC_CPUSS_AHB_MISC_ADDR,v)
#define HWIO_GCC_CPUSS_AHB_MISC_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CPUSS_AHB_MISC_ADDR,m,v,HWIO_GCC_CPUSS_AHB_MISC_IN)
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_BMSK                                              0xf0
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_SHFT                                               0x4
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV1_FVAL                                          0x0
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV2_FVAL                                          0x1
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV3_FVAL                                          0x2
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV4_FVAL                                          0x3
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV5_FVAL                                          0x4
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV6_FVAL                                          0x5
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV7_FVAL                                          0x6
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV8_FVAL                                          0x7
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV9_FVAL                                          0x8
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV10_FVAL                                         0x9
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV11_FVAL                                         0xa
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV12_FVAL                                         0xb
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV13_FVAL                                         0xc
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV14_FVAL                                         0xd
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV15_FVAL                                         0xe
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIV_DIV16_FVAL                                         0xf
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIS_BMSK                                               0x1
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIS_SHFT                                               0x0
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIS_SCALE_NOT_DISABLE_FVAL                             0x0
#define HWIO_GCC_CPUSS_AHB_MISC_CPUSS_AHB_CLK_AUTO_SCALE_DIS_SCALE_DISABLE_FVAL                                 0x1

#define HWIO_GCC_USB_30_MISC_ADDR                                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0005a000)
#define HWIO_GCC_USB_30_MISC_PHYS                                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005a000)
#define HWIO_GCC_USB_30_MISC_OFFS                                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005a000)
#define HWIO_GCC_USB_30_MISC_RMSK                                                                               0x1
#define HWIO_GCC_USB_30_MISC_ATTR                                                                               0x3
#define HWIO_GCC_USB_30_MISC_IN          \
        in_dword_masked(HWIO_GCC_USB_30_MISC_ADDR, HWIO_GCC_USB_30_MISC_RMSK)
#define HWIO_GCC_USB_30_MISC_INM(m)      \
        in_dword_masked(HWIO_GCC_USB_30_MISC_ADDR, m)
#define HWIO_GCC_USB_30_MISC_OUT(v)      \
        out_dword(HWIO_GCC_USB_30_MISC_ADDR,v)
#define HWIO_GCC_USB_30_MISC_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB_30_MISC_ADDR,m,v,HWIO_GCC_USB_30_MISC_IN)
#define HWIO_GCC_USB_30_MISC_BLK_ARES_ALL_BMSK                                                                  0x1
#define HWIO_GCC_USB_30_MISC_BLK_ARES_ALL_SHFT                                                                  0x0
#define HWIO_GCC_USB_30_MISC_BLK_ARES_ALL_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_USB_30_MISC_BLK_ARES_ALL_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_RPM_GPLL_ENA_VOTE_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c000)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c000)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c000)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_RMSK                                                                        0x7f
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_ATTR                                                                         0x3
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPM_GPLL_ENA_VOTE_ADDR, HWIO_GCC_RPM_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPM_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPM_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL6_BMSK                                                                  0x40
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL6_SHFT                                                                   0x6
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL5_BMSK                                                                  0x20
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL5_SHFT                                                                   0x5
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL4_BMSK                                                                  0x10
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL4_SHFT                                                                   0x4
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL3_BMSK                                                                   0x8
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL3_SHFT                                                                   0x3
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL2_BMSK                                                                   0x4
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL2_SHFT                                                                   0x2
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL1_BMSK                                                                   0x2
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL1_SHFT                                                                   0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL0_BMSK                                                                   0x1
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL0_SHFT                                                                   0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_RPM_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c004)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c004)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c004)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_RMSK                                                                  0x7f
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                            0x40
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                             0x6
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                            0x20
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                             0x5
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                            0x10
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                             0x4
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                             0x8
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                             0x3
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                             0x4
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                             0x2
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPM_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c008)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c008)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c008)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_RMSK                                                           0x162f5ff
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                          0x1000000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                               0x18
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                         0x400000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                             0x16
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                          0x200000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                              0x15
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                   0x20000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                      0x11
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                          0x8000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                             0xf
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                            0x4000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                               0xe
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                             0x2000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                                0xd
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                             0x1000
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                                0xc
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                          0x400
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                            0xa
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                           0x100
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                             0x8
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                    0x80
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                     0x7
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                   0x40
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                    0x6
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                            0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                             0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                    0x20
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                     0x5
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                             0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                              0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                                0x10
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                                 0x4
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                                 0x8
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                                 0x3
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                            0x4
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                            0x2
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                                0x2
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                                0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                       0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                       0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                0x1

#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c00c)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c00c)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c00c)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_RMSK                                                            0x162f5ff
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                     0x1000000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                          0x18
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                    0x400000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                        0x16
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                     0x200000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                         0x15
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                              0x20000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                                 0x11
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                     0x8000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                        0xf
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                       0x4000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                          0xe
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                        0x2000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                           0xd
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                        0x1000
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                           0xc
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                     0x400
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                       0xa
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                      0x100
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                        0x8
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL                0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL                 0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                               0x80
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                                0x7
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                              0x40
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                               0x6
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                               0x20
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                                0x5
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                           0x10
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                            0x4
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                            0x8
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                            0x3
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                       0x4
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                       0x2
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                           0x2
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                           0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                  0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                  0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1

#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c010)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c010)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c010)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                              0xff
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                               0x3
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                       0x80
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                        0x7
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                           0x40
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                            0x6
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                     0x20
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                      0x5
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                            0x10
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                             0x4
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                              0x8
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                              0x3
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                          0x4
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                          0x2
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                         0x2
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                         0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                          0x1
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                          0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                   0x1

#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c014)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c014)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c014)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                               0xff
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                                0x3
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                                  0x80
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                   0x7
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                      0x40
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                       0x6
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                                0x20
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                                 0x5
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                       0x10
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                        0x4
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                         0x8
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                         0x3
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                     0x4
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                     0x2
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                    0x2
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                    0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                     0x1
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                     0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1

#define HWIO_GCC_APCS_GPLL_ENA_VOTE_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d000)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d000)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d000)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_RMSK                                                                       0x7f
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_ATTR                                                                        0x3
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_GPLL_ENA_VOTE_ADDR, HWIO_GCC_APCS_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL6_BMSK                                                                 0x40
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL6_SHFT                                                                  0x6
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL5_BMSK                                                                 0x20
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL5_SHFT                                                                  0x5
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL4_BMSK                                                                 0x10
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL4_SHFT                                                                  0x4
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL3_BMSK                                                                  0x8
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL3_SHFT                                                                  0x3
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL2_BMSK                                                                  0x4
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL2_SHFT                                                                  0x2
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL1_BMSK                                                                  0x2
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL1_SHFT                                                                  0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL0_BMSK                                                                  0x1
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL0_SHFT                                                                  0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_APCS_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                           0x1

#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d004)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d004)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d004)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_RMSK                                                                 0x7f
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                           0x40
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                            0x6
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                           0x20
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                            0x5
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                           0x10
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                            0x4
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                            0x8
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                            0x3
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                            0x4
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                            0x2
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_APCS_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d008)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d008)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d008)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_RMSK                                                          0x162f5ff
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                         0x1000000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                              0x18
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                        0x400000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                            0x16
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                         0x200000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                             0x15
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                  0x20000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                     0x11
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                         0x8000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                            0xf
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                           0x4000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                              0xe
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                            0x2000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                               0xd
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                            0x1000
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                               0xc
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                         0x400
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                           0xa
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                          0x100
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                            0x8
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                    0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                     0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                   0x80
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                    0x7
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                  0x40
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                   0x6
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                           0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                            0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                   0x20
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                    0x5
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                            0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                             0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                               0x10
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                                0x4
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                                0x8
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                                0x3
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                           0x4
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                           0x2
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                               0x2
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                               0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                      0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                      0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                               0x1

#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d00c)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d00c)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d00c)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_RMSK                                                           0x162f5ff
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                    0x1000000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                         0x18
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                   0x400000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                       0x16
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                    0x200000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                        0x15
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                             0x20000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                                0x11
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                    0x8000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                       0xf
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                      0x4000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                         0xe
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                       0x2000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                          0xd
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                       0x1000
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                          0xc
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                    0x400
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                      0xa
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                     0x100
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                       0x8
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL               0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL                0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                              0x80
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                               0x7
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                             0x40
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                              0x6
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                              0x20
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                               0x5
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                          0x10
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                           0x4
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                           0x8
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                           0x3
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                      0x4
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                      0x2
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                          0x2
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                          0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                 0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                 0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1

#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d010)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d010)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d010)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                             0xff
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                              0x3
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                      0x80
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                       0x7
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                          0x40
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                           0x6
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                    0x20
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                     0x5
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                           0x10
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                            0x4
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                             0x8
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                             0x3
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                         0x4
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                         0x2
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                        0x2
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                        0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                         0x1
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                         0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                  0x1

#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d014)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d014)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d014)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                              0xff
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                               0x3
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                                 0x80
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                  0x7
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                     0x40
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                      0x6
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                               0x20
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                                0x5
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                      0x10
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                       0x4
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                        0x8
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                        0x3
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                    0x4
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                    0x2
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                   0x2
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                   0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                    0x1
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                    0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1

#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e000)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e000)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e000)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_RMSK                                                                    0x7f
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ATTR                                                                     0x3
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ADDR, HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL6_BMSK                                                              0x40
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL6_SHFT                                                               0x6
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL5_BMSK                                                              0x20
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL5_SHFT                                                               0x5
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL4_BMSK                                                              0x10
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL4_SHFT                                                               0x4
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL3_BMSK                                                               0x8
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL3_SHFT                                                               0x3
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL2_BMSK                                                               0x4
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL2_SHFT                                                               0x2
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL1_BMSK                                                               0x2
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL1_SHFT                                                               0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL0_BMSK                                                               0x1
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL0_SHFT                                                               0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_APCS_TZ_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                        0x1

#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e004)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e004)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e004)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_RMSK                                                              0x7f
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                        0x40
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                         0x6
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                        0x20
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                         0x5
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                        0x10
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                         0x4
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                         0x8
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                         0x3
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                         0x4
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                         0x2
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_TZ_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e008)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e008)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e008)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_RMSK                                                       0x162f5ff
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ATTR                                                             0x3
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                      0x1000000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                           0x18
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                     0x400000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                         0x16
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                      0x200000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                          0x15
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                               0x20000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                  0x11
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                      0x8000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                         0xf
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                        0x4000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                           0xe
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                         0x2000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                            0xd
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                         0x1000
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                            0xc
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                      0x400
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                        0xa
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                       0x100
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                         0x8
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                 0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                  0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                0x80
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                 0x7
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                               0x40
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                0x6
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                0x20
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                 0x5
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                            0x10
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                             0x4
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                             0x8
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                             0x3
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                        0x4
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                        0x2
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                            0x2
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                            0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                   0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                   0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                            0x1

#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e00c)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e00c)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e00c)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_RMSK                                                        0x162f5ff
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                 0x1000000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                      0x18
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                0x400000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                    0x16
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                 0x200000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                     0x15
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                          0x20000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                             0x11
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                       0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                 0x8000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                    0xf
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                   0x4000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                      0xe
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                    0x2000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                       0xd
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                    0x1000
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                       0xc
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                 0x400
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                   0xa
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                  0x100
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                    0x8
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL            0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL             0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                           0x80
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                            0x7
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                          0x40
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                           0x6
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                           0x20
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                            0x5
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                       0x10
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                        0x4
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                        0x8
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                        0x3
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                   0x4
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                   0x2
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                       0x2
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                       0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                              0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                              0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                       0x1

#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e010)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e010)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e010)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                          0xff
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                           0x3
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                   0x80
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                    0x7
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                       0x40
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                        0x6
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                 0x20
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                  0x5
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                        0x10
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                         0x4
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                          0x8
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                          0x3
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                      0x4
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                      0x2
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                     0x2
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                     0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                      0x1
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                      0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                               0x1

#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e014)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e014)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e014)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                           0xff
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                            0x3
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                              0x80
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                               0x7
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                  0x40
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                   0x6
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                            0x20
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                             0x5
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                   0x10
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                    0x4
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                     0x8
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                     0x3
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                 0x4
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                 0x2
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                0x2
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                 0x1
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                 0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1

#define HWIO_GCC_HYP_GPLL_ENA_VOTE_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f000)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f000)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f000)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_RMSK                                                                        0x7f
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_ATTR                                                                         0x3
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_HYP_GPLL_ENA_VOTE_ADDR, HWIO_GCC_HYP_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_HYP_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_HYP_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL6_BMSK                                                                  0x40
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL6_SHFT                                                                   0x6
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL5_BMSK                                                                  0x20
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL5_SHFT                                                                   0x5
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL4_BMSK                                                                  0x10
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL4_SHFT                                                                   0x4
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL3_BMSK                                                                   0x8
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL3_SHFT                                                                   0x3
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL2_BMSK                                                                   0x4
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL2_SHFT                                                                   0x2
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL1_BMSK                                                                   0x2
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL1_SHFT                                                                   0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL0_BMSK                                                                   0x1
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL0_SHFT                                                                   0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_HYP_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                            0x1

#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f004)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f004)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f004)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_RMSK                                                                  0x7f
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                            0x40
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                             0x6
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                            0x20
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                             0x5
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                            0x10
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                             0x4
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                             0x8
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                             0x3
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                             0x4
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                             0x2
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_HYP_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f008)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f008)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f008)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_RMSK                                                           0x162f5ff
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                          0x1000000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                               0x18
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                         0x400000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                             0x16
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                          0x200000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                              0x15
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                   0x20000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                      0x11
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                          0x8000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                             0xf
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                            0x4000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                               0xe
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                             0x2000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                                0xd
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                             0x1000
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                                0xc
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                          0x400
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                            0xa
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                           0x100
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                             0x8
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                    0x80
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                     0x7
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                   0x40
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                    0x6
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                            0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                             0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                    0x20
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                     0x5
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                             0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                              0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                                0x10
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                                 0x4
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                                 0x8
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                                 0x3
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                            0x4
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                            0x2
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                                0x2
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                                0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                       0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                       0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                0x1

#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f00c)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f00c)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f00c)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_RMSK                                                            0x162f5ff
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                     0x1000000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                          0x18
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                    0x400000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                        0x16
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                     0x200000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                         0x15
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                              0x20000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                                 0x11
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                     0x8000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                        0xf
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                       0x4000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                          0xe
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                        0x2000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                           0xd
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                        0x1000
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                           0xc
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                     0x400
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                       0xa
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                      0x100
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                        0x8
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL                0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL                 0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                               0x80
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                                0x7
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                              0x40
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                               0x6
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                               0x20
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                                0x5
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                         0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                           0x10
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                            0x4
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                            0x8
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                            0x3
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                       0x4
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                       0x2
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                           0x2
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                           0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                  0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                  0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1

#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f010)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f010)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f010)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                              0xff
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                               0x3
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                       0x80
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                        0x7
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                           0x40
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                            0x6
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                     0x20
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                      0x5
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                            0x10
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                             0x4
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                              0x8
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                              0x3
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                          0x4
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                          0x2
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                         0x2
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                         0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                          0x1
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                          0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                   0x1

#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f014)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f014)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f014)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                               0xff
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                                0x3
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                                  0x80
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                   0x7
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                      0x40
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                       0x6
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                                0x20
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                                 0x5
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                       0x10
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                        0x4
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                         0x8
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                         0x3
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                     0x4
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                     0x2
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                    0x2
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                    0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                     0x1
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                     0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1

#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00060000)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00060000)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00060000)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_RMSK                                                                      0x7f
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_ATTR                                                                       0x3
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE_GPLL_ENA_VOTE_ADDR, HWIO_GCC_SPARE_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL6_BMSK                                                                0x40
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL6_SHFT                                                                 0x6
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL5_BMSK                                                                0x20
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL5_SHFT                                                                 0x5
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL4_BMSK                                                                0x10
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL4_SHFT                                                                 0x4
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL3_BMSK                                                                 0x8
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL3_SHFT                                                                 0x3
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL2_BMSK                                                                 0x4
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL2_SHFT                                                                 0x2
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL1_BMSK                                                                 0x2
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL1_SHFT                                                                 0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL0_BMSK                                                                 0x1
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL0_SHFT                                                                 0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_SPARE_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                          0x1

#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00060004)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00060004)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00060004)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_RMSK                                                                0x7f
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                          0x40
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                           0x6
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                          0x20
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                           0x5
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                          0x10
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                           0x4
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                           0x8
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                           0x3
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                           0x4
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                           0x2
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_SPARE_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00060008)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00060008)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00060008)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_RMSK                                                         0x162f5ff
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                        0x1000000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                             0x18
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                       0x400000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                           0x16
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                        0x200000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                            0x15
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                 0x20000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                    0x11
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                        0x8000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                           0xf
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                          0x4000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                             0xe
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                           0x2000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                              0xd
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                           0x1000
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                              0xc
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                        0x400
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                          0xa
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                         0x100
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                           0x8
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                   0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                    0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                  0x80
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                   0x7
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                 0x40
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                  0x6
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                          0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                           0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                  0x20
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                   0x5
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                           0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                            0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                              0x10
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                               0x4
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                               0x8
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                               0x3
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                       0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                        0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                          0x4
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                          0x2
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                              0x2
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                              0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                     0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                     0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                              0x1

#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0006000c)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006000c)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006000c)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_RMSK                                                          0x162f5ff
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                   0x1000000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                        0x18
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                  0x400000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                      0x16
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                   0x200000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                       0x15
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                            0x20000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                               0x11
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                   0x8000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                      0xf
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                     0x4000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                        0xe
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                      0x2000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                         0xd
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                      0x1000
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                         0xc
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                   0x400
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                     0xa
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                    0x100
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                      0x8
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL              0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL               0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                             0x80
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                              0x7
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                       0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                            0x40
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                             0x6
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                             0x20
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                              0x5
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                         0x10
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                          0x4
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                          0x8
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                          0x3
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                     0x4
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                     0x2
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                         0x2
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                         0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1

#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00060010)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00060010)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00060010)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                            0xff
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                             0x3
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                     0x80
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                      0x7
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                         0x40
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                          0x6
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                   0x20
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                    0x5
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                          0x10
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                           0x4
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                            0x8
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                            0x3
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                        0x4
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                        0x2
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                       0x2
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                       0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                        0x1
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                        0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                 0x1

#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00060014)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00060014)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00060014)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                             0xff
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                              0x3
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                                0x80
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                 0x7
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                    0x40
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                     0x6
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                              0x20
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                               0x5
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                     0x10
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                      0x4
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                       0x8
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                       0x3
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                   0x4
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                   0x2
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                  0x2
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                  0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                   0x1
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                   0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                            0x1

#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00061000)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061000)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061000)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_RMSK                                                                     0x7f
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ATTR                                                                      0x3
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ADDR, HWIO_GCC_SPARE1_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE1_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL6_BMSK                                                               0x40
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL6_SHFT                                                                0x6
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL5_BMSK                                                               0x20
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL5_SHFT                                                                0x5
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL4_BMSK                                                               0x10
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL4_SHFT                                                                0x4
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL3_BMSK                                                                0x8
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL3_SHFT                                                                0x3
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL2_BMSK                                                                0x4
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL2_SHFT                                                                0x2
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL1_BMSK                                                                0x2
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL1_SHFT                                                                0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL0_BMSK                                                                0x1
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL0_SHFT                                                                0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE1_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00061004)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061004)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061004)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_RMSK                                                               0x7f
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                         0x40
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                          0x6
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                         0x20
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                          0x5
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                         0x10
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                          0x4
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                          0x8
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                          0x3
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                          0x4
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                          0x2
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE1_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00061008)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061008)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061008)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_RMSK                                                        0x162f5ff
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                       0x1000000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                            0x18
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                      0x400000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                          0x16
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                       0x200000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                           0x15
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                0x20000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                   0x11
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                       0x8000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                          0xf
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                         0x4000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                            0xe
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                          0x2000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                             0xd
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                          0x1000
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                             0xc
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                       0x400
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                         0xa
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                        0x100
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                          0x8
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                  0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                   0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                 0x80
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                  0x7
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                0x40
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                 0x6
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                 0x20
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                  0x5
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                          0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                           0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                             0x10
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                              0x4
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                              0x8
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                              0x3
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                         0x4
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                         0x2
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                             0x2
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                             0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                    0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                    0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                             0x1

#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0006100c)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006100c)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006100c)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_RMSK                                                         0x162f5ff
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                  0x1000000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                       0x18
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                 0x400000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                     0x16
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                  0x200000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                      0x15
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                           0x20000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                              0x11
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                  0x8000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                     0xf
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                    0x4000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                       0xe
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                     0x2000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                        0xd
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                     0x1000
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                        0xc
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                  0x400
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                    0xa
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                   0x100
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                     0x8
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL             0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL              0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                            0x80
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                             0x7
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                           0x40
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                            0x6
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                            0x20
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                             0x5
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                        0x10
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                         0x4
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                         0x8
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                         0x3
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                    0x4
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                    0x2
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                        0x2
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                        0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                               0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                               0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1

#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00061010)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061010)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061010)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                           0xff
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                            0x3
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                    0x80
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                     0x7
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                        0x40
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                         0x6
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                  0x20
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                   0x5
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                         0x10
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                          0x4
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                           0x8
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                           0x3
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                       0x4
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                       0x2
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                      0x2
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                      0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                       0x1
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                       0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                0x1

#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00061014)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061014)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061014)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                            0xff
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                             0x3
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                               0x80
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                0x7
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                   0x40
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                    0x6
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                             0x20
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                              0x5
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                       0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                    0x10
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                     0x4
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                      0x8
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                      0x3
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                  0x4
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                  0x2
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                 0x2
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                 0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                  0x1
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                  0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1

#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00062000)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062000)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062000)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_RMSK                                                                     0x7f
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ATTR                                                                      0x3
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ADDR, HWIO_GCC_SPARE2_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE2_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL6_BMSK                                                               0x40
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL6_SHFT                                                                0x6
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL5_BMSK                                                               0x20
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL5_SHFT                                                                0x5
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL4_BMSK                                                               0x10
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL4_SHFT                                                                0x4
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL3_BMSK                                                                0x8
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL3_SHFT                                                                0x3
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL2_BMSK                                                                0x4
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL2_SHFT                                                                0x2
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL1_BMSK                                                                0x2
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL1_SHFT                                                                0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL0_BMSK                                                                0x1
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL0_SHFT                                                                0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_SPARE2_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00062004)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062004)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062004)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_RMSK                                                               0x7f
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                         0x40
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                          0x6
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                         0x20
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                          0x5
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                         0x10
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                          0x4
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                          0x8
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                          0x3
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                          0x4
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                          0x2
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_SPARE2_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00062008)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062008)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062008)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_RMSK                                                        0x162f5ff
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                       0x1000000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                            0x18
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                      0x400000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                          0x16
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                       0x200000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                           0x15
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                0x20000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                   0x11
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                       0x8000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                          0xf
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                         0x4000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                            0xe
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                          0x2000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                             0xd
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                          0x1000
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                             0xc
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                       0x400
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                         0xa
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                        0x100
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                          0x8
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                  0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                   0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                 0x80
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                  0x7
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                0x40
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                 0x6
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                 0x20
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                  0x5
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                          0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                           0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                             0x10
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                              0x4
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                              0x8
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                              0x3
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                         0x4
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                         0x2
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                             0x2
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                             0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                    0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                    0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                             0x1

#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0006200c)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006200c)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006200c)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_RMSK                                                         0x162f5ff
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                  0x1000000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                       0x18
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                 0x400000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                     0x16
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                  0x200000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                      0x15
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                           0x20000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                              0x11
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                  0x8000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                     0xf
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                    0x4000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                       0xe
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                     0x2000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                        0xd
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                     0x1000
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                        0xc
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                  0x400
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                    0xa
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                   0x100
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                     0x8
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL             0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL              0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                            0x80
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                             0x7
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                           0x40
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                            0x6
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                            0x20
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                             0x5
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                        0x10
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                         0x4
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                         0x8
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                         0x3
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                    0x4
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                    0x2
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                        0x2
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                        0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                               0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                               0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1

#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00062010)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062010)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062010)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                           0xff
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                            0x3
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                    0x80
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                     0x7
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                        0x40
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                         0x6
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                  0x20
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                   0x5
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                         0x10
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                          0x4
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                           0x8
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                           0x3
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                       0x4
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                       0x2
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                      0x2
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                      0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                       0x1
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                       0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_SPARE2_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                0x1

#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00062014)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062014)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062014)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                            0xff
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                             0x3
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                               0x80
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                0x7
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                   0x40
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                    0x6
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                             0x20
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                              0x5
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                       0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                    0x10
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                     0x4
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                      0x8
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                      0x3
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                  0x4
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                  0x2
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                 0x2
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                 0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                  0x1
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                  0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_SPARE2_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1

#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00063000)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063000)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063000)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_RMSK                                                                     0x7f
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ATTR                                                                      0x3
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ADDR, HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_RMSK)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ADDR, m)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ADDR,v)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_ADDR,m,v,HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_IN)
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL6_BMSK                                                               0x40
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL6_SHFT                                                                0x6
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL6_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL6_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL5_BMSK                                                               0x20
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL5_SHFT                                                                0x5
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL5_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL5_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL4_BMSK                                                               0x10
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL4_SHFT                                                                0x4
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL4_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL4_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL3_BMSK                                                                0x8
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL3_SHFT                                                                0x3
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL3_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL3_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL2_BMSK                                                                0x4
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL2_SHFT                                                                0x2
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL2_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL2_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL1_BMSK                                                                0x2
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL1_SHFT                                                                0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL1_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL1_ENABLE_FVAL                                                         0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL0_BMSK                                                                0x1
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL0_SHFT                                                                0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL0_DISABLE_FVAL                                                        0x0
#define HWIO_GCC_MSS_Q6_GPLL_ENA_VOTE_GPLL0_ENABLE_FVAL                                                         0x1

#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00063004)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063004)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063004)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_RMSK                                                               0x7f
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL6_BMSK                                                         0x40
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL6_SHFT                                                          0x6
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL6_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL6_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL5_BMSK                                                         0x20
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL5_SHFT                                                          0x5
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL4_BMSK                                                         0x10
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL4_SHFT                                                          0x4
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL3_BMSK                                                          0x8
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL3_SHFT                                                          0x3
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL2_BMSK                                                          0x4
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL2_SHFT                                                          0x2
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL2_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL2_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_MSS_Q6_GPLL_SLEEP_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00063008)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063008)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063008)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_RMSK                                                        0x162f5ff
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ADDR, HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_RMSK)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ADDR, m)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ADDR,v)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ADDR,m,v,HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IN)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_BMSK                                       0x1000000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_SHFT                                            0x18
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_IMEM_AXI_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_BMSK                                      0x400000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_SHFT                                          0x16
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_GNOC_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_BMSK                                       0x200000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_SHFT                                           0x15
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_BMSK                                0x20000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_SHFT                                   0x11
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_BMSK                                       0x8000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_SHFT                                          0xf
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_SLEEP_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_BMSK                                         0x4000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_SHFT                                            0xe
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BLSP1_AHB_CLK_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_BMSK                                          0x2000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_SHFT                                             0xd
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_PRNG_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_BMSK                                          0x1000
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_SHFT                                             0xc
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_BMSK                                       0x400
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_SHFT                                         0xa
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_BOOT_ROM_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_BMSK                        0x100
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_SHFT                          0x8
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_DISABLE_FVAL                  0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_ENA_ENABLE_FVAL                   0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_BMSK                                 0x80
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_SHFT                                  0x7
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_BMSK                                                0x40
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_SHFT                                                 0x6
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_DISABLE_FVAL                                         0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TLMM_CLK_ENA_ENABLE_FVAL                                          0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_BMSK                                                 0x20
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_SHFT                                                  0x5
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_DISABLE_FVAL                                          0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_CLK_ENA_ENABLE_FVAL                                           0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_BMSK                                             0x10
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_SHFT                                              0x4
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AXI_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_BMSK                                              0x8
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_SHFT                                              0x3
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_DISABLE_FVAL                                      0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_CE1_AHB_CLK_ENA_ENABLE_FVAL                                       0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_BMSK                                         0x4
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_SHFT                                         0x2
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_QDSS_CFG_AHB_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_BMSK                                             0x2
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_SHFT                                             0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_TCSR_AHB_CLK_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_BMSK                                    0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_SHFT                                    0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_ENA_ENABLE_FVAL                             0x1

#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0006300c)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006300c)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006300c)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_RMSK                                                         0x162f5ff
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ADDR, HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_RMSK)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ADDR, m)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ADDR,v)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ADDR,m,v,HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IN)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_BMSK                                  0x1000000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_SHFT                                       0x18
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_IMEM_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_BMSK                                 0x400000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_SHFT                                     0x16
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_GNOC_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                                  0x200000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                                      0x15
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_BMSK                           0x20000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_SHFT                              0x11
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_MSS_GPLL0_DIV_CLK_SRC_SLEEP_ENA_ENABLE_FVAL                        0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_BMSK                                  0x8000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_SHFT                                     0xf
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_BMSK                                    0x4000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_SHFT                                       0xe
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BLSP1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_BMSK                                     0x2000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_SHFT                                        0xd
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_PRNG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_BMSK                                     0x1000
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_SHFT                                        0xc
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_BMSK                                  0x400
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_SHFT                                    0xa
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_BOOT_ROM_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_BMSK                   0x100
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_SHFT                     0x8
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_DISABLE_FVAL             0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_SLEEP_ENA_ENABLE_FVAL              0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_BMSK                            0x80
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_SHFT                             0x7
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_DISABLE_FVAL                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_ULTAUDIO_PCNOC_SWAY_CLK_SLEEP_ENA_ENABLE_FVAL                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_BMSK                                           0x40
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_SHFT                                            0x6
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_DISABLE_FVAL                                    0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TLMM_CLK_SLEEP_ENA_ENABLE_FVAL                                     0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_BMSK                                            0x20
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_SHFT                                             0x5
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_DISABLE_FVAL                                     0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_CLK_SLEEP_ENA_ENABLE_FVAL                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_BMSK                                        0x10
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_SHFT                                         0x4
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_BMSK                                         0x8
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_SHFT                                         0x3
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_CE1_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_BMSK                                    0x4
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_SHFT                                    0x2
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_QDSS_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_BMSK                                        0x2
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_SHFT                                        0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                                0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_TCSR_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                                 0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_BMSK                               0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_SHFT                               0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                       0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_SYS_NOC_CPUSS_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                        0x1

#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00063010)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063010)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063010)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_RMSK                                                           0xff
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ATTR                                                            0x3
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ADDR, HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_RMSK)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_IN)
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_BMSK                                    0x80
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_SHFT                                     0x7
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_BMSK                                        0x40
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_SHFT                                         0x6
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_DISABLE_FVAL                                 0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLEEP_CLK_ENA_ENABLE_FVAL                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_BMSK                                  0x20
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_SHFT                                   0x5
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_DISABLE_FVAL                           0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_ENA_ENABLE_FVAL                            0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_BMSK                                         0x10
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_SHFT                                          0x4
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_DISABLE_FVAL                                  0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_PIPE_CLK_ENA_ENABLE_FVAL                                   0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_BMSK                                           0x8
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_SHFT                                           0x3
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_DISABLE_FVAL                                   0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_AUX_CLK_ENA_ENABLE_FVAL                                    0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_BMSK                                       0x4
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_SHFT                                       0x2
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_CFG_AHB_CLK_ENA_ENABLE_FVAL                                0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_BMSK                                      0x2
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_SHFT                                      0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_BMSK                                       0x1
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_SHFT                                       0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_DISABLE_FVAL                               0x0
#define HWIO_GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1_PCIE_SLV_AXI_CLK_ENA_ENABLE_FVAL                                0x1

#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ADDR                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00063014)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PHYS                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063014)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_OFFS                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063014)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_RMSK                                                            0xff
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ATTR                                                             0x3
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ADDR, HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_RMSK)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ADDR, m)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ADDR,v)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_ADDR,m,v,HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_IN)
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_BMSK                               0x80
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_SHFT                                0x7
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_DISABLE_FVAL                        0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_RCHNG_PHY_CLK_SLEEP_ENA_ENABLE_FVAL                         0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_BMSK                                   0x40
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_SHFT                                    0x6
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_DISABLE_FVAL                            0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLEEP_CLK_SLEEP_ENA_ENABLE_FVAL                             0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_BMSK                             0x20
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_SHFT                              0x5
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                      0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_Q2A_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                       0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_BMSK                                    0x10
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_SHFT                                     0x4
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_DISABLE_FVAL                             0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_PIPE_CLK_SLEEP_ENA_ENABLE_FVAL                              0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_BMSK                                      0x8
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_SHFT                                      0x3
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_DISABLE_FVAL                              0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_AUX_CLK_SLEEP_ENA_ENABLE_FVAL                               0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_BMSK                                  0x4
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_SHFT                                  0x2
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_CFG_AHB_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_BMSK                                 0x2
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_SHFT                                 0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                         0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_MSTR_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                          0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_BMSK                                  0x1
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_SHFT                                  0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_DISABLE_FVAL                          0x0
#define HWIO_GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1_PCIE_SLV_AXI_CLK_SLEEP_ENA_ENABLE_FVAL                           0x1

#define HWIO_GCC_PCIE_MISC_RESET_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00067004)
#define HWIO_GCC_PCIE_MISC_RESET_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00067004)
#define HWIO_GCC_PCIE_MISC_RESET_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00067004)
#define HWIO_GCC_PCIE_MISC_RESET_RMSK                                                                        0x3fff
#define HWIO_GCC_PCIE_MISC_RESET_ATTR                                                                           0x3
#define HWIO_GCC_PCIE_MISC_RESET_IN          \
        in_dword_masked(HWIO_GCC_PCIE_MISC_RESET_ADDR, HWIO_GCC_PCIE_MISC_RESET_RMSK)
#define HWIO_GCC_PCIE_MISC_RESET_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_MISC_RESET_ADDR, m)
#define HWIO_GCC_PCIE_MISC_RESET_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_MISC_RESET_ADDR,v)
#define HWIO_GCC_PCIE_MISC_RESET_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_MISC_RESET_ADDR,m,v,HWIO_GCC_PCIE_MISC_RESET_IN)
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BRIDGE2MX_BCR_BLK_ARES_BMSK                                0x2000
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BRIDGE2MX_BCR_BLK_ARES_SHFT                                   0xd
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BRIDGE2MX_BCR_BLK_ARES_DISABLE_FVAL                           0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BRIDGE2MX_BCR_BLK_ARES_ENABLE_FVAL                            0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BRIDGE2MX_BCR_BLK_ARES_BMSK                                   0x1000
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BRIDGE2MX_BCR_BLK_ARES_SHFT                                      0xc
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BRIDGE2MX_BCR_BLK_ARES_DISABLE_FVAL                              0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BRIDGE2MX_BCR_BLK_ARES_ENABLE_FVAL                               0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BRIDGE2MX_BCR_BLK_ARES_BMSK                                     0x800
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BRIDGE2MX_BCR_BLK_ARES_SHFT                                       0xb
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BRIDGE2MX_BCR_BLK_ARES_DISABLE_FVAL                               0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BRIDGE2MX_BCR_BLK_ARES_ENABLE_FVAL                                0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_RCHNG_PHY_BCR_BLK_ARES_BMSK                                             0x400
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_RCHNG_PHY_BCR_BLK_ARES_SHFT                                               0xa
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_RCHNG_PHY_BCR_BLK_ARES_DISABLE_FVAL                                       0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_RCHNG_PHY_BCR_BLK_ARES_ENABLE_FVAL                                        0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BCR_BLK_ARES_BMSK                                           0x200
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BCR_BLK_ARES_SHFT                                             0x9
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BCR_BLK_ARES_DISABLE_FVAL                                     0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_Q2A_BCR_BLK_ARES_ENABLE_FVAL                                      0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLEEP_BCR_BLK_ARES_BMSK                                                 0x100
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLEEP_BCR_BLK_ARES_SHFT                                                   0x8
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLEEP_BCR_BLK_ARES_DISABLE_FVAL                                           0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLEEP_BCR_BLK_ARES_ENABLE_FVAL                                            0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_STICKY_BCR_BLK_ARES_BMSK                                         0x80
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_STICKY_BCR_BLK_ARES_SHFT                                          0x7
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_STICKY_BCR_BLK_ARES_DISABLE_FVAL                                  0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_STICKY_BCR_BLK_ARES_ENABLE_FVAL                                   0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CORE_STICKY_BCR_BLK_ARES_BMSK                                            0x40
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CORE_STICKY_BCR_BLK_ARES_SHFT                                             0x6
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CORE_STICKY_BCR_BLK_ARES_DISABLE_FVAL                                     0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CORE_STICKY_BCR_BLK_ARES_ENABLE_FVAL                                      0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_STICKY_BCR_BLK_ARES_BMSK                                        0x20
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_STICKY_BCR_BLK_ARES_SHFT                                         0x5
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_STICKY_BCR_BLK_ARES_DISABLE_FVAL                                 0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_STICKY_BCR_BLK_ARES_ENABLE_FVAL                                  0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_PIPE_BCR_BLK_ARES_BMSK                                                   0x10
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_PIPE_BCR_BLK_ARES_SHFT                                                    0x4
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_PIPE_BCR_BLK_ARES_DISABLE_FVAL                                            0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_PIPE_BCR_BLK_ARES_ENABLE_FVAL                                             0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_AUX_BCR_BLK_ARES_BMSK                                                     0x8
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_AUX_BCR_BLK_ARES_SHFT                                                     0x3
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_AUX_BCR_BLK_ARES_DISABLE_FVAL                                             0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_AUX_BCR_BLK_ARES_ENABLE_FVAL                                              0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BCR_BLK_ARES_BMSK                                                 0x4
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BCR_BLK_ARES_SHFT                                                 0x2
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BCR_BLK_ARES_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_CFG_AHB_BCR_BLK_ARES_ENABLE_FVAL                                          0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BCR_BLK_ARES_BMSK                                                0x2
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BCR_BLK_ARES_SHFT                                                0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BCR_BLK_ARES_DISABLE_FVAL                                        0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_MSTR_AXI_BCR_BLK_ARES_ENABLE_FVAL                                         0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_BCR_BLK_ARES_BMSK                                                 0x1
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_BCR_BLK_ARES_SHFT                                                 0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_BCR_BLK_ARES_DISABLE_FVAL                                         0x0
#define HWIO_GCC_PCIE_MISC_RESET_PCIE_SLV_AXI_BCR_BLK_ARES_ENABLE_FVAL                                          0x1

#define HWIO_GCC_DEBUG_CLK_CTL_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x00069000)
#define HWIO_GCC_DEBUG_CLK_CTL_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00069000)
#define HWIO_GCC_DEBUG_CLK_CTL_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00069000)
#define HWIO_GCC_DEBUG_CLK_CTL_RMSK                                                                        0x7fc7ff
#define HWIO_GCC_DEBUG_CLK_CTL_ATTR                                                                             0x3
#define HWIO_GCC_DEBUG_CLK_CTL_IN          \
        in_dword_masked(HWIO_GCC_DEBUG_CLK_CTL_ADDR, HWIO_GCC_DEBUG_CLK_CTL_RMSK)
#define HWIO_GCC_DEBUG_CLK_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_DEBUG_CLK_CTL_ADDR, m)
#define HWIO_GCC_DEBUG_CLK_CTL_OUT(v)      \
        out_dword(HWIO_GCC_DEBUG_CLK_CTL_ADDR,v)
#define HWIO_GCC_DEBUG_CLK_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DEBUG_CLK_CTL_ADDR,m,v,HWIO_GCC_DEBUG_CLK_CTL_IN)
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_BMSK                                                          0x780000
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_SHFT                                                              0x13
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_DEFAULT_ZERO_FVAL                                                  0x0
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL0_STATUS_DEBUG_FVAL                                            0x1
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL1_STATUS_DEBUG_FVAL                                            0x2
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL2_STATUS_DEBUG_FVAL                                            0x3
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL3_STATUS_DEBUG_FVAL                                            0x4
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL4_STATUS_DEBUG_FVAL                                            0x5
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL5_STATUS_DEBUG_FVAL                                            0x6
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_JBIST_STATUS_DEBUG_FVAL                                            0x7
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_SYSTEM_NOC_CLK_SRC_DEBUG_BUS_FVAL                                  0xa
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL_LOCK_DET_STATUS_FVAL                                          0xb
#define HWIO_GCC_DEBUG_CLK_CTL_DEBUG_BUS_SEL_GPLL_DTEST_FVAL                                                    0xc
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_BMSK                                                    0x7c000
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_SHFT                                                        0xe
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL0_LOCK_DET_STATUS_FVAL                                  0x1
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL1_LOCK_DET_STATUS_FVAL                                  0x2
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL2_LOCK_DET_STATUS_FVAL                                  0x3
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL3_LOCK_DET_STATUS_FVAL                                  0x4
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL4_LOCK_DET_STATUS_FVAL                                  0x5
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_GPLL5_LOCK_DET_STATUS_FVAL                                  0x6
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_MSS_PLL0_LOCK_DET_STATUS_FVAL                               0x8
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_MSS_PLL1_LOCK_DET_STATUS_FVAL                               0x9
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_MSS_PLL2_LOCK_DET_STATUS_FVAL                               0xa
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_MSS_PLL3_LOCK_DET_STATUS_FVAL                               0xb
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_CPUSS_PLL0_LOCK_DET_STATUS_FVAL                             0xc
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_AOSS_PLL0_LOCK_DET_STATUS_FVAL                              0xd
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_AOSS_PLL1_LOCK_DET_STATUS_FVAL                              0xe
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_NAV_PLL0_LOCK_DET_STATUS_FVAL                               0xf
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_DDRSS_PLL0_LOCK_DET_STATUS_FVAL                            0x10
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_EMAC_DLL_LOCK_DET_STATUS_FVAL                              0x11
#define HWIO_GCC_DEBUG_CLK_CTL_PLL_LOCK_DET_MUX_SEL_SDCC_DLL_LOCK_DET_STATUS_FVAL                              0x12
#define HWIO_GCC_DEBUG_CLK_CTL_PLLTEST_DE_SEL_BMSK                                                            0x400
#define HWIO_GCC_DEBUG_CLK_CTL_PLLTEST_DE_SEL_SHFT                                                              0xa
#define HWIO_GCC_DEBUG_CLK_CTL_PLLTEST_DE_SEL_DEBUG_PREDIV_CLK_FVAL                                             0x0
#define HWIO_GCC_DEBUG_CLK_CTL_PLLTEST_DE_SEL_PLLTEST_DE_FVAL                                                   0x1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_BMSK                                                                   0x3ff
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_SHFT                                                                     0x0
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_BI_TCXO_FVAL                                                             0x1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_CORE_PI_SLEEP_CLK_FVAL                                                   0x2
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_TIC_CLK_FVAL                                                             0x3
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_AUD_REF_CLK_FVAL                                                         0x4
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_CORE_BI_PLL_TEST_SE_FVAL                                                 0x5
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_JBIST_REF_CLK_FVAL                                                   0x6
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_IPA_CLK_FVAL                                                 0xa
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_AT_CLK_FVAL                                                  0xd
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SNOC_QOSGEN_EXTREF_CLK_FVAL                                          0xf
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CFG_AHB_CLK_FVAL                                                    0x10
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_NOC_DCD_XO_CLK_FVAL                                                 0x12
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TIC_CLK_FVAL                                                        0x13
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TIC_CFG_AHB_CLK_FVAL                                                0x14
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IMEM_AXI_CLK_FVAL                                                   0x15
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IMEM_CFG_AHB_CLK_FVAL                                               0x16
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_TCU_CLK_FVAL                                                0x17
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MMU_TCU_CLK_FVAL                                                    0x18
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AGGRE_NOC_TBU1_CLK_FVAL                                             0x1b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AGGRE_NOC_TBU2_CLK_FVAL                                             0x1c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_DAP_AHB_CLK_FVAL                                               0x1d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_CFG_AHB_CLK_FVAL                                               0x1e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_AT_CLK_FVAL                                                    0x1f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_ETR_USB_CLK_FVAL                                               0x20
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_STM_CLK_FVAL                                                   0x21
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_TRACECLKIN_CLK_FVAL                                            0x22
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_TSCTR_CLK_FVAL                                                 0x23
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_TRIG_CLK_FVAL                                                  0x24
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_DAP_CLK_FVAL                                                   0x25
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_APB_CLK_FVAL                                                        0x26
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QDSS_XO_CLK_FVAL                                                    0x27
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB30_MASTER_CLK_FVAL                                               0x28
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB30_SLEEP_CLK_FVAL                                                0x29
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB30_MOCK_UTMI_CLK_FVAL                                            0x2a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB3_PHY_AUX_CLK_FVAL                                               0x2b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB3_PHY_PIPE_CLK_FVAL                                              0x2d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_USB3_PHY_WRAPPER_GCC_USB30_PIPE_CLK_FVAL                                0x2e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_QUSB2PHY_SEC_GCC_USB30_UTMI_CLK_FVAL                                    0x2f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_QUSB2PHY_GCC_USB30_UTMI_CLK_FVAL                                        0x30
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB_PHY_CFG_AHB2PHY_CLK_FVAL                                        0x31
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SDCC1_APPS_CLK_FVAL                                                 0x32
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SDCC1_AHB_CLK_FVAL                                                  0x33
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_AHB_CLK_FVAL                                                  0x34
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_SLEEP_CLK_FVAL                                                0x35
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP1_SPI_APPS_CLK_FVAL                                        0x36
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP1_I2C_APPS_CLK_FVAL                                        0x37
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART1_APPS_CLK_FVAL                                           0x38
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART1_SIM_CLK_FVAL                                            0x39
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP2_SPI_APPS_CLK_FVAL                                        0x3a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP2_I2C_APPS_CLK_FVAL                                        0x3b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART2_APPS_CLK_FVAL                                           0x3c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART2_SIM_CLK_FVAL                                            0x3d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP3_SPI_APPS_CLK_FVAL                                        0x3e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP3_I2C_APPS_CLK_FVAL                                        0x3f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART3_APPS_CLK_FVAL                                           0x40
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART3_SIM_CLK_FVAL                                            0x41
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP4_SPI_APPS_CLK_FVAL                                        0x42
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_QUP4_I2C_APPS_CLK_FVAL                                        0x43
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART4_APPS_CLK_FVAL                                           0x44
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BLSP1_UART4_SIM_CLK_FVAL                                            0x45
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PDM_AHB_CLK_FVAL                                                    0x46
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PDM_XO4_CLK_FVAL                                                    0x47
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PDM2_CLK_FVAL                                                       0x48
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PRNG_AHB_CLK_FVAL                                                   0x49
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TCSR_AHB_CLK_FVAL                                                   0x4a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_BOOT_ROM_AHB_CLK_FVAL                                               0x4b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TLMM_AHB_CLK_FVAL                                                   0x4c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TLMM_CLK_FVAL                                                       0x4d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AOSS_CFG_AHB_CLK_FVAL                                               0x4e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB30_MSTR_AXI_CLK_FVAL                                             0x4f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCNOC_SPMI_VGIS_CLK_FVAL                                            0x50
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_AOSS_GCC_DEBUG_CLK_FVAL                                                 0x51
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SEC_CTRL_ACC_CLK_FVAL                                               0x52
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SEC_CTRL_AHB_CLK_FVAL                                               0x53
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SEC_CTRL_CLK_FVAL                                                   0x54
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SEC_CTRL_SENSE_CLK_FVAL                                             0x55
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SEC_CTRL_BOOT_ROM_PATCH_CLK_FVAL                                    0x56
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_CFG_AHB_CLK_FVAL                                               0x57
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_MSTR_AHB_CLK_FVAL                                              0x58
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_FF_CLK_FVAL                                                    0x59
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_MEMNOC_CY_CLK_FVAL                                             0x5a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_SNOC_CY_CLK_FVAL                                               0x5b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPDM_PNOC_CY_CLK_FVAL                                               0x5d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CE1_CLK_FVAL                                                        0x5e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CE1_AXI_CLK_FVAL                                                    0x5f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CE1_AHB_CLK_FVAL                                                    0x60
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AHB_CLK_FVAL                                                        0x61
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_XO_CLK_FVAL                                                         0x62
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_XO_DIV4_CLK_FVAL                                                    0x63
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SLEEP_CLK_FVAL                                                      0x64
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_TCU_CLK_FVAL                                                  0x65
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_SYS_NOC_AXI_CLK_FVAL                                          0x66
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_XO_CLK_FVAL                                                   0x67
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_CFG_AHB_CLK_FVAL                                              0x68
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_SLEEP_CLK_FVAL                                                0x69
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MEMNOC_CLK_FVAL                                                     0x6a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_USB30_SLV_AHB_CLK_FVAL                                              0x6b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_AT_CLK_FVAL                                                   0x6c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDR_I_HCLK_FVAL                                                     0x6f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRMC_CH0_CLK_FVAL                                                  0x70
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_DDRSS_GCC_DEBUG_CLK_FVAL                                                0x73
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CPUSS_AHB_CLK_FVAL                                                  0x74
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CPUSS_GNOC_CLK_FVAL                                                 0x75
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_XO_PCIE_LINK_CLK_FVAL                                               0x77
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CPUSS_AT_CLK_FVAL                                                   0x78
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_APSS_QDSS_TSCTR_CLK_FVAL                                            0x7a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_APSS_QDSS_APB_CLK_FVAL                                              0x7b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_CPUSS_GCC_DEBUG_CLK_FVAL                                                0x7c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_NOC_BUS_TIMEOUT_EXTREF_CLK_FVAL                                     0x7d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_CX_CLK_FVAL                                                   0x7e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_CX_AHB_CLK_FVAL                                               0x7f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_MX_CLK_FVAL                                                   0x80
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_MX_AHB_CLK_FVAL                                               0x81
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_QUSB2PHY_GCC_CLK_TEST_PRIM_FVAL                                         0x83
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_QUSB2PHY_GCC_CLK_TEST_SEC_FVAL                                          0x84
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_GP1_CLK_FVAL                                                        0x85
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_GP2_CLK_FVAL                                                        0x86
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_GP3_CLK_FVAL                                                        0x87
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_PCNOC_MPORT_CLK_FVAL                                       0x88
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_PCNOC_SWAY_CLK_FVAL                                        0x89
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_CLK_FVAL                                0x8a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_AHBFABRIC_IXFABRIC_LPM_CLK_FVAL                            0x8b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_SLIMBUS_BAM_CLK_FVAL                                 0x8c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_PRI_I2S_CLK_FVAL                                     0x8d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_SEC_I2S_CLK_FVAL                                     0x8e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_AUX_I2S_CLK_FVAL                                     0x8f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_AVSYNC_XO_CLK_FVAL                                         0x90
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_EXT_I2S_CLK_FVAL                                     0x91
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_SLIMBUS_CORE_CLK_FVAL                                0x92
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_PCM_DATAOE_CLK_FVAL                                  0x93
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_LPAIF_AUX_PCM_DATAOE_CLK_FVAL                              0x94
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_SLV_Q2A_AXI_CLK_FVAL                                           0x95
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_SLV_AXI_CLK_FVAL                                               0x96
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_MSTR_AXI_CLK_FVAL                                              0x97
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_CFG_AHB_CLK_FVAL                                               0x98
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_AUX_CLK_FVAL                                                   0x99
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_PIPE_CLK_FVAL                                                  0x9a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_PCIE_PIPE_CLK_FVAL                                                      0x9b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_SLEEP_CLK_FVAL                                                 0x9c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VDDCX_VS_CLK_FVAL                                                   0x9d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VDDMX_VS_CLK_FVAL                                                   0x9e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VDDA_VS_CLK_FVAL                                                    0x9f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VS_CTRL_CLK_FVAL                                                    0xa0
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VS_CTRL_AHB_CLK_FVAL                                                0xa1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_VS_CLK_FVAL                                                     0xa2
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_HS_AXI_CLK_FVAL                                             0xa3
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_SYS_NOC_HS_AXI_CLK_FVAL                                       0xa4
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPMI_VGIS_CLK_FVAL                                                  0xa6
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_NAV_MBIST_CLK_FVAL                                                  0xa9
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_SLEEP_CLK_FVAL                                                          0xaa
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DCC_AHB_CLK_FVAL                                                    0xab
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IPA_2X_CLK_FVAL                                                     0xac
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IPA_CLK_FVAL                                                        0xad
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IPA_AHB_CLK_FVAL                                                    0xae
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_IPA_XO_CLK_FVAL                                                     0xaf
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QPIC_CLK_FVAL                                                       0xb1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QPIC_AHB_CLK_FVAL                                                   0xb2
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QPIC_SYSTEM_CLK_FVAL                                                0xb3
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPMI_FETCHER_CLK_FVAL                                               0xb4
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SPMI_FETCHER_AHB_CLK_FVAL                                           0xb5
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_CFG_AHB_CLK_FVAL                                                0xb6
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_OFFLINE_AXI_CLK_FVAL                                            0xb7
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_CE_AXI_CLK_FVAL                                                 0xb8
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_PCIE_RCHNG_PHY_CLK_FVAL                                             0xb9
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_TRIG_CLK_FVAL                                                   0xba
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_AT_CLK_FVAL                                                     0xbb
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_GPLL0_DIV_CLK_SRC_FVAL                                          0xbc
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_Q6SS_BOOT_GPLL0_CLK_SRC_FVAL                                    0xbd
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_SNOC_AXI_CLK_FVAL                                               0xbe
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_Q6VQ6_AXIM1_CLK_FVAL                                            0xbf
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_MSS_GCC_DEBUG_CLK_FVAL                                                  0xc0
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QREFS_VBG_CAL_CLK_FVAL                                              0xc1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_NAV_GCC_DEBUG_CLK_FVAL                                                  0xc2
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_CM_PHY_REFGEN1_CLK_FVAL                                             0xc5
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ECC_CLK_FVAL                                                        0xc6
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ECC_CORE_CLK_FVAL                                                   0xc7
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_ULTAUDIO_AHBFABRIC_EFABRIC_SPDM_CLK_FVAL                            0xcc
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AOSS_AT_CLK_FVAL                                                    0xcd
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QM_CFG_AHB_CLK_FVAL                                                 0xce
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_AHB_PCIE_LINK_CLK_FVAL                                              0xcf
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_QM_CORE_CLK_FVAL                                                    0xd0
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRMC_CH1_CLK_FVAL                                                  0xd1
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_DDRSS_MSS_MCDMA_CLK_FVAL                                            0xfa
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_PCIE20_PHY_AUX_CLK_FVAL                                                 0xfc
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_NAV_SNOC_AXI_CLK_FVAL                                              0x105
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_EXT_PRI_I2S_FVAL                                                       0x106
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_EXT_SEC_I2S_FVAL                                                       0x107
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_EXT_AUX_I2S_FVAL                                                       0x108
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_AXI_CLK_FVAL                                               0x109
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_QDSS_STM_AXI_CLK_FVAL                                      0x10a
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_CPUSS_AHB_CLK_FVAL                                         0x10b
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_SYS_NOC_AHB_CFG_CLK_FVAL                                           0x10c
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_PCIEPHY_DEBUG_CLK_FVAL                                                 0x10d
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_USB3PHY_DEBUG_CLK_FVAL                                                 0x10e
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_MSS_CE_NAV_BRIDGE_AXI_CLK_FVAL                                     0x10f
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_VDDMXC_VS_CLK_FVAL                                                 0x110
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_MXC_CLK_FVAL                                                 0x111
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_RBCPR_MXC_AHB_CLK_FVAL                                             0x112
#define HWIO_GCC_DEBUG_CLK_CTL_MUX_SEL_GCC_TCSR_ACC_SERIAL_CLK_FVAL                                           0x113

#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x00069004)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00069004)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00069004)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_RMSK                                                                0x3fffff
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ATTR                                                                     0x3
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_IN          \
        in_dword_masked(HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ADDR, HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_RMSK)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ADDR, m)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_OUT(v)      \
        out_dword(HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ADDR,v)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_ADDR,m,v,HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_IN)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CLR_CNT_BMSK                                                        0x200000
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CLR_CNT_SHFT                                                            0x15
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CLR_CNT_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CLR_CNT_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CNT_EN_BMSK                                                         0x100000
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CNT_EN_SHFT                                                             0x14
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CNT_EN_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_CNT_EN_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_XO_DIV4_TERM_CNT_BMSK                                                0xfffff
#define HWIO_GCC_CLOCK_FRQ_MEASURE_CTL_XO_DIV4_TERM_CNT_SHFT                                                    0x0

#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00069008)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00069008)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00069008)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_RMSK                                                            0x3ffffff
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_ATTR                                                                  0x1
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_IN          \
        in_dword_masked(HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_ADDR, HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_RMSK)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_INM(m)      \
        in_dword_masked(HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_ADDR, m)
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_XO_DIV4_CNT_DONE_BMSK                                           0x2000000
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_XO_DIV4_CNT_DONE_SHFT                                                0x19
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_MEASURE_CNT_BMSK                                                0x1ffffff
#define HWIO_GCC_CLOCK_FRQ_MEASURE_STATUS_MEASURE_CNT_SHFT                                                      0x0

#define HWIO_GCC_PLLTEST_PAD_CFG_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0006900c)
#define HWIO_GCC_PLLTEST_PAD_CFG_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006900c)
#define HWIO_GCC_PLLTEST_PAD_CFG_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006900c)
#define HWIO_GCC_PLLTEST_PAD_CFG_RMSK                                                                     0x3ffffff
#define HWIO_GCC_PLLTEST_PAD_CFG_ATTR                                                                           0x3
#define HWIO_GCC_PLLTEST_PAD_CFG_IN          \
        in_dword_masked(HWIO_GCC_PLLTEST_PAD_CFG_ADDR, HWIO_GCC_PLLTEST_PAD_CFG_RMSK)
#define HWIO_GCC_PLLTEST_PAD_CFG_INM(m)      \
        in_dword_masked(HWIO_GCC_PLLTEST_PAD_CFG_ADDR, m)
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT(v)      \
        out_dword(HWIO_GCC_PLLTEST_PAD_CFG_ADDR,v)
#define HWIO_GCC_PLLTEST_PAD_CFG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PLLTEST_PAD_CFG_ADDR,m,v,HWIO_GCC_PLLTEST_PAD_CFG_IN)
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_BMSK                                                          0x3000000
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_SHFT                                                               0x18
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_NONE_FVAL                                                           0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_PULLDOWN_FVAL                                                       0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_KEEP_FVAL                                                           0x2
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_B_PULLUP_FVAL                                                         0x3
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BITS23_20_BMSK                                                    0xf00000
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BITS23_20_SHFT                                                        0x14
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_EN_BMSK                                                           0x80000
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_EN_SHFT                                                              0x13
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_EN_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_PLL_EN_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BIT18_BMSK                                                         0x40000
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BIT18_SHFT                                                            0x12
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_OE_BMSK                                                               0x20000
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_OE_SHFT                                                                  0x11
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_OE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_OE_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BIT16_BMSK                                                         0x10000
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BIT16_SHFT                                                            0x10
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_IE_BMSK                                                                0x8000
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_IE_SHFT                                                                   0xf
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_IE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_CORE_IE_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_HIHYS_EN_BMSK                                                               0x4000
#define HWIO_GCC_PLLTEST_PAD_CFG_HIHYS_EN_SHFT                                                                  0xe
#define HWIO_GCC_PLLTEST_PAD_CFG_HIHYS_EN_DISABLE_FVAL                                                          0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_HIHYS_EN_ENABLE_FVAL                                                           0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_BMSK                                                                 0x3800
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_SHFT                                                                    0xb
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_DRIVE_150MV_FVAL                                                        0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_DRIVE_200MV_FVAL                                                        0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_DRIVE_250MV_FVAL                                                        0x2
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_DRIVE_300MV_FVAL                                                        0x3
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_NEW_A_FVAL                                                              0x4
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_NEW_B_FVAL                                                              0x5
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_NEW_C_FVAL                                                              0x6
#define HWIO_GCC_PLLTEST_PAD_CFG_HDRIVE_NEW_D_FVAL                                                              0x7
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BITS10_5_BMSK                                                        0x7e0
#define HWIO_GCC_PLLTEST_PAD_CFG_RESERVE_BITS10_5_SHFT                                                          0x5
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_BMSK                                                                  0x1f
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_SHFT                                                                   0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GCC_DEBUG_CLK_FVAL                                                     0x0
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL0_OUT_TEST_FVAL                                                    0x1
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL1_OUT_TEST_FVAL                                                    0x2
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL2_OUT_TEST_FVAL                                                    0x3
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL3_OUT_TEST_FVAL                                                    0x4
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL4_OUT_TEST_FVAL                                                    0x5
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_GPLL5_OUT_TEST_FVAL                                                    0x6
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_CPUSS_GCC_PLL_TEST_CLK_FVAL                                            0x8
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_MSS_GCC_PLL_TEST_CLK_FVAL                                              0xa
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_USB30_LPC_PLL_TEST_SE_FVAL                                             0xb
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_NAV_GCC_PLL_TEST_CLK_FVAL                                              0xe
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_DDRSS_GCC_PLL_TEST_CLK_FVAL                                           0x11
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_MSS_GCC_Q6_LDO_NMO_OUT_FVAL                                           0x12
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_MSS_GCC_VQ6_LDO_NMO_OUT_FVAL                                          0x13
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_QREFS_GCC_CXO_RXTAP1_CLK_TEST_SE_FVAL                                 0x18
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_QREFS_GCC_CXO2_RXTAP0_CLK_TEST_SE_FVAL                                0x19
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_QREFS_GCC_CXO_RXTAP2_CLK_TEST_SE_FVAL                                 0x1a
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_QREFS_GCC_CXO_RXTAP3_CLK_TEST_SE_FVAL                                 0x1b
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_QREFS_GCC_CXO_RX0_CLK_TEST_SE_FVAL                                    0x1c
#define HWIO_GCC_PLLTEST_PAD_CFG_OUT_SEL_AOSS_GCC_PLL_TEST_CLK_FVAL                                            0x1f

#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00000300)
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00000300)
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00000300)
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_RMSK                                                               0x1f
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_ATTR                                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_FSM_STATE_BMSK                                                     0x1f
#define HWIO_GCC_RPMH_SYS_NOC_INTERFACE_FSM_FSM_STATE_SHFT                                                      0x0

#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00001300)
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001300)
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001300)
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_ATTR                                                                   0x1
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_FSM_STATE_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_CNOC_INTERFACE_FSM_FSM_STATE_SHFT                                                         0x0

#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00004300)
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00004300)
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00004300)
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_ATTR                                                                   0x1
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_FSM_STATE_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHUB_INTERFACE_FSM_FSM_STATE_SHFT                                                         0x0

#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0001c300)
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001c300)
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001c300)
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_RMSK                                                                    0x1f
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_ATTR                                                                     0x1
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_CE_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_FSM_STATE_BMSK                                                          0x1f
#define HWIO_GCC_RPMH_CE_INTERFACE_FSM_FSM_STATE_SHFT                                                           0x0

#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f604)
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f604)
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f604)
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_ATTR                                                                   0x1
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_FSM_STATE_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_SHRM_INTERFACE_FSM_FSM_STATE_SHFT                                                         0x0

#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00038300)
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00038300)
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00038300)
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_ATTR                                                                    0x1
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_IPA_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_FSM_STATE_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_IPA_INTERFACE_FSM_FSM_STATE_SHFT                                                          0x0

#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00039300)
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00039300)
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00039300)
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_ATTR                                                                   0x1
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_FSM_STATE_BMSK                                                        0x1f
#define HWIO_GCC_RPMH_QPIC_INTERFACE_FSM_FSM_STATE_SHFT                                                         0x0

#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00040300)
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00040300)
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00040300)
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_ATTR                                                                    0x1
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_PKA_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_FSM_STATE_BMSK                                                         0x1f
#define HWIO_GCC_RPMH_PKA_INTERFACE_FSM_FSM_STATE_SHFT                                                          0x0

#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0001f600)
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0001f600)
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0001f600)
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_ATTR                                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_ADDR, HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_RMSK)
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_FSM_STATE_BMSK                                                       0x1f
#define HWIO_GCC_RPMH_DDRMC_INTERFACE_FSM_FSM_STATE_SHFT                                                        0x0

#define HWIO_GCC_USB_BOOT_CLOCK_CTL_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0006a000)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006a000)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006a000)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_RMSK                                                                        0x1
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_ATTR                                                                        0x3
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_IN          \
        in_dword_masked(HWIO_GCC_USB_BOOT_CLOCK_CTL_ADDR, HWIO_GCC_USB_BOOT_CLOCK_CTL_RMSK)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_USB_BOOT_CLOCK_CTL_ADDR, m)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_OUT(v)      \
        out_dword(HWIO_GCC_USB_BOOT_CLOCK_CTL_ADDR,v)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB_BOOT_CLOCK_CTL_ADDR,m,v,HWIO_GCC_USB_BOOT_CLOCK_CTL_IN)
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_CLK_ENABLE_BMSK                                                             0x1
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_CLK_ENABLE_SHFT                                                             0x0
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_CLK_ENABLE_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_USB_BOOT_CLOCK_CTL_CLK_ENABLE_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0006b000)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006b000)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006b000)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_RMSK                                                                       0x1
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ATTR                                                                       0x3
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_IN          \
        in_dword_masked(HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ADDR, HWIO_GCC_PCIE_BOOT_CLOCK_CTL_RMSK)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ADDR, m)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ADDR,v)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_BOOT_CLOCK_CTL_ADDR,m,v,HWIO_GCC_PCIE_BOOT_CLOCK_CTL_IN)
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PCIE_BOOT_CLOCK_CTL_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_TIC_MODE_APCS_BOOT_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0006c000)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006c000)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006c000)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_RMSK                                                                        0x1
#define HWIO_GCC_TIC_MODE_APCS_BOOT_ATTR                                                                        0x3
#define HWIO_GCC_TIC_MODE_APCS_BOOT_IN          \
        in_dword_masked(HWIO_GCC_TIC_MODE_APCS_BOOT_ADDR, HWIO_GCC_TIC_MODE_APCS_BOOT_RMSK)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_INM(m)      \
        in_dword_masked(HWIO_GCC_TIC_MODE_APCS_BOOT_ADDR, m)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_OUT(v)      \
        out_dword(HWIO_GCC_TIC_MODE_APCS_BOOT_ADDR,v)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TIC_MODE_APCS_BOOT_ADDR,m,v,HWIO_GCC_TIC_MODE_APCS_BOOT_IN)
#define HWIO_GCC_TIC_MODE_APCS_BOOT_APCS_BOOT_IN_TIC_MODE_BMSK                                                  0x1
#define HWIO_GCC_TIC_MODE_APCS_BOOT_APCS_BOOT_IN_TIC_MODE_SHFT                                                  0x0
#define HWIO_GCC_TIC_MODE_APCS_BOOT_APCS_BOOT_IN_TIC_MODE_DISABLE_FVAL                                          0x0
#define HWIO_GCC_TIC_MODE_APCS_BOOT_APCS_BOOT_IN_TIC_MODE_ENABLE_FVAL                                           0x1

#define HWIO_GCC_IPA_GDSC_OVRD_ADDR                                                                      (GCC_CLK_CTL_REG_REG_BASE      + 0x0006d000)
#define HWIO_GCC_IPA_GDSC_OVRD_PHYS                                                                      (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006d000)
#define HWIO_GCC_IPA_GDSC_OVRD_OFFS                                                                      (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006d000)
#define HWIO_GCC_IPA_GDSC_OVRD_RMSK                                                                             0x3
#define HWIO_GCC_IPA_GDSC_OVRD_ATTR                                                                             0x3
#define HWIO_GCC_IPA_GDSC_OVRD_IN          \
        in_dword_masked(HWIO_GCC_IPA_GDSC_OVRD_ADDR, HWIO_GCC_IPA_GDSC_OVRD_RMSK)
#define HWIO_GCC_IPA_GDSC_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_IPA_GDSC_OVRD_ADDR, m)
#define HWIO_GCC_IPA_GDSC_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_IPA_GDSC_OVRD_ADDR,v)
#define HWIO_GCC_IPA_GDSC_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_IPA_GDSC_OVRD_ADDR,m,v,HWIO_GCC_IPA_GDSC_OVRD_IN)
#define HWIO_GCC_IPA_GDSC_OVRD_SW_OVERRIDE_BMSK                                                                 0x2
#define HWIO_GCC_IPA_GDSC_OVRD_SW_OVERRIDE_SHFT                                                                 0x1
#define HWIO_GCC_IPA_GDSC_OVRD_SW_OVERRIDE_DISABLE_FVAL                                                         0x0
#define HWIO_GCC_IPA_GDSC_OVRD_SW_OVERRIDE_ENABLE_FVAL                                                          0x1
#define HWIO_GCC_IPA_GDSC_OVRD_RETAIN_FF_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_IPA_GDSC_OVRD_RETAIN_FF_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_IPA_GDSC_OVRD_RETAIN_FF_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_IPA_GDSC_OVRD_RETAIN_FF_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0006d004)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006d004)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006d004)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_RMSK                                                                      0x3
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_ATTR                                                                      0x3
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_IN          \
        in_dword_masked(HWIO_GCC_USB30_PRIM_GDSC_OVRD_ADDR, HWIO_GCC_USB30_PRIM_GDSC_OVRD_RMSK)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_USB30_PRIM_GDSC_OVRD_ADDR, m)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_USB30_PRIM_GDSC_OVRD_ADDR,v)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB30_PRIM_GDSC_OVRD_ADDR,m,v,HWIO_GCC_USB30_PRIM_GDSC_OVRD_IN)
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_SW_OVERRIDE_BMSK                                                          0x2
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_SW_OVERRIDE_SHFT                                                          0x1
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_SW_OVERRIDE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_SW_OVERRIDE_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_RETAIN_FF_ENABLE_BMSK                                                     0x1
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_RETAIN_FF_ENABLE_SHFT                                                     0x0
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_RETAIN_FF_ENABLE_DISABLE_FVAL                                             0x0
#define HWIO_GCC_USB30_PRIM_GDSC_OVRD_RETAIN_FF_ENABLE_ENABLE_FVAL                                              0x1

#define HWIO_GCC_PCIE_0_GDSC_OVRD_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0006d008)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006d008)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006d008)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_RMSK                                                                          0x3
#define HWIO_GCC_PCIE_0_GDSC_OVRD_ATTR                                                                          0x3
#define HWIO_GCC_PCIE_0_GDSC_OVRD_IN          \
        in_dword_masked(HWIO_GCC_PCIE_0_GDSC_OVRD_ADDR, HWIO_GCC_PCIE_0_GDSC_OVRD_RMSK)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_0_GDSC_OVRD_ADDR, m)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_0_GDSC_OVRD_ADDR,v)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_0_GDSC_OVRD_ADDR,m,v,HWIO_GCC_PCIE_0_GDSC_OVRD_IN)
#define HWIO_GCC_PCIE_0_GDSC_OVRD_SW_OVERRIDE_BMSK                                                              0x2
#define HWIO_GCC_PCIE_0_GDSC_OVRD_SW_OVERRIDE_SHFT                                                              0x1
#define HWIO_GCC_PCIE_0_GDSC_OVRD_SW_OVERRIDE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_PCIE_0_GDSC_OVRD_SW_OVERRIDE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_PCIE_0_GDSC_OVRD_RETAIN_FF_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_PCIE_0_GDSC_OVRD_RETAIN_FF_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_PCIE_0_GDSC_OVRD_RETAIN_FF_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_PCIE_0_GDSC_OVRD_RETAIN_FF_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_DDRSS_GDSC_OVRD_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0006d010)
#define HWIO_GCC_DDRSS_GDSC_OVRD_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006d010)
#define HWIO_GCC_DDRSS_GDSC_OVRD_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006d010)
#define HWIO_GCC_DDRSS_GDSC_OVRD_RMSK                                                                           0x3
#define HWIO_GCC_DDRSS_GDSC_OVRD_ATTR                                                                           0x3
#define HWIO_GCC_DDRSS_GDSC_OVRD_IN          \
        in_dword_masked(HWIO_GCC_DDRSS_GDSC_OVRD_ADDR, HWIO_GCC_DDRSS_GDSC_OVRD_RMSK)
#define HWIO_GCC_DDRSS_GDSC_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_DDRSS_GDSC_OVRD_ADDR, m)
#define HWIO_GCC_DDRSS_GDSC_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_DDRSS_GDSC_OVRD_ADDR,v)
#define HWIO_GCC_DDRSS_GDSC_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_DDRSS_GDSC_OVRD_ADDR,m,v,HWIO_GCC_DDRSS_GDSC_OVRD_IN)
#define HWIO_GCC_DDRSS_GDSC_OVRD_SW_OVERRIDE_BMSK                                                               0x2
#define HWIO_GCC_DDRSS_GDSC_OVRD_SW_OVERRIDE_SHFT                                                               0x1
#define HWIO_GCC_DDRSS_GDSC_OVRD_SW_OVERRIDE_DISABLE_FVAL                                                       0x0
#define HWIO_GCC_DDRSS_GDSC_OVRD_SW_OVERRIDE_ENABLE_FVAL                                                        0x1
#define HWIO_GCC_DDRSS_GDSC_OVRD_RETAIN_FF_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_DDRSS_GDSC_OVRD_RETAIN_FF_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_DDRSS_GDSC_OVRD_RETAIN_FF_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_DDRSS_GDSC_OVRD_RETAIN_FF_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_GDS_HW_CTRL_SPARE_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0006d014)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006d014)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006d014)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_RMSK                                                                        0xff
#define HWIO_GCC_GDS_HW_CTRL_SPARE_ATTR                                                                         0x3
#define HWIO_GCC_GDS_HW_CTRL_SPARE_IN          \
        in_dword_masked(HWIO_GCC_GDS_HW_CTRL_SPARE_ADDR, HWIO_GCC_GDS_HW_CTRL_SPARE_RMSK)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_INM(m)      \
        in_dword_masked(HWIO_GCC_GDS_HW_CTRL_SPARE_ADDR, m)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_OUT(v)      \
        out_dword(HWIO_GCC_GDS_HW_CTRL_SPARE_ADDR,v)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GDS_HW_CTRL_SPARE_ADDR,m,v,HWIO_GCC_GDS_HW_CTRL_SPARE_IN)
#define HWIO_GCC_GDS_HW_CTRL_SPARE_SPARE_BMSK                                                                  0xff
#define HWIO_GCC_GDS_HW_CTRL_SPARE_SPARE_SHFT                                                                   0x0

#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x00001104)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00001104)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00001104)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_RMSK                                                                 0x1f001f
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ATTR                                                                      0x3
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_IN          \
        in_dword_masked(HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ADDR, HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_RMSK)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_INM(m)      \
        in_dword_masked(HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ADDR, m)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_OUT(v)      \
        out_dword(HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ADDR,v)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_ADDR,m,v,HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_IN)
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_CX_CLK_DIS_ACK_OVRD_BMSK                                     0x100000
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_CX_CLK_DIS_ACK_OVRD_SHFT                                         0x14
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_CX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                  0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_CX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                   0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_CX_CLK_DIS_ACK_OVRD_BMSK                                          0x80000
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_CX_CLK_DIS_ACK_OVRD_SHFT                                             0x13
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_CX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_CX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_CX_CLK_DIS_ACK_OVRD_BMSK                                         0x40000
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_CX_CLK_DIS_ACK_OVRD_SHFT                                            0x12
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_CX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                     0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_CX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                      0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_CX_CLK_DIS_ACK_OVRD_BMSK                                          0x20000
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_CX_CLK_DIS_ACK_OVRD_SHFT                                             0x11
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_CX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_CX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_CX_CLK_DIS_ACK_OVRD_BMSK                                          0x10000
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_CX_CLK_DIS_ACK_OVRD_SHFT                                             0x10
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_CX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_CX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_MX_CLK_DIS_ACK_OVRD_BMSK                                         0x10
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_MX_CLK_DIS_ACK_OVRD_SHFT                                          0x4
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_MX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                  0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_DDR_PHY_MX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                   0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_MX_CLK_DIS_ACK_OVRD_BMSK                                              0x8
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_MX_CLK_DIS_ACK_OVRD_SHFT                                              0x3
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_MX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_MSS_MX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_MX_CLK_DIS_ACK_OVRD_BMSK                                             0x4
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_MX_CLK_DIS_ACK_OVRD_SHFT                                             0x2
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_MX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                     0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_APSS_MX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                      0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_MX_CLK_DIS_ACK_OVRD_BMSK                                              0x2
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_MX_CLK_DIS_ACK_OVRD_SHFT                                              0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_MX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_NAV_MX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_MX_CLK_DIS_ACK_OVRD_BMSK                                              0x1
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_MX_CLK_DIS_ACK_OVRD_SHFT                                              0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_MX_CLK_DIS_ACK_OVRD_DISABLE_FVAL                                      0x0
#define HWIO_GCC_ARC_CLK_DIS_ACK_OVRD_GCC_MX_CLK_DIS_ACK_OVRD_ENABLE_FVAL                                       0x1

#define HWIO_GCC_SPARE0_REG_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0006e000)
#define HWIO_GCC_SPARE0_REG_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006e000)
#define HWIO_GCC_SPARE0_REG_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006e000)
#define HWIO_GCC_SPARE0_REG_RMSK                                                                         0xffffffff
#define HWIO_GCC_SPARE0_REG_ATTR                                                                                0x3
#define HWIO_GCC_SPARE0_REG_IN          \
        in_dword_masked(HWIO_GCC_SPARE0_REG_ADDR, HWIO_GCC_SPARE0_REG_RMSK)
#define HWIO_GCC_SPARE0_REG_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE0_REG_ADDR, m)
#define HWIO_GCC_SPARE0_REG_OUT(v)      \
        out_dword(HWIO_GCC_SPARE0_REG_ADDR,v)
#define HWIO_GCC_SPARE0_REG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE0_REG_ADDR,m,v,HWIO_GCC_SPARE0_REG_IN)
#define HWIO_GCC_SPARE0_REG_SPARE_BITS_BMSK                                                              0xffffffff
#define HWIO_GCC_SPARE0_REG_SPARE_BITS_SHFT                                                                     0x0

#define HWIO_GCC_SPARE1_REG_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0006f000)
#define HWIO_GCC_SPARE1_REG_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0006f000)
#define HWIO_GCC_SPARE1_REG_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0006f000)
#define HWIO_GCC_SPARE1_REG_RMSK                                                                         0xffffffff
#define HWIO_GCC_SPARE1_REG_ATTR                                                                                0x3
#define HWIO_GCC_SPARE1_REG_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_REG_ADDR, HWIO_GCC_SPARE1_REG_RMSK)
#define HWIO_GCC_SPARE1_REG_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_REG_ADDR, m)
#define HWIO_GCC_SPARE1_REG_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_REG_ADDR,v)
#define HWIO_GCC_SPARE1_REG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_REG_ADDR,m,v,HWIO_GCC_SPARE1_REG_IN)
#define HWIO_GCC_SPARE1_REG_SPARE_BITS_BMSK                                                              0xffffffff
#define HWIO_GCC_SPARE1_REG_SPARE_BITS_SHFT                                                                     0x0

#define HWIO_GCC_SPARE2_REG_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00070000)
#define HWIO_GCC_SPARE2_REG_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00070000)
#define HWIO_GCC_SPARE2_REG_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00070000)
#define HWIO_GCC_SPARE2_REG_RMSK                                                                         0xffffffff
#define HWIO_GCC_SPARE2_REG_ATTR                                                                                0x3
#define HWIO_GCC_SPARE2_REG_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_REG_ADDR, HWIO_GCC_SPARE2_REG_RMSK)
#define HWIO_GCC_SPARE2_REG_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_REG_ADDR, m)
#define HWIO_GCC_SPARE2_REG_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_REG_ADDR,v)
#define HWIO_GCC_SPARE2_REG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_REG_ADDR,m,v,HWIO_GCC_SPARE2_REG_IN)
#define HWIO_GCC_SPARE2_REG_SPARE_BITS_BMSK                                                              0xffffffff
#define HWIO_GCC_SPARE2_REG_SPARE_BITS_SHFT                                                                     0x0

#define HWIO_GCC_SPARE3_REG_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00071000)
#define HWIO_GCC_SPARE3_REG_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00071000)
#define HWIO_GCC_SPARE3_REG_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00071000)
#define HWIO_GCC_SPARE3_REG_RMSK                                                                         0xffffffff
#define HWIO_GCC_SPARE3_REG_ATTR                                                                                0x3
#define HWIO_GCC_SPARE3_REG_IN          \
        in_dword_masked(HWIO_GCC_SPARE3_REG_ADDR, HWIO_GCC_SPARE3_REG_RMSK)
#define HWIO_GCC_SPARE3_REG_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE3_REG_ADDR, m)
#define HWIO_GCC_SPARE3_REG_OUT(v)      \
        out_dword(HWIO_GCC_SPARE3_REG_ADDR,v)
#define HWIO_GCC_SPARE3_REG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE3_REG_ADDR,m,v,HWIO_GCC_SPARE3_REG_IN)
#define HWIO_GCC_SPARE3_REG_SPARE_BITS_BMSK                                                              0xffffffff
#define HWIO_GCC_SPARE3_REG_SPARE_BITS_SHFT                                                                     0x0

#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00072000)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00072000)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00072000)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_RMSK                                                                        0x1
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_ATTR                                                                        0x3
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_IN          \
        in_dword_masked(HWIO_GCC_RAW_SLEEP_CLK_CTRL_ADDR, HWIO_GCC_RAW_SLEEP_CLK_CTRL_RMSK)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_INM(m)      \
        in_dword_masked(HWIO_GCC_RAW_SLEEP_CLK_CTRL_ADDR, m)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_OUT(v)      \
        out_dword(HWIO_GCC_RAW_SLEEP_CLK_CTRL_ADDR,v)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RAW_SLEEP_CLK_CTRL_ADDR,m,v,HWIO_GCC_RAW_SLEEP_CLK_CTRL_IN)
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_GATING_DISABLE_BMSK                                                         0x1
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_GATING_DISABLE_SHFT                                                         0x0
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_GATING_DISABLE_ENABLE_FVAL                                                  0x0
#define HWIO_GCC_RAW_SLEEP_CLK_CTRL_GATING_DISABLE_DISABLE_FVAL                                                 0x1

#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00073000)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00073000)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00073000)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK                                                     0x80000001
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ATTR                                                            0x3
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN          \
        in_dword_masked(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, m)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUT(v)      \
        out_dword(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,v)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,m,v,HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_BMSK                                             0x80000000
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_SHFT                                                   0x1f
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_BMSK                                                 0x1
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_SHFT                                                 0x0
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_ENABLE_FVAL                                          0x1

#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00073004)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00073004)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00073004)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK                                                     0x80000001
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ATTR                                                            0x3
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN          \
        in_dword_masked(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, m)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUT(v)      \
        out_dword(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,v)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,m,v,HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN)
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_BMSK                                             0x80000000
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_SHFT                                                   0x1f
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_BMSK                                                 0x1
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_SHFT                                                 0x0
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_DISABLE_FVAL                                         0x0
#define HWIO_GCC_TZ_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_ENABLE_FVAL                                          0x1

#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00073008)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00073008)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00073008)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_RMSK                                                           0x80000001
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ATTR                                                                  0x3
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_IN          \
        in_dword_masked(HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ADDR, HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_RMSK)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ADDR, m)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ADDR,v)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_ADDR,m,v,HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_IN)
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_TZ_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0007300c)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007300c)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007300c)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_RMSK                                                                0x80000001
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ATTR                                                                       0x3
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_IN          \
        in_dword_masked(HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ADDR, HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_RMSK)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ADDR, m)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ADDR,v)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_ADDR,m,v,HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_IN)
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_OFF_BMSK                                                        0x80000000
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_OFF_SHFT                                                              0x1f
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_ENABLE_BMSK                                                            0x1
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_ENABLE_SHFT                                                            0x0
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_TZ_VOTE_MMU_TCU_CLK_CLK_ENABLE_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00074000)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00074000)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00074000)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK                                                    0x80000001
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ATTR                                                           0x3
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN          \
        in_dword_masked(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, m)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,v)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,m,v,HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_BMSK                                            0x80000000
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_SHFT                                                  0x1f
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_BMSK                                                0x1
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_SHFT                                                0x0
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_ENABLE_FVAL                                         0x1

#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00074004)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00074004)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00074004)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK                                                    0x80000001
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ATTR                                                           0x3
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN          \
        in_dword_masked(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, m)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,v)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,m,v,HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN)
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_BMSK                                            0x80000000
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_SHFT                                                  0x1f
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_BMSK                                                0x1
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_SHFT                                                0x0
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_HYP_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_ENABLE_FVAL                                         0x1

#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00074008)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00074008)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00074008)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_RMSK                                                          0x80000001
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ATTR                                                                 0x3
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ADDR, HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_RMSK)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ADDR, m)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ADDR,v)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_ADDR,m,v,HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_IN)
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_HYP_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0007400c)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007400c)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007400c)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_RMSK                                                               0x80000001
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ATTR                                                                      0x3
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ADDR, HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_RMSK)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ADDR, m)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ADDR,v)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_ADDR,m,v,HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_IN)
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_HYP_VOTE_MMU_TCU_CLK_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00075000)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00075000)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00075000)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK                                                  0x80000001
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ATTR                                                         0x3
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, m)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,v)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,m,v,HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_BMSK                                          0x80000000
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_SHFT                                                0x1f
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_BMSK                                              0x1
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_SHFT                                              0x0
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_ENABLE_FVAL                                       0x1

#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00075004)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00075004)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00075004)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK                                                  0x80000001
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ATTR                                                         0x3
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, m)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,v)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,m,v,HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN)
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_BMSK                                          0x80000000
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_SHFT                                                0x1f
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_BMSK                                              0x1
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_SHFT                                              0x0
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HLOS1_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_ENABLE_FVAL                                       0x1

#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00075008)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00075008)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00075008)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_RMSK                                                        0x80000001
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ATTR                                                               0x3
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ADDR, HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_RMSK)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ADDR, m)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ADDR,v)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_ADDR,m,v,HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_IN)
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0007500c)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007500c)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007500c)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_RMSK                                                             0x80000001
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ATTR                                                                    0x3
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ADDR, HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_RMSK)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ADDR, m)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ADDR,v)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_ADDR,m,v,HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_IN)
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_OFF_SHFT                                                           0x1f
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_HLOS1_VOTE_MMU_TCU_CLK_CLK_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00076000)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00076000)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00076000)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK                                                  0x80000001
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ATTR                                                         0x3
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, m)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,v)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,m,v,HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_BMSK                                          0x80000000
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_SHFT                                                0x1f
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_BMSK                                              0x1
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_SHFT                                              0x0
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_ENABLE_FVAL                                       0x1

#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00076004)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00076004)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00076004)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK                                                  0x80000001
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ATTR                                                         0x3
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, m)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,v)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,m,v,HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN)
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_BMSK                                          0x80000000
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_SHFT                                                0x1f
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_BMSK                                              0x1
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_SHFT                                              0x0
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_HLOS2_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_ENABLE_FVAL                                       0x1

#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00076008)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00076008)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00076008)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_RMSK                                                        0x80000001
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ATTR                                                               0x3
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ADDR, HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_RMSK)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ADDR, m)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ADDR,v)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_ADDR,m,v,HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_IN)
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_BMSK                                                0x80000000
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_SHFT                                                      0x1f
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_BMSK                                                    0x1
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_SHFT                                                    0x0
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_DISABLE_FVAL                                            0x0
#define HWIO_GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_ENABLE_FVAL                                             0x1

#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0007600c)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007600c)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007600c)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_RMSK                                                             0x80000001
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ATTR                                                                    0x3
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_IN          \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ADDR, HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_RMSK)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ADDR, m)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ADDR,v)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_ADDR,m,v,HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_IN)
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_OFF_SHFT                                                           0x1f
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_HLOS2_VOTE_MMU_TCU_CLK_CLK_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_USB3_PRIM_CLKREF_EN_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00078000)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078000)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078000)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_RMSK                                                                0x80000001
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_ATTR                                                                       0x3
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_IN          \
        in_dword_masked(HWIO_GCC_USB3_PRIM_CLKREF_EN_ADDR, HWIO_GCC_USB3_PRIM_CLKREF_EN_RMSK)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_PRIM_CLKREF_EN_ADDR, m)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_OUT(v)      \
        out_dword(HWIO_GCC_USB3_PRIM_CLKREF_EN_ADDR,v)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_USB3_PRIM_CLKREF_EN_ADDR,m,v,HWIO_GCC_USB3_PRIM_CLKREF_EN_IN)
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_STATUS_BMSK                                                    0x80000000
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_STATUS_SHFT                                                          0x1f
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_USB3_PRIM_CLKREF_EN_USB3_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_PCIE_0_CLKREF_EN_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00078004)
#define HWIO_GCC_PCIE_0_CLKREF_EN_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078004)
#define HWIO_GCC_PCIE_0_CLKREF_EN_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078004)
#define HWIO_GCC_PCIE_0_CLKREF_EN_RMSK                                                                   0x80000001
#define HWIO_GCC_PCIE_0_CLKREF_EN_ATTR                                                                          0x3
#define HWIO_GCC_PCIE_0_CLKREF_EN_IN          \
        in_dword_masked(HWIO_GCC_PCIE_0_CLKREF_EN_ADDR, HWIO_GCC_PCIE_0_CLKREF_EN_RMSK)
#define HWIO_GCC_PCIE_0_CLKREF_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_0_CLKREF_EN_ADDR, m)
#define HWIO_GCC_PCIE_0_CLKREF_EN_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_0_CLKREF_EN_ADDR,v)
#define HWIO_GCC_PCIE_0_CLKREF_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_0_CLKREF_EN_ADDR,m,v,HWIO_GCC_PCIE_0_CLKREF_EN_IN)
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_STATUS_BMSK                                                       0x80000000
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_STATUS_SHFT                                                             0x1f
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_ENABLE_BMSK                                                              0x1
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_ENABLE_SHFT                                                              0x0
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_PCIE_0_CLKREF_EN_PCIE_ENABLE_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RX1_USB2_CLKREF_EN_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00078008)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078008)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078008)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RMSK                                                                 0x80000003
#define HWIO_GCC_RX1_USB2_CLKREF_EN_ATTR                                                                        0x3
#define HWIO_GCC_RX1_USB2_CLKREF_EN_IN          \
        in_dword_masked(HWIO_GCC_RX1_USB2_CLKREF_EN_ADDR, HWIO_GCC_RX1_USB2_CLKREF_EN_RMSK)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_RX1_USB2_CLKREF_EN_ADDR, m)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_OUT(v)      \
        out_dword(HWIO_GCC_RX1_USB2_CLKREF_EN_ADDR,v)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RX1_USB2_CLKREF_EN_ADDR,m,v,HWIO_GCC_RX1_USB2_CLKREF_EN_IN)
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_STATUS_BMSK                                                 0x80000000
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_STATUS_SHFT                                                       0x1f
#define HWIO_GCC_RX1_USB2_CLKREF_EN_CREF_ENABLE_BMSK                                                            0x2
#define HWIO_GCC_RX1_USB2_CLKREF_EN_CREF_ENABLE_SHFT                                                            0x1
#define HWIO_GCC_RX1_USB2_CLKREF_EN_CREF_ENABLE_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RX1_USB2_CLKREF_EN_CREF_ENABLE_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_ENABLE_BMSK                                                        0x1
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_ENABLE_SHFT                                                        0x0
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_ENABLE_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RX1_USB2_CLKREF_EN_RX1_USB2_ENABLE_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RX2_QLINK_CLKREF_EN_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0007800c)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007800c)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007800c)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RMSK                                                                0x80000003
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_ATTR                                                                       0x3
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_IN          \
        in_dword_masked(HWIO_GCC_RX2_QLINK_CLKREF_EN_ADDR, HWIO_GCC_RX2_QLINK_CLKREF_EN_RMSK)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_RX2_QLINK_CLKREF_EN_ADDR, m)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_OUT(v)      \
        out_dword(HWIO_GCC_RX2_QLINK_CLKREF_EN_ADDR,v)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RX2_QLINK_CLKREF_EN_ADDR,m,v,HWIO_GCC_RX2_QLINK_CLKREF_EN_IN)
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_STATUS_BMSK                                               0x80000000
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_STATUS_SHFT                                                     0x1f
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RXTAP0_ENABLE_BMSK                                                         0x2
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RXTAP0_ENABLE_SHFT                                                         0x1
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RXTAP0_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RXTAP0_ENABLE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RX2_QLINK_CLKREF_EN_RX2_QLINK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_RX3_MODEM_CLKREF_EN_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x00078010)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078010)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078010)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RMSK                                                                0x80000003
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_ATTR                                                                       0x3
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_IN          \
        in_dword_masked(HWIO_GCC_RX3_MODEM_CLKREF_EN_ADDR, HWIO_GCC_RX3_MODEM_CLKREF_EN_RMSK)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_RX3_MODEM_CLKREF_EN_ADDR, m)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_OUT(v)      \
        out_dword(HWIO_GCC_RX3_MODEM_CLKREF_EN_ADDR,v)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RX3_MODEM_CLKREF_EN_ADDR,m,v,HWIO_GCC_RX3_MODEM_CLKREF_EN_IN)
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_STATUS_BMSK                                               0x80000000
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_STATUS_SHFT                                                     0x1f
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RXTAP1_ENABLE_BMSK                                                         0x2
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RXTAP1_ENABLE_SHFT                                                         0x1
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RXTAP1_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RXTAP1_ENABLE_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RX3_MODEM_CLKREF_EN_RX3_MODEM_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_CXO_TX1_CLKREF_EN1_ADDR                                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00078014)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_PHYS                                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078014)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_OFFS                                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078014)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_RMSK                                                                 0x80000001
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_ATTR                                                                        0x3
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_IN          \
        in_dword_masked(HWIO_GCC_CXO_TX1_CLKREF_EN1_ADDR, HWIO_GCC_CXO_TX1_CLKREF_EN1_RMSK)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_INM(m)      \
        in_dword_masked(HWIO_GCC_CXO_TX1_CLKREF_EN1_ADDR, m)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_OUT(v)      \
        out_dword(HWIO_GCC_CXO_TX1_CLKREF_EN1_ADDR,v)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CXO_TX1_CLKREF_EN1_ADDR,m,v,HWIO_GCC_CXO_TX1_CLKREF_EN1_IN)
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_STATUS_BMSK                                                  0x80000000
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_STATUS_SHFT                                                        0x1f
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_CXO_TX1_CLKREF_EN1_CXO_TX1_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_CLKREF_SPARE_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00078018)
#define HWIO_GCC_CLKREF_SPARE_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00078018)
#define HWIO_GCC_CLKREF_SPARE_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00078018)
#define HWIO_GCC_CLKREF_SPARE_RMSK                                                                             0xff
#define HWIO_GCC_CLKREF_SPARE_ATTR                                                                              0x3
#define HWIO_GCC_CLKREF_SPARE_IN          \
        in_dword_masked(HWIO_GCC_CLKREF_SPARE_ADDR, HWIO_GCC_CLKREF_SPARE_RMSK)
#define HWIO_GCC_CLKREF_SPARE_INM(m)      \
        in_dword_masked(HWIO_GCC_CLKREF_SPARE_ADDR, m)
#define HWIO_GCC_CLKREF_SPARE_OUT(v)      \
        out_dword(HWIO_GCC_CLKREF_SPARE_ADDR,v)
#define HWIO_GCC_CLKREF_SPARE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CLKREF_SPARE_ADDR,m,v,HWIO_GCC_CLKREF_SPARE_IN)
#define HWIO_GCC_CLKREF_SPARE_SPARE_BMSK                                                                       0xff
#define HWIO_GCC_CLKREF_SPARE_SPARE_SHFT                                                                        0x0

#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0007801c)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007801c)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007801c)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_RMSK                                                                0x80000001
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_ATTR                                                                       0x3
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_IN          \
        in_dword_masked(HWIO_GCC_CXO_REFGEN_BIAS_SEL_ADDR, HWIO_GCC_CXO_REFGEN_BIAS_SEL_RMSK)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_INM(m)      \
        in_dword_masked(HWIO_GCC_CXO_REFGEN_BIAS_SEL_ADDR, m)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_OUT(v)      \
        out_dword(HWIO_GCC_CXO_REFGEN_BIAS_SEL_ADDR,v)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_CXO_REFGEN_BIAS_SEL_ADDR,m,v,HWIO_GCC_CXO_REFGEN_BIAS_SEL_IN)
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_STATUS_BMSK                                              0x80000000
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_STATUS_SHFT                                                    0x1f
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_BMSK                                                            0x1
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_SHFT                                                            0x0
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_CXO_REFGEN_BIAS_SEL_SEL_REFGEN_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00077000)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00077000)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00077000)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK                                                    0x80000001
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ATTR                                                           0x3
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN          \
        in_dword_masked(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_RMSK)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR, m)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUT(v)      \
        out_dword(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,v)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_ADDR,m,v,HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_IN)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_BMSK                                            0x80000000
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_OFF_SHFT                                                  0x1f
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_BMSK                                                0x1
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_SHFT                                                0x0
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU1_CLK_CLK_ENABLE_ENABLE_FVAL                                         0x1

#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00077004)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00077004)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00077004)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK                                                    0x80000001
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ATTR                                                           0x3
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN          \
        in_dword_masked(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_RMSK)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR, m)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUT(v)      \
        out_dword(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,v)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_ADDR,m,v,HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_IN)
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_BMSK                                            0x80000000
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_OFF_SHFT                                                  0x1f
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_BMSK                                                0x1
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_SHFT                                                0x0
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_DISABLE_FVAL                                        0x0
#define HWIO_GCC_MSS_VOTE_AGGRE_NOC_MMU_TBU2_CLK_CLK_ENABLE_ENABLE_FVAL                                         0x1

#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00077008)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00077008)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00077008)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_RMSK                                                          0x80000001
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ATTR                                                                 0x3
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_IN          \
        in_dword_masked(HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ADDR, HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_RMSK)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ADDR, m)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ADDR,v)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_ADDR,m,v,HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_IN)
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_MSS_VOTE_ALL_SMMU_MMU_CLK_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0007700c)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007700c)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007700c)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_RMSK                                                               0x80000001
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ATTR                                                                      0x3
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_IN          \
        in_dword_masked(HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ADDR, HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_RMSK)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ADDR, m)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_OUT(v)      \
        out_dword(HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ADDR,v)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_ADDR,m,v,HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_IN)
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_OFF_BMSK                                                       0x80000000
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_OFF_SHFT                                                             0x1f
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_ENABLE_BMSK                                                           0x1
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_ENABLE_SHFT                                                           0x0
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_ENABLE_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_MSS_VOTE_MMU_TCU_CLK_CLK_ENABLE_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0005c018)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005c018)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005c018)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_RMSK                                                              0x80000001
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ATTR                                                                     0x3
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPM_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00063018)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00063018)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00063018)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_RMSK                                                           0x80000001
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ATTR                                                                  0x3
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_MSS_Q6_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0005d018)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005d018)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005d018)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_RMSK                                                             0x80000001
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ATTR                                                                    0x3
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                     0x80000000
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                           0x1f
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_APCS_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0005e018)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005e018)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005e018)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_RMSK                                                          0x80000001
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ATTR                                                                 0x3
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                  0x80000000
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                        0x1f
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                      0x1
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                      0x0
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                              0x0
#define HWIO_GCC_APCS_TZ_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                               0x1

#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ADDR                                                              (GCC_CLK_CTL_REG_REG_BASE      + 0x0005f018)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_PHYS                                                              (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0005f018)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_OFFS                                                              (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0005f018)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_RMSK                                                              0x80000001
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ATTR                                                                     0x3
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                      0x80000000
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                            0x1f
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                          0x1
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                          0x0
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_HYP_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00061018)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00061018)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00061018)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_RMSK                                                           0x80000001
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ATTR                                                                  0x3
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_SPARE1_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00062018)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00062018)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00062018)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_RMSK                                                           0x80000001
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ATTR                                                                  0x3
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_IN          \
        in_dword_masked(HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ADDR, HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_RMSK)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_INM(m)      \
        in_dword_masked(HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ADDR, m)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_OUT(v)      \
        out_dword(HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ADDR,v)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_ADDR,m,v,HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_IN)
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_OFF_BMSK                                                   0x80000000
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_OFF_SHFT                                                         0x1f
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_ENABLE_BMSK                                                       0x1
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_ENABLE_SHFT                                                       0x0
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_ENABLE_DISABLE_FVAL                                               0x0
#define HWIO_GCC_SPARE2_VOTE_QDSS_APB_CLK_CLK_ENABLE_ENABLE_FVAL                                                0x1

#define HWIO_GCC_JBIST_MODE_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x00079000)
#define HWIO_GCC_JBIST_MODE_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079000)
#define HWIO_GCC_JBIST_MODE_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079000)
#define HWIO_GCC_JBIST_MODE_RMSK                                                                         0xffffffff
#define HWIO_GCC_JBIST_MODE_ATTR                                                                                0x3
#define HWIO_GCC_JBIST_MODE_IN          \
        in_dword_masked(HWIO_GCC_JBIST_MODE_ADDR, HWIO_GCC_JBIST_MODE_RMSK)
#define HWIO_GCC_JBIST_MODE_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_MODE_ADDR, m)
#define HWIO_GCC_JBIST_MODE_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_MODE_ADDR,v)
#define HWIO_GCC_JBIST_MODE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_MODE_ADDR,m,v,HWIO_GCC_JBIST_MODE_IN)
#define HWIO_GCC_JBIST_MODE_RESERVE_BITS31_4_BMSK                                                        0xfffffff0
#define HWIO_GCC_JBIST_MODE_RESERVE_BITS31_4_SHFT                                                               0x4
#define HWIO_GCC_JBIST_MODE_START_MEAS_BMSK                                                                     0x8
#define HWIO_GCC_JBIST_MODE_START_MEAS_SHFT                                                                     0x3
#define HWIO_GCC_JBIST_MODE_JBIST_TEST_BMSK                                                                     0x4
#define HWIO_GCC_JBIST_MODE_JBIST_TEST_SHFT                                                                     0x2
#define HWIO_GCC_JBIST_MODE_RESET_N_BMSK                                                                        0x2
#define HWIO_GCC_JBIST_MODE_RESET_N_SHFT                                                                        0x1
#define HWIO_GCC_JBIST_MODE_SLEEP_N_BMSK                                                                        0x1
#define HWIO_GCC_JBIST_MODE_SLEEP_N_SHFT                                                                        0x0

#define HWIO_GCC_JBIST_CONFIG_CTL_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x00079004)
#define HWIO_GCC_JBIST_CONFIG_CTL_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079004)
#define HWIO_GCC_JBIST_CONFIG_CTL_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079004)
#define HWIO_GCC_JBIST_CONFIG_CTL_RMSK                                                                   0xffffffff
#define HWIO_GCC_JBIST_CONFIG_CTL_ATTR                                                                          0x3
#define HWIO_GCC_JBIST_CONFIG_CTL_IN          \
        in_dword_masked(HWIO_GCC_JBIST_CONFIG_CTL_ADDR, HWIO_GCC_JBIST_CONFIG_CTL_RMSK)
#define HWIO_GCC_JBIST_CONFIG_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_CONFIG_CTL_ADDR, m)
#define HWIO_GCC_JBIST_CONFIG_CTL_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_CONFIG_CTL_ADDR,v)
#define HWIO_GCC_JBIST_CONFIG_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_CONFIG_CTL_ADDR,m,v,HWIO_GCC_JBIST_CONFIG_CTL_IN)
#define HWIO_GCC_JBIST_CONFIG_CTL_JBIST_CONFIG_CTL_BMSK                                                  0xffffffff
#define HWIO_GCC_JBIST_CONFIG_CTL_JBIST_CONFIG_CTL_SHFT                                                         0x0

#define HWIO_GCC_JBIST_USER_CTL_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00079008)
#define HWIO_GCC_JBIST_USER_CTL_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079008)
#define HWIO_GCC_JBIST_USER_CTL_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079008)
#define HWIO_GCC_JBIST_USER_CTL_RMSK                                                                     0xffffffff
#define HWIO_GCC_JBIST_USER_CTL_ATTR                                                                            0x3
#define HWIO_GCC_JBIST_USER_CTL_IN          \
        in_dword_masked(HWIO_GCC_JBIST_USER_CTL_ADDR, HWIO_GCC_JBIST_USER_CTL_RMSK)
#define HWIO_GCC_JBIST_USER_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_USER_CTL_ADDR, m)
#define HWIO_GCC_JBIST_USER_CTL_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_USER_CTL_ADDR,v)
#define HWIO_GCC_JBIST_USER_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_USER_CTL_ADDR,m,v,HWIO_GCC_JBIST_USER_CTL_IN)
#define HWIO_GCC_JBIST_USER_CTL_JBIST_USER_CTL_BMSK                                                      0xffffffff
#define HWIO_GCC_JBIST_USER_CTL_JBIST_USER_CTL_SHFT                                                             0x0

#define HWIO_GCC_JBIST_USER_CTL_U_ADDR                                                                   (GCC_CLK_CTL_REG_REG_BASE      + 0x0007900c)
#define HWIO_GCC_JBIST_USER_CTL_U_PHYS                                                                   (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007900c)
#define HWIO_GCC_JBIST_USER_CTL_U_OFFS                                                                   (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007900c)
#define HWIO_GCC_JBIST_USER_CTL_U_RMSK                                                                   0xffffffff
#define HWIO_GCC_JBIST_USER_CTL_U_ATTR                                                                          0x3
#define HWIO_GCC_JBIST_USER_CTL_U_IN          \
        in_dword_masked(HWIO_GCC_JBIST_USER_CTL_U_ADDR, HWIO_GCC_JBIST_USER_CTL_U_RMSK)
#define HWIO_GCC_JBIST_USER_CTL_U_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_USER_CTL_U_ADDR, m)
#define HWIO_GCC_JBIST_USER_CTL_U_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_USER_CTL_U_ADDR,v)
#define HWIO_GCC_JBIST_USER_CTL_U_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_USER_CTL_U_ADDR,m,v,HWIO_GCC_JBIST_USER_CTL_U_IN)
#define HWIO_GCC_JBIST_USER_CTL_U_JBIST_USER_CTL_U_BMSK                                                  0xffffffff
#define HWIO_GCC_JBIST_USER_CTL_U_JBIST_USER_CTL_U_SHFT                                                         0x0

#define HWIO_GCC_JBIST_TEST_CTL_ADDR                                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00079010)
#define HWIO_GCC_JBIST_TEST_CTL_PHYS                                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079010)
#define HWIO_GCC_JBIST_TEST_CTL_OFFS                                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079010)
#define HWIO_GCC_JBIST_TEST_CTL_RMSK                                                                     0xffffffff
#define HWIO_GCC_JBIST_TEST_CTL_ATTR                                                                            0x3
#define HWIO_GCC_JBIST_TEST_CTL_IN          \
        in_dword_masked(HWIO_GCC_JBIST_TEST_CTL_ADDR, HWIO_GCC_JBIST_TEST_CTL_RMSK)
#define HWIO_GCC_JBIST_TEST_CTL_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_TEST_CTL_ADDR, m)
#define HWIO_GCC_JBIST_TEST_CTL_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_TEST_CTL_ADDR,v)
#define HWIO_GCC_JBIST_TEST_CTL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_TEST_CTL_ADDR,m,v,HWIO_GCC_JBIST_TEST_CTL_IN)
#define HWIO_GCC_JBIST_TEST_CTL_JBIST_TEST_CTL_BMSK                                                      0xffffffff
#define HWIO_GCC_JBIST_TEST_CTL_JBIST_TEST_CTL_SHFT                                                             0x0

#define HWIO_GCC_JBIST_STATUS_ADDR                                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00079014)
#define HWIO_GCC_JBIST_STATUS_PHYS                                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079014)
#define HWIO_GCC_JBIST_STATUS_OFFS                                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079014)
#define HWIO_GCC_JBIST_STATUS_RMSK                                                                       0xffffffff
#define HWIO_GCC_JBIST_STATUS_ATTR                                                                              0x1
#define HWIO_GCC_JBIST_STATUS_IN          \
        in_dword_masked(HWIO_GCC_JBIST_STATUS_ADDR, HWIO_GCC_JBIST_STATUS_RMSK)
#define HWIO_GCC_JBIST_STATUS_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_STATUS_ADDR, m)
#define HWIO_GCC_JBIST_STATUS_JBIST_STATUS_BMSK                                                          0xffffffff
#define HWIO_GCC_JBIST_STATUS_JBIST_STATUS_SHFT                                                                 0x0

#define HWIO_GCC_JBIST_MEAS_DONE_ADDR                                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00079018)
#define HWIO_GCC_JBIST_MEAS_DONE_PHYS                                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00079018)
#define HWIO_GCC_JBIST_MEAS_DONE_OFFS                                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00079018)
#define HWIO_GCC_JBIST_MEAS_DONE_RMSK                                                                    0xffffffff
#define HWIO_GCC_JBIST_MEAS_DONE_ATTR                                                                           0x3
#define HWIO_GCC_JBIST_MEAS_DONE_IN          \
        in_dword_masked(HWIO_GCC_JBIST_MEAS_DONE_ADDR, HWIO_GCC_JBIST_MEAS_DONE_RMSK)
#define HWIO_GCC_JBIST_MEAS_DONE_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_MEAS_DONE_ADDR, m)
#define HWIO_GCC_JBIST_MEAS_DONE_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_MEAS_DONE_ADDR,v)
#define HWIO_GCC_JBIST_MEAS_DONE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_MEAS_DONE_ADDR,m,v,HWIO_GCC_JBIST_MEAS_DONE_IN)
#define HWIO_GCC_JBIST_MEAS_DONE_RESERVE_BITS31_1_BMSK                                                   0xfffffffe
#define HWIO_GCC_JBIST_MEAS_DONE_RESERVE_BITS31_1_SHFT                                                          0x1
#define HWIO_GCC_JBIST_MEAS_DONE_JBIST_DATA_STREAM_RDY_BMSK                                                     0x1
#define HWIO_GCC_JBIST_MEAS_DONE_JBIST_DATA_STREAM_RDY_SHFT                                                     0x0

#define HWIO_GCC_JBIST_MISC_ADDR                                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0007901c)
#define HWIO_GCC_JBIST_MISC_PHYS                                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007901c)
#define HWIO_GCC_JBIST_MISC_OFFS                                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007901c)
#define HWIO_GCC_JBIST_MISC_RMSK                                                                                0x3
#define HWIO_GCC_JBIST_MISC_ATTR                                                                                0x3
#define HWIO_GCC_JBIST_MISC_IN          \
        in_dword_masked(HWIO_GCC_JBIST_MISC_ADDR, HWIO_GCC_JBIST_MISC_RMSK)
#define HWIO_GCC_JBIST_MISC_INM(m)      \
        in_dword_masked(HWIO_GCC_JBIST_MISC_ADDR, m)
#define HWIO_GCC_JBIST_MISC_OUT(v)      \
        out_dword(HWIO_GCC_JBIST_MISC_ADDR,v)
#define HWIO_GCC_JBIST_MISC_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_JBIST_MISC_ADDR,m,v,HWIO_GCC_JBIST_MISC_IN)
#define HWIO_GCC_JBIST_MISC_CLK_EXT_SEL_BMSK                                                                    0x3
#define HWIO_GCC_JBIST_MISC_CLK_EXT_SEL_SHFT                                                                    0x0
#define HWIO_GCC_JBIST_MISC_CLK_EXT_SEL_EMAC_DLL_CLK_FVAL                                                       0x1
#define HWIO_GCC_JBIST_MISC_CLK_EXT_SEL_SDCC_DLL_CLK_FVAL                                                       0x2

#define HWIO_GCC_GLOBAL_EN_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0007a000)
#define HWIO_GCC_GLOBAL_EN_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007a000)
#define HWIO_GCC_GLOBAL_EN_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007a000)
#define HWIO_GCC_GLOBAL_EN_RMSK                                                                          0xffffffff
#define HWIO_GCC_GLOBAL_EN_ATTR                                                                                 0x3
#define HWIO_GCC_GLOBAL_EN_IN          \
        in_dword_masked(HWIO_GCC_GLOBAL_EN_ADDR, HWIO_GCC_GLOBAL_EN_RMSK)
#define HWIO_GCC_GLOBAL_EN_INM(m)      \
        in_dword_masked(HWIO_GCC_GLOBAL_EN_ADDR, m)
#define HWIO_GCC_GLOBAL_EN_OUT(v)      \
        out_dword(HWIO_GCC_GLOBAL_EN_ADDR,v)
#define HWIO_GCC_GLOBAL_EN_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_GLOBAL_EN_ADDR,m,v,HWIO_GCC_GLOBAL_EN_IN)
#define HWIO_GCC_GLOBAL_EN_SPARE_ENABLE_BMSK                                                             0xffff8000
#define HWIO_GCC_GLOBAL_EN_SPARE_ENABLE_SHFT                                                                    0xf
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_7_BMSK                                                                 0x4000
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_7_SHFT                                                                    0xe
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_7_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_7_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_6_BMSK                                                                 0x2000
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_6_SHFT                                                                    0xd
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_6_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_6_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_5_BMSK                                                                 0x1000
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_5_SHFT                                                                    0xc
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_5_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_5_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_4_BMSK                                                                  0x800
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_4_SHFT                                                                    0xb
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_4_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_4_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_3_BMSK                                                                  0x400
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_3_SHFT                                                                    0xa
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_3_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_3_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_2_BMSK                                                                  0x200
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_2_SHFT                                                                    0x9
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_2_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_2_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_1_BMSK                                                                  0x100
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_1_SHFT                                                                    0x8
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_1_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_1_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_0_BMSK                                                                   0x80
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_0_SHFT                                                                    0x7
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_0_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_MEM_ENABLE_0_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_REST_ENABLE_BMSK                                                                    0x40
#define HWIO_GCC_GLOBAL_EN_REST_ENABLE_SHFT                                                                     0x6
#define HWIO_GCC_GLOBAL_EN_REST_ENABLE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_GLOBAL_EN_REST_ENABLE_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_GLOBAL_EN_PERIPHERALS_ENABLE_BMSK                                                             0x20
#define HWIO_GCC_GLOBAL_EN_PERIPHERALS_ENABLE_SHFT                                                              0x5
#define HWIO_GCC_GLOBAL_EN_PERIPHERALS_ENABLE_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_GLOBAL_EN_PERIPHERALS_ENABLE_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_GLOBAL_EN_CENTER_ENABLE_BMSK                                                                  0x10
#define HWIO_GCC_GLOBAL_EN_CENTER_ENABLE_SHFT                                                                   0x4
#define HWIO_GCC_GLOBAL_EN_CENTER_ENABLE_DISABLE_FVAL                                                           0x0
#define HWIO_GCC_GLOBAL_EN_CENTER_ENABLE_ENABLE_FVAL                                                            0x1
#define HWIO_GCC_GLOBAL_EN_SOUTH_ENABLE_BMSK                                                                    0x8
#define HWIO_GCC_GLOBAL_EN_SOUTH_ENABLE_SHFT                                                                    0x3
#define HWIO_GCC_GLOBAL_EN_SOUTH_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_SOUTH_ENABLE_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_NORTH_ENABLE_BMSK                                                                    0x4
#define HWIO_GCC_GLOBAL_EN_NORTH_ENABLE_SHFT                                                                    0x2
#define HWIO_GCC_GLOBAL_EN_NORTH_ENABLE_DISABLE_FVAL                                                            0x0
#define HWIO_GCC_GLOBAL_EN_NORTH_ENABLE_ENABLE_FVAL                                                             0x1
#define HWIO_GCC_GLOBAL_EN_WEST_ENABLE_BMSK                                                                     0x2
#define HWIO_GCC_GLOBAL_EN_WEST_ENABLE_SHFT                                                                     0x1
#define HWIO_GCC_GLOBAL_EN_WEST_ENABLE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_GLOBAL_EN_WEST_ENABLE_ENABLE_FVAL                                                              0x1
#define HWIO_GCC_GLOBAL_EN_EAST_ENABLE_BMSK                                                                     0x1
#define HWIO_GCC_GLOBAL_EN_EAST_ENABLE_SHFT                                                                     0x0
#define HWIO_GCC_GLOBAL_EN_EAST_ENABLE_DISABLE_FVAL                                                             0x0
#define HWIO_GCC_GLOBAL_EN_EAST_ENABLE_ENABLE_FVAL                                                              0x1

#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b000)
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b000)
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b000)
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_RMSK                                                               0x80000000
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_ATTR                                                                      0x1
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_USB3_LPC_GPLL0_ACGCR_ADDR, HWIO_GCC_USB3_LPC_GPLL0_ACGCR_RMSK)
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_LPC_GPLL0_ACGCR_ADDR, m)
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_CLK_ON_BMSK                                                        0x80000000
#define HWIO_GCC_USB3_LPC_GPLL0_ACGCR_CLK_ON_SHFT                                                              0x1f

#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b004)
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b004)
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b004)
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_RMSK                                                               0x80000000
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_ATTR                                                                      0x1
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_USB3_LPC_GPLL4_ACGCR_ADDR, HWIO_GCC_USB3_LPC_GPLL4_ACGCR_RMSK)
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_USB3_LPC_GPLL4_ACGCR_ADDR, m)
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_CLK_ON_BMSK                                                        0x80000000
#define HWIO_GCC_USB3_LPC_GPLL4_ACGCR_CLK_ON_SHFT                                                              0x1f

#define HWIO_GCC_CPUSS_GPLL1_ACGCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b008)
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b008)
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b008)
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_RMSK                                                                  0x80000000
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_ATTR                                                                         0x1
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL1_ACGCR_ADDR, HWIO_GCC_CPUSS_GPLL1_ACGCR_RMSK)
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL1_ACGCR_ADDR, m)
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_CLK_ON_BMSK                                                           0x80000000
#define HWIO_GCC_CPUSS_GPLL1_ACGCR_CLK_ON_SHFT                                                                 0x1f

#define HWIO_GCC_CPUSS_GPLL4_ACGCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b00c)
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b00c)
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b00c)
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_RMSK                                                                  0x80000000
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_ATTR                                                                         0x1
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL4_ACGCR_ADDR, HWIO_GCC_CPUSS_GPLL4_ACGCR_RMSK)
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL4_ACGCR_ADDR, m)
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_CLK_ON_BMSK                                                           0x80000000
#define HWIO_GCC_CPUSS_GPLL4_ACGCR_CLK_ON_SHFT                                                                 0x1f

#define HWIO_GCC_CPUSS_GPLL5_ACGCR_ADDR                                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b010)
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_PHYS                                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b010)
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_OFFS                                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b010)
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_RMSK                                                                  0x80000000
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_ATTR                                                                         0x1
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL5_ACGCR_ADDR, HWIO_GCC_CPUSS_GPLL5_ACGCR_RMSK)
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_CPUSS_GPLL5_ACGCR_ADDR, m)
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_CLK_ON_BMSK                                                           0x80000000
#define HWIO_GCC_CPUSS_GPLL5_ACGCR_CLK_ON_SHFT                                                                 0x1f

#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_ADDR                                                                (GCC_CLK_CTL_REG_REG_BASE      + 0x0007b014)
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_PHYS                                                                (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007b014)
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_OFFS                                                                (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007b014)
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_RMSK                                                                0x80000000
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_ATTR                                                                       0x1
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_IN          \
        in_dword_masked(HWIO_GCC_MSS_GPLL0_DIV_ACGCR_ADDR, HWIO_GCC_MSS_GPLL0_DIV_ACGCR_RMSK)
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_INM(m)      \
        in_dword_masked(HWIO_GCC_MSS_GPLL0_DIV_ACGCR_ADDR, m)
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_CLK_ON_BMSK                                                         0x80000000
#define HWIO_GCC_MSS_GPLL0_DIV_ACGCR_CLK_ON_SHFT                                                               0x1f

#define HWIO_GCC_PLL_MISC_ADDR                                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0007c000)
#define HWIO_GCC_PLL_MISC_PHYS                                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007c000)
#define HWIO_GCC_PLL_MISC_OFFS                                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007c000)
#define HWIO_GCC_PLL_MISC_RMSK                                                                                  0x1
#define HWIO_GCC_PLL_MISC_ATTR                                                                                  0x3
#define HWIO_GCC_PLL_MISC_IN          \
        in_dword_masked(HWIO_GCC_PLL_MISC_ADDR, HWIO_GCC_PLL_MISC_RMSK)
#define HWIO_GCC_PLL_MISC_INM(m)      \
        in_dword_masked(HWIO_GCC_PLL_MISC_ADDR, m)
#define HWIO_GCC_PLL_MISC_OUT(v)      \
        out_dword(HWIO_GCC_PLL_MISC_ADDR,v)
#define HWIO_GCC_PLL_MISC_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PLL_MISC_ADDR,m,v,HWIO_GCC_PLL_MISC_IN)
#define HWIO_GCC_PLL_MISC_HW_TRIGGERED_STBY_DIS_BMSK                                                            0x1
#define HWIO_GCC_PLL_MISC_HW_TRIGGERED_STBY_DIS_SHFT                                                            0x0
#define HWIO_GCC_PLL_MISC_HW_TRIGGERED_STBY_DIS_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_PLL_MISC_HW_TRIGGERED_STBY_DIS_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_PLL_MISC1_ADDR                                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0007c004)
#define HWIO_GCC_PLL_MISC1_PHYS                                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007c004)
#define HWIO_GCC_PLL_MISC1_OFFS                                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007c004)
#define HWIO_GCC_PLL_MISC1_RMSK                                                                                0x3f
#define HWIO_GCC_PLL_MISC1_ATTR                                                                                 0x3
#define HWIO_GCC_PLL_MISC1_IN          \
        in_dword_masked(HWIO_GCC_PLL_MISC1_ADDR, HWIO_GCC_PLL_MISC1_RMSK)
#define HWIO_GCC_PLL_MISC1_INM(m)      \
        in_dword_masked(HWIO_GCC_PLL_MISC1_ADDR, m)
#define HWIO_GCC_PLL_MISC1_OUT(v)      \
        out_dword(HWIO_GCC_PLL_MISC1_ADDR,v)
#define HWIO_GCC_PLL_MISC1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PLL_MISC1_ADDR,m,v,HWIO_GCC_PLL_MISC1_IN)
#define HWIO_GCC_PLL_MISC1_PLL5_PLL_ACTIVE_MUX_BMSK                                                            0x20
#define HWIO_GCC_PLL_MISC1_PLL5_PLL_ACTIVE_MUX_SHFT                                                             0x5
#define HWIO_GCC_PLL_MISC1_PLL5_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL5_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PLL_MISC1_PLL4_PLL_ACTIVE_MUX_BMSK                                                            0x10
#define HWIO_GCC_PLL_MISC1_PLL4_PLL_ACTIVE_MUX_SHFT                                                             0x4
#define HWIO_GCC_PLL_MISC1_PLL4_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL4_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PLL_MISC1_PLL3_PLL_ACTIVE_MUX_BMSK                                                             0x8
#define HWIO_GCC_PLL_MISC1_PLL3_PLL_ACTIVE_MUX_SHFT                                                             0x3
#define HWIO_GCC_PLL_MISC1_PLL3_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL3_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PLL_MISC1_PLL2_PLL_ACTIVE_MUX_BMSK                                                             0x4
#define HWIO_GCC_PLL_MISC1_PLL2_PLL_ACTIVE_MUX_SHFT                                                             0x2
#define HWIO_GCC_PLL_MISC1_PLL2_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL2_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PLL_MISC1_PLL1_PLL_ACTIVE_MUX_BMSK                                                             0x2
#define HWIO_GCC_PLL_MISC1_PLL1_PLL_ACTIVE_MUX_SHFT                                                             0x1
#define HWIO_GCC_PLL_MISC1_PLL1_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL1_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_PLL_MISC1_PLL0_PLL_ACTIVE_MUX_BMSK                                                             0x1
#define HWIO_GCC_PLL_MISC1_PLL0_PLL_ACTIVE_MUX_SHFT                                                             0x0
#define HWIO_GCC_PLL_MISC1_PLL0_PLL_ACTIVE_MUX_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_PLL_MISC1_PLL0_PLL_ACTIVE_MUX_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_PCIE_PERST_HANDSHAKE_ADDR                                                               (GCC_CLK_CTL_REG_REG_BASE      + 0x0007d000)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_PHYS                                                               (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007d000)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_OFFS                                                               (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007d000)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_RMSK                                                               0xe0000001
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_ATTR                                                                      0x3
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PERST_HANDSHAKE_ADDR, HWIO_GCC_PCIE_PERST_HANDSHAKE_RMSK)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PERST_HANDSHAKE_ADDR, m)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PERST_HANDSHAKE_ADDR,v)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PERST_HANDSHAKE_ADDR,m,v,HWIO_GCC_PCIE_PERST_HANDSHAKE_IN)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMEOUT_STATUS_BMSK                                                0x80000000
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMEOUT_STATUS_SHFT                                                      0x1f
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_FSM_STATUS_BMSK                                                    0x60000000
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_FSM_STATUS_SHFT                                                          0x1d
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ENABLE_BMSK                                                         0x1
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ENABLE_SHFT                                                         0x0
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ENABLE_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ENABLE_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0007d004)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0007d004)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0007d004)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_RMSK                                                         0xffffffff
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ATTR                                                                0x3
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_IN          \
        in_dword_masked(HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ADDR, HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_RMSK)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_INM(m)      \
        in_dword_masked(HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ADDR, m)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_OUT(v)      \
        out_dword(HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ADDR,v)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_ADDR,m,v,HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_IN)
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_TIMER_VAL_BMSK                                               0xffffffff
#define HWIO_GCC_PCIE_PERST_HANDSHAKE_TIMER_TIMER_VAL_SHFT                                                      0x0

#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00084000)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084000)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084000)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081004)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081004)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081004)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081008)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081008)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081008)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0008100c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008100c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008100c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081010)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081010)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081010)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081014)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081014)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081014)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081018)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081018)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081018)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x0008101c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008101c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008101c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081020)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081020)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081020)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ADDR                                                        (GCC_CLK_CTL_REG_REG_BASE      + 0x00081024)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_PHYS                                                        (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081024)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_OFFS                                                        (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081024)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_RMSK                                                              0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ATTR                                                               0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL5_BMSK                                                        0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL5_SHFT                                                         0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL4_BMSK                                                         0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL4_SHFT                                                         0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                       0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                       0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                               0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL1_BMSK                                                         0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL1_SHFT                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL0_BMSK                                                         0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL0_SHFT                                                         0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                  0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00081028)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081028)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081028)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0008102c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008102c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008102c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00081030)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081030)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081030)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00081034)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081034)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081034)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00081038)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00081038)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00081038)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x0008103c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008103c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008103c)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_RMSK                                                             0x1f
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ATTR                                                              0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL5_BMSK                                                       0x10
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL5_SHFT                                                        0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL4_BMSK                                                        0x8
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL4_SHFT                                                        0x3
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                      0x4
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                      0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                              0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                               0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL1_BMSK                                                        0x2
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL1_SHFT                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL0_BMSK                                                        0x1
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL0_SHFT                                                        0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                 0x1

#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082004)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082004)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082004)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082008)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082008)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082008)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008200c)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008200c)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008200c)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082010)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082010)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082010)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082014)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082014)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082014)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082018)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082018)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082018)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008201c)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008201c)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008201c)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082020)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082020)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082020)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082024)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082024)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082024)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00082028)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082028)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082028)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CNOC_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008202c)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008202c)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008202c)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00082030)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082030)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082030)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00082034)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082034)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082034)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00082038)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082038)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082038)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008203c)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008203c)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008203c)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00082040)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00082040)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00082040)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CNOC_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083004)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083004)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083004)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083008)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083008)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083008)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008300c)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008300c)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008300c)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083010)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083010)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083010)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083014)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083014)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083014)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083018)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083018)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083018)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008301c)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008301c)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008301c)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083020)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083020)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083020)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083024)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083024)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083024)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00083028)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083028)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083028)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_IPA_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008302c)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008302c)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008302c)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00083030)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083030)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083030)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00083034)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083034)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083034)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00083038)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083038)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083038)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008303c)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008303c)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008303c)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00083040)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00083040)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00083040)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_IPA_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b004)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b004)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b004)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b008)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b008)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b008)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b00c)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b00c)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b00c)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b010)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b010)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b010)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b014)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b014)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b014)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b018)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b018)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b018)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b01c)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b01c)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b01c)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b020)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b020)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b020)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b024)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b024)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b024)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b028)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b028)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b028)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_QPIC_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b02c)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b02c)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b02c)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b030)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b030)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b030)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b034)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b034)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b034)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b038)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b038)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b038)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b03c)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b03c)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b03c)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008b040)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008b040)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008b040)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_QPIC_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085004)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085004)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085004)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085008)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085008)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085008)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008500c)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008500c)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008500c)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085010)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085010)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085010)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085014)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085014)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085014)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085018)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085018)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085018)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008501c)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008501c)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008501c)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085020)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085020)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085020)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085024)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085024)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085024)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00085028)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085028)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085028)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_PKA_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008502c)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008502c)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008502c)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00085030)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085030)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085030)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00085034)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085034)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085034)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00085038)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085038)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085038)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008503c)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008503c)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008503c)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00085040)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00085040)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00085040)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_PKA_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084004)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084004)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084004)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084008)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084008)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084008)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0008400c)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008400c)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008400c)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084010)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084010)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084010)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084014)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084014)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084014)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084018)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084018)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084018)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x0008401c)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008401c)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008401c)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084020)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084020)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084020)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084024)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084024)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084024)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ADDR                                                             (GCC_CLK_CTL_REG_REG_BASE      + 0x00084028)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_PHYS                                                             (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084028)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_OFFS                                                             (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084028)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_RMSK                                                                   0x1f
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ATTR                                                                    0x3
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL5_BMSK                                                             0x10
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL5_SHFT                                                              0x4
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL4_BMSK                                                              0x8
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL4_SHFT                                                              0x3
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                            0x4
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                            0x2
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL1_BMSK                                                              0x2
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL1_SHFT                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                       0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL0_BMSK                                                              0x1
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL0_SHFT                                                              0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                      0x0
#define HWIO_GCC_RPMH_CE_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                       0x1

#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008402c)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008402c)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008402c)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00084030)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084030)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084030)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00084034)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084034)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084034)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00084038)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084038)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084038)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x0008403c)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008403c)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008403c)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ADDR                                                            (GCC_CLK_CTL_REG_REG_BASE      + 0x00084040)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_PHYS                                                            (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00084040)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_OFFS                                                            (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00084040)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_RMSK                                                                  0x1f
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ATTR                                                                   0x3
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL5_BMSK                                                            0x10
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL5_SHFT                                                             0x4
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL4_BMSK                                                             0x8
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL4_SHFT                                                             0x3
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                           0x4
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                           0x2
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL1_BMSK                                                             0x2
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL1_SHFT                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                      0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL0_BMSK                                                             0x1
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL0_SHFT                                                             0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                     0x0
#define HWIO_GCC_RPMH_CE_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                      0x1

#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086004)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086004)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086004)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086008)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086008)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086008)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008600c)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008600c)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008600c)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086010)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086010)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086010)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086014)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086014)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086014)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086018)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086018)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086018)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008601c)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008601c)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008601c)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086020)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086020)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086020)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086024)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086024)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086024)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00086028)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086028)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086028)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHUB_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008602c)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008602c)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008602c)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00086030)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086030)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086030)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00086034)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086034)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086034)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00086038)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086038)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086038)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008603c)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008603c)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008603c)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00086040)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00086040)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00086040)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHUB_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087004)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087004)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087004)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087008)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087008)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087008)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008700c)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008700c)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008700c)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087010)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087010)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087010)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087014)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087014)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087014)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087018)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087018)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087018)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x0008701c)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008701c)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008701c)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087020)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087020)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087020)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087024)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087024)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087024)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00087028)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087028)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087028)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_RMSK                                                                 0x1f
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ATTR                                                                  0x3
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL5_BMSK                                                           0x10
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL5_SHFT                                                            0x4
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL4_BMSK                                                            0x8
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL4_SHFT                                                            0x3
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                          0x4
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                          0x2
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL1_BMSK                                                            0x2
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL1_SHFT                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                     0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL0_BMSK                                                            0x1
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL0_SHFT                                                            0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                    0x0
#define HWIO_GCC_RPMH_SHRM_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                     0x1

#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008702c)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008702c)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008702c)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00087030)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087030)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087030)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00087034)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087034)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087034)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00087038)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087038)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087038)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008703c)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008703c)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008703c)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x00087040)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00087040)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00087040)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_RMSK                                                                0x1f
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_SHRM_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF0_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF1_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a00c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a00c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a00c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF2_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF3_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF4_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF5_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a01c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a01c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a01c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF6_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF7_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF8_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ADDR                                                          (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_PHYS                                                          (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_OFFS                                                          (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_RMSK                                                                0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ATTR                                                                 0x3
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GCC_MODE_BMSK                                                       0x20
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GCC_MODE_SHFT                                                        0x5
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                       0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                        0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL5_BMSK                                                          0x10
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL5_SHFT                                                           0x4
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL5_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL5_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL4_BMSK                                                           0x8
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL4_SHFT                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL4_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL4_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL2_3_BMSK                                                         0x4
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL2_3_SHFT                                                         0x2
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                 0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL1_BMSK                                                           0x2
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL1_SHFT                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL1_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL1_ENABLE_FVAL                                                    0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL0_BMSK                                                           0x1
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL0_SHFT                                                           0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL0_DISABLE_FVAL                                                   0x0
#define HWIO_GCC_RPMH_DDRMC_PERF9_ENA_VOTE_GPLL0_ENABLE_FVAL                                                    0x1

#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a02c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a02c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a02c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF10_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF11_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF12_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF13_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a03c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a03c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a03c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF14_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ADDR                                                         (GCC_CLK_CTL_REG_REG_BASE      + 0x0008a040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_PHYS                                                         (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008a040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_OFFS                                                         (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008a040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_RMSK                                                               0x3f
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ATTR                                                                0x3
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ADDR, HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GCC_MODE_BMSK                                                      0x20
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GCC_MODE_SHFT                                                       0x5
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GCC_MODE_GCC_MODE_DISABLE_FVAL                                      0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GCC_MODE_GCC_MODE_ENABLE_FVAL                                       0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL5_BMSK                                                         0x10
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL5_SHFT                                                          0x4
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL5_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL5_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL4_BMSK                                                          0x8
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL4_SHFT                                                          0x3
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL4_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL4_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL2_3_BMSK                                                        0x4
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL2_3_SHFT                                                        0x2
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL2_3_DISABLE_FVAL                                                0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL2_3_ENABLE_FVAL                                                 0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL1_BMSK                                                          0x2
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL1_SHFT                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL1_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL1_ENABLE_FVAL                                                   0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL0_BMSK                                                          0x1
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL0_SHFT                                                          0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL0_DISABLE_FVAL                                                  0x0
#define HWIO_GCC_RPMH_DDRMC_PERF15_ENA_VOTE_GPLL0_ENABLE_FVAL                                                   0x1

#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0008800c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008800c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008800c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x0008801c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008801c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008801c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ADDR                                                     (GCC_CLK_CTL_REG_REG_BASE      + 0x00088028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_PHYS                                                     (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_OFFS                                                     (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_RMSK                                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ATTR                                                            0x3
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_PLL_L_BMSK                                                   0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_L_VAL_PLL_L_SHFT                                                      0x0

#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0008802c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008802c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008802c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00088030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00088034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00088038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x0008803c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008803c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008803c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ADDR                                                    (GCC_CLK_CTL_REG_REG_BASE      + 0x00088040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_PHYS                                                    (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00088040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_OFFS                                                    (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00088040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_RMSK                                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ATTR                                                           0x3
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_PLL_L_BMSK                                                  0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_L_VAL_PLL_L_SHFT                                                     0x0

#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089004)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF0_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089008)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF1_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0008900c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008900c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008900c)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF2_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089010)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF3_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089014)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF4_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089018)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF5_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x0008901c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008901c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008901c)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF6_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089020)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF7_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089024)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF8_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ADDR                                                  (GCC_CLK_CTL_REG_REG_BASE      + 0x00089028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_PHYS                                                  (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_OFFS                                                  (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089028)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_RMSK                                                      0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ATTR                                                         0x3
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                         0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF9_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                            0x0

#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0008902c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008902c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008902c)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF10_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00089030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089030)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF11_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00089034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089034)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF12_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00089038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089038)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF13_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x0008903c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x0008903c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x0008903c)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF14_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ADDR                                                 (GCC_CLK_CTL_REG_REG_BASE      + 0x00089040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_PHYS                                                 (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_OFFS                                                 (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089040)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_RMSK                                                     0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ATTR                                                        0x3
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ADDR, HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_RMSK)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_IN)
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_BMSK                                        0xffff
#define HWIO_GCC_RPMH_DDRMC_PERF15_GPLL2_3_FRAC_VAL_PLL_FRAC_VAL_SHFT                                           0x0

#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ADDR                                                       (GCC_CLK_CTL_REG_REG_BASE      + 0x00089080)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_PHYS                                                       (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089080)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_OFFS                                                       (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089080)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_RMSK                                                              0x3
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ATTR                                                              0x3
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ADDR, HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_RMSK)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_OUT(v)      \
        out_dword(HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ADDR,v)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_ADDR,m,v,HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_IN)
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_RCG_TOGGLE_EN_BMSK                                                0x2
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_RCG_TOGGLE_EN_SHFT                                                0x1
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_PLL_TOGGLE_EN_BMSK                                                0x1
#define HWIO_GCC_RPMH_DDRMC_FAKE_SWITCH_DEBUG_PLL_TOGGLE_EN_SHFT                                                0x0

#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_ADDR                                                           (GCC_CLK_CTL_REG_REG_BASE      + 0x00089044)
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_PHYS                                                           (GCC_CLK_CTL_REG_REG_BASE_PHYS + 0x00089044)
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_OFFS                                                           (GCC_CLK_CTL_REG_REG_BASE_OFFS + 0x00089044)
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RMSK                                                                 0x7f
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_ATTR                                                                  0x1
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_IN          \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_ADDR, HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RMSK)
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_INM(m)      \
        in_dword_masked(HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_ADDR, m)
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_RCG_TOGGLE_FSM_STATE_BMSK                0x40
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_RCG_TOGGLE_FSM_STATE_SHFT                 0x6
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_RCG_TOGGLE_FSM_STATE_PING_FVAL            0x0
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_RCG_TOGGLE_FSM_STATE_PONG_FVAL            0x1
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_PLL_TOGGLE_FSM_STATE_BMSK                0x20
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_PLL_TOGGLE_FSM_STATE_SHFT                 0x5
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_PLL_TOGGLE_FSM_STATE_PING_FVAL            0x0
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_PLL_TOGGLE_FSM_STATE_PONG_FVAL            0x1
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_BMSK                               0x1f
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_SHFT                                0x0
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_IDLE_FVAL                           0x0
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_LATCH_CLOCK_PLAN_FVAL               0x1
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_TOGGLE_FSM_FVAL                     0x2
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_PLL_L_VAL_LATCH_LATCH_FVAL          0x4
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_CHANGE_WAIT_FVAL                    0x8
#define HWIO_GCC_RPMH_DDRMC_SWITCH_STATUS_RPMH_DDRMC_CLOCK_SWITCH_FSM_STATE_PRESENT_WORK_DONE_FVAL             0x10


#endif /* __IPA_GCC_HWIO_H__ */
